/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef SCU_DEFINES_H
#define SCU_DEFINES_H

/* XML Version 2.3.4 */
#define SCU_XML_VERSION (20304)

#define SCUPM_WDT1_PERIOD (0x3F0u) /*decimal 1008*/

#define SCUPM_WDT1_PERIOD_EDIT (0x3F0u) /*decimal 1008*/

#define SCUPM_WDT1_TRIG (0x3Fu) /*decimal 63*/

#define SCUPM_WDT1_TRIGGER (0x2BBu) /*decimal 699*/

#define SCU_APCLK (0xC00u) /*decimal 3072*/

#define SCU_APCLK_FILT_CLK (1.92)

#define SCU_APCLK_MI_CLK (0x19u) /*decimal 25*/

#define SCU_AUTO_FSYS (0x17D7840u) /*decimal 25000000*/

#define SCU_AUTO_FSYS_SEL (0x0u) /*decimal 0*/

#define SCU_BCON1 (0x1u) /*decimal 1*/

#define SCU_BCON2 (0x0u) /*decimal 0*/

#define SCU_CKOUT_FREQ (0.31)

#define SCU_CMCON1 (0x120u) /*decimal 288*/

#define SCU_COCON (0x7Fu) /*decimal 127*/

#define SCU_FREF (0x1u) /*decimal 1*/

#define SCU_FSYS (0x17D7840u) /*decimal 25000000*/

#define SCU_FVCO (0x64u) /*decimal 100*/

#define SCU_GPT12PISEL (0x0u) /*decimal 0*/

#define SCU_IEN0 (0x80000000u) /*decimal 2147483648*/

#define SCU_MODPISEL (0xFu) /*decimal 15*/

#define SCU_MODPISEL1 (0x0u) /*decimal 0*/

#define SCU_MODPISEL2 (0x1u) /*decimal 1*/

#define SCU_NVM_BOOT_PROT (0x0u) /*decimal 0*/

#define SCU_NVM_CODE_PROT (0x0u) /*decimal 0*/

#define SCU_NVM_DATA_PROT (0x0u) /*decimal 0*/

#define SCU_NVM_PROT_PW (0x0u) /*decimal 0*/

#define SCU_OSC_CON (0x10u) /*decimal 16*/

#define SCU_PINSEL (0x1u) /*decimal 1*/

#define SCU_PLL_CON (0xE0u) /*decimal 224*/

#define SCU_PLL_fPLL (0x19u) /*decimal 25*/

#define SCU_XTAL_EN (0x0u) /*decimal 0*/

#define SCU_XTAL_FREQ (5.00)

#define fSYS_MAX (0x17D7840u) /*decimal 25000000*/

#endif /* SCU_DEFINES_H */
