/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** BG           Blandine Guillot                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2021-08-16, BG:   EP-731: Initial version of the revision history  **
** V1.0.1: 2021-12-13, JO:   EP-933: Updated copyright and branding           **
*******************************************************************************/

/*******************************************************************************
**                                  Abstract                                  **
********************************************************************************
** LIN: Relais example for TLE984x evalboard                                  **
********************************************************************************
** Relais coils are connected to LS1 and LS2.                                 **
** Press MON1 button to activate LS1.                                         **
** Press MON2 button to deactivate LS1.                                       **
** Press MON3 button to activate LS2.                                         **
** Press MON4 button to deactivate LS2.                                       **
*******************************************************************************/

#include "tle_device.h"


int main(void)
{
  /* Initialization of hardware modules based on Config Wizard configuration */ 
  TLE_Init();
  /* Switch on LS Modules */
  LS1_On();
  LS2_On();
  
  for (;;)
  {
    /* Main watchdog service */
    (void)WDT1_Service();
    /* IF MON1 button is pushed, enable LS1 */
    if(MON1_Sts() == false)
    {
      /* Enable Relais coil 1 */
      LS1_En();
    }
    else
    {
      /* IF MON2 button is pushed, disable LS1 */
      if(MON2_Sts() == false)
      {
        /* Disable Relais coil 1 */
        LS1_Dis();
      }
    }
    /* IF MON1 button is pushed, enable LS1 */
    if(MON3_Sts() == true)
    {
      /* Enable Relais coil 2 */
      LS2_En();
    }
    else
    {
      /* IF MON2 button is pushed, disable LS1 */
      if(MON4_Sts() == true)
      {
        /* Disable Relais coil 2 */
        LS2_Dis();
      }
    }
  }
}

