/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef ADC2_DEFINES_H
#define ADC2_DEFINES_H

/* XML Version 2.3.4 */
#define ADC2_XML_VERSION (20304)

#define ADC2_CH0_LOTH_VOLT (4.60)

#define ADC2_CH0_UPTH_VOLT (16.88)

#define ADC2_CH1_LOTH_VOLT (5.780)

#define ADC2_CH1_UPTH_VOLT (5.500)

#define ADC2_CH2_LOTH_VOLT (2.640)

#define ADC2_CH2_UPTH_VOLT (5.500)

#define ADC2_CH3_LOTH_VOLT (1.001)

#define ADC2_CH3_UPTH_VOLT (1.300)

#define ADC2_CH4_LOTH_VOLT (1.355)

#define ADC2_CH4_UPTH_VOLT (1.600)

#define ADC2_CH5_LOTH_DEG (0x96u) /*decimal 150*/

#define ADC2_CH5_UPTH_DEG (0xB6u) /*decimal 182*/

#define ADC2_CH6_LOTH_DEG (0x96u) /*decimal 150*/

#define ADC2_CH6_UPTH_DEG (0xB6u) /*decimal 182*/

#define ADC2_CLK (0x19u) /*decimal 25*/

#define ADC2_CONV_TIME (0.72)

#define ADC2_CTRL2 (0x701u) /*decimal 1793*/

#define ADC2_CTRL4 (0x0u) /*decimal 0*/

#define ADC2_FILT_LO_CTRL (0x0u) /*decimal 0*/

#define ADC2_FILT_UP_CTRL (0x0u) /*decimal 0*/

#define ADC2_TH0_3_LOWER (0x9E70F725u) /*decimal 2658203429*/

#define ADC2_TH0_3_UPPER (0xCDEBEB8Au) /*decimal 3454790538*/

#define ADC2_TH4_7_LOWER (0xCECED5u) /*decimal 13553365*/

#define ADC2_TH4_7_UPPER (0xDDDDFCu) /*decimal 14540284*/

#endif /* ADC2_DEFINES_H */
