/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include <bootrom.h>

/*******************************************************************************
**                          Global Macro Definitions                          **
*******************************************************************************/
#define addr_of_user_nvm_ready_poll             (0x00000125)

/*******************************************************************************
**                         Global Function Definitions                        **
*******************************************************************************/

#if defined(__ARMCC_VERSION)
  void RAM_Branch_Function(void) __attribute__ ((used));
  bool (* const myUSER_NVMRDY)(void) __attribute__((used)) = (bool (*)(void))addr_of_user_nvm_ready_poll;
#elif defined(__IAR_SYSTEMS_ICC__)
  #pragma location="RAMBranch"
  bool (* const myUSER_NVMRDY)(void) = (bool (*)(void))addr_of_user_nvm_ready_poll;
#endif


/* this is an example for a function called by the NVM operation  *
 * using RAM branching.                                           *
 * This function is checking the NVM module for readiness,        *
 * as long as the NVM module is not ready the LED1 will be toggled*/
void RAM_Branch_Function(void)
{
  int i;
  while (myUSER_NVMRDY() == false)
  {
    PORT->P0_DATA.reg = 0x04;
    for (i = 0; i < 10; i++);
    PORT->P0_DATA.reg = 0x00;
  }
}
