/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/

#include "ls.h"
#include "tle984x.h"
#include "ls_defines.h"

/*******************************************************************************
**                         Global Function Definitions                        **
*******************************************************************************/

/** \brief Initialize the LS1 module.
 *
 * \ingroup ls_api
 */
void LS1_Init(void)
{
#if ((LS_CTRL & (1u << 0u)) != 0u)
  LS->LS1_TRIM.reg = LS_LS1_TRIM;
  LS->IRQEN.reg = ((LS->IRQEN.reg & 0xFFFF0000U) | (LS_IRQEN & 0x0000FFFFU));
  LS->PWMSRCSEL.reg = ((LS->PWMSRCSEL.reg & 0x0000FFC7U) | (LS_PWMSRCSEL & 0x00000038U));
  LS->CTRL.reg = ((LS->CTRL.reg & 0xFFFF0000U) | (LS_CTRL & 0x0000FFFFU));
#endif
}

/** \brief Initialize the LS2 module.
 *
 * \ingroup ls_api
 */
void LS2_Init(void)
{
#if ((LS_CTRL & (1u << 16u)) != 0u)
  LS->LS2_TRIM.reg = LS_LS2_TRIM;
  LS->IRQEN.reg = ((LS->IRQEN.reg & 0x0000FFFFU)|(LS_IRQEN & 0xFFFF0000U));
  LS->PWMSRCSEL.reg = ((LS->PWMSRCSEL.reg & 0x0000FFF8U)|(LS_PWMSRCSEL & 0x00000007U));
  LS->CTRL.reg = ((LS->CTRL.reg & 0x0000FFFFU)|(LS_CTRL & 0xFFFF0000U));
#endif
}

