/*
 * Copyright (c) 2022 Infineon Technologies AG 
 * 
 * Permission is hereby granted, free of charge, to any person or organizationobtaining a copy of the
 * software and accompanying documentation covered bythis license (the "Software") to use, reproduce,
 * display, distribute,execute, and transmit the Software, and to prepare derivative works of
 * theSoftware, and to permit third-parties to whom the Software is furnished todo so, all subject to
 * the following:
 * 
 * The copyright notices in the Software and this entire statement, includingthe above license grant,
 * this restriction and the following disclaimer,must be included in all copies of the Software, in
 * whole or in part, andall derivative works of the Software, unless such copies or derivativeworks are
 * solely in the form of machine-executable object code generated bya source language processor.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT 
 * NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND 
 * NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE 
 * LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * @file     tle984x.h
 * @brief    CMSIS HeaderFile
 * @version  1.9.6
 * @date     01. July 2022
 * @note     Generated by SVDConv V3.3.39 on Friday, 01.07.2022 15:32:48
 *           from File 'TLE984x.svd',
 *           last modified on Friday, 01.07.2022 13:29:01
 */

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** DM           Daniel Mysliwitz                                              **
** JO           Julia Ott                                                     **
** BG           Blandine Guillot                                              **
** VO           Vanessa Ongaro                                                **
*******************************************************************************/


/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2014-08-20, xx:   Initial version                                  **
** V1.1.0: 2014-12-21, xx:   Bitfields added in CPU->NVIC_ISER, *ICER, *ISPR, **
**                           *ICPR                                            **
**                           Registers added: CPU->NVIC_IPR0, 1, 2, 3, 4, 5   **
**                           PMU->MON_CNF2 added                              **
**                           SCU->MODPISEL1.XTAL12EN added                    **
**                           PMU->HIGHSIDE_CTRL: cyclic enable HS0+1 -> HS1+2 **
**                           GPT12E->T2CON.T3UDE -> T2UDE (bitname changed)   **
**                           ADC2, ch7 added in FILTCOEFF0_7, TH4_7_LOWER,    **
**                           TH4_7_UPPER, CNT4_7_LOWER, CNT4_7_UPPER, MMODE0_7**
**                           and minor changes in descriptive text            **
** V1.2.0: 2015-06-10, xx:   Modules T2 and T21 renamed to TIMER2 and TIMER21,**
**                           due to naming conflict (Register T2 in GPT12)    **
**                           Bit PMU_WAKE_STATUS.LIN renamed to               **
**                           PMU_WAKE_STATUS.LIN_WAKE, due to naming conflict **
**                           with Module LIN                                  **
** V1.3.0: 2016-02-18, xx:   Covering AE design step. Changes:                **
**                           MISRA-2012 checked with PC-lint for C/C++ (NT)   **
**                           Vers. 9.00L                                      **
**                           Editorial changes                                **
**                           Adapted Flash and RAM adresses and sizes for     **
**                           whole device portfolio                           **
**                           PMU->WAKE_CNF_GPIO0 removed (was shared register,**
**                           PMU->GPUDATA8to11 remains)                       **
**                           PMU->GPIO_WAKE_STATUS: GPIO2 removed             **
**                           PMU->RESET_STS: PMU_IntWDT removed               **
**                           PMU->VDDEXT_CTRL.3..5 changed to read-only       **
**                           SCU->SYS_STRTUP_STS.PG100TP_NU changed to        **
**                           MRAMINITSTS                                      **
**                           CPU->NCIC_ICER renamed to NVIC_ICER              **
** V1.4.0: 2016-06-07, xx:   MISRA-2012 checked with PC-lint for C/C++ (NT)   **
**                           Vers. 9.00L                                      **
**                           Editorial changes                                **
**                           Flash sizes adapted for TL9842-2 and TLE9843-2   **
** V1.5.0: 2016-06-23, xx:   Version covering the TLE984xQX Users Manual 1.0  **
**                           (2016-06-20), no changes compared to V1.4.0      **
** V1.6.0: 2016-06-28, xx:   Memory definition moved to tle_device.h          **
** V1.7.0: 2017-10-27, xx:   Include of tle_device.h removed                  **
** V1.8.0: 2017-10-28, xx:   Position/Mask macros added                       **
** V1.9.0: 2019-03-29, xx:   Version covering the TLE984xQX User Manual 1.1   **
**                           (2019-03-18)                                     **
**                           All bitfiels "rwpt" changed to read-only         **
**                           SCUPM->SYS_IS: SYS_SUPPLY_STS and SYS_SUPPLY_IS  **
**                           removed                                          **
**                           ADC1->CTRL_STS.SOOC removed                      **
**                           ADC1->STATUS removed (containing SD_FEEDB_ON,    **
**                           SOC_JITTER, DAC_IN)                              **
**                           CPU->NVIC_IPRx.PRI_* width changed to 2 bit, also**
**                           in CPU->SHPR2 and CPU->SHPR3                     **
**                           CPU->CCR.UNALIGN_TRP and STKALIGN are read-only  **
**                           PMU->WAKE_STATUS.GPIO0 and GPIO2 removed         **
**                           PMU->GPIO_WAKE_STATUS.GPIO0_STS_0..4 removed     **
**                           PMU->WAKE_CNF_GPIO1: bits for GPIO1.3 removed    **
**                           PMU->CPREG_CNF removed (containing SEL_GPIO)     **
**                           SCUPM->PKGCFG1 removed (containing HS2EN)        **
**                           (accidentally not mentioned in Rev. Hist. of User**
**                           Manual 1.1)                                      **
** V1.9.1: 2021-08-16, BG:   EP-731: Updated revision history layout          **
** V1.9.2: 2021-10-07, BG:   EP-931: Corrected ARMCC compiler v6 errors       **
** V1.9.3: 2021-10-14, BG:   EP-918: Updated header file according to new svd **
** V1.9.4: 2021-12-13, JO:   EP-933: Updated copyright and branding           **
** V1.9.5: 2022-07-01, VO:   EP-1159: Added tle984x specific interrupts       **
** V1.9.6: 2022-07-01, VO:   EP-1178: Updated license                         **
*******************************************************************************/

/** @addtogroup Infineon
  * @{
  */


/** @addtogroup TLE984x
  * @{
  */


#ifndef TLE984X_H
#define TLE984X_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M0 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* ==========================================  TLE984x Specific Interrupt Numbers  =========================================== */
  GPT1_Int                  =   0,              /*!< 0  Interrupt node 0: GPT1 Block                                           */
  GPT2_Int                  =   1,              /*!< 1  Interrupt node 1: GPT2 Block                                           */
  ADC2_Int                  =   2,              /*!< 2  Interrupt node 2: ADC2                                                 */
  ADC1_Int                  =   3,              /*!< 3  Interrupt node 3: ADC10 bit                                            */
  CCU6_SR0_Int              =   4,              /*!< 4  Interrupt node 4: CCU6 node0                                           */
  CCU6_SR1_Int              =   5,              /*!< 5  Interrupt node 5: CCU6 node1                                           */
  CCU6_SR2_Int              =   6,              /*!< 6  Interrupt node 6: CCU6 node2                                           */
  CCU6_SR3_Int              =   7,              /*!< 7  Interrupt node 7: CCU6 node3                                           */
  SSC1_Int                  =   8,              /*!< 8  Interrupt node 8: SSC1                                                 */
  SSC2_Int                  =   9,              /*!< 9  Interrupt node 9: SSC2                                                 */
  UART1_LIN_Tmr2_Int        =  10,              /*!< 10 Interrupt node10: UART1(ASC,LIN), Timer2                               */
  UART2_Tmr21_EINT2_Int     =  11,              /*!< 11 Interrupt node11: UART2, Timer21, EINT2                                */
  EXINT0_Int                =  12,              /*!< 12 Interrupt node12: EINT0                                                */
  EXINT1_Int                =  13,              /*!< 13 Interrupt node13: EINT1                                                */
  WAKEUP_Int                =  14,              /*!< 14 Interrupt node14: Wake-up                                              */
  LS1_Int                   =  17,              /*!< 17 Interrupt node17: Low-side 1                                           */
  LS2_Int                   =  18,              /*!< 18 Interrupt node18: Low-side 2                                           */
  HS1_Int                   =  19,              /*!< 19 Interrupt node19: High-side 1                                          */
  HS2_Int                   =  20,              /*!< 20 Interrupt node20: High-side 2                                          */
  DU_Int                    =  21,              /*!< 21 Interrupt node21: Differential unit - DPP1 (product variant
                                                     dependent, only TLE9845QX)                                                */
  MON_Int                   =  22,              /*!< 22 Interrupt node22: MONx                                                 */
  PORT2X_Int                =  23               /*!< 23 Interrupt node23: Port 2.x - DPP1                                      */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M0 Processor and Core Peripherals  =========================== */
#define __CM0_REV                 0x0201U       /*!< CM0 Core Revision                                                         */
#define __NVIC_PRIO_BITS               2        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         0        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  0        /*!< MPU present                                                               */
#define __FPU_PRESENT                  0        /*!< FPU present                                                               */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                           /*!< ARM Cortex-M0 processor and core peripherals                              */
#include "system_tle984x.h"                     /*!< tle984x System                                                            */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif

#ifdef UNIT_TESTING_LV2
  #undef __I
  #define __I volatile
  #undef __IM
  #define __IM volatile
#endif

/* Ignore the following warnings from ARMCC v6:
* - tle987x.h: warning: padding size of 'struct ...' with ... bits to alignment boundary [-Wpadded] (~1000 occurences)
* - dma.c: warning: default label in switch which covers all enumeration values [-Wcovered-switch-default] (2 occurences)
* - scu.c: warning: explicitly assigning value of variable of type 'uint8' (aka 'unsigned char') to itself [-Wself-assign] (2 occurences)
*/
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6000000)
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wpadded"
#pragma clang diagnostic ignored "-Wcovered-switch-default"
#pragma clang diagnostic ignored "-Wself-assign"
#endif

/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                           ADC1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief 10-bit Analog Digital Converter (ADC1) registers (ADC1)
  */

typedef struct {                                /*!< (@ 0x40004000) ADC1 Structure                                             */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) ADC1 control and status register                           */
    
    struct {
      __IOM uint32_t PD_N       : 1;            /*!< [0..0] ADC1 Power-down signal                                             */
            uint32_t            : 1;
      __IOM uint32_t SOS        : 1;            /*!< [2..2] ADC1 Start of sampling/conversion (software mode)                  */
            uint32_t            : 1;
      __IM  uint32_t READY      : 1;            /*!< [4..4] HVADC ready bit                                                    */
      __IM  uint32_t CAL_SIGN   : 1;            /*!< [5..5] Output of comparator to steer gain/offset calibration              */
            uint32_t            : 1;
      __IM  uint32_t EOC        : 1;            /*!< [7..7] ADC1 End of Conversion (software mode)                             */
      __IOM uint32_t SW_CH_SEL  : 4;            /*!< [11..8] Channel for software mode                                         */
            uint32_t            : 6;
      __IOM uint32_t STRTUP_DIS : 1;            /*!< [18..18] DPP1 startup disable                                             */
            uint32_t            : 13;
    } bit;
  } CTRL_STS;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000004) Sequencer feedback register                                */
    
    struct {
      __IM  uint32_t SQ_FB      : 5;            /*!< [4..0] Current sequence that caused software mode                         */
            uint32_t            : 3;
      __IM  uint32_t SQ_STOP    : 1;            /*!< [8..8] ADC1 sequencer stop signal for DPP                                 */
      __IM  uint32_t EIM_ACTIVE : 1;            /*!< [9..9] ADC1 EIM active                                                    */
      __IM  uint32_t ESM_ACTIVE : 1;            /*!< [10..10] ADC1 ESM active                                                  */
      __IM  uint32_t SQx        : 4;            /*!< [14..11] Current active ADC1 sequence                                     */
            uint32_t            : 1;
      __IM  uint32_t CHx        : 4;            /*!< [19..16] Current ADC1 channel                                             */
            uint32_t            : 12;
    } bit;
  } SQ_FB;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Channel setting bits for exceptional interrupt
                                                                    measurement register                                       */
    
    struct {
      __IOM uint32_t EIM_CHx    : 4;            /*!< [3..0] Channel set for exceptional interrupt measurement (EIM)            */
            uint32_t            : 4;
      __IOM uint32_t EIM_REP    : 3;            /*!< [10..8] Repeat count for exceptional interrupt measurement (EIM)          */
      __IOM uint32_t EIM_EN     : 1;            /*!< [11..11] Exceptional interrupt measurement (EIM) Trigger Event
                                                     enable                                                                    */
            uint32_t            : 4;
      __IOM uint32_t ADC1_EIM_TRIG_SEL : 3;     /*!< [18..16] Trigger selection for exceptional interrupt measurement
                                                     (EIM)                                                                     */
            uint32_t            : 13;
    } bit;
  } CHx_EIM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Channel setting bits for exceptional sequence
                                                                    measurement register                                       */
    
    struct {
      __IOM uint32_t ESM_0      : 12;           /*!< [11..0] Channel sequence for exceptional sequence measurement
                                                     (ESM)                                                                     */
            uint32_t            : 4;
      __IOM uint32_t ADC1_ESM_TRIG_SEL : 3;     /*!< [18..16] Trigger selection for exceptional interrupt measurement
                                                     (ESM)                                                                     */
            uint32_t            : 11;
      __IOM uint32_t ESM_EN     : 1;            /*!< [30..30] Enable for Exceptional Sequence Measurement Trigger
                                                     Event                                                                     */
      __IOM uint32_t ESM_STS    : 1;            /*!< [31..31] Exceptional sequence measurement is finished                     */
    } bit;
  } CHx_ESM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Maximum time for software mode register                    */
    
    struct {
      __IOM uint32_t MAX_TIME   : 8;            /*!< [7..0] Maximum Time in software mode                                      */
            uint32_t            : 24;
    } bit;
  } MAX_TIME;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Measurement unit 1 control 2 register                      */
    
    struct {
      __IOM uint32_t CAL_EN     : 12;           /*!< [11..0] Calibration enable for channels 0 to 11                           */
            uint32_t            : 20;
    } bit;
  } CTRL2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Measurement unit 1 control 3 register                      */
    
    struct {
      __IOM uint32_t MCM_PD_N   : 1;            /*!< [0..0] Power-down signal for MCM                                          */
      __IOM uint32_t SW_MODE    : 1;            /*!< [1..1] Software mode enable                                               */
            uint32_t            : 2;
      __OM  uint32_t EoC_FAIL_CLR : 1;          /*!< [4..4] Fail of ADC end of conversion signal clear                         */
            uint32_t            : 1;
      __IM  uint32_t EoC_FAIL   : 1;            /*!< [6..6] Fail of ADC end of conversion signal                               */
      __IM  uint32_t MCM_RDY    : 1;            /*!< [7..7] Ready signal for MCM (Measurement core module) after
                                                     power on or reset                                                         */
      __IOM uint32_t SAMPLE_TIME_HVCH : 4;      /*!< [11..8] Sample time of ADC1                                               */
            uint32_t            : 4;
      __IOM uint32_t SAMPLE_TIME_LVCH : 4;      /*!< [19..16] Sample time of ADC1                                              */
            uint32_t            : 12;
    } bit;
  } CTRL3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Measurement unit 1 control 5 register                      */
    
    struct {
      __IOM uint32_t FILT_OUT_SEL_11_0 : 12;    /*!< [11..0] Output filter selection for channels 0 to 11                      */
            uint32_t            : 20;
    } bit;
  } CTRL5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Measurement unit 1 channel enable bits for cycle
                                                                    0-1 register                                               */
    
    struct {
      __IOM uint32_t SQ0        : 12;           /*!< [11..0] Sequence 0 channel enable                                         */
            uint32_t            : 4;
      __IOM uint32_t SQ1        : 12;           /*!< [27..16] Sequence 1 channel enable                                        */
            uint32_t            : 4;
    } bit;
  } SQ0_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) Measurement unit 1 channel enable bits for cycle
                                                                    2-3 register                                               */
    
    struct {
      __IOM uint32_t SQ2        : 12;           /*!< [11..0] Sequence 2 channel enable                                         */
            uint32_t            : 4;
      __IOM uint32_t SQ3        : 12;           /*!< [27..16] Sequence 3 channel enable                                        */
            uint32_t            : 4;
    } bit;
  } SQ2_3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000028) Measurement unit 1 channel enable bits for cycle
                                                                    4-5 register                                               */
    
    struct {
      __IOM uint32_t SQ4        : 12;           /*!< [11..0] Sequence 4 channel enable                                         */
            uint32_t            : 4;
      __IOM uint32_t SQ5        : 12;           /*!< [27..16] Sequence 5 channel enable                                        */
            uint32_t            : 4;
    } bit;
  } SQ4_5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000002C) Measurement unit 1 channel enable bits for cycle
                                                                    6-7 register                                               */
    
    struct {
      __IOM uint32_t SQ6        : 12;           /*!< [11..0] Sequence 6 channel enable                                         */
            uint32_t            : 4;
      __IOM uint32_t SQ7        : 12;           /*!< [27..16] Sequence 7 channel enable                                        */
            uint32_t            : 4;
    } bit;
  } SQ6_7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000030) Measurement unit 1 channel enable bits for cycle
                                                                    8-9 register                                               */
    
    struct {
      __IOM uint32_t SQ8        : 12;           /*!< [11..0] Sequence 8 channel enable                                         */
            uint32_t            : 4;
      __IOM uint32_t SQ9        : 12;           /*!< [27..16] Sequence 9 channel enable                                        */
            uint32_t            : 4;
    } bit;
  } SQ8_9;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) Measurement unit 1 channel enable bits for cycle
                                                                    10-11 register                                             */
    
    struct {
      __IOM uint32_t SQ10       : 12;           /*!< [11..0] Sequence 10 channel enable                                        */
            uint32_t            : 4;
      __IOM uint32_t SQ11       : 12;           /*!< [27..16] Sequence 11 channel enable                                       */
            uint32_t            : 4;
    } bit;
  } SQ10_11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000038) Measurement unit 1 control 4 register                      */
    
    struct {
      __IOM uint32_t MAX_CALTIME : 4;           /*!< [3..0] Maximum ADC calibration time                                       */
            uint32_t            : 28;
    } bit;
  } CTRL4;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000040) Lower comparator trigger level channel 0-3                 */
    
    struct {
      __IOM uint32_t CH0_LOW    : 8;            /*!< [7..0] Channel 0 lower trigger level                                      */
      __IOM uint32_t CH1_LOW    : 8;            /*!< [15..8] Channel 1 lower trigger level                                     */
      __IOM uint32_t CH2_LOW    : 8;            /*!< [23..16] Channel 2 lower trigger level                                    */
      __IOM uint32_t CH3_LOW    : 8;            /*!< [31..24] Channel 3 lower trigger level                                    */
    } bit;
  } TH0_3_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000044) Lower comparator trigger level channel 4-7                 */
    
    struct {
      __IOM uint32_t CH4_LOW    : 8;            /*!< [7..0] Channel 4 lower trigger level                                      */
      __IOM uint32_t CH5_LOW    : 8;            /*!< [15..8] Channel 5 lower trigger level                                     */
      __IOM uint32_t CH6_LOW    : 8;            /*!< [23..16] Channel 6 lower trigger level                                    */
      __IOM uint32_t CH7_LOW    : 8;            /*!< [31..24] Channel 7 lower trigger level                                    */
    } bit;
  } TH4_7_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000048) Calibration for channel 0 and 1 register                   */
    
    struct {
      __IOM uint32_t CALOFFS_CH0 : 5;           /*!< [4..0] Offset calibration for channel 0                                   */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH0 : 8;           /*!< [15..8] Gain calibration for channel 0                                    */
      __IOM uint32_t CALOFFS_CH1 : 5;           /*!< [20..16] Offset calibration for channel 1                                 */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH1 : 8;           /*!< [31..24] Gain calibration for channel 1                                   */
    } bit;
  } CAL_CH0_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000004C) Calibration for channel 2 and 3 register                   */
    
    struct {
      __IOM uint32_t CALOFFS_CH2 : 5;           /*!< [4..0] Offset calibration for channel 2                                   */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH2 : 8;           /*!< [15..8] Gain calibration for channel 2                                    */
      __IOM uint32_t CALOFFS_CH3 : 5;           /*!< [20..16] Offset calibration for channel 3                                 */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH3 : 8;           /*!< [31..24] Gain calibration for channel 3                                   */
    } bit;
  } CAL_CH2_3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000050) Calibration for channel 4 and 5 register                   */
    
    struct {
      __IOM uint32_t CALOFFS_CH4 : 5;           /*!< [4..0] Offset calibration for channel 4                                   */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH4 : 8;           /*!< [15..8] Gain calibration for channel 4                                    */
      __IOM uint32_t CALOFFS_CH5 : 5;           /*!< [20..16] Offset calibration for channel 5                                 */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH5 : 8;           /*!< [31..24] Gain calibration for channel 5                                   */
    } bit;
  } CAL_CH4_5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000054) Calibration for channel 6 and 7 register                   */
    
    struct {
      __IOM uint32_t CALOFFS_CH6 : 5;           /*!< [4..0] Offset calibration for channel 6                                   */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH6 : 8;           /*!< [15..8] Gain calibration for channel 6                                    */
      __IOM uint32_t CALOFFS_CH7 : 5;           /*!< [20..16] Offset calibration for channel 7                                 */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH7 : 8;           /*!< [31..24] Gain calibration for channel 7                                   */
    } bit;
  } CAL_CH6_7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000058) Calibration for channel 8 and 9 register                   */
    
    struct {
      __IOM uint32_t CALOFFS_CH8 : 5;           /*!< [4..0] Offset calibration for channel 8                                   */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH8 : 8;           /*!< [15..8] Gain calibration for channel 8                                    */
      __IOM uint32_t CALOFFS_CH9 : 5;           /*!< [20..16] Offset calibration for channel 9                                 */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH9 : 8;           /*!< [31..24] Gain calibration for channel 9                                   */
    } bit;
  } CAL_CH8_9;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000005C) Calibration for channel 10 and 11 register                 */
    
    struct {
      __IOM uint32_t CALOFFS_CH10 : 5;          /*!< [4..0] Offset calibration for channel 10                                  */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH10 : 8;          /*!< [15..8] Gain calibration for channel 10                                   */
      __IOM uint32_t CALOFFS_CH11 : 5;          /*!< [20..16] Offset calibration for channel 11                                */
            uint32_t            : 3;
      __IOM uint32_t CALGAIN_CH11 : 8;          /*!< [31..24] Gain calibration for channel 11                                  */
    } bit;
  } CAL_CH10_11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000060) Filter coefficients measurement unit channel
                                                                    0-11 register                                              */
    
    struct {
      __IOM uint32_t CH0        : 2;            /*!< [1..0] Filter coefficients ADC channel 0                                  */
      __IOM uint32_t CH1        : 2;            /*!< [3..2] Filter coefficients ADC channel 1                                  */
      __IOM uint32_t CH2        : 2;            /*!< [5..4] Filter coefficients ADC channel 2                                  */
      __IOM uint32_t CH3        : 2;            /*!< [7..6] Filter coefficients ADC channel 3                                  */
      __IOM uint32_t CH4        : 2;            /*!< [9..8] Filter coefficients ADC channel 4                                  */
      __IOM uint32_t CH5        : 2;            /*!< [11..10] Filter coefficients ADC channel 5                                */
      __IOM uint32_t CH6        : 2;            /*!< [13..12] Filter Coefficients ADC channel 6                                */
      __IOM uint32_t CH7        : 2;            /*!< [15..14] Filter coefficients ADC channel 7                                */
      __IOM uint32_t CH8        : 2;            /*!< [17..16] Filter coefficients ADC channel 8                                */
      __IOM uint32_t CH9        : 2;            /*!< [19..18] Filter coefficients ADC channel 9                                */
      __IOM uint32_t CH10       : 2;            /*!< [21..20] Filter coefficients ADC channel 10                               */
      __IOM uint32_t CH11       : 2;            /*!< [23..22] Filter coefficients ADC channel 11                               */
            uint32_t            : 8;
    } bit;
  } FILTCOEFF0_11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000064) ADC1 interrupt status 1 register                           */
    
    struct {
      __IOM uint32_t VBATSEN_IS : 1;            /*!< [0..0] ADC1 channel 1 interrupt status                                    */
      __IOM uint32_t VS_IS      : 1;            /*!< [1..1] ADC1 channel 0 interrupt status                                    */
      __IOM uint32_t MON1_IS    : 1;            /*!< [2..2] ADC1 channel 2 interrupt status                                    */
      __IOM uint32_t MON2_IS    : 1;            /*!< [3..3] ADC1 channel 3 interrupt status                                    */
      __IOM uint32_t MON3_IS    : 1;            /*!< [4..4] ADC1 channel 4 interrupt status                                    */
      __IOM uint32_t MON4_IS    : 1;            /*!< [5..5] ADC1 channel 5 interrupt status                                    */
      __IOM uint32_t MON5_IS    : 1;            /*!< [6..6] ADC1 channel 6 interrupt status                                    */
      __IOM uint32_t P2_1_IS    : 1;            /*!< [7..7] ADC1 channel 7 interrupt status                                    */
      __IOM uint32_t P2_2_IS    : 1;            /*!< [8..8] ADC1 channel 8 interrupt status                                    */
      __IOM uint32_t P2_3_IS    : 1;            /*!< [9..9] ADC1 channel 9 interrupt status                                    */
      __IOM uint32_t P2_6_IS    : 1;            /*!< [10..10] ADC1 channel 10 interrupt status                                 */
      __IOM uint32_t P2_7_IS    : 1;            /*!< [11..11] ADC1 channel 11 interrupt status                                 */
      __IOM uint32_t P2_0_IS    : 1;            /*!< [12..12] ADC1 channel 12 interrupt status                                 */
            uint32_t            : 3;
      __IOM uint32_t EIM_IS     : 1;            /*!< [16..16] Exceptional interrupt measurement (EIM) status                   */
      __IOM uint32_t ESM_IS     : 1;            /*!< [17..17] Exceptional sequence measurement (ESM) status                    */
            uint32_t            : 6;
      __IOM uint32_t DU1LO_IS   : 1;            /*!< [24..24] ADC1 Differential Unit 1 (DU1) lower channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU1UP_IS   : 1;            /*!< [25..25] ADC1 differential unit 1 (DU1) upper channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU2LO_IS   : 1;            /*!< [26..26] ADC1 differential unit 2 (DU2) lower channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU2UP_IS   : 1;            /*!< [27..27] ADC1 differential unit 2 (DU2) upper channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU3LO_IS   : 1;            /*!< [28..28] ADC1 differential unit 3 (DU3) lower Channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU3UP_IS   : 1;            /*!< [29..29] ADC1 differential unit 3 (DU3) upper channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU4LO_IS   : 1;            /*!< [30..30] ADC1 differential unit 4 (DU4) lower channel interrupt
                                                     status                                                                    */
      __IOM uint32_t DU4UP_IS   : 1;            /*!< [31..31] ADC1 differential unit 4 (DU4) upper channel interrupt
                                                     dtatus                                                                    */
    } bit;
  } IRQS_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000068) ADC1 interrupt enable 1 register                           */
    
    struct {
      __IOM uint32_t VBATSEN_IEN : 1;           /*!< [0..0] ADC1 VBAT_SENSE interrupt enable                                   */
      __IOM uint32_t VS_IEN     : 1;            /*!< [1..1] ADC1 VS interrupt enable                                           */
      __IOM uint32_t MON1_IEN   : 1;            /*!< [2..2] ADC1 MON 1 interrupt enable                                        */
      __IOM uint32_t MON2_IEN   : 1;            /*!< [3..3] ADC1 MON 2 interrupt enable                                        */
      __IOM uint32_t MON3_IEN   : 1;            /*!< [4..4] ADC1 MON 3 interrupt enable                                        */
      __IOM uint32_t MON4_IEN   : 1;            /*!< [5..5] ADC1 MON 4 interrupt enable                                        */
      __IOM uint32_t MON5_IEN   : 1;            /*!< [6..6] ADC1 MON 5 interrupt enable                                        */
      __IOM uint32_t P2_1_IEN   : 1;            /*!< [7..7] ADC1 Port 2.1 interrupt enable                                     */
      __IOM uint32_t P2_2_IEN   : 1;            /*!< [8..8] ADC1 Port 2.2 interrupt enable                                     */
      __IOM uint32_t P2_3_IEN   : 1;            /*!< [9..9] ADC1 Port 2.3 interrupt enable                                     */
      __IOM uint32_t P2_6_IEN   : 1;            /*!< [10..10] ADC1 Port 2.6 interrupt enable                                   */
      __IOM uint32_t P2_7_IEN   : 1;            /*!< [11..11] ADC1 Port 2.7 interrupt enable                                   */
      __IOM uint32_t P2_0_IEN   : 1;            /*!< [12..12] ADC1 Port 2.0 interrupt enable                                   */
            uint32_t            : 3;
      __IOM uint32_t EIM_IEN    : 1;            /*!< [16..16] Exceptional interrupt measurement (EIM) interrupt enable         */
      __IOM uint32_t ESM_IEN    : 1;            /*!< [17..17] Exceptional sequence measurement (ESM) interrupt enable          */
            uint32_t            : 6;
      __IOM uint32_t DU1LO_IEN  : 1;            /*!< [24..24] Differential unit 1 lower interrupt enable                       */
      __IOM uint32_t DU1UP_IEN  : 1;            /*!< [25..25] Differential unit 1 upper interrupt enable                       */
      __IOM uint32_t DU2LO_IEN  : 1;            /*!< [26..26] Differential unit 2 lower interrupt enable                       */
      __IOM uint32_t DU2UP_IEN  : 1;            /*!< [27..27] Differential unit 2 upper interrupt enable                       */
      __IOM uint32_t DU3LO_IEN  : 1;            /*!< [28..28] Differential unit 3 lower interrupt enable                       */
      __IOM uint32_t DU3UP_IEN  : 1;            /*!< [29..29] Differential unit 3 upper interrupt enable                       */
      __IOM uint32_t DU4LO_IEN  : 1;            /*!< [30..30] Differential unit 4 lower interrupt enable                       */
      __IOM uint32_t DU4UP_IEN  : 1;            /*!< [31..31] Differential unit 4 upper interrupt enable                       */
    } bit;
  } IRQEN_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000006C) ADC1 interrupt status clear 1 register                     */
    
    struct {
      __OM  uint32_t VBATSEN_ISC : 1;           /*!< [0..0] ADC1 VBAT_SENSE interrupt status clear                             */
      __OM  uint32_t VS_ISC     : 1;            /*!< [1..1] ADC1 VS interrupt status clear                                     */
      __OM  uint32_t MON1_ISC   : 1;            /*!< [2..2] ADC1 MON 1 interrupt status clear                                  */
      __OM  uint32_t MON2_ISC   : 1;            /*!< [3..3] ADC1 MON 2 interrupt status clear                                  */
      __OM  uint32_t MON3_ISC   : 1;            /*!< [4..4] ADC1 MON 3 interrupt status clear                                  */
      __OM  uint32_t MON4_ISC   : 1;            /*!< [5..5] ADC1 MON 4 interrupt status clear                                  */
      __OM  uint32_t MON5_ISC   : 1;            /*!< [6..6] ADC1 MON 5 interrupt status clear                                  */
      __OM  uint32_t P2_1_ISC   : 1;            /*!< [7..7] ADC1 Port 2.1 interrupt status clear                               */
      __OM  uint32_t P2_2_ISC   : 1;            /*!< [8..8] ADC1 Port 2.2 interrupt status clear                               */
      __OM  uint32_t P2_3_ISC   : 1;            /*!< [9..9] ADC1 Port 2.3 interrupt status clear                               */
      __OM  uint32_t P2_6_ISC   : 1;            /*!< [10..10] ADC1 Port 2.6 interrupt status clear                             */
      __OM  uint32_t P2_7_ISC   : 1;            /*!< [11..11] ADC1 Port 2.7 interrupt status clear                             */
      __OM  uint32_t P2_0_ISC   : 1;            /*!< [12..12] ADC1 Port 2.0 interrupt status clear                             */
            uint32_t            : 3;
      __OM  uint32_t EIM_ISC    : 1;            /*!< [16..16] Exceptional interrupt measurement (EIM) status clear             */
      __OM  uint32_t ESM_ISC    : 1;            /*!< [17..17] Exceptional sequence measurement (ESM) status clear              */
            uint32_t            : 6;
      __OM  uint32_t DU1LO_ISC  : 1;            /*!< [24..24] Differential unit 1 lower interrupt status clear                 */
      __OM  uint32_t DU1UP_ISC  : 1;            /*!< [25..25] Differential unit 1 lower interrupt status clear                 */
      __OM  uint32_t DU2LO_ISC  : 1;            /*!< [26..26] Differential unit 2 lower interrupt status clear                 */
      __OM  uint32_t DU2UP_ISC  : 1;            /*!< [27..27] Differential unit 2 lower interrupt status clear                 */
      __OM  uint32_t DU3LO_ISC  : 1;            /*!< [28..28] Differential unit 3 lower interrupt status clear                 */
      __OM  uint32_t DU3UP_ISC  : 1;            /*!< [29..29] Differential unit 3 lower interrupt status clear                 */
      __OM  uint32_t DU4LO_ISC  : 1;            /*!< [30..30] Differential unit 4 lower interrupt status clear                 */
      __OM  uint32_t DU4UP_ISC  : 1;            /*!< [31..31] Differential unit 4 lower interrupt status clear                 */
    } bit;
  } IRQCLR_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000070) ADC1 or filter output channel 0 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH0 : 12;         /*!< [11..0] ADC or filter output value channel 0                              */
            uint32_t            : 4;
      __IOM uint32_t WFR0       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF0        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF0        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000074) ADC1 or filter output channel 1 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH1 : 12;         /*!< [11..0] ADC or filter output value channel 1                              */
            uint32_t            : 4;
      __IOM uint32_t WFR1       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF1        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF1        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000078) ADC1 or filter output channel 2 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH2 : 12;         /*!< [11..0] ADC or filter output value channel 2                              */
            uint32_t            : 4;
      __IOM uint32_t WFR2       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF2        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF2        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000007C) ADC1 or filter output channel 3 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH3 : 12;         /*!< [11..0] ADC or filter output value channel 3                              */
            uint32_t            : 4;
      __IOM uint32_t WFR3       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF3        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF3        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000080) ADC1 or filter output channel 4 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH4 : 12;         /*!< [11..0] ADC or filter output value channel 4                              */
            uint32_t            : 4;
      __IOM uint32_t WFR4       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF4        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF4        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000084) ADC1 or filter output channel 5 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH5 : 12;         /*!< [11..0] ADC or filter output value channel 5                              */
            uint32_t            : 4;
      __IOM uint32_t WFR5       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF5        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF5        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000088) ADC1 or filter output channel 6 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH6 : 12;         /*!< [11..0] ADC or filter output value channel 6                              */
            uint32_t            : 4;
      __IOM uint32_t WFR6       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF6        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF6        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT6;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000008C) ADC1 or filter output channel 7 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH7 : 12;         /*!< [11..0] ADC or filter output value channel 7                              */
            uint32_t            : 4;
      __IOM uint32_t WFR7       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF7        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF7        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000090) ADC1 or filter output channel 8 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH8 : 12;         /*!< [11..0] ADC or filter output value channel 8                              */
            uint32_t            : 4;
      __IOM uint32_t WFR8       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF8        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF8        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT8;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000094) ADC1 or filter output channel 9 register                   */
    
    struct {
      __IM  uint32_t FILT_OUT_CH9 : 12;         /*!< [11..0] ADC or filter output value channel 9                              */
            uint32_t            : 4;
      __IOM uint32_t WFR9       : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF9        : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF9        : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT9;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000098) ADC1 or filter output channel 10 register                  */
    
    struct {
      __IM  uint32_t FILT_OUT_CH10 : 12;        /*!< [11..0] ADC or filter output value channel 10                             */
            uint32_t            : 4;
      __IOM uint32_t WFR10      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF10       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF10       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT10;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000009C) ADC1 or filter output channel 11 register                  */
    
    struct {
      __IM  uint32_t FILT_OUT_CH11 : 12;        /*!< [11..0] ADC or filter output value channel 11                             */
            uint32_t            : 4;
      __IOM uint32_t WFR11      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF11       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF11       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A0) ADC1 differential channel output 1 register                */
    
    struct {
      __IM  uint32_t DCH1       : 12;           /*!< [11..0] ADC differential output value 1                                   */
            uint32_t            : 4;
      __IOM uint32_t DWFR1      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t DVF1       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t DOF1       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } DIFFCH_OUT1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A4) ADC1 differential channel output 2 register                */
    
    struct {
      __IM  uint32_t DCH2       : 12;           /*!< [11..0] ADC differential output value 2                                   */
            uint32_t            : 4;
      __IOM uint32_t DWFR2      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t DVF2       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t DOF2       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } DIFFCH_OUT2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A8) ADC1 differential channel output 3 register                */
    
    struct {
      __IM  uint32_t DCH3       : 12;           /*!< [11..0] ADC differential output value 3                                   */
            uint32_t            : 4;
      __IOM uint32_t DWFR3      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t DVF3       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t DOF3       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } DIFFCH_OUT3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000AC) ADC1 differential channel output 4 register                */
    
    struct {
      __IM  uint32_t DCH4       : 12;           /*!< [11..0] ADC differential output value 4                                   */
            uint32_t            : 4;
      __IOM uint32_t DWFR4      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t DVF4       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t DOF4       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } DIFFCH_OUT4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B0) Upper threshold filter enable                              */
    
    struct {
      __IOM uint32_t FU_CH0_EN  : 1;            /*!< [0..0] Upper threshold IIR filter enable channel 0                        */
      __IOM uint32_t FU_CH1_EN  : 1;            /*!< [1..1] Upper threshold IIR filter enable channel 1                        */
      __IOM uint32_t FU_CH2_EN  : 1;            /*!< [2..2] Upper threshold IIR filter enable channel 2                        */
      __IOM uint32_t FU_CH3_EN  : 1;            /*!< [3..3] Upper threshold IIR filter enable channel 3                        */
      __IOM uint32_t FU_CH4_EN  : 1;            /*!< [4..4] Upper threshold IIR filter enable channel 4                        */
      __IOM uint32_t FU_CH5_EN  : 1;            /*!< [5..5] Upper threshold IIR filter enable channel 5                        */
      __IOM uint32_t FU_CH6_EN  : 1;            /*!< [6..6] Upper threshold IIR filter enable channel 6                        */
      __IOM uint32_t FU_CH7_EN  : 1;            /*!< [7..7] Upper threshold IIR filter enable channel 7                        */
      __IOM uint32_t FU_CH8_EN  : 1;            /*!< [8..8] Upper threshold IIR filter enable channel 8                        */
      __IOM uint32_t FU_CH9_EN  : 1;            /*!< [9..9] Upper threshold IIR filter enable channel 9                        */
      __IOM uint32_t FU_CH10_EN : 1;            /*!< [10..10] Upper threshold IIR filter enable channel 10                     */
      __IOM uint32_t FU_CH11_EN : 1;            /*!< [11..11] Upper threshold IIR filter enable channel 11                     */
            uint32_t            : 20;
    } bit;
  } FILT_UP_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B4) Lower Threshold filter enable                              */
    
    struct {
      __IOM uint32_t FL_CH0_EN  : 1;            /*!< [0..0] Lower threshold IIR filter enable channel 0                        */
      __IOM uint32_t FL_CH1_EN  : 1;            /*!< [1..1] Lower threshold IIR filter enable channel 1                        */
      __IOM uint32_t FL_CH2_EN  : 1;            /*!< [2..2] Lower threshold IIR filter enable channel 2                        */
      __IOM uint32_t FL_CH3_EN  : 1;            /*!< [3..3] Lower threshold IIR filter enable channel 3                        */
      __IOM uint32_t FL_CH4_EN  : 1;            /*!< [4..4] Lower threshold IIR filter enable channel 4                        */
      __IOM uint32_t FL_CH5_EN  : 1;            /*!< [5..5] Lower threshold IIR filter enable channel 5                        */
      __IOM uint32_t FL_CH6_EN  : 1;            /*!< [6..6] Lower threshold IIR filter enable channel 6                        */
      __IOM uint32_t FL_CH7_EN  : 1;            /*!< [7..7] Lower threshold IIR filter enable channel 7                        */
      __IOM uint32_t FL_CH8_EN  : 1;            /*!< [8..8] Lower threshold IIR filter enable channel 8                        */
      __IOM uint32_t FL_CH9_EN  : 1;            /*!< [9..9] Lower threshold IIR filter enable channel 9                        */
      __IOM uint32_t FL_CH10_EN : 1;            /*!< [10..10] Lower threshold IIR filter enable channel 10                     */
      __IOM uint32_t FL_CH11_EN : 1;            /*!< [11..11] Lower threshold IIR filter enable channel 11                     */
            uint32_t            : 20;
    } bit;
  } FILT_LO_CTRL;
  __IM  uint32_t  RESERVED1[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C0) Lower comparator trigger level channel 8-11                */
    
    struct {
      __IOM uint32_t CH8_LOW    : 8;            /*!< [7..0] Channel 8 lower trigger level                                      */
      __IOM uint32_t CH9_LOW    : 8;            /*!< [15..8] Channel 9 lower trigger level                                     */
      __IOM uint32_t CH10_LOW   : 8;            /*!< [23..16] Channel 10 lower trigger level                                   */
      __IOM uint32_t CH11_LOW   : 8;            /*!< [31..24] Channel 11 lower trigger level                                   */
    } bit;
  } TH8_11_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C4) Lower comparator trigger level differential channel
                                                                    1-4 register                                               */
    
    struct {
      __IOM uint32_t DCH1_LOW   : 8;            /*!< [7..0] Differential channel 1 lower trigger level                         */
      __IOM uint32_t DCH2_LOW   : 8;            /*!< [15..8] Differential channel 2 lower trigger level                        */
      __IOM uint32_t DCH3_LOW   : 8;            /*!< [23..16] Differential channel 3 lower trigger level                       */
      __IOM uint32_t DCH4_LOW   : 8;            /*!< [31..24] Differential channel 4 lower trigger level                       */
    } bit;
  } DCHTH1_4_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C8) Upper comparator trigger level channel 0-3 register        */
    
    struct {
      __IOM uint32_t CH0_UP     : 8;            /*!< [7..0] Channel 0 upper trigger level                                      */
      __IOM uint32_t CH1_UP     : 8;            /*!< [15..8] Channel 1 upper trigger level                                     */
      __IOM uint32_t CH2_UP     : 8;            /*!< [23..16] Channel 2 upper trigger level                                    */
      __IOM uint32_t CH3_UP     : 8;            /*!< [31..24] Channel 3 upper trigger level                                    */
    } bit;
  } TH0_3_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000CC) Upper comparator trigger level channel 4-7 register        */
    
    struct {
      __IOM uint32_t CH4_UP     : 8;            /*!< [7..0] Channel 4 upper trigger level                                      */
      __IOM uint32_t CH5_UP     : 8;            /*!< [15..8] Channel 5 upper trigger level                                     */
      __IOM uint32_t CH6_UP     : 8;            /*!< [23..16] Channel 6 upper trigger level                                    */
      __IOM uint32_t CH7_UP     : 8;            /*!< [31..24] Channel 7 upper trigger level                                    */
    } bit;
  } TH4_7_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000D0) Upper comparator trigger level channel 8-11 register       */
    
    struct {
      __IOM uint32_t CH8_UP     : 8;            /*!< [7..0] Channel 8 upper trigger level                                      */
      __IOM uint32_t CH9_UP     : 8;            /*!< [15..8] Channel 9 upper trigger level                                     */
      __IOM uint32_t CH10_UP    : 8;            /*!< [23..16] Channel 10 upper trigger level                                   */
      __IOM uint32_t CH11_UP    : 8;            /*!< [31..24] Channel 11 upper trigger level                                   */
    } bit;
  } TH8_11_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000D4) Upper comparator trigger level differential channel
                                                                    1-4 register                                               */
    
    struct {
      __IOM uint32_t DCH1_UP    : 8;            /*!< [7..0] Differential channel 1 upper trigger level                         */
      __IOM uint32_t DCH2_UP    : 8;            /*!< [15..8] Differential channel 2 upper trigger level                        */
      __IOM uint32_t DCH3_UP    : 8;            /*!< [23..16] Differential channel 3 upper trigger level                       */
      __IOM uint32_t DCH4_UP    : 8;            /*!< [31..24] Differential channel 4 upper trigger level                       */
    } bit;
  } DCHTH1_4_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000D8) Lower counter trigger level channel 0-3 register           */
    
    struct {
      __IOM uint32_t CNT_LO_CH0 : 3;            /*!< [2..0] Lower timer trigger threshold channel 0                            */
      __IOM uint32_t HYST_LO_CH0 : 2;           /*!< [4..3] Channel 0 lower hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH1 : 3;            /*!< [10..8] Lower timer trigger threshold channel 1                           */
      __IOM uint32_t HYST_LO_CH1 : 2;           /*!< [12..11] Channel 1 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH2 : 3;            /*!< [18..16] Lower timer trigger threshold channel 2                          */
      __IOM uint32_t HYST_LO_CH2 : 2;           /*!< [20..19] Channel 2 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH3 : 3;            /*!< [26..24] Lower timer trigger threshold channel 3                          */
      __IOM uint32_t HYST_LO_CH3 : 2;           /*!< [28..27] Channel 3 lower hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT0_3_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000DC) Lower counter trigger level channel 4-7 register           */
    
    struct {
      __IOM uint32_t CNT_LO_CH4 : 3;            /*!< [2..0] Lower timer trigger threshold channel 4                            */
      __IOM uint32_t HYST_LO_CH4 : 2;           /*!< [4..3] Channel 4 lower hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH5 : 3;            /*!< [10..8] Lower timer trigger threshold channel 5                           */
      __IOM uint32_t HYST_LO_CH5 : 2;           /*!< [12..11] Channel 5 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH6 : 3;            /*!< [18..16] Lower timer trigger threshold channel 6                          */
      __IOM uint32_t HYST_LO_CH6 : 2;           /*!< [20..19] Channel 6 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH7 : 3;            /*!< [26..24] Lower timer trigger threshold channel 7                          */
      __IOM uint32_t HYST_LO_CH7 : 2;           /*!< [28..27] Channel 7 lower hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT4_7_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000E0) Lower counter trigger level channel 8-11 register          */
    
    struct {
      __IOM uint32_t CNT_LO_CH8 : 3;            /*!< [2..0] Lower timer trigger threshold channel 8                            */
      __IOM uint32_t HYST_LO_CH8 : 2;           /*!< [4..3] Channel 8 lower hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH9 : 3;            /*!< [10..8] Lower timer trigger threshold channel 9                           */
      __IOM uint32_t HYST_LO_CH9 : 2;           /*!< [12..11] Channel 9 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH10 : 3;           /*!< [18..16] Lower timer trigger threshold channel 10                         */
      __IOM uint32_t HYST_LO_CH10 : 2;          /*!< [20..19] Channel 10 lower hysteresis                                      */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH11 : 3;           /*!< [26..24] Lower timer trigger threshold channel 11                         */
      __IOM uint32_t HYST_LO_CH11 : 2;          /*!< [28..27] Channel 11 lower hysteresis                                      */
            uint32_t            : 3;
    } bit;
  } CNT8_11_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000E4) Lower counter trigger level differential channel
                                                                    1-4 register                                               */
    
    struct {
      __IOM uint32_t CNT_LO_DCH1 : 3;           /*!< [2..0] Lower timer trigger threshold differential channel 1               */
      __IOM uint32_t HYST_LO_DCH1 : 2;          /*!< [4..3] Differential Channel 1 lower hysteresis                            */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_DCH2 : 3;           /*!< [10..8] Lower timer trigger threshold differential channel 2              */
      __IOM uint32_t HYST_LO_DCH2 : 2;          /*!< [12..11] Differential Channel 2 lower hysteresis                          */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_DCH3 : 3;           /*!< [18..16] Lower timer trigger threshold differential channel
                                                     3                                                                         */
      __IOM uint32_t HYST_LO_DCH3 : 2;          /*!< [20..19] Differential Channel 3 lower hysteresis                          */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_DCH4 : 3;           /*!< [26..24] Lower timer trigger threshold differential channel
                                                     4                                                                         */
      __IOM uint32_t HYST_LO_DCH4 : 2;          /*!< [28..27] Differential Channel 4 lower hysteresis                          */
            uint32_t            : 3;
    } bit;
  } DCHCNT1_4_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000E8) Upper counter trigger level channel 0-3 register           */
    
    struct {
      __IOM uint32_t CNT_UP_CH0 : 3;            /*!< [2..0] Upper timer trigger threshold channel 0                            */
      __IOM uint32_t HYST_UP_CH0 : 2;           /*!< [4..3] Channel 0 upper hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH1 : 3;            /*!< [10..8] Upper timer trigger threshold channel 1                           */
      __IOM uint32_t HYST_UP_CH1 : 2;           /*!< [12..11] Channel 1 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH2 : 3;            /*!< [18..16] Upper timer trigger threshold channel 2                          */
      __IOM uint32_t HYST_UP_CH2 : 2;           /*!< [20..19] Channel 2 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH3 : 3;            /*!< [26..24] Upper timer trigger threshold channel 3                          */
      __IOM uint32_t HYST_UP_CH3 : 2;           /*!< [28..27] Channel 3 upper hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT0_3_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000EC) Upper counter trigger level channel 4-7 register           */
    
    struct {
      __IOM uint32_t CNT_UP_CH4 : 3;            /*!< [2..0] Upper timer trigger threshold channel 4                            */
      __IOM uint32_t HYST_UP_CH4 : 2;           /*!< [4..3] Channel 4 upper hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH5 : 3;            /*!< [10..8] Upper timer trigger threshold channel 5                           */
      __IOM uint32_t HYST_UP_CH5 : 2;           /*!< [12..11] Channel 5 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH6 : 3;            /*!< [18..16] Upper timer trigger threshold channel 6                          */
      __IOM uint32_t HYST_UP_CH6 : 2;           /*!< [20..19] Channel 6 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH7 : 3;            /*!< [26..24] Upper timer trigger threshold channel 7                          */
      __IOM uint32_t HYST_UP_CH7 : 2;           /*!< [28..27] Channel 7 upper hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT4_7_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000F0) Upper counter trigger level channel 8-11 register          */
    
    struct {
      __IOM uint32_t CNT_UP_CH8 : 3;            /*!< [2..0] Upper timer trigger threshold channel 8                            */
      __IOM uint32_t HYST_UP_CH8 : 2;           /*!< [4..3] Channel 8 upper hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH9 : 3;            /*!< [10..8] Upper timer trigger threshold channel 9                           */
      __IOM uint32_t HYST_UP_CH9 : 2;           /*!< [12..11] Channel 9 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH10 : 3;           /*!< [18..16] Upper timer trigger threshold channel 10                         */
      __IOM uint32_t HYST_UP_CH10 : 2;          /*!< [20..19] Channel 10 upper hysteresis                                      */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH11 : 3;           /*!< [26..24] Upper timer trigger threshold channel 11                         */
      __IOM uint32_t HYST_UP_CH11 : 2;          /*!< [28..27] Channel 11 upper hysteresis                                      */
            uint32_t            : 3;
    } bit;
  } CNT8_11_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000F4) Upper counter trigger level differential channel
                                                                    1-4 register                                               */
    
    struct {
      __IOM uint32_t CNT_UP_DCH1 : 3;           /*!< [2..0] Upper timer trigger threshold differential channel 1               */
      __IOM uint32_t HYST_UP_DCH1 : 2;          /*!< [4..3] Differential channel 1 upper hysteresis                            */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_DCH2 : 3;           /*!< [10..8] Upper timer trigger threshold differential channel 2              */
      __IOM uint32_t HYST_UP_DCH2 : 2;          /*!< [12..11] Differential channel 2 upper hysteresis                          */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_DCH3 : 3;           /*!< [18..16] Upper timer trigger threshold differential channel
                                                     3                                                                         */
      __IOM uint32_t HYST_UP_DCH3 : 2;          /*!< [20..19] Differential channel 3 upper hysteresis                          */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_DCH4 : 3;           /*!< [26..24] Upper timer trigger threshold differential channel
                                                     4                                                                         */
      __IOM uint32_t HYST_UP_DCH4 : 2;          /*!< [28..27] Differential channel 4 upper hysteresis                          */
            uint32_t            : 3;
    } bit;
  } DCHCNT1_4_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000F8) Overvoltage measurement mode of channel 0-11
                                                                    register                                                   */
    
    struct {
      __IOM uint32_t MMODE_0    : 2;            /*!< [1..0] Measurement mode channel 0                                         */
      __IOM uint32_t MMODE_1    : 2;            /*!< [3..2] Measurement mode channel 1                                         */
      __IOM uint32_t MMODE_2    : 2;            /*!< [5..4] Measurement mode channel 2                                         */
      __IOM uint32_t MMODE_3    : 2;            /*!< [7..6] Measurement mode channel 3                                         */
      __IOM uint32_t MMODE_4    : 2;            /*!< [9..8] Measurement mode channel 4                                         */
      __IOM uint32_t MMODE_5    : 2;            /*!< [11..10] Measurement mode channel 5                                       */
      __IOM uint32_t MMODE_6    : 2;            /*!< [13..12] Measurement mode channel 6                                       */
      __IOM uint32_t MMODE_7    : 2;            /*!< [15..14] Measurement mode channel 7                                       */
      __IOM uint32_t MMODE_8    : 2;            /*!< [17..16] Measurement mode channel 8                                       */
      __IOM uint32_t MMODE_9    : 2;            /*!< [19..18] Measurement mode channel 9                                       */
      __IOM uint32_t MMODE_10   : 2;            /*!< [21..20] Measurement mode channel 10                                      */
      __IOM uint32_t MMODE_11   : 2;            /*!< [23..22] Measurement mode channel 11                                      */
      __IOM uint32_t MMODE_D1   : 2;            /*!< [25..24] Measurement mode differential channel 1                          */
      __IOM uint32_t MMODE_D2   : 2;            /*!< [27..26] Measurement mode differential channel 2                          */
      __IOM uint32_t MMODE_D3   : 2;            /*!< [29..28] Measurement mode differential channel 3                          */
      __IOM uint32_t MMODE_D4   : 2;            /*!< [31..30] Measurement mode differential channel 4                          */
    } bit;
  } MMODE0_11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000FC) Measurement unit 1 - Differential unit input
                                                                    selection register                                         */
    
    struct {
      __IOM uint32_t DU1_EN     : 1;            /*!< [0..0] Differential unit 1 enable                                         */
            uint32_t            : 3;
      __IM  uint32_t DU1RES_NEG : 1;            /*!< [4..4] Differential unit 1 result negative                                */
            uint32_t            : 3;
      __IOM uint32_t DU2_EN     : 1;            /*!< [8..8] Differential unit 2 enable                                         */
            uint32_t            : 3;
      __IM  uint32_t DU2RES_NEG : 1;            /*!< [12..12] Differential unit 2 result negative                              */
            uint32_t            : 3;
      __IOM uint32_t DU3_EN     : 1;            /*!< [16..16] Differential unit 3 enable                                       */
            uint32_t            : 3;
      __IM  uint32_t DU3RES_NEG : 1;            /*!< [20..20] Differential unit 3 result negative                              */
            uint32_t            : 3;
      __IOM uint32_t DU4_EN     : 1;            /*!< [24..24] Differential unit 4 enable                                       */
            uint32_t            : 3;
      __IM  uint32_t DU4RES_NEG : 1;            /*!< [28..28] Differential unit 4 result negative                              */
            uint32_t            : 3;
    } bit;
  } DUIN_SEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000100) ADC1 interrupt status 2 register                           */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t VS_LO_IS   : 1;            /*!< [1..1] ADC1 VS lower threshold interrupt status                           */
      __IOM uint32_t MON1_LO_IS : 1;            /*!< [2..2] ADC1 MON 1 lower threshold interrupt status                        */
      __IOM uint32_t MON2_LO_IS : 1;            /*!< [3..3] ADC1 MON 2 lower threshold interrupt status                        */
      __IOM uint32_t MON3_LO_IS : 1;            /*!< [4..4] ADC1 MON 3 lower threshold interrupt status                        */
      __IOM uint32_t MON4_LO_IS : 1;            /*!< [5..5] ADC1 MON 4 lower threshold interrupt status                        */
      __IOM uint32_t MON5_LO_IS : 1;            /*!< [6..6] ADC1 MON 5 lower threshold interrupt status                        */
      __IOM uint32_t P2_1_LO_IS : 1;            /*!< [7..7] ADC1 port 2.1 lower threshold interrupt status                     */
      __IOM uint32_t P2_2_LO_IS : 1;            /*!< [8..8] ADC1 port 2.2 lower threshold interrupt status                     */
      __IOM uint32_t P2_3_LO_IS : 1;            /*!< [9..9] ADC1 port 2.3 lower threshold interrupt status                     */
      __IOM uint32_t P2_6_LO_IS : 1;            /*!< [10..10] ADC1 port 2.6 lower threshold interrupt status                   */
      __IOM uint32_t P2_7_LO_IS : 1;            /*!< [11..11] ADC1 port 2.7 lower threshold interrupt status                   */
            uint32_t            : 5;
      __IOM uint32_t VS_UP_IS   : 1;            /*!< [17..17] ADC1 VS upper threshold interrupt status                         */
      __IOM uint32_t MON1_UP_IS : 1;            /*!< [18..18] ADC1 MON 1 upper threshold interrupt status                      */
      __IOM uint32_t MON2_UP_IS : 1;            /*!< [19..19] ADC1 MON 2 upper threshold interrupt status                      */
      __IOM uint32_t MON3_UP_IS : 1;            /*!< [20..20] ADC1 MON 3 upper threshold interrupt status                      */
      __IOM uint32_t MON4_UP_IS : 1;            /*!< [21..21] ADC1 MON 4 upper threshold interrupt status                      */
      __IOM uint32_t MON5_UP_IS : 1;            /*!< [22..22] ADC1 MON 5 upper threshold interrupt status                      */
      __IOM uint32_t P2_1_UP_IS : 1;            /*!< [23..23] ADC1 port 2.1 upper threshold interrupt status                   */
      __IOM uint32_t P2_2_UP_IS : 1;            /*!< [24..24] ADC1 port 2.2 upper threshold interrupt status                   */
      __IOM uint32_t P2_3_UP_IS : 1;            /*!< [25..25] ADC1 port 2.3 upper threshold interrupt status                   */
      __IOM uint32_t P2_6_UP_IS : 1;            /*!< [26..26] ADC1 port 2.6 upper threshold interrupt status                   */
      __IOM uint32_t P2_7_UP_IS : 1;            /*!< [27..27] ADC1 port 2.7 upper threshold interrupt status                   */
            uint32_t            : 4;
    } bit;
  } IRQS_2;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000104) ADC1 status 2 register                                     */
    
    struct {
            uint32_t            : 1;
      __IM  uint32_t VS_LO_STS  : 1;            /*!< [1..1] ADC1 VS lower threshold status                                     */
      __IM  uint32_t MON1_LO_STS : 1;           /*!< [2..2] ADC1 MON 1 lower threshold status                                  */
      __IM  uint32_t MON2_LO_STS : 1;           /*!< [3..3] ADC1 MON 2 lower threshold status                                  */
      __IM  uint32_t MON3_LO_STS : 1;           /*!< [4..4] ADC1 MON 3 lower threshold status                                  */
      __IM  uint32_t MON4_LO_STS : 1;           /*!< [5..5] ADC1 MON 4 lower threshold status                                  */
      __IM  uint32_t MON5_LO_STS : 1;           /*!< [6..6] ADC1 MON 5 lower threshold status                                  */
      __IM  uint32_t P2_1_LO_STS : 1;           /*!< [7..7] ADC1 port 2.1 lower threshold status                               */
      __IM  uint32_t P2_2_LO_STS : 1;           /*!< [8..8] ADC1 port 2.2 lower threshold status                               */
      __IM  uint32_t P2_3_LO_STS : 1;           /*!< [9..9] ADC1 port 2.3 lower threshold status                               */
      __IM  uint32_t P2_6_LO_STS : 1;           /*!< [10..10] ADC1 port 2.6 lower threshold status                             */
      __IM  uint32_t P2_7_LO_STS : 1;           /*!< [11..11] ADC1 port 2.7 lower threshold status                             */
            uint32_t            : 5;
      __IM  uint32_t VS_UP_STS  : 1;            /*!< [17..17] ADC1 VS upper threshold Status                                   */
      __IM  uint32_t MON1_UP_STS : 1;           /*!< [18..18] ADC1 MON 1 upper threshold Status                                */
      __IM  uint32_t MON2_UP_STS : 1;           /*!< [19..19] ADC1 MON 2 upper threshold Status                                */
      __IM  uint32_t MON3_UP_STS : 1;           /*!< [20..20] ADC1 MON 3 upper threshold Status                                */
      __IM  uint32_t MON4_UP_STS : 1;           /*!< [21..21] ADC1 MON 4 upper threshold Status                                */
      __IM  uint32_t MON5_UP_STS : 1;           /*!< [22..22] ADC1 MON 5 upper threshold Status                                */
      __IM  uint32_t P2_1_UP_STS : 1;           /*!< [23..23] ADC1 port 2.1 upper threshold Status                             */
      __IM  uint32_t P2_2_UP_STS : 1;           /*!< [24..24] ADC1 port 2.2 upper threshold Status                             */
      __IM  uint32_t P2_3_UP_STS : 1;           /*!< [25..25] ADC1 port 2.3 upper threshold status                             */
      __IM  uint32_t P2_6_UP_STS : 1;           /*!< [26..26] ADC1 port 2.6 upper threshold status                             */
      __IM  uint32_t P2_7_UP_STS : 1;           /*!< [27..27] ADC1 port 2.7 upper threshold status                             */
            uint32_t            : 4;
    } bit;
  } STS_2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000108) ADC1 interrupt status clear 2 register                     */
    
    struct {
            uint32_t            : 1;
      __OM  uint32_t VS_LO_ISC  : 1;            /*!< [1..1] ADC1 VS lower threshold interrupt status clear                     */
      __OM  uint32_t MON1_LO_ISC : 1;           /*!< [2..2] ADC1 MON 1 lower threshold interrupt status clear                  */
      __OM  uint32_t MON2_LO_ISC : 1;           /*!< [3..3] ADC1 MON 2 lower threshold interrupt status clear                  */
      __OM  uint32_t MON3_LO_ISC : 1;           /*!< [4..4] ADC1 MON 3 lower threshold interrupt status clear                  */
      __OM  uint32_t MON4_LO_ISC : 1;           /*!< [5..5] ADC1 MON 4 lower threshold interrupt status clear                  */
      __OM  uint32_t MON5_LO_ISC : 1;           /*!< [6..6] ADC1 MON 5 lower threshold interrupt status clear                  */
      __OM  uint32_t P2_1_LO_ISC : 1;           /*!< [7..7] ADC1 port 2.1 lower threshold interrupt status clear               */
      __OM  uint32_t P2_2_LO_ISC : 1;           /*!< [8..8] ADC1 port 2.2 lower threshold interrupt status clear               */
      __OM  uint32_t P2_3_LO_ISC : 1;           /*!< [9..9] ADC1 port 2.3 lower threshold interrupt status clear               */
      __OM  uint32_t P2_6_LO_ISC : 1;           /*!< [10..10] ADC1 port 2.6 lower threshold interrupt status clear             */
      __OM  uint32_t P2_7_LO_ISC : 1;           /*!< [11..11] ADC1 port 2.7 lower threshold interrupt status clear             */
            uint32_t            : 5;
      __OM  uint32_t VS_UP_ISC  : 1;            /*!< [17..17] ADC1 VS upper threshold interrupt status clear                   */
      __OM  uint32_t MON1_UP_ISC : 1;           /*!< [18..18] ADC1 MON 1 upper threshold interrupt status clear                */
      __OM  uint32_t MON2_UP_ISC : 1;           /*!< [19..19] ADC1 MON 2 upper threshold interrupt status clear                */
      __OM  uint32_t MON3_UP_ISC : 1;           /*!< [20..20] ADC1 MON 3 upper threshold interrupt status clear                */
      __OM  uint32_t MON4_UP_ISC : 1;           /*!< [21..21] ADC1 MON 4 upper threshold interrupt status clear                */
      __OM  uint32_t MON5_UP_ISC : 1;           /*!< [22..22] ADC1 MON 5 upper threshold interrupt status clear                */
      __OM  uint32_t P2_1_UP_ISC : 1;           /*!< [23..23] ADC1 port 2.1 upper threshold interrupt status clear             */
      __OM  uint32_t P2_2_UP_ISC : 1;           /*!< [24..24] ADC1 port 2.2 upper threshold interrupt status clear             */
      __OM  uint32_t P2_3_UP_ISC : 1;           /*!< [25..25] ADC1 port 2.3 upper threshold interrupt status clear             */
      __OM  uint32_t P2_6_UP_ISC : 1;           /*!< [26..26] ADC1 port 2.6 upper threshold interrupt status clear             */
      __OM  uint32_t P2_7_UP_ISC : 1;           /*!< [27..27] ADC1 port 2.7 upper threshold interrupt status clear             */
            uint32_t            : 4;
    } bit;
  } IRQCLR_2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000010C) ADC1 interrupt enable 2 register                           */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t VS_LO_IEN  : 1;            /*!< [1..1] ADC1 VS lower threshold interrupt enable                           */
      __IOM uint32_t MON1_LO_IEN : 1;           /*!< [2..2] ADC1 MON 1 lower threshold interrupt enable                        */
      __IOM uint32_t MON2_LO_IEN : 1;           /*!< [3..3] ADC1 MON 2 lower threshold interrupt enable                        */
      __IOM uint32_t MON3_LO_IEN : 1;           /*!< [4..4] ADC1 MON 3 lower threshold interrupt enable                        */
      __IOM uint32_t MON4_LO_IEN : 1;           /*!< [5..5] ADC1 MON 4 lower threshold interrupt enable                        */
      __IOM uint32_t MON5_LO_IEN : 1;           /*!< [6..6] ADC1 MON 5 lower threshold interrupt enable                        */
      __IOM uint32_t P2_1_LO_IEN : 1;           /*!< [7..7] ADC1 port 2.1 lower threshold interrupt enable                     */
      __IOM uint32_t P2_2_LO_IEN : 1;           /*!< [8..8] ADC1 port 2.2 lower threshold interrupt enable                     */
      __IOM uint32_t P2_3_LO_IEN : 1;           /*!< [9..9] ADC1 port 2.3 lower threshold interrupt enable                     */
      __IOM uint32_t P2_6_LO_IEN : 1;           /*!< [10..10] ADC1 port 2.6 lower threshold interrupt enable                   */
      __IOM uint32_t P2_7_LO_IEN : 1;           /*!< [11..11] ADC1 port 2.7 lower threshold interrupt enable                   */
            uint32_t            : 5;
      __IOM uint32_t VS_UP_IEN  : 1;            /*!< [17..17] ADC1 VS upper threshold interrupt enable                         */
      __IOM uint32_t MON1_UP_IEN : 1;           /*!< [18..18] ADC1 MON 1 upper threshold interrupt enable                      */
      __IOM uint32_t MON2_UP_IEN : 1;           /*!< [19..19] ADC1 MON 2 upper threshold interrupt enable                      */
      __IOM uint32_t MON3_UP_IEN : 1;           /*!< [20..20] ADC1 MON 3 upper threshold interrupt enable                      */
      __IOM uint32_t MON4_UP_IEN : 1;           /*!< [21..21] ADC1 MON 4 upper threshold interrupt enable                      */
      __IOM uint32_t MON5_UP_IEN : 1;           /*!< [22..22] ADC1 MON 5 upper threshold interrupt enable                      */
      __IOM uint32_t P2_1_UP_IEN : 1;           /*!< [23..23] ADC1 port 2.1 upper threshold interrupt enable                   */
      __IOM uint32_t P2_2_UP_IEN : 1;           /*!< [24..24] ADC1 port 2.2 upper threshold interrupt enable                   */
      __IOM uint32_t P2_3_UP_IEN : 1;           /*!< [25..25] ADC1 port 2.3 upper threshold interrupt enable                   */
      __IOM uint32_t P2_6_UP_IEN : 1;           /*!< [26..26] ADC1 port 2.6 upper threshold interrupt enable                   */
      __IOM uint32_t P2_7_UP_IEN : 1;           /*!< [27..27] ADC1 port 2.7 upper threshold interrupt enable                   */
            uint32_t            : 4;
    } bit;
  } IRQEN_2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000110) ADC1 or filter output channel 12 register                  */
    
    struct {
      __IM  uint32_t FILT_OUT_CH12 : 12;        /*!< [11..0] ADC or filter output value channel 12                             */
            uint32_t            : 4;
      __IOM uint32_t WFR12      : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF12       : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF12       : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUT12;
  __IM  uint32_t  RESERVED2[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000120) ADC1 or filter output of EIM register                      */
    
    struct {
      __IM  uint32_t FILT_OUT_EIM : 12;         /*!< [11..0] ADC or filter output value for last EIM measurement               */
            uint32_t            : 4;
      __IOM uint32_t WFR_EIM    : 1;            /*!< [16..16] Wait for read mode                                               */
      __IM  uint32_t VF_EIM     : 1;            /*!< [17..17] Valid flag                                                       */
      __IM  uint32_t OF_EIM     : 1;            /*!< [18..18] Overrun flag                                                     */
            uint32_t            : 13;
    } bit;
  } FILT_OUTEIM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000124) ADC1 status 1 register                                     */
    
    struct {
            uint32_t            : 24;
      __IOM uint32_t DU1LO_STS  : 1;            /*!< [24..24] ADC1 differential unit 1 (DU1) lower channel status              */
      __IOM uint32_t DU1UP_STS  : 1;            /*!< [25..25] ADC1 differential unit 1 (DU1) upper channel status              */
      __IOM uint32_t DU2LO_STS  : 1;            /*!< [26..26] ADC1 differential unit 2 (DU2) lower channel status              */
      __IOM uint32_t DU2UP_STS  : 1;            /*!< [27..27] ADC1 differential unit 2 (DU2) upper channel status              */
      __IOM uint32_t DU3LO_STS  : 1;            /*!< [28..28] ADC1 differential unit 3 (DU3) lower channel status              */
      __IOM uint32_t DU3UP_STS  : 1;            /*!< [29..29] ADC1 differential unit 3 (DU3) upper channel status              */
      __IOM uint32_t DU4LO_STS  : 1;            /*!< [30..30] ADC1 differential unit 4 (DU4) lower channel status              */
      __IOM uint32_t DU4UP_STS  : 1;            /*!< [31..31] ADC1 differential unit 4 (DU4) upper channel status              */
    } bit;
  } STS_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000128) ADC1 status clear 1 register                               */
    
    struct {
            uint32_t            : 24;
      __OM  uint32_t DU1LO_SC   : 1;            /*!< [24..24] ADC1 differential unit 1 (DU1) lower channel status
                                                     clear                                                                     */
      __OM  uint32_t DU1UP_SC   : 1;            /*!< [25..25] ADC1 differential unit 1 (DU1) upper channel status
                                                     clear                                                                     */
      __OM  uint32_t DU2LO_SC   : 1;            /*!< [26..26] ADC1 differential unit 2 (DU2) lower channel status
                                                     clear                                                                     */
      __OM  uint32_t DU2UP_SC   : 1;            /*!< [27..27] ADC1 differential unit 2 (DU2) upper channel status
                                                     clear                                                                     */
      __OM  uint32_t DU3LO_SC   : 1;            /*!< [28..28] ADC1 differential unit 3 (DU3) lower channel status
                                                     clear                                                                     */
      __OM  uint32_t DU3UP_SC   : 1;            /*!< [29..29] ADC1 differential unit 3 (DU3) upper channel status
                                                     clear                                                                     */
      __OM  uint32_t DU4LO_SC   : 1;            /*!< [30..30] ADC1 differential unit 4 (DU4) lower channel status
                                                     clear                                                                     */
      __OM  uint32_t DU4UP_SC   : 1;            /*!< [31..31] ADC1 differential unit 4 (DU4) upper channel status
                                                     clear                                                                     */
    } bit;
  } STSCLR_1;
} ADC1_Type;                                    /*!< Size = 300 (0x12c)                                                        */



/* =========================================================================================================================== */
/* ================                                           ADC2                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Measurement core module (incl. ADC2) registers (ADC2)
  */

typedef struct {                                /*!< (@ 0x4801C000) ADC2 Structure                                             */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) ADC2 control and status register                           */
    
    struct {
            uint32_t            : 2;
      __IOM uint32_t SOS        : 1;            /*!< [2..2] ADC2 start of sampling/conversion (software mode)                  */
      __IM  uint32_t EOC        : 1;            /*!< [3..3] ADC2 end of conversion (software mode)                             */
            uint32_t            : 4;
      __IOM uint32_t IN_MUX_SEL : 4;            /*!< [11..8] Channel for software mode                                         */
            uint32_t            : 20;
    } bit;
  } CTRL_STS;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000004) Sequencer feedback register                                */
    
    struct {
      __IM  uint32_t SQ_FB      : 4;            /*!< [3..0] Current sequence that caused software mode                         */
            uint32_t            : 4;
      __IM  uint32_t SQ_STOP    : 1;            /*!< [8..8] ADC2 sequencer stop signal for DPP                                 */
      __IM  uint32_t EIM_ACTIVE : 1;            /*!< [9..9] ADC2 EIM active                                                    */
            uint32_t            : 1;
      __IM  uint32_t SQx_STS    : 3;            /*!< [13..11] Current active ADC2 sequence                                     */
            uint32_t            : 2;
      __IM  uint32_t CHx_STS    : 4;            /*!< [19..16] Current ADC2 channel                                             */
            uint32_t            : 12;
    } bit;
  } SQ_FB;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Channel settings bits for exceptional interrupt
                                                                    measurement register                                       */
    
    struct {
      __IOM uint32_t CHx_SEL    : 3;            /*!< [2..0] Channel set for exceptional interrupt measurement (EIM)            */
            uint32_t            : 5;
      __IOM uint32_t REP        : 3;            /*!< [10..8] Repeat count for exceptional interrupt measurement (EIM)          */
      __IOM uint32_t EN         : 1;            /*!< [11..11] Exceptional interrupt measurement (EIM) trigger event
                                                     enable                                                                    */
      __IOM uint32_t SEL        : 1;            /*!< [12..12] Exceptional interrupt measurement (EIM) trigger select           */
            uint32_t            : 19;
    } bit;
  } CHx_EIM;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Maximum time for software mode register                    */
    
    struct {
      __IOM uint32_t MAX_TIME   : 8;            /*!< [7..0] Maximum time in software mode                                      */
            uint32_t            : 24;
    } bit;
  } MAX_TIME;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Measurement unit control 1 register                        */
    
    struct {
      __IOM uint32_t CALIB_EN_6_0 : 7;          /*!< [6..0] Calibration enable for channels 6 to 0                             */
            uint32_t            : 25;
    } bit;
  } CTRL1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Measurement unit control 2 register                        */
    
    struct {
      __IOM uint32_t MCM_PD_N   : 1;            /*!< [0..0] Power down signal for MCM                                          */
            uint32_t            : 6;
      __IM  uint32_t MCM_RDY    : 1;            /*!< [7..7] Ready signal for MCM                                               */
      __IOM uint32_t SAMPLE_TIME_int : 4;       /*!< [11..8] Sample time of ADC2                                               */
            uint32_t            : 20;
    } bit;
  } CTRL2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Measurement unit control 4 register                        */
    
    struct {
      __IOM uint32_t FILT_OUT_SEL_6_0 : 7;      /*!< [6..0] Output filter selection for channels 0 to 6                        */
            uint32_t            : 25;
    } bit;
  } CTRL4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Measurement channel enable bits for cycle 1-4
                                                                    register                                                   */
    
    struct {
      __IOM uint32_t SQ1        : 7;            /*!< [6..0] Sequence 1 channel enable                                          */
            uint32_t            : 1;
      __IOM uint32_t SQ2        : 7;            /*!< [14..8] Sequence 2 channel enable                                         */
            uint32_t            : 1;
      __IOM uint32_t SQ3        : 7;            /*!< [22..16] Sequence 3 channel enable                                        */
            uint32_t            : 1;
      __IOM uint32_t SQ4        : 7;            /*!< [30..24] Sequence 4 channel enable                                        */
            uint32_t            : 1;
    } bit;
  } SQ1_4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) Measurement channel enable bits for cycle 5-8
                                                                    register                                                   */
    
    struct {
      __IOM uint32_t SQ5        : 7;            /*!< [6..0] Sequence 5 channel enable                                          */
            uint32_t            : 1;
      __IOM uint32_t SQ6        : 7;            /*!< [14..8] Sequence 6 channel enable                                         */
            uint32_t            : 1;
      __IOM uint32_t SQ7        : 7;            /*!< [22..16] Sequence 7 channel enable                                        */
            uint32_t            : 9;
    } bit;
  } SQ5_8;
  __IM  uint32_t  RESERVED1[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) Calibration for channel 0 and 1 register                   */
    
    struct {
      __IOM uint32_t OFFS_CH0   : 5;            /*!< [4..0] Offset calibration for channel 0                                   */
            uint32_t            : 3;
      __IM  uint32_t GAIN_CH0   : 8;            /*!< [15..8] Gain calibration for channel 0                                    */
      __IM  uint32_t OFFS_CH1   : 5;            /*!< [20..16] Offset calibration for channel 1                                 */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH1   : 8;            /*!< [31..24] Gain calibration for channel 1                                   */
    } bit;
  } CAL_CH0_1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000038) Calibration for channel 2 and 3 register                   */
    
    struct {
      __IOM uint32_t OFFS_CH2   : 5;            /*!< [4..0] Offset calibration for channel 2                                   */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH2   : 8;            /*!< [15..8] Gain calibration for channel 2                                    */
      __IOM uint32_t OFFS_CH3   : 5;            /*!< [20..16] Offset calibration for channel 3                                 */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH3   : 8;            /*!< [31..24] Gain calibration for channel 3                                   */
    } bit;
  } CAL_CH2_3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000003C) Calibration for channel 4 and 5 register                   */
    
    struct {
      __IOM uint32_t OFFS_CH4   : 5;            /*!< [4..0] Offset calibration for channel 4                                   */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH4   : 8;            /*!< [15..8] Gain calibration for channel 4                                    */
      __IOM uint32_t OFFS_CH5   : 5;            /*!< [20..16] Offset calibration for channel 5                                 */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH5   : 8;            /*!< [31..24] Gain calibration for channel 5                                   */
    } bit;
  } CAL_CH4_5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000040) Calibration for channel 6 and 7 register                   */
    
    struct {
      __IOM uint32_t OFFS_CH6   : 5;            /*!< [4..0] Offset calibration for channel 6                                   */
            uint32_t            : 3;
      __IOM uint32_t GAIN_CH6   : 8;            /*!< [15..8] Gain calibration for channel 6                                    */
            uint32_t            : 16;
    } bit;
  } CAL_CH6_7;
  __IM  uint32_t  RESERVED2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000048) Filter coefficients ADC channel 0-7 register               */
    
    struct {
      __IOM uint32_t A_CH0      : 2;            /*!< [1..0] Filter coefficient A for ADC channel 0                             */
      __IOM uint32_t A_CH1      : 2;            /*!< [3..2] Filter coefficient A for ADC channel 1                             */
      __IOM uint32_t A_CH2      : 2;            /*!< [5..4] Filter coefficient A for ADC channel 2                             */
      __IOM uint32_t A_CH3      : 2;            /*!< [7..6] Filter coefficient A for ADC channel 3                             */
      __IOM uint32_t A_CH4      : 2;            /*!< [9..8] Filter coefficient A for ADC channel 4                             */
      __IOM uint32_t A_CH5      : 2;            /*!< [11..10] Filter coefficient A for ADC channel 5                           */
      __IOM uint32_t A_CH6      : 2;            /*!< [13..12] Filter coefficient A for ADC channel 6                           */
      __IOM uint32_t A_CH7      : 2;            /*!< [15..14] Filter coefficient A for ADC channel 7                           */
            uint32_t            : 16;
    } bit;
  } FILTCOEFF0_7;
  __IM  uint32_t  RESERVED3;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000050) ADC or filter output channel 0 register                    */
    
    struct {
      __IM  uint32_t OUT_CH0    : 10;           /*!< [9..0] ADC or filter output value channel 0                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT0;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000054) ADC or filter output channel 1 register                    */
    
    struct {
      __IM  uint32_t OUT_CH1    : 10;           /*!< [9..0] ADC or filter output value channel 1                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT1;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000058) ADC or filter output channel 2 register                    */
    
    struct {
      __IM  uint32_t OUT_CH2    : 10;           /*!< [9..0] ADC or filter output value channel 2                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT2;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000005C) ADC or filter output channel 3 register                    */
    
    struct {
      __IM  uint32_t OUT_CH3    : 10;           /*!< [9..0] ADC or filter output value channel 3                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT3;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000060) ADC or filter output channel 4 register                    */
    
    struct {
      __IM  uint32_t OUT_CH4    : 10;           /*!< [9..0] ADC or filter output value channel 4                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT4;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000064) ADC or filter output channel 5 register                    */
    
    struct {
      __IM  uint32_t OUT_CH5    : 10;           /*!< [9..0] ADC or filter output value channel 5                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT5;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000068) ADC or filter output channel 6 register                    */
    
    struct {
      __IM  uint32_t OUT_CH6    : 10;           /*!< [9..0] ADC or filter output value channel 6                               */
            uint32_t            : 22;
    } bit;
  } FILT_OUT6;
  __IM  uint32_t  RESERVED4[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000078) Upper threshold filter enable register                     */
    
    struct {
      __IOM uint32_t UPEN_Ch0   : 1;            /*!< [0..0] Upper threshold IIR filter enable ch 0                             */
      __IOM uint32_t UPEN_Ch1   : 1;            /*!< [1..1] Upper threshold IIR filter enable ch 1                             */
      __IOM uint32_t UPEN_Ch2   : 1;            /*!< [2..2] Upper threshold IIR filter enable ch 2                             */
      __IOM uint32_t UPEN_Ch3   : 1;            /*!< [3..3] Upper threshold IIR filter enable ch 3                             */
      __IOM uint32_t UPEN_Ch4   : 1;            /*!< [4..4] Upper threshold IIR filter enable ch 4                             */
      __IOM uint32_t UPEN_Ch5   : 1;            /*!< [5..5] Upper threshold IIR filter enable ch 5                             */
      __IOM uint32_t UPEN_Ch6   : 1;            /*!< [6..6] Upper threshold IIR filter enable ch 6                             */
            uint32_t            : 25;
    } bit;
  } FILT_UP_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000007C) Lower threshold filter enable register                     */
    
    struct {
      __IOM uint32_t LOEN_Ch0   : 1;            /*!< [0..0] Lower threshold IIR filter enable ch 0                             */
      __IOM uint32_t LOEN_Ch1   : 1;            /*!< [1..1] Lower threshold IIR filter enable ch 1                             */
      __IOM uint32_t LOEN_Ch2   : 1;            /*!< [2..2] Lower threshold IIR filter enable ch 2                             */
      __IOM uint32_t LOEN_Ch3   : 1;            /*!< [3..3] Lower threshold IIR filter enable ch 3                             */
      __IOM uint32_t LOEN_Ch4   : 1;            /*!< [4..4] Lower threshold IIR filter enable ch 4                             */
      __IOM uint32_t LOEN_Ch5   : 1;            /*!< [5..5] Lower threshold IIR filter enable ch 5                             */
      __IOM uint32_t LOEN_Ch6   : 1;            /*!< [6..6] Lower threshold IIR filter enable ch 6                             */
            uint32_t            : 25;
    } bit;
  } FILT_LO_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000080) Lower comparator trigger level channel 0-3 register        */
    
    struct {
      __IOM uint32_t THLO_CH0   : 8;            /*!< [7..0] Channel 0 lower trigger level                                      */
      __IOM uint32_t THLO_CH1   : 8;            /*!< [15..8] Channel 1 lower trigger level                                     */
      __IOM uint32_t THLO_CH2   : 8;            /*!< [23..16] Channel 2 lower trigger level                                    */
      __IOM uint32_t THLO_CH3   : 8;            /*!< [31..24] Channel 3 lower trigger level                                    */
    } bit;
  } TH0_3_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000084) Lower comparator trigger level channel 4-7 register        */
    
    struct {
      __IOM uint32_t THLO_CH4   : 8;            /*!< [7..0] Channel 4 lower trigger level                                      */
      __IOM uint32_t THLO_CH5   : 8;            /*!< [15..8] Channel 5 lower trigger level                                     */
      __IOM uint32_t THLO_CH6   : 8;            /*!< [23..16] Channel 6 lower trigger level                                    */
      __IOM uint32_t THLO_CH7   : 8;            /*!< [31..24] Channel 7 lower trigger level                                    */
    } bit;
  } TH4_7_LOWER;
  __IM  uint32_t  RESERVED5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000008C) Upper comparator trigger level channel 0-3 register        */
    
    struct {
      __IOM uint32_t THUP_CH0   : 8;            /*!< [7..0] Channel 0 upper trigger level                                      */
      __IOM uint32_t THUP_CH1   : 8;            /*!< [15..8] Channel 1 upper trigger level                                     */
      __IOM uint32_t THUP_CH2   : 8;            /*!< [23..16] Channel 2 upper trigger level                                    */
      __IOM uint32_t THUP_CH3   : 8;            /*!< [31..24] Channel 3 upper trigger level                                    */
    } bit;
  } TH0_3_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000090) Upper comparator trigger level channel 4-7 register        */
    
    struct {
      __IOM uint32_t THUP_CH4   : 8;            /*!< [7..0] Channel 4 upper trigger level                                      */
      __IOM uint32_t THUP_CH5   : 8;            /*!< [15..8] Channel 5 upper trigger level                                     */
      __IOM uint32_t THUP_CH6   : 8;            /*!< [23..16] Channel 6 upper trigger level                                    */
      __IOM uint32_t THUP_CH7   : 8;            /*!< [31..24] Channel 7 upper trigger level                                    */
    } bit;
  } TH4_7_UPPER;
  __IM  uint32_t  RESERVED6;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000098) Lower counter trigger level channel 0-3 register           */
    
    struct {
      __IOM uint32_t CNT_LO_CH0 : 3;            /*!< [2..0] Lower timer trigger threshold channel 0                            */
      __IOM uint32_t HYST_LO_CH0 : 2;           /*!< [4..3] Channel 0 lower hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH1 : 3;            /*!< [10..8] Lower timer trigger threshold channel 1                           */
      __IOM uint32_t HYST_LO_CH1 : 2;           /*!< [12..11] Channel 1 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH2 : 3;            /*!< [18..16] Lower timer trigger threshold channel 2                          */
      __IOM uint32_t HYST_LO_CH2 : 2;           /*!< [20..19] Channel 2 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH3 : 3;            /*!< [26..24] Lower timer trigger threshold channel 3                          */
      __IOM uint32_t HYST_LO_CH3 : 2;           /*!< [28..27] Channel 3 lower hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT0_3_LOWER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000009C) Lower counter trigger level channel 4-7 register           */
    
    struct {
      __IOM uint32_t CNT_LO_CH4 : 3;            /*!< [2..0] Lower timer trigger threshold channel 4                            */
      __IOM uint32_t HYST_LO_CH4 : 2;           /*!< [4..3] Channel 4 lower hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH5 : 3;            /*!< [10..8] Lower timer trigger threshold channel 5                           */
      __IOM uint32_t HYST_LO_CH5 : 2;           /*!< [12..11] Channel 5 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH6 : 3;            /*!< [18..16] Lower timer trigger threshold channel 6                          */
      __IOM uint32_t HYST_LO_CH6 : 2;           /*!< [20..19] Channel 6 lower hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_LO_CH7 : 3;            /*!< [26..24] Lower timer trigger threshold channel 6                          */
      __IOM uint32_t HYST_LO_CH7 : 2;           /*!< [28..27] Channel 6 lower hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT4_7_LOWER;
  __IM  uint32_t  RESERVED7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A4) Upper counter trigger level channel 0-3 register           */
    
    struct {
      __IOM uint32_t CNT_UP_CH0 : 3;            /*!< [2..0] Upper timer trigger threshold channel 0                            */
      __IOM uint32_t HYST_UP_CH0 : 2;           /*!< [4..3] Channel 0 upper hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH1 : 3;            /*!< [10..8] Upper timer trigger threshold channel 1                           */
      __IOM uint32_t HYST_UP_CH1 : 2;           /*!< [12..11] Channel 1 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH2 : 3;            /*!< [18..16] Upper timer trigger threshold channel 2                          */
      __IOM uint32_t HYST_UP_CH2 : 2;           /*!< [20..19] Channel 2 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH3 : 3;            /*!< [26..24] Upper timer trigger threshold channel 3                          */
      __IOM uint32_t HYST_UP_CH3 : 2;           /*!< [28..27] Channel 3 upper hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT0_3_UPPER;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A8) Upper counter trigger level channel 4-7 register           */
    
    struct {
      __IOM uint32_t CNT_UP_CH4 : 3;            /*!< [2..0] Upper timer trigger threshold channel 4                            */
      __IOM uint32_t HYST_UP_CH4 : 2;           /*!< [4..3] Channel 4 upper hysteresis                                         */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH5 : 3;            /*!< [10..8] Upper timer trigger threshold channel 5                           */
      __IOM uint32_t HYST_UP_CH5 : 2;           /*!< [12..11] Channel 5 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH6 : 3;            /*!< [18..16] Upper timer trigger threshold channel 6                          */
      __IOM uint32_t HYST_UP_CH6 : 2;           /*!< [20..19] Channel 6 upper hysteresis                                       */
            uint32_t            : 3;
      __IOM uint32_t CNT_UP_CH7 : 3;            /*!< [26..24] Upper timer trigger threshold channel 7                          */
      __IOM uint32_t HYST_UP_CH7 : 2;           /*!< [28..27] Channel 7 upper hysteresis                                       */
            uint32_t            : 3;
    } bit;
  } CNT4_7_UPPER;
  __IM  uint32_t  RESERVED8;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B0) Overvoltage measurement mode of channel 0-7 register       */
    
    struct {
      __IOM uint32_t MSEL_Ch0   : 2;            /*!< [1..0] Measurement mode ch 0                                              */
      __IOM uint32_t MSEL_Ch1   : 2;            /*!< [3..2] Measurement mode ch 1                                              */
      __IOM uint32_t MSEL_Ch2   : 2;            /*!< [5..4] Measurement mode ch 2                                              */
      __IOM uint32_t MSEL_Ch3   : 2;            /*!< [7..6] Measurement mode ch 3                                              */
      __IOM uint32_t MSEL_Ch4   : 2;            /*!< [9..8] Measurement mode ch 4                                              */
      __IOM uint32_t MSEL_Ch5   : 2;            /*!< [11..10] Measurement mode ch 5                                            */
      __IOM uint32_t MSEL_Ch6   : 2;            /*!< [13..12] Measurement mode ch 6                                            */
      __IOM uint32_t MSEL_Ch7   : 2;            /*!< [15..14] Measurement mode ch 7                                            */
            uint32_t            : 16;
    } bit;
  } MMODE0_7;
  __IM  uint32_t  RESERVED9[2];
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x000000BC) ADC2 HV status register                                    */
    
    struct {
            uint32_t            : 1;
      __IM  uint32_t READY      : 1;            /*!< [1..1] HVADC ready bit                                                    */
            uint32_t            : 30;
    } bit;
  } STATUS;
} ADC2_Type;                                    /*!< Size = 192 (0xc0)                                                         */



/* =========================================================================================================================== */
/* ================                                           CCU6                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Capture/Compare Unit 6 (CCU6) registers (CCU6)
  */

typedef struct {                                /*!< (@ 0x4000C000) CCU6 Structure                                             */
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x00000000) Capture/compare for channel CC63 register                  */
    
    struct {
      __IM  uint16_t CCV        : 16;           /*!< [15..0] Channel CC63 compare value low byte                               */
    } bit;
  } CC63R;
  __IM  uint16_t  RESERVED;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000004) Timer control 4 register                                   */
    
    struct {
      __OM  uint16_t T12RR      : 1;            /*!< [0..0] Timer T12 run reset                                                */
      __OM  uint16_t T12RS      : 1;            /*!< [1..1] Timer T12 run set                                                  */
      __OM  uint16_t T12RES     : 1;            /*!< [2..2] Timer T12 reset                                                    */
      __OM  uint16_t DTRES      : 1;            /*!< [3..3] Dead-time counter reset                                            */
            uint16_t            : 1;
      __OM  uint16_t T12CNT     : 1;            /*!< [5..5] Timer T12 count event                                              */
      __OM  uint16_t T12STR     : 1;            /*!< [6..6] Timer T12 shadow transfer request                                  */
      __OM  uint16_t T12STD     : 1;            /*!< [7..7] Timer T12 shadow transfer disable                                  */
      __OM  uint16_t T13RR      : 1;            /*!< [8..8] Timer T13 run reset                                                */
      __OM  uint16_t T13RS      : 1;            /*!< [9..9] Timer T13 run set                                                  */
      __OM  uint16_t T13RES     : 1;            /*!< [10..10] Timer T13 reset                                                  */
            uint16_t            : 2;
      __OM  uint16_t T13CNT     : 1;            /*!< [13..13] Timer T13 count event                                            */
      __OM  uint16_t T13STR     : 1;            /*!< [14..14] Timer T13 shadow transfer request                                */
      __OM  uint16_t T13STD     : 1;            /*!< [15..15] Timer T13 shadow transfer disable                                */
    } bit;
  } TCTR4;
  __IM  uint16_t  RESERVED1;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000008) Multi-channel mode output shadow register                  */
    
    struct {
      __IOM uint16_t MCMPS      : 6;            /*!< [5..0] Multi-channel PWM pattern shadow                                   */
            uint16_t            : 1;
      __OM  uint16_t STRMCM     : 1;            /*!< [7..7] Shadow transfer request for MCMPS                                  */
      __IOM uint16_t EXPHS      : 3;            /*!< [10..8] Expected Hall pattern shadow                                      */
      __IOM uint16_t CURHS      : 3;            /*!< [13..11] Current Hall pattern shadow                                      */
            uint16_t            : 1;
      __OM  uint16_t STRHP      : 1;            /*!< [15..15] Shadow transfer request for the Hall pattern                     */
    } bit;
  } MCMOUTS;
  __IM  uint16_t  RESERVED2;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000000C) Capture/compare interrupt status reset register            */
    
    struct {
      __OM  uint16_t RCC60R     : 1;            /*!< [0..0] Reset capture, compare-match rising edge flag                      */
      __OM  uint16_t RCC60F     : 1;            /*!< [1..1] Reset capture, compare-match falling edge flag                     */
      __OM  uint16_t RCC61R     : 1;            /*!< [2..2] Reset capture, compare-match rising edge Flag                      */
      __OM  uint16_t RCC61F     : 1;            /*!< [3..3] Reset capture, compare-match falling edge flag                     */
      __OM  uint16_t RCC62R     : 1;            /*!< [4..4] Reset capture, compare-match rising edge flag                      */
      __OM  uint16_t RCC62F     : 1;            /*!< [5..5] Reset capture, compare-match falling edge flag                     */
      __OM  uint16_t RT12OM     : 1;            /*!< [6..6] Reset timer T12 one-match flag                                     */
      __OM  uint16_t RT12PM     : 1;            /*!< [7..7] Reset timer T12 period-match flag                                  */
      __OM  uint16_t RT13CM     : 1;            /*!< [8..8] Reset timer T13 compare-match flag                                 */
      __OM  uint16_t RT13PM     : 1;            /*!< [9..9] Reset timer T13 period-Match flag                                  */
      __OM  uint16_t RTRPF      : 1;            /*!< [10..10] Reset trap flag                                                  */
            uint16_t            : 1;
      __OM  uint16_t RCHE       : 1;            /*!< [12..12] Reset correct Hall event flag                                    */
      __OM  uint16_t RWHE       : 1;            /*!< [13..13] Reset wrong Hall event flag                                      */
      __OM  uint16_t RIDLE      : 1;            /*!< [14..14] Reset IDLE flag                                                  */
      __OM  uint16_t RSTR       : 1;            /*!< [15..15] Reset STR flag                                                   */
    } bit;
  } ISR;
  __IM  uint16_t  RESERVED3;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000010) Compare state modification register                        */
    
    struct {
      __OM  uint16_t MCC60S     : 1;            /*!< [0..0] Capture/compare status modification bit 0 (set)                    */
      __OM  uint16_t MCC61S     : 1;            /*!< [1..1] Capture/compare status modification bit 1 (set)                    */
      __OM  uint16_t MCC62S     : 1;            /*!< [2..2] Capture/compare status modification bit 2 (set)                    */
            uint16_t            : 3;
      __OM  uint16_t MCC63S     : 1;            /*!< [6..6] Capture/compare status modification bits (set)                     */
            uint16_t            : 1;
      __OM  uint16_t MCC60R     : 1;            /*!< [8..8] Capture/compare status modification bit 0 (reset)                  */
      __OM  uint16_t MCC61R     : 1;            /*!< [9..9] Capture/compare status modification bit 1 (reset)                  */
      __OM  uint16_t MCC62R     : 1;            /*!< [10..10] Capture/compare status modification bit 2 (reset)                */
            uint16_t            : 3;
      __OM  uint16_t MCC63R     : 1;            /*!< [14..14] Capture/compare status modification bits (reset)                 */
            uint16_t            : 1;
    } bit;
  } CMPMODIF;
  __IM  uint16_t  RESERVED4;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000014) Capture/compare shadow register for channel CC60
                                                                    register                                                   */
    
    struct {
      __IOM uint16_t CCS        : 16;           /*!< [15..0] Shadow register for channel 0 capture/compare value               */
    } bit;
  } CC60SR;
  __IM  uint16_t  RESERVED5;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000018) Capture/compare shadow register for channel CC61
                                                                    register                                                   */
    
    struct {
      __IOM uint16_t CCS        : 16;           /*!< [15..0] Shadow register for channel 1 capture/compare value               */
    } bit;
  } CC61SR;
  __IM  uint16_t  RESERVED6;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000001C) Capture/compare shadow register for channel CC62
                                                                    register                                                   */
    
    struct {
      __IOM uint16_t CCS        : 16;           /*!< [15..0] Shadow register for channel 2 capture/compare value               */
    } bit;
  } CC62SR;
  __IM  uint16_t  RESERVED7;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000020) Capture/compare shadow for channel CC63 register           */
    
    struct {
      __IOM uint16_t CCS        : 16;           /*!< [15..0] Shadow register for channel CC63 compare value                    */
    } bit;
  } CC63SR;
  __IM  uint16_t  RESERVED8;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000024) Timer T12 period register                                  */
    
    struct {
      __IOM uint16_t T12PV      : 16;           /*!< [15..0] T12 period value                                                  */
    } bit;
  } T12PR;
  __IM  uint16_t  RESERVED9;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000028) Timer T13 period register                                  */
    
    struct {
      __IOM uint16_t T13PV      : 16;           /*!< [15..0] T13 period value                                                  */
    } bit;
  } T13PR;
  __IM  uint16_t  RESERVED10;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000002C) Dead-time control register for timer T12 low
                                                                    register                                                   */
    
    struct {
      __IOM uint16_t DTM        : 8;            /*!< [7..0] Dead-time                                                          */
      __IOM uint16_t DTE0       : 1;            /*!< [8..8] Dead-time enable bit 0                                             */
      __IOM uint16_t DTE1       : 1;            /*!< [9..9] Dead-time enable bit 1                                             */
      __IOM uint16_t DTE2       : 1;            /*!< [10..10] Dead-time enable bit 2                                           */
            uint16_t            : 1;
      __IM  uint16_t DTR0       : 1;            /*!< [12..12] Dead-time run indication bit 0                                   */
      __IM  uint16_t DTR1       : 1;            /*!< [13..13] Dead-time run indication bit 1                                   */
      __IM  uint16_t DTR2       : 1;            /*!< [14..14] Dead-time run indication bit 2                                   */
            uint16_t            : 1;
    } bit;
  } T12DTC;
  __IM  uint16_t  RESERVED11;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000030) Timer control 0 register                                   */
    
    struct {
      __IOM uint16_t T12CLK     : 3;            /*!< [2..0] Timer T12 input clock select                                       */
      __IOM uint16_t T12PRE     : 1;            /*!< [3..3] Timer T12 prescaler bit                                            */
      __IM  uint16_t T12R       : 1;            /*!< [4..4] Timer T12 run bit                                                  */
      __IM  uint16_t STE12      : 1;            /*!< [5..5] Timer T12 shadow transfer enable                                   */
      __IM  uint16_t CDIR       : 1;            /*!< [6..6] Count direction of timer T12                                       */
      __IOM uint16_t CTM        : 1;            /*!< [7..7] T12 operating mode                                                 */
      __IOM uint16_t T13CLK     : 3;            /*!< [10..8] Timer T13 input clock Select                                      */
      __IOM uint16_t T13PRE     : 1;            /*!< [11..11] Timer T13 prescaler bit                                          */
      __IM  uint16_t T13R       : 1;            /*!< [12..12] Timer T13 run bit                                                */
      __IM  uint16_t STE13      : 1;            /*!< [13..13] Timer T13 shadow transfer enable                                 */
            uint16_t            : 2;
    } bit;
  } TCTR0;
  __IM  uint16_t  RESERVED12;
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x00000034) Capture/compare register for channel CC60 register         */
    
    struct {
      __IM  uint16_t CCV        : 16;           /*!< [15..0] Channel 0 capture/compare value                                   */
    } bit;
  } CC60R;
  __IM  uint16_t  RESERVED13;
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x00000038) Capture/compare register for channel CC61 register         */
    
    struct {
      __IM  uint16_t CCV        : 16;           /*!< [15..0] Channel 1 capture/compare value                                   */
    } bit;
  } CC61R;
  __IM  uint16_t  RESERVED14;
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x0000003C) Capture/compare register for channel CC62 register         */
    
    struct {
      __IM  uint16_t CCV        : 16;           /*!< [15..0] Channel 2 capture/compare value                                   */
    } bit;
  } CC62R;
  __IM  uint16_t  RESERVED15;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000040) T12 capture/compare mode select register                   */
    
    struct {
      __IOM uint16_t MSEL60     : 4;            /*!< [3..0] Capture/compare mode selection                                     */
      __IOM uint16_t MSEL61     : 4;            /*!< [7..4] Capture/compare mode selection                                     */
      __IOM uint16_t MSEL62     : 4;            /*!< [11..8] Capture/compare mode selection                                    */
      __IOM uint16_t HSYNC      : 3;            /*!< [14..12] Hall synchronization                                             */
      __IOM uint16_t DBYP       : 1;            /*!< [15..15] Delay bypass                                                     */
    } bit;
  } T12MSEL;
  __IM  uint16_t  RESERVED16;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000044) Capture/compare interrupt enable register                  */
    
    struct {
      __IOM uint16_t ENCC60R    : 1;            /*!< [0..0] Capture, compare-match rising edge interrupt enable for
                                                     channel 0                                                                 */
      __IOM uint16_t ENCC60F    : 1;            /*!< [1..1] Capture, compare-match falling edge interrupt enable
                                                     for channel 0                                                             */
      __IOM uint16_t ENCC61R    : 1;            /*!< [2..2] Capture, compare-match rising edge interrupt enable for
                                                     channel 1                                                                 */
      __IOM uint16_t ENCC61F    : 1;            /*!< [3..3] Capture, compare-match falling edge interrupt enable
                                                     for channel 1                                                             */
      __IOM uint16_t ENCC62R    : 1;            /*!< [4..4] Capture, compare-match rising edge interrupt enable for
                                                     channel 2                                                                 */
      __IOM uint16_t ENCC62F    : 1;            /*!< [5..5] Capture, compare-match falling edge interrupt enable
                                                     for channel 2                                                             */
      __IOM uint16_t ENT12OM    : 1;            /*!< [6..6] Enable interrupt for T12 one-match                                 */
      __IOM uint16_t ENT12PM    : 1;            /*!< [7..7] Enable interrupt for T12 period-match                              */
      __IOM uint16_t ENT13CM    : 1;            /*!< [8..8] Enable interrupt for T13 compare-match                             */
      __IOM uint16_t ENT13PM    : 1;            /*!< [9..9] Enable interrupt for T13 period-match                              */
      __IOM uint16_t ENTRPF     : 1;            /*!< [10..10] Enable interrupt for trap flag                                   */
            uint16_t            : 1;
      __IOM uint16_t ENCHE      : 1;            /*!< [12..12] Enable interrupt for correct Hall Event                          */
      __IOM uint16_t ENWHE      : 1;            /*!< [13..13] Enable interrupt for wrong Hall Event                            */
      __IOM uint16_t ENIDLE     : 1;            /*!< [14..14] Enable idle                                                      */
      __IOM uint16_t ENSTR      : 1;            /*!< [15..15] Enable multi-channel mode shadow transfer interrupt              */
    } bit;
  } IEN;
  __IM  uint16_t  RESERVED17;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000048) Capture/compare interrupt node pointer register            */
    
    struct {
      __IOM uint16_t INPCC60    : 2;            /*!< [1..0] Interrupt node pointer for channel 0 interrupts                    */
      __IOM uint16_t INPCC61    : 2;            /*!< [3..2] Interrupt node pointer for channel 1 interrupts                    */
      __IOM uint16_t INPCC62    : 2;            /*!< [5..4] Interrupt node pointer for channel 2 interrupts                    */
      __IOM uint16_t INPCHE     : 2;            /*!< [7..6] Interrupt node pointer for the CHE interrupt                       */
      __IOM uint16_t INPERR     : 2;            /*!< [9..8] Interrupt node pointer for error interrupts                        */
      __IOM uint16_t INPT12     : 2;            /*!< [11..10] Interrupt node pointer for timer T12 interrupts                  */
      __IOM uint16_t INPT13     : 2;            /*!< [13..12] Interrupt node pointer for timer T13 interrupts                  */
            uint16_t            : 2;
    } bit;
  } INP;
  __IM  uint16_t  RESERVED18;
  
  union {
    __OM  uint16_t reg;                         /*!< (@ 0x0000004C) Capture/compare interrupt status set register              */
    
    struct {
      __OM  uint16_t SCC60R     : 1;            /*!< [0..0] Set capture, compare-match rising edge flag                        */
      __OM  uint16_t SCC60F     : 1;            /*!< [1..1] Set capture, compare-match falling edge flag                       */
      __OM  uint16_t SCC61R     : 1;            /*!< [2..2] Set capture, compare-match rising edge flag                        */
      __OM  uint16_t SCC61F     : 1;            /*!< [3..3] Set capture, compare-match falling edge flag                       */
      __OM  uint16_t SCC62R     : 1;            /*!< [4..4] Set capture, compare-match rising edge flag                        */
      __OM  uint16_t SCC62F     : 1;            /*!< [5..5] Set capture, compare-match falling edge flag                       */
      __OM  uint16_t ST12OM     : 1;            /*!< [6..6] Set timer T12 one-match flag                                       */
      __OM  uint16_t ST12PM     : 1;            /*!< [7..7] Set timer T12 period-match flag                                    */
      __OM  uint16_t ST13CM     : 1;            /*!< [8..8] Set timer T13 compare-match flag                                   */
      __OM  uint16_t ST13PM     : 1;            /*!< [9..9] Set timer T13 period-match flag                                    */
      __OM  uint16_t STRPF      : 1;            /*!< [10..10] Set trap flag                                                    */
      __OM  uint16_t SWHC       : 1;            /*!< [11..11] Software Hall compare                                            */
      __OM  uint16_t SCHE       : 1;            /*!< [12..12] Set correct Hall event flag                                      */
      __OM  uint16_t SWHE       : 1;            /*!< [13..13] Set wrong Hall event flag                                        */
      __OM  uint16_t SIDLE      : 1;            /*!< [14..14] Set IDLE flag                                                    */
      __OM  uint16_t SSTR       : 1;            /*!< [15..15] Set STR flag                                                     */
    } bit;
  } ISS;
  __IM  uint16_t  RESERVED19;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000050) Passive state level register                               */
    
    struct {
      __IOM uint16_t PSL        : 6;            /*!< [5..0] Compare outputs passive state level                                */
            uint16_t            : 1;
      __IOM uint16_t PSL63      : 1;            /*!< [7..7] Passive state level of output COUT63                               */
            uint16_t            : 8;
    } bit;
  } PSLR;
  __IM  uint16_t  RESERVED20;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000054) Multi-channel mode control register                        */
    
    struct {
      __IOM uint16_t SWSEL      : 3;            /*!< [2..0] Switching selection                                                */
            uint16_t            : 1;
      __IOM uint16_t SWSYN      : 2;            /*!< [5..4] Switching Synchronization                                          */
            uint16_t            : 2;
      __IOM uint16_t STE12U     : 1;            /*!< [8..8] Shadow transfer enable for T12 upcounting                          */
      __IOM uint16_t STE12D     : 1;            /*!< [9..9] Shadow transfer Enable for T12 downcounting                        */
      __IOM uint16_t STE13U     : 1;            /*!< [10..10] Shadow transfer enable for T13 upcounting                        */
            uint16_t            : 5;
    } bit;
  } MCMCTR;
  __IM  uint16_t  RESERVED21;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000058) Timer control 2 register                                   */
    
    struct {
      __IOM uint16_t T12SSC     : 1;            /*!< [0..0] Timer T12 single shot control                                      */
      __IOM uint16_t T13SSC     : 1;            /*!< [1..1] Timer T13 single shot control                                      */
      __IOM uint16_t T13TEC     : 3;            /*!< [4..2] T13 trigger event control                                          */
      __IOM uint16_t T13TED     : 2;            /*!< [6..5] Timer T13 trigger event direction                                  */
            uint16_t            : 1;
      __IOM uint16_t T12RSEL    : 2;            /*!< [9..8] Timer T12 external run selection                                   */
      __IOM uint16_t T13RSEL    : 2;            /*!< [11..10] Timer T13 external run selection                                 */
            uint16_t            : 4;
    } bit;
  } TCTR2;
  __IM  uint16_t  RESERVED22;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000005C) Modulation control register                                */
    
    struct {
      __IOM uint16_t T12MODEN   : 6;            /*!< [5..0] T12 modulation enable                                              */
            uint16_t            : 1;
      __IOM uint16_t MCMEN      : 1;            /*!< [7..7] Multi-channel mode enable                                          */
      __IOM uint16_t T13MODEN   : 6;            /*!< [13..8] T13 modulation enable                                             */
            uint16_t            : 1;
      __IOM uint16_t ECT13O     : 1;            /*!< [15..15] Enable compare timer T13 output                                  */
    } bit;
  } MODCTR;
  __IM  uint16_t  RESERVED23;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000060) Trap control register                                      */
    
    struct {
      __IOM uint16_t TRPM10     : 2;            /*!< [1..0] Trap mode control bits 1, 0                                        */
      __IOM uint16_t TRPM2      : 1;            /*!< [2..2] Trap mode control bit 2                                            */
            uint16_t            : 5;
      __IOM uint16_t TRPEN      : 6;            /*!< [13..8] Trap enable control                                               */
      __IOM uint16_t TRPEN13    : 1;            /*!< [14..14] Trap enable control for timer T13                                */
      __IOM uint16_t TRPPEN     : 1;            /*!< [15..15] Trap pin enable                                                  */
    } bit;
  } TRPCTR;
  __IM  uint16_t  RESERVED24;
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x00000064) Multi-channel mode output register                         */
    
    struct {
      __IM  uint16_t MCMP       : 6;            /*!< [5..0] Multi-channel PWM pattern                                          */
      __IM  uint16_t R          : 1;            /*!< [6..6] Reminder Flag                                                      */
            uint16_t            : 1;
      __IM  uint16_t EXPH       : 3;            /*!< [10..8] Expected Hall pattern                                             */
      __IM  uint16_t CURH       : 3;            /*!< [13..11] Current Hall pattern                                             */
            uint16_t            : 2;
    } bit;
  } MCMOUT;
  __IM  uint16_t  RESERVED25;
  
  union {
    __IM  uint16_t reg;                         /*!< (@ 0x00000068) Capture/compare interrupt status register                  */
    
    struct {
      __IM  uint16_t ICC60R     : 1;            /*!< [0..0] Capture, compare-match rising edge flag                            */
      __IM  uint16_t ICC60F     : 1;            /*!< [1..1] Capture, compare-match falling edge flag                           */
      __IM  uint16_t ICC61R     : 1;            /*!< [2..2] Capture, compare-match rising edge flag                            */
      __IM  uint16_t ICC61F     : 1;            /*!< [3..3] Capture, compare-match falling edge flag                           */
      __IM  uint16_t ICC62R     : 1;            /*!< [4..4] Capture, compare-match rising edge flag                            */
      __IM  uint16_t ICC62F     : 1;            /*!< [5..5] Capture, compare-match falling edge flag                           */
      __IM  uint16_t T12OM      : 1;            /*!< [6..6] Timer T12 one-match flag                                           */
      __IM  uint16_t T12PM      : 1;            /*!< [7..7] Timer T12 period-match flag                                        */
      __IM  uint16_t T13CM      : 1;            /*!< [8..8] Timer T13 compare-match flag                                       */
      __IM  uint16_t T13PM      : 1;            /*!< [9..9] Timer T13 period-match flag                                        */
      __IM  uint16_t TRPF       : 1;            /*!< [10..10] Trap flag                                                        */
      __IM  uint16_t TRPS       : 1;            /*!< [11..11] Trap state                                                       */
      __IM  uint16_t CHE        : 1;            /*!< [12..12] Correct Hall event                                               */
      __IM  uint16_t WHE        : 1;            /*!< [13..13] Wrong Hall event                                                 */
      __IM  uint16_t IDLE       : 1;            /*!< [14..14] IDLE state                                                       */
      __IM  uint16_t STR        : 1;            /*!< [15..15] Multi-channel mode shadow transfer request                       */
    } bit;
  } IS;
  __IM  uint16_t  RESERVED26;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000006C) Port input select 0 register                               */
    
    struct {
      __IOM uint16_t ISCC60     : 2;            /*!< [1..0] Input select for CC60                                              */
      __IOM uint16_t ISCC61     : 2;            /*!< [3..2] Input select for CC61                                              */
      __IOM uint16_t ISCC62     : 2;            /*!< [5..4] Input select for CC62                                              */
      __IOM uint16_t ISTRP      : 2;            /*!< [7..6] Input select for CTRAP                                             */
      __IOM uint16_t ISPOS0     : 2;            /*!< [9..8] Input select for CCPOS0                                            */
      __IOM uint16_t ISPOS1     : 2;            /*!< [11..10] Input select for CCPOS1                                          */
      __IOM uint16_t ISPOS2     : 2;            /*!< [13..12] Input select for CCPOS2                                          */
      __IOM uint16_t IST12HR    : 2;            /*!< [15..14] Input select for T12HR                                           */
    } bit;
  } PISEL0;
  __IM  uint16_t  RESERVED27[3];
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000074) Port input select 2 register                               */
    
    struct {
      __IOM uint16_t IST13HR    : 2;            /*!< [1..0] Input select for T13HR                                             */
      __IOM uint16_t ISCNT12    : 2;            /*!< [3..2] Input select for T12 counting input                                */
      __IOM uint16_t ISCNT13    : 2;            /*!< [5..4] Input select for T13 counting input                                */
      __IOM uint16_t T12EXT     : 1;            /*!< [6..6] Extension for T12HR inputs                                         */
      __IOM uint16_t T13EXT     : 1;            /*!< [7..7] Extension for T13HR inputs                                         */
            uint16_t            : 8;
    } bit;
  } PISEL2;
  __IM  uint16_t  RESERVED28;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000078) Timer T12 counter register                                 */
    
    struct {
      __IOM uint16_t T12CV      : 16;           /*!< [15..0] Timer T12 counter value                                           */
    } bit;
  } T12;
  __IM  uint16_t  RESERVED29;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x0000007C) Timer T13 counter register                                 */
    
    struct {
      __IOM uint16_t T13CV      : 16;           /*!< [15..0] Timer T13 counter value                                           */
    } bit;
  } T13;
  __IM  uint16_t  RESERVED30;
  
  union {
    __IOM uint16_t reg;                         /*!< (@ 0x00000080) Compare state register                                     */
    
    struct {
      __IM  uint16_t CC60ST     : 1;            /*!< [0..0] Capture/compare state bits                                         */
      __IM  uint16_t CC61ST     : 1;            /*!< [1..1] Capture/compare state bits                                         */
      __IM  uint16_t CC62ST     : 1;            /*!< [2..2] Capture/compare state bits                                         */
      __IM  uint16_t CCPOS0     : 1;            /*!< [3..3] Sampled Hall pattern bit 0                                         */
      __IM  uint16_t CCPOS1     : 1;            /*!< [4..4] Sampled Hall pattern bit 1                                         */
      __IM  uint16_t CCPOS2     : 1;            /*!< [5..5] Sampled Hall pattern bit 2                                         */
      __IM  uint16_t CC63ST     : 1;            /*!< [6..6] Capture/compare state bits                                         */
            uint16_t            : 1;
      __IOM uint16_t CC60PS     : 1;            /*!< [8..8] Passive state select for compare outputs                           */
      __IOM uint16_t COUT60PS   : 1;            /*!< [9..9] Passive state select for compare outputs                           */
      __IOM uint16_t CC61PS     : 1;            /*!< [10..10] Passive state select for compare outputs                         */
      __IOM uint16_t COUT61PS   : 1;            /*!< [11..11] Passive state select for compare outputs                         */
      __IOM uint16_t CC62PS     : 1;            /*!< [12..12] Passive state select for compare outputs                         */
      __IOM uint16_t COUT62PS   : 1;            /*!< [13..13] Passive state select for compare outputs                         */
      __IOM uint16_t COUT63PS   : 1;            /*!< [14..14] Passive state select for compare outputs                         */
      __IOM uint16_t T13IM      : 1;            /*!< [15..15] T13 inverted modulation                                          */
    } bit;
  } CMPSTAT;
} CCU6_Type;                                    /*!< Size = 130 (0x82)                                                         */



/* =========================================================================================================================== */
/* ================                                            CPU                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CPU processor registers (CPU)
  */

typedef struct {                                /*!< (@ 0xE000E000) CPU Structure                                              */
  __IM  uint32_t  RESERVED[4];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) SysTick control and status register                        */
    
    struct {
      __IOM uint32_t ENABLE     : 1;            /*!< [0..0] Enable                                                             */
      __IOM uint32_t TICKINT    : 1;            /*!< [1..1] TICKINT                                                            */
      __IOM uint32_t CLKSOURCE  : 1;            /*!< [2..2] CLK source                                                         */
            uint32_t            : 13;
      __IM  uint32_t COUNTFLAG  : 1;            /*!< [16..16] Count flag                                                       */
            uint32_t            : 15;
    } bit;
  } SYSTICK_CSR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) SysTick reload value register                              */
    
    struct {
      __IOM uint32_t RELOAD     : 24;           /*!< [23..0] Reload                                                            */
            uint32_t            : 8;
    } bit;
  } SYSTICK_RVR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) SysTick current value register                             */
    
    struct {
      __IOM uint32_t CURRENT    : 24;           /*!< [23..0] Current                                                           */
            uint32_t            : 8;
    } bit;
  } SYSTICK_CVR;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000001C) SysTick calibration value register                         */
    
    struct {
      __IM  uint32_t TENMS      : 24;           /*!< [23..0] Tenms                                                             */
            uint32_t            : 6;
      __IM  uint32_t SKEW       : 1;            /*!< [30..30] Skew                                                             */
      __IM  uint32_t NOREF      : 1;            /*!< [31..31] No reference clock                                               */
    } bit;
  } SYSTICK_CALIB;
  __IM  uint32_t  RESERVED1[56];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000100) Interrupt set-enable register                              */
    
    struct {
      __IOM uint32_t Int_GPT1   : 1;            /*!< [0..0] Interrupt set for GPT1                                             */
      __IOM uint32_t Int_GPT2   : 1;            /*!< [1..1] Interrupt set for GPT2                                             */
      __IOM uint32_t Int_ADC2   : 1;            /*!< [2..2] Interrupt set for MU, ADC2                                         */
      __IOM uint32_t Int_ADC1   : 1;            /*!< [3..3] Interrupt set for ADC1                                             */
      __IOM uint32_t Int_CCU6SR0 : 1;           /*!< [4..4] Interrupt set for CCU6 SR0                                         */
      __IOM uint32_t Int_CCU6SR1 : 1;           /*!< [5..5] Interrupt set for CCU6 SR1                                         */
      __IOM uint32_t Int_CCU6SR2 : 1;           /*!< [6..6] Interrupt set for CCU6 SR2                                         */
      __IOM uint32_t Int_CCU6SR3 : 1;           /*!< [7..7] Interrupt set for CCU6 SR3                                         */
      __IOM uint32_t Int_SSC1   : 1;            /*!< [8..8] Interrupt set for SSC1                                             */
      __IOM uint32_t Int_SSC2   : 1;            /*!< [9..9] Interrupt set for SSC2                                             */
      __IOM uint32_t Int_UART1  : 1;            /*!< [10..10] Interrupt set for UART1                                          */
      __IOM uint32_t Int_UART2  : 1;            /*!< [11..11] Interrupt set for UART2                                          */
      __IOM uint32_t Int_EXINT0 : 1;            /*!< [12..12] Interrupt set for external Int 0                                 */
      __IOM uint32_t Int_EXINT1 : 1;            /*!< [13..13] Interrupt set for external Int 1                                 */
      __IOM uint32_t Int_WAKEUP : 1;            /*!< [14..14] Interrupt set for WAKEUP                                         */
            uint32_t            : 2;
      __IOM uint32_t Int_LS1    : 1;            /*!< [17..17] Interrupt set for LS1                                            */
      __IOM uint32_t Int_LS2    : 1;            /*!< [18..18] Interrupt set for LS2                                            */
      __IOM uint32_t Int_HS1    : 1;            /*!< [19..19] Interrupt set for HS1                                            */
      __IOM uint32_t Int_HS2    : 1;            /*!< [20..20] Interrupt set for HS2                                            */
      __IOM uint32_t Int_DU     : 1;            /*!< [21..21] Interrupt set for differential unit                              */
      __IOM uint32_t Int_MON    : 1;            /*!< [22..22] Interrupt set for MON                                            */
      __IOM uint32_t Int_PORT2  : 1;            /*!< [23..23] Interrupt set for PORT2                                          */
            uint32_t            : 8;
    } bit;
  } NVIC_ISER;
  __IM  uint32_t  RESERVED2[31];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000180) Interrupt clear-enable register                            */
    
    struct {
      __IOM uint32_t Int_GPT1   : 1;            /*!< [0..0] Interrupt clear for GPT1                                           */
      __IOM uint32_t Int_GPT2   : 1;            /*!< [1..1] Interrupt clear for GPT2                                           */
      __IOM uint32_t Int_ADC2   : 1;            /*!< [2..2] Interrupt clear for MU, ADC2                                       */
      __IOM uint32_t Int_ADC1   : 1;            /*!< [3..3] Interrupt clear for ADC1                                           */
      __IOM uint32_t Int_CCU6SR0 : 1;           /*!< [4..4] Interrupt clear for CCU6 SR0                                       */
      __IOM uint32_t Int_CCU6SR1 : 1;           /*!< [5..5] Interrupt clear for CCU6 SR1                                       */
      __IOM uint32_t Int_CCU6SR2 : 1;           /*!< [6..6] Interrupt clear for CCU6 SR2                                       */
      __IOM uint32_t Int_CCU6SR3 : 1;           /*!< [7..7] Interrupt clear for CCU6 SR3                                       */
      __IOM uint32_t Int_SSC1   : 1;            /*!< [8..8] Interrupt clear for SSC1                                           */
      __IOM uint32_t Int_SSC2   : 1;            /*!< [9..9] Interrupt clear for SSC2                                           */
      __IOM uint32_t Int_UART1  : 1;            /*!< [10..10] Interrupt clear for UART1                                        */
      __IOM uint32_t Int_UART2  : 1;            /*!< [11..11] Interrupt clear for UART2                                        */
      __IOM uint32_t Int_EXINT0 : 1;            /*!< [12..12] Interrupt clear for external Int 0                               */
      __IOM uint32_t Int_EXINT1 : 1;            /*!< [13..13] Interrupt clear for external Int 1                               */
      __IOM uint32_t Int_WAKEUP : 1;            /*!< [14..14] Interrupt clear for WAKEUP                                       */
            uint32_t            : 2;
      __IOM uint32_t Int_LS1    : 1;            /*!< [17..17] Interrupt clear for LS1                                          */
      __IOM uint32_t Int_LS2    : 1;            /*!< [18..18] Interrupt clear for LS2                                          */
      __IOM uint32_t Int_HS1    : 1;            /*!< [19..19] Interrupt clear for HS1                                          */
      __IOM uint32_t Int_HS2    : 1;            /*!< [20..20] Interrupt clear for HS2                                          */
      __IOM uint32_t Int_DU     : 1;            /*!< [21..21] Interrupt clear for differential unit                            */
      __IOM uint32_t Int_MON    : 1;            /*!< [22..22] Interrupt clear for MON                                          */
      __IOM uint32_t Int_PORT2  : 1;            /*!< [23..23] Interrupt Clear for PORT2                                        */
            uint32_t            : 8;
    } bit;
  } NVIC_ICER;
  __IM  uint32_t  RESERVED3[31];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000200) Interrupt set-pending register                             */
    
    struct {
      __IOM uint32_t Int_GPT1   : 1;            /*!< [0..0] Interrupt set pending for GPT1                                     */
      __IOM uint32_t Int_GPT2   : 1;            /*!< [1..1] Interrupt set pending for GPT2                                     */
      __IOM uint32_t Int_ADC2   : 1;            /*!< [2..2] Interrupt set pending for MU, ADC2                                 */
      __IOM uint32_t Int_ADC1   : 1;            /*!< [3..3] Interrupt set pending for ADC1                                     */
      __IOM uint32_t Int_CCU6SR0 : 1;           /*!< [4..4] Interrupt set pending for CCU6 SR0                                 */
      __IOM uint32_t Int_CCU6SR1 : 1;           /*!< [5..5] Interrupt set pending for CCU6 SR1                                 */
      __IOM uint32_t Int_CCU6SR2 : 1;           /*!< [6..6] Interrupt set pending for CCU6 SR2                                 */
      __IOM uint32_t Int_CCU6SR3 : 1;           /*!< [7..7] Interrupt set pending for CCU6 SR3                                 */
      __IOM uint32_t Int_SSC1   : 1;            /*!< [8..8] Interrupt set pending for SSC1                                     */
      __IOM uint32_t Int_SSC2   : 1;            /*!< [9..9] Interrupt set pending for SSC2                                     */
      __IOM uint32_t Int_UART1  : 1;            /*!< [10..10] Interrupt set pending for UART1                                  */
      __IOM uint32_t Int_UART2  : 1;            /*!< [11..11] Interrupt set pending for UART2                                  */
      __IOM uint32_t Int_EXINT0 : 1;            /*!< [12..12] Interrupt set pending for external Int 0                         */
      __IOM uint32_t Int_EXINT1 : 1;            /*!< [13..13] Interrupt set pending for external Int 1                         */
      __IOM uint32_t Int_WAKEUP : 1;            /*!< [14..14] Interrupt set pending for WAKEUP                                 */
            uint32_t            : 2;
      __IOM uint32_t Int_LS1    : 1;            /*!< [17..17] Interrupt set pending for LS1                                    */
      __IOM uint32_t Int_LS2    : 1;            /*!< [18..18] Interrupt set pending for LS2                                    */
      __IOM uint32_t Int_HS1    : 1;            /*!< [19..19] Interrupt set pending for HS1                                    */
      __IOM uint32_t Int_HS2    : 1;            /*!< [20..20] Interrupt set pending for HS2                                    */
      __IOM uint32_t Int_DU     : 1;            /*!< [21..21] Interrupt set pending for differential unit                      */
      __IOM uint32_t Int_MON    : 1;            /*!< [22..22] Interrupt set pending for MON                                    */
      __IOM uint32_t Int_PORT2  : 1;            /*!< [23..23] Interrupt set pending for PORT2                                  */
            uint32_t            : 8;
    } bit;
  } NVIC_ISPR;
  __IM  uint32_t  RESERVED4[31];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000280) Interrupt clear-pending register                           */
    
    struct {
      __IOM uint32_t Int_GPT1   : 1;            /*!< [0..0] Interrupt clear pending for GPT1                                   */
      __IOM uint32_t Int_GPT2   : 1;            /*!< [1..1] Interrupt clear pending for GPT2                                   */
      __IOM uint32_t Int_ADC2   : 1;            /*!< [2..2] Interrupt clear pending for MU, ADC2                               */
      __IOM uint32_t Int_ADC1   : 1;            /*!< [3..3] Interrupt clear pending for ADC1                                   */
      __IOM uint32_t Int_CCU6SR0 : 1;           /*!< [4..4] Interrupt clear pending for CCU6 SR0                               */
      __IOM uint32_t Int_CCU6SR1 : 1;           /*!< [5..5] Interrupt clear pending for CCU6 SR1                               */
      __IOM uint32_t Int_CCU6SR2 : 1;           /*!< [6..6] Interrupt clear pending for CCU6 SR2                               */
      __IOM uint32_t Int_CCU6SR3 : 1;           /*!< [7..7] Interrupt clear pending for CCU6 SR3                               */
      __IOM uint32_t Int_SSC1   : 1;            /*!< [8..8] Interrupt clear pending for SSC1                                   */
      __IOM uint32_t Int_SSC2   : 1;            /*!< [9..9] Interrupt clear pending for SSC2                                   */
      __IOM uint32_t Int_UART1  : 1;            /*!< [10..10] Interrupt clear pending for UART1                                */
      __IOM uint32_t Int_UART2  : 1;            /*!< [11..11] Interrupt clear pending for UART2                                */
      __IOM uint32_t Int_EXINT0 : 1;            /*!< [12..12] Interrupt clear pending for external Int 0                       */
      __IOM uint32_t Int_EXINT1 : 1;            /*!< [13..13] Interrupt clear pending for external Int 1                       */
      __IOM uint32_t Int_WAKEUP : 1;            /*!< [14..14] Interrupt clear pending for WAKEUP                               */
            uint32_t            : 2;
      __IOM uint32_t Int_LS1    : 1;            /*!< [17..17] Interrupt clear pending for LS1                                  */
      __IOM uint32_t Int_LS2    : 1;            /*!< [18..18] Interrupt clear pending for LS2                                  */
      __IOM uint32_t Int_HS1    : 1;            /*!< [19..19] Interrupt clear pending for HS1                                  */
      __IOM uint32_t Int_HS2    : 1;            /*!< [20..20] Interrupt clear pending for HS2                                  */
      __IOM uint32_t Int_DU     : 1;            /*!< [21..21] Interrupt clear pending for differential unit                    */
      __IOM uint32_t Int_MON    : 1;            /*!< [22..22] Interrupt clear pending for MON                                  */
      __IOM uint32_t Int_PORT2  : 1;            /*!< [23..23] Interrupt clear pending for PORT2                                */
            uint32_t            : 8;
    } bit;
  } NVIC_ICPR;
  __IM  uint32_t  RESERVED5[95];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000400) Interrupt priority 0 register                              */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t PRI_GPT1   : 2;            /*!< [7..6] Priority for GPT1                                                  */
            uint32_t            : 6;
      __IOM uint32_t PRI_GPT2   : 2;            /*!< [15..14] Priority for GPT2                                                */
            uint32_t            : 6;
      __IOM uint32_t PRI_ADC2   : 2;            /*!< [23..22] Priority for MU, ADC2                                            */
            uint32_t            : 6;
      __IOM uint32_t PRI_ADC1   : 2;            /*!< [31..30] Priority for ADC1                                                */
    } bit;
  } NVIC_IPR0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000404) Interrupt priority 1 register                              */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t PRI_CCU6SR0 : 2;           /*!< [7..6] Priority for CCU6 SR0                                              */
            uint32_t            : 6;
      __IOM uint32_t PRI_CCU6SR1 : 2;           /*!< [15..14] Priority for CCU6 SR1                                            */
            uint32_t            : 6;
      __IOM uint32_t PRI_CCU6SR2 : 2;           /*!< [23..22] Priority for CCU6 SR2                                            */
            uint32_t            : 6;
      __IOM uint32_t PRI_CCU6SR3 : 2;           /*!< [31..30] Priority for CCU6 SR3                                            */
    } bit;
  } NVIC_IPR1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000408) Interrupt priority 2 register                              */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t PRI_SSC1   : 2;            /*!< [7..6] Priority for CCU6 SSC1                                             */
            uint32_t            : 6;
      __IOM uint32_t PRI_SSC2   : 2;            /*!< [15..14] Priority for CCU6 SSC2                                           */
            uint32_t            : 6;
      __IOM uint32_t PRI_UART1  : 2;            /*!< [23..22] Priority for CCU6 UART1                                          */
            uint32_t            : 6;
      __IOM uint32_t PRI_UART2  : 2;            /*!< [31..30] Priority for CCU6 UART2                                          */
    } bit;
  } NVIC_IPR2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000040C) Interrupt priority 3 register                              */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t PRI_EXINT0 : 2;            /*!< [7..6] Priority for external Int 0                                        */
            uint32_t            : 6;
      __IOM uint32_t PRI_EXINT1 : 2;            /*!< [15..14] Priority for external Int 1                                      */
            uint32_t            : 6;
      __IOM uint32_t PRI_WAKEUP : 2;            /*!< [23..22] Priority for WAKEUP                                              */
            uint32_t            : 8;
    } bit;
  } NVIC_IPR3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000410) Interrupt priority 4 register                              */
    
    struct {
            uint32_t            : 14;
      __IOM uint32_t PRI_LS1    : 2;            /*!< [15..14] Priority for LS1                                                 */
            uint32_t            : 6;
      __IOM uint32_t PRI_LS2    : 2;            /*!< [23..22] Priority for LS2                                                 */
            uint32_t            : 6;
      __IOM uint32_t PRI_HS1    : 2;            /*!< [31..30] Priority for HS1                                                 */
    } bit;
  } NVIC_IPR4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000414) Interrupt priority 5 register                              */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t PRI_HS2    : 2;            /*!< [7..6] Priority for HS2                                                   */
            uint32_t            : 6;
      __IOM uint32_t PRI_DU     : 2;            /*!< [15..14] Priority for differential unit                                   */
            uint32_t            : 6;
      __IOM uint32_t PRI_MON    : 2;            /*!< [23..22] Priority for MON                                                 */
            uint32_t            : 6;
      __IOM uint32_t PRI_PORT2  : 2;            /*!< [31..30] Priority for PORT2                                               */
    } bit;
  } NVIC_IPR5;
  __IM  uint32_t  RESERVED6[570];
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000D00) CPU ID base register                                       */
    
    struct {
      __IM  uint32_t REVISION   : 4;            /*!< [3..0] Revision number                                                    */
      __IM  uint32_t PARTNO     : 12;           /*!< [15..4] Part number                                                       */
      __IM  uint32_t CONSTANT   : 4;            /*!< [19..16] Constant                                                         */
      __IM  uint32_t VARIANT    : 4;            /*!< [23..20] Variant number                                                   */
      __IM  uint32_t IMPLEMENTER : 8;           /*!< [31..24] Implementer code                                                 */
    } bit;
  } CPUID;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000D04) Interrupt control and state register                       */
    
    struct {
      __IM  uint32_t VECTACTIVE : 6;            /*!< [5..0] VECTACTIVATE                                                       */
            uint32_t            : 6;
      __IM  uint32_t VECTPENDING : 6;           /*!< [17..12] VECTPENDING                                                      */
            uint32_t            : 4;
      __IM  uint32_t ISRPENDING : 1;            /*!< [22..22] Interrupt pending flag                                           */
            uint32_t            : 2;
      __OM  uint32_t PENDSTCLR  : 1;            /*!< [25..25] SysTick exception clear pending                                  */
      __IOM uint32_t PENDSTSET  : 1;            /*!< [26..26] SysTick exception set pending                                    */
      __OM  uint32_t PENDSVCLR  : 1;            /*!< [27..27] PendSV clear pending                                             */
      __IOM uint32_t PENDSVSET  : 1;            /*!< [28..28] PendSV set pending                                               */
            uint32_t            : 2;
      __IOM uint32_t NMIPENDSET : 1;            /*!< [31..31] NMI set pending                                                  */
    } bit;
  } ICSR;
  __IM  uint32_t  RESERVED7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000D0C) Application interrupt/reset control register               */
    
    struct {
            uint32_t            : 1;
      __OM  uint32_t VECTCLRACTIVE : 1;         /*!< [1..1] VECTCLRACTIVE                                                      */
      __OM  uint32_t SYSRESETREQ : 1;           /*!< [2..2] System reset request                                               */
            uint32_t            : 12;
      __IM  uint32_t ENDIANNESS : 1;            /*!< [15..15] Data endianness                                                  */
      __IOM uint32_t VECTKEY    : 16;           /*!< [31..16] Vector key                                                       */
    } bit;
  } AIRCR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000D10) System control register                                    */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t SLEEPONEXIT : 1;           /*!< [1..1] Sleep on exit                                                      */
      __IOM uint32_t SLEEPDEEP  : 1;            /*!< [2..2] Sleep deep                                                         */
            uint32_t            : 1;
      __IOM uint32_t SEVONPEND  : 1;            /*!< [4..4] Send event on pending bit                                          */
            uint32_t            : 27;
    } bit;
  } SCR;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000D14) Configuration control register                             */
    
    struct {
            uint32_t            : 3;
      __IM  uint32_t UNALIGN_TRP : 1;           /*!< [3..3] UNALIGN_TRP                                                        */
            uint32_t            : 5;
      __IM  uint32_t STKALIGN   : 1;            /*!< [9..9] STKALIGN                                                           */
            uint32_t            : 22;
    } bit;
  } CCR;
  __IM  uint32_t  RESERVED8;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000D1C) System handler priority 2 register                         */
    
    struct {
            uint32_t            : 30;
      __IOM uint32_t PRI_11     : 2;            /*!< [31..30] Priority of system handler 11, SVCall                            */
    } bit;
  } SHPR2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000D20) System handler priority 3 register                         */
    
    struct {
            uint32_t            : 22;
      __IOM uint32_t PRI_14     : 2;            /*!< [23..22] Priority of system handler 14, PendSV                            */
            uint32_t            : 6;
      __IOM uint32_t PRI_15     : 2;            /*!< [31..30] Priority of system handler 15, SysTick                           */
    } bit;
  } SHPR3;
} CPU_Type;                                     /*!< Size = 3364 (0xd24)                                                       */



/* =========================================================================================================================== */
/* ================                                          GPT12E                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General purpose timer units (GPT12) registers (GPT12E)
  */

typedef struct {                                /*!< (@ 0x40010000) GPT12E Structure                                           */
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000000) Module identification register                             */
    
    struct {
      __IM  uint32_t MOD_REV    : 8;            /*!< [7..0] Module revision number                                             */
      __IM  uint32_t MOD_TYPE   : 8;            /*!< [15..8] Module identification number                                      */
            uint32_t            : 16;
    } bit;
  } ID;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Port input select register                                 */
    
    struct {
      __IOM uint32_t IST2IN     : 1;            /*!< [0..0] Input select for T2IN                                              */
      __IOM uint32_t IST2EUD    : 1;            /*!< [1..1] Input select for T2EUD                                             */
      __IOM uint32_t IST3IN     : 2;            /*!< [3..2] Input select for T3IN                                              */
      __IOM uint32_t IST3EUD    : 2;            /*!< [5..4] Input select for T3EUD                                             */
      __IOM uint32_t IST4IN     : 2;            /*!< [7..6] Input select for T4IN                                              */
      __IOM uint32_t IST4EUD    : 2;            /*!< [9..8] Input select for TEUD                                              */
      __IOM uint32_t IST5IN     : 1;            /*!< [10..10] Input select for T5IN                                            */
      __IOM uint32_t IST5EUD    : 1;            /*!< [11..11] Input select for T5EUD                                           */
      __IOM uint32_t IST6IN     : 1;            /*!< [12..12] Input select for T6IN                                            */
      __IOM uint32_t IST6EUD    : 1;            /*!< [13..13] Input select for T6EUD                                           */
      __IOM uint32_t ISCAPIN    : 2;            /*!< [15..14] Input select for CAPIN                                           */
            uint32_t            : 16;
    } bit;
  } PISEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Timer T2 control register                                  */
    
    struct {
      __IOM uint32_t T2I        : 3;            /*!< [2..0] Timer T2 input parameter selection                                 */
      __IOM uint32_t T2M        : 3;            /*!< [5..3] Timer T2 input mode control                                        */
      __IOM uint32_t T2R        : 1;            /*!< [6..6] Timer T2 input run bit                                             */
      __IOM uint32_t T2UD       : 1;            /*!< [7..7] Timer T2 up/down control                                           */
      __IOM uint32_t T2UDE      : 1;            /*!< [8..8] Timer T2 external up/down enable                                   */
      __IOM uint32_t T2RC       : 1;            /*!< [9..9] Timer T2 remote control                                            */
            uint32_t            : 2;
      __IOM uint32_t T2IRIDIS   : 1;            /*!< [12..12] Timer T2 interrupt disable                                       */
      __IOM uint32_t T2EDGE     : 1;            /*!< [13..13] Timer T2 edge detection                                          */
      __IOM uint32_t T2CHDIR    : 1;            /*!< [14..14] Timer T2 count direction change                                  */
      __IM  uint32_t T2DIR      : 1;            /*!< [15..15] Timer T2 rotation direction                                      */
            uint32_t            : 16;
    } bit;
  } T2CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Timer T3 control register                                  */
    
    struct {
      __IOM uint32_t T3I        : 3;            /*!< [2..0] Timer T3 input parameter selection                                 */
      __IOM uint32_t T3M        : 3;            /*!< [5..3] Timer T3 input mode control                                        */
      __IOM uint32_t T3R        : 1;            /*!< [6..6] Timer T3 input run bit                                             */
      __IOM uint32_t T3UD       : 1;            /*!< [7..7] Timer T3 up/down control                                           */
      __IOM uint32_t T3UDE      : 1;            /*!< [8..8] Timer T3 external up/down enable                                   */
      __IOM uint32_t T3OE       : 1;            /*!< [9..9] Overflow/underflow output enable                                   */
      __IOM uint32_t T3OTL      : 1;            /*!< [10..10] Timer T3 overflow toggle latch                                   */
      __IOM uint32_t BPS1       : 2;            /*!< [12..11] GPT1 block prescaler control                                     */
      __IOM uint32_t T3EDGE     : 1;            /*!< [13..13] Timer T3 edge detection flag                                     */
      __IOM uint32_t T3CHDIR    : 1;            /*!< [14..14] Timer T3 count direction change flag                             */
      __IM  uint32_t T3DIR      : 1;            /*!< [15..15] Timer T3 rotation direction flag                                 */
            uint32_t            : 16;
    } bit;
  } T3CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Timer T4 control register                                  */
    
    struct {
      __IOM uint32_t T4I        : 3;            /*!< [2..0] Timer T4 input parameter selection                                 */
      __IOM uint32_t T4M        : 3;            /*!< [5..3] Timer T4 mode control (basic operating mode)                       */
      __IOM uint32_t T4R        : 1;            /*!< [6..6] Timer T4 input run bit                                             */
      __IOM uint32_t T4UD       : 1;            /*!< [7..7] Timer T4 up/down control                                           */
      __IOM uint32_t T4UDE      : 1;            /*!< [8..8] Timer T4 external up/down enable                                   */
      __IOM uint32_t T4RC       : 1;            /*!< [9..9] Timer T4 remote control                                            */
      __IOM uint32_t CLRT2EN    : 1;            /*!< [10..10] Clear timer T2 enable                                            */
      __IOM uint32_t CLRT3EN    : 1;            /*!< [11..11] Clear timer T3 enable                                            */
      __IOM uint32_t T4IRDIS    : 1;            /*!< [12..12] Timer T4 interrupt disable                                       */
      __IOM uint32_t T4EDGE     : 1;            /*!< [13..13] Timer T4 edge direction                                          */
      __IOM uint32_t T4CHDIR    : 1;            /*!< [14..14] Timer T4 count direction change                                  */
      __IM  uint32_t T4RDIR     : 1;            /*!< [15..15] Timer T4 rotation direction                                      */
            uint32_t            : 16;
    } bit;
  } T4CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Timer T5 control register                                  */
    
    struct {
      __IOM uint32_t T5I        : 3;            /*!< [2..0] Timer T5 input parameter selection                                 */
      __IOM uint32_t T5M        : 2;            /*!< [4..3] Timer T5 input mode control                                        */
            uint32_t            : 1;
      __IOM uint32_t T5R        : 1;            /*!< [6..6] Timer T5 run bit                                                   */
      __IOM uint32_t T5UD       : 1;            /*!< [7..7] Timer T5 up/down control                                           */
      __IOM uint32_t T5UDE      : 1;            /*!< [8..8] Timer T5 external up/down enable                                   */
      __IOM uint32_t T5RC       : 1;            /*!< [9..9] Timer T5 remote control                                            */
      __IOM uint32_t CT3        : 1;            /*!< [10..10] Timer T3 capture trigger enable                                  */
            uint32_t            : 1;
      __IOM uint32_t CI         : 2;            /*!< [13..12] Register CAPREL capture trigger selection                        */
      __IOM uint32_t T5CLR      : 1;            /*!< [14..14] Timer T5 clear enable bit                                        */
      __IOM uint32_t T5SC       : 1;            /*!< [15..15] Timer T5 capture mode enable                                     */
            uint32_t            : 16;
    } bit;
  } T5CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Timer T6 control register                                  */
    
    struct {
      __IOM uint32_t T6I        : 3;            /*!< [2..0] Timer T6 input parameter selection                                 */
      __IOM uint32_t T6M        : 3;            /*!< [5..3] Timer T6 mode control                                              */
      __IOM uint32_t T6R        : 1;            /*!< [6..6] Timer T6 input run bit                                             */
      __IOM uint32_t T6UD       : 1;            /*!< [7..7] Timer T6 up/down control                                           */
      __IOM uint32_t T6UDE      : 1;            /*!< [8..8] Timer T6 external up/down enable                                   */
      __IOM uint32_t T6OE       : 1;            /*!< [9..9] Overflow/underflow output enable                                   */
      __IOM uint32_t T6OTL      : 1;            /*!< [10..10] Timer T6 overflow toggle latch                                   */
      __IOM uint32_t BPS2       : 2;            /*!< [12..11] GPT2 block prescaler control                                     */
            uint32_t            : 1;
      __IOM uint32_t T6CLR      : 1;            /*!< [14..14] Timer T6 clear enable bit                                        */
      __IOM uint32_t T6SR       : 1;            /*!< [15..15] Timer T6 reload mode enable                                      */
            uint32_t            : 16;
    } bit;
  } T6CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Capture/reload register                                    */
    
    struct {
      __IOM uint32_t CAPREL     : 16;           /*!< [15..0] Current reload value or captured value                            */
            uint32_t            : 16;
    } bit;
  } CAPREL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Timer T2 count register                                    */
    
    struct {
      __IOM uint32_t T2         : 16;           /*!< [15..0] Timer T2 current value                                            */
            uint32_t            : 16;
    } bit;
  } T2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) Timer T3 count register                                    */
    
    struct {
      __IOM uint32_t T3         : 16;           /*!< [15..0] Timer T3 current value                                            */
            uint32_t            : 16;
    } bit;
  } T3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000028) Timer T4 count register                                    */
    
    struct {
      __IOM uint32_t T4         : 16;           /*!< [15..0] Timer T4 current value                                            */
            uint32_t            : 16;
    } bit;
  } T4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000002C) Timer 5 count register                                     */
    
    struct {
      __IOM uint32_t T5         : 16;           /*!< [15..0] Timer T5 current value                                            */
            uint32_t            : 16;
    } bit;
  } T5;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000030) Timer 6 count register                                     */
    
    struct {
      __IOM uint32_t T6         : 16;           /*!< [15..0] Timer T6 current value                                            */
            uint32_t            : 16;
    } bit;
  } T6;
} GPT12E_Type;                                  /*!< Size = 52 (0x34)                                                          */



/* =========================================================================================================================== */
/* ================                                            HS                                             ================ */
/* =========================================================================================================================== */


/**
  * @brief High-side switch registers (HS)
  */

typedef struct {                                /*!< (@ 0x40024000) HS Structure                                               */
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) High-side driver control register                          */
    
    struct {
      __IOM uint32_t HS1_EN     : 1;            /*!< [0..0] High side 1 enable                                                 */
      __IOM uint32_t HS1_PWM    : 1;            /*!< [1..1] High side 1 PWM enable                                             */
      __IOM uint32_t HS1_ON     : 1;            /*!< [2..2] High side 1 on                                                     */
      __IOM uint32_t HS1_OL_EN  : 1;            /*!< [3..3] High side 1 open load detection enable                             */
            uint32_t            : 3;
      __IOM uint32_t HS1_CYC_ON_ACTIVE : 1;     /*!< [7..7] High side 1 cyclic ON driver                                       */
      __IOM uint32_t HS1_SRCTL_SEL : 1;         /*!< [8..8] High side 1 slew rate control select                               */
            uint32_t            : 3;
      __IOM uint32_t HS1_OC_SEL : 2;            /*!< [13..12] High side 1 overcurrent threshold selection                      */
            uint32_t            : 2;
      __IOM uint32_t HS2_EN     : 1;            /*!< [16..16] High side 2 enable                                               */
      __IOM uint32_t HS2_PWM    : 1;            /*!< [17..17] High side 2 PWM enable                                           */
      __IOM uint32_t HS2_ON     : 1;            /*!< [18..18] High side 2 on                                                   */
      __IOM uint32_t HS2_OL_EN  : 1;            /*!< [19..19] High side 2 open load detection enable                           */
            uint32_t            : 3;
      __IOM uint32_t HS2_CYC_ON_ACTIVE : 1;     /*!< [23..23] High side 2 cyclic ON driver                                     */
      __IOM uint32_t HS2_SRCTL_SEL : 1;         /*!< [24..24] High side 2 slew rate control select                             */
            uint32_t            : 3;
      __IOM uint32_t HS2_OC_SEL : 2;            /*!< [29..28] High side 2 overcurrent threshold selection                      */
            uint32_t            : 2;
    } bit;
  } CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) High-side driver interrupt status register                 */
    
    struct {
            uint32_t            : 5;
      __IOM uint32_t HS1_OT_IS  : 1;            /*!< [5..5] High side 1 overtemperature interrupt status                       */
      __IOM uint32_t HS1_OL_IS  : 1;            /*!< [6..6] High side 1 open load interrupt status                             */
      __IOM uint32_t HS1_OC_IS  : 1;            /*!< [7..7] High side 1 overcurrent interrupt status                           */
            uint32_t            : 5;
      __IOM uint32_t HS1_OT_STS : 1;            /*!< [13..13] High side 1 overtemperature status                               */
      __IOM uint32_t HS1_OL_STS : 1;            /*!< [14..14] High side 1 open load interrupt status                           */
            uint32_t            : 6;
      __IOM uint32_t HS2_OT_IS  : 1;            /*!< [21..21] High side 2 overtemperature interrupt status                     */
      __IOM uint32_t HS2_OL_IS  : 1;            /*!< [22..22] High side 2 open load interrupt status                           */
      __IOM uint32_t HS2_OC_IS  : 1;            /*!< [23..23] High side 2 overcurrent interrupt status                         */
            uint32_t            : 5;
      __IOM uint32_t HS2_OT_STS : 1;            /*!< [29..29] High side 2 overtemperature status                               */
      __IOM uint32_t HS2_OL_STS : 1;            /*!< [30..30] High side 2 open load interrupt status                           */
            uint32_t            : 1;
    } bit;
  } IRQS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) High-side driver interrupt status clear register           */
    
    struct {
            uint32_t            : 5;
      __OM  uint32_t HS1_OT_ISC : 1;            /*!< [5..5] High Side 1 overtemperature interrupt status clear                 */
      __OM  uint32_t HS1_OL_ISC : 1;            /*!< [6..6] High side 1 open load interrupt status clear                       */
      __OM  uint32_t HS1_OC_ISC : 1;            /*!< [7..7] High side 1 overcurrent interrupt status clear                     */
            uint32_t            : 5;
      __OM  uint32_t HS1_OT_SC  : 1;            /*!< [13..13] High side 1 overtemperature status clear                         */
      __OM  uint32_t HS1_OL_SC  : 1;            /*!< [14..14] High side 1 open load status clear                               */
            uint32_t            : 6;
      __OM  uint32_t HS2_OT_ISC : 1;            /*!< [21..21] High side 2 overtemperature interrupt status clear               */
      __OM  uint32_t HS2_OL_ISC : 1;            /*!< [22..22] High side 2 open load interrupt status clear                     */
      __OM  uint32_t HS2_OC_ISC : 1;            /*!< [23..23] High side 2 overcurrent interrupt status clear                   */
            uint32_t            : 5;
      __OM  uint32_t HS2_OT_SC  : 1;            /*!< [29..29] High side 2 overtemperature status clear                         */
      __OM  uint32_t HS2_OL_SC  : 1;            /*!< [30..30] High side 2 open load status clear                               */
            uint32_t            : 1;
    } bit;
  } IRQCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) High-side driver interrupt enable register                 */
    
    struct {
            uint32_t            : 5;
      __IOM uint32_t HS1_OT_IEN : 1;            /*!< [5..5] High Side 1 overtemperature interrupt enable                       */
      __IOM uint32_t HS1_OL_IEN : 1;            /*!< [6..6] High side 1 open load interrupt enable                             */
      __IOM uint32_t HS1_OC_IEN : 1;            /*!< [7..7] High side 1 overcurrent interrupt enable                           */
            uint32_t            : 13;
      __IOM uint32_t HS2_OT_IEN : 1;            /*!< [21..21] High side 2 overtemperature interrupt enable                     */
      __IOM uint32_t HS2_OL_IEN : 1;            /*!< [22..22] High side 2 open load interrupt enable                           */
      __IOM uint32_t HS2_OC_IEN : 1;            /*!< [23..23] High side 2 overcurrent interrupt enable                         */
            uint32_t            : 8;
    } bit;
  } IRQEN;
  __IM  uint32_t  RESERVED1[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) High-side driver 1 TRIM register                           */
    
    struct {
      __IOM uint32_t HS1_OL_BTFILT_SEL : 2;     /*!< [1..0] Blanking time filter select for HS1 open load detection            */
            uint32_t            : 6;
      __IOM uint32_t HS1_OC_OT_BTFILT_SEL : 2;  /*!< [9..8] Blanking time filter select for HS1 overcurrent/overtemperature
                                                     detection                                                                 */
            uint32_t            : 22;
    } bit;
  } HS1_TRIM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) High-side driver 2 TRIM register                           */
    
    struct {
      __IOM uint32_t HS2_OL_BTFILT_SEL : 2;     /*!< [1..0] Blanking time filter select for HS2 open load detection            */
            uint32_t            : 6;
      __IOM uint32_t HS2_OC_OT_BTFILT_SEL : 2;  /*!< [9..8] Blanking time/filter select for HS2 overcurrent/overtemperature
                                                     detection                                                                 */
            uint32_t            : 22;
    } bit;
  } HS2_TRIM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) High-side PWM source selection register                    */
    
    struct {
      __IOM uint32_t HS2_SRC_SEL : 3;           /*!< [2..0] HS2 PWM source selection                                           */
      __IOM uint32_t HS1_SRC_SEL : 3;           /*!< [5..3] HS1 PWM source selection                                           */
            uint32_t            : 26;
    } bit;
  } PWMSRCSEL;
} HS_Type;                                      /*!< Size = 40 (0x28)                                                          */



/* =========================================================================================================================== */
/* ================                                            LS                                             ================ */
/* =========================================================================================================================== */


/**
  * @brief Low-side switch registers (LS)
  */

typedef struct {                                /*!< (@ 0x4001C000) LS Structure                                               */
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Low-side driver control register                           */
    
    struct {
      __IOM uint32_t LS1_EN     : 1;            /*!< [0..0] Low-side switch 1 enable                                           */
      __IOM uint32_t LS1_PWM    : 1;            /*!< [1..1] Low-side switch 1 PWM enable                                       */
      __IOM uint32_t LS1_ON     : 1;            /*!< [2..2] Low-side switch 1 on/off                                           */
      __IOM uint32_t LS1_OL_EN  : 1;            /*!< [3..3] Open load detection enable                                         */
            uint32_t            : 4;
      __IOM uint32_t LS1_SRCTL_SEL : 1;         /*!< [8..8] Low-side switch 1 slew rate selection                              */
            uint32_t            : 7;
      __IOM uint32_t LS2_EN     : 1;            /*!< [16..16] Low-side switch 2 enable                                         */
      __IOM uint32_t LS2_PWM    : 1;            /*!< [17..17] Low-side switch 2 PWM enable                                     */
      __IOM uint32_t LS2_ON     : 1;            /*!< [18..18] Low-Side switch 2 on/off                                         */
      __IOM uint32_t LS2_OL_EN  : 1;            /*!< [19..19] Open load detection enable                                       */
            uint32_t            : 4;
      __IOM uint32_t LS2_SRCTL_SEL : 1;         /*!< [24..24] Low-side switch 2 slew rate selection                            */
            uint32_t            : 7;
    } bit;
  } CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Low-side driver interrupt status register                  */
    
    struct {
            uint32_t            : 4;
      __IOM uint32_t LS1_OT_PREWARN_IS : 1;     /*!< [4..4] Low-Side 1 overtemperature prewarning interrupt status             */
      __IOM uint32_t LS1_OT_IS  : 1;            /*!< [5..5] Low-Side 1 overtemperature interrupt status                        */
      __IOM uint32_t LS1_OL_IS  : 1;            /*!< [6..6] Low-Side 1 open load interrupt status                              */
      __IOM uint32_t LS1_OC_IS  : 1;            /*!< [7..7] Low-Side 1 overcurrent interrupt status                            */
            uint32_t            : 4;
      __IOM uint32_t LS1_OT_PREWARN_STS : 1;    /*!< [12..12] Low-Side 1 overtemperature prewarning status                     */
      __IOM uint32_t LS1_OT_STS : 1;            /*!< [13..13] Low-Side 1 overtemperature status                                */
      __IOM uint32_t LS1_OL_STS : 1;            /*!< [14..14] Low-Side 1 open load status                                      */
            uint32_t            : 5;
      __IOM uint32_t LS2_OT_PREWARN_IS : 1;     /*!< [20..20] Low-Side 2 overtemperature prewarning interrupt status           */
      __IOM uint32_t LS2_OT_IS  : 1;            /*!< [21..21] Low-Side 2 overtemperature interrupt status                      */
      __IOM uint32_t LS2_OL_IS  : 1;            /*!< [22..22] Low-Side 2 open load interrupt status                            */
      __IOM uint32_t LS2_OC_IS  : 1;            /*!< [23..23] Low-Side 2 overcurrent interrupt status                          */
            uint32_t            : 4;
      __IOM uint32_t LS2_OT_PREWARN_STS : 1;    /*!< [28..28] Low-Side 2 overtemperature prewarning status                     */
      __IOM uint32_t LS2_OT_STS : 1;            /*!< [29..29] Low-Side 2 overtemperature status                                */
      __IOM uint32_t LS2_OL_STS : 1;            /*!< [30..30] Low-side 2 open load status                                      */
            uint32_t            : 1;
    } bit;
  } IRQS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Low-side driver interrupt status clear register            */
    
    struct {
            uint32_t            : 4;
      __OM  uint32_t LS1_OT_PREWARN_ISC : 1;    /*!< [4..4] Low-side 1 overtemperature prewarn interrupt status clear          */
      __OM  uint32_t LS1_OT_ISC : 1;            /*!< [5..5] Low-side 1 overtemperature interrupt status clear                  */
      __OM  uint32_t LS1_OL_ISC : 1;            /*!< [6..6] Low-side 1 open load interrupt status clear                        */
      __OM  uint32_t LS1_OC_ISC : 1;            /*!< [7..7] Low-side 1 overcurrent interrupt status clear                      */
            uint32_t            : 4;
      __OM  uint32_t LS1_OT_PREWARN_SC : 1;     /*!< [12..12] Low-side 1 overtemperature prewarn status clear                  */
      __OM  uint32_t LS1_OT_SC  : 1;            /*!< [13..13] Low-side 1 overtemperature status clear                          */
      __OM  uint32_t LS1_OL_SC  : 1;            /*!< [14..14] Low-side 1 open load status clear                                */
            uint32_t            : 5;
      __OM  uint32_t LS2_OT_PREWARN_ISC : 1;    /*!< [20..20] Low-side 2 overtemperature prewarn interrupt status
                                                     clear                                                                     */
      __OM  uint32_t LS2_OT_ISC : 1;            /*!< [21..21] Low-side 2 overtemperature interrupt status clear                */
      __OM  uint32_t LS2_OL_ISC : 1;            /*!< [22..22] Low-side 2 open load interrupt status clear                      */
      __OM  uint32_t LS2_OC_ISC : 1;            /*!< [23..23] Low-side 2 overcurrent interrupt status clear                    */
            uint32_t            : 4;
      __OM  uint32_t LS2_OT_PREWARN_SC : 1;     /*!< [28..28] Low-side 2 overtemperature prewarn status clear                  */
      __OM  uint32_t LS2_OT_SC  : 1;            /*!< [29..29] Low-side switch 2 overtemperature status clear                   */
      __OM  uint32_t LS2_OL_SC  : 1;            /*!< [30..30] Low-side 2 open load status clear                                */
            uint32_t            : 1;
    } bit;
  } IRQCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Low-side driver interrupt enable register                  */
    
    struct {
            uint32_t            : 4;
      __IOM uint32_t LS1_OT_PREWARN_IEN : 1;    /*!< [4..4] Low-side 1 overtemperature prewarn interrupt enable                */
      __IOM uint32_t LS1_OT_IEN : 1;            /*!< [5..5] Low-side 1 overtemperature interrupt enable                        */
      __IOM uint32_t LS1_OL_IEN : 1;            /*!< [6..6] Low-side 1 open load interrupt enable                              */
      __IOM uint32_t LS1_OC_IEN : 1;            /*!< [7..7] Low-side 1 overcurrent interrupt enable                            */
            uint32_t            : 12;
      __IOM uint32_t LS2_OT_PREWARN_IEN : 1;    /*!< [20..20] Low-side 2 overtemperature prewarn interrupt enable              */
      __IOM uint32_t LS2_OT_IEN : 1;            /*!< [21..21] Low-side 2 overtemperature interrupt enable                      */
      __IOM uint32_t LS2_OL_IEN : 1;            /*!< [22..22] Low-side 2 open load interrupt enable                            */
      __IOM uint32_t LS2_OC_IEN : 1;            /*!< [23..23] Low-side 2 overcurrent interrupt enable                          */
            uint32_t            : 8;
    } bit;
  } IRQEN;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Low-side 1 reference current trimming register             */
    
    struct {
      __IOM uint32_t LS1_OL_BTFILT_SEL : 2;     /*!< [1..0] Open load blank time select for LS1                                */
            uint32_t            : 6;
      __IOM uint32_t LS1_OC_BTFILT_SEL : 2;     /*!< [9..8] Overcurrent blanktime select for LS1                               */
            uint32_t            : 22;
    } bit;
  } LS1_TRIM;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Low-side PWM source selection register                     */
    
    struct {
      __IOM uint32_t LS2_SRC_SEL : 3;           /*!< [2..0] LS2 PWM source selection                                           */
      __IOM uint32_t LS1_SRC_SEL : 3;           /*!< [5..3] LS1 PWM source selection                                           */
            uint32_t            : 26;
    } bit;
  } PWMSRCSEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Low-side 2 reference current trimming register             */
    
    struct {
      __IOM uint32_t LS2_OL_BTFILT_SEL : 2;     /*!< [1..0] Open load blank time select for LS2                                */
            uint32_t            : 6;
      __IOM uint32_t LS2_OC_BTFILT_SEL : 2;     /*!< [9..8] Overcurrent blank time select for LS2                              */
            uint32_t            : 22;
    } bit;
  } LS2_TRIM;
} LS_Type;                                      /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                            MF                                             ================ */
/* =========================================================================================================================== */


/**
  * @brief Measurement unit registers (MF)
  */

typedef struct {                                /*!< (@ 0x48018000) MF Structure                                               */
  __IM  uint32_t  RESERVED[4];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Temperature sensor control register                        */
    
    struct {
            uint32_t            : 4;
      __IOM uint32_t LS_OTWARN_STS : 1;         /*!< [4..4] Low-side overtemperature warning (MU) status                       */
      __IM  uint32_t LS_OT_STS  : 1;            /*!< [5..5] Low-side overtemperature (MU) status                               */
      __IM  uint32_t SYS_OTWARN_STS : 1;        /*!< [6..6] System overtemperature warning (MU) status                         */
      __IM  uint32_t SYS_OT_STS : 1;            /*!< [7..7] System overtemperature (MU) status                                 */
            uint32_t            : 24;
    } bit;
  } TEMPSENSE_CTRL;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000014) Reference 1 status register                                */
    
    struct {
            uint32_t            : 4;
      __IM  uint32_t REFBG_LOTHWARN_STS : 1;    /*!< [4..4] Status for Undervoltage threshold measurement of internal
                                                     VAREF                                                                     */
      __IM  uint32_t REFBG_UPTHWARN_STS : 1;    /*!< [5..5] Status for overvoltage threshold measurement of internal
                                                     VAREF                                                                     */
            uint32_t            : 26;
    } bit;
  } REF1_STS;
} MF_Type;                                      /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            PMU                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Power Management Unit registers (PMU)
  */

typedef struct {                                /*!< (@ 0x50004000) PMU Structure                                              */
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000000) Main wake status register                                  */
    
    struct {
      __IM  uint32_t LIN_WAKE   : 1;            /*!< [0..0] Wake-up via LIN- Message                                           */
      __IM  uint32_t MON        : 1;            /*!< [1..1] Wake-up via MON which is a logical OR combination of
                                                     all Wake_STS_MON bits                                                     */
            uint32_t            : 1;
      __IM  uint32_t GPIO1      : 1;            /*!< [3..3] Wake-up via GPIO1 which is a logical OR combination of
                                                     all Wake_STS_GPIO1 bits                                                   */
      __IM  uint32_t CYC_WAKE   : 1;            /*!< [4..4] Wake-up caused by cyclic wake                                      */
      __IM  uint32_t FAIL       : 1;            /*!< [5..5] Wake-up after VDDEXT fail                                          */
            uint32_t            : 2;
      __IM  uint32_t MON1_WAKE_STS : 1;         /*!< [8..8] Status of MON1                                                     */
      __IM  uint32_t MON2_WAKE_STS : 1;         /*!< [9..9] Status of MON2                                                     */
      __IM  uint32_t MON3_WAKE_STS : 1;         /*!< [10..10] Status of MON3                                                   */
      __IM  uint32_t MON4_WAKE_STS : 1;         /*!< [11..11] Status of MON4                                                   */
      __IM  uint32_t MON5_WAKE_STS : 1;         /*!< [12..12] Status of MON5                                                   */
            uint32_t            : 4;
      __IM  uint32_t VDDEXT_OT  : 1;            /*!< [17..17] Wake VDDEXT overtemperature                                      */
      __IM  uint32_t VDDEXT_UV  : 1;            /*!< [18..18] Wake VDDEXT undervoltage                                         */
            uint32_t            : 13;
    } bit;
  } WAKE_STATUS;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000004) GPIO port wake status register                             */
    
    struct {
            uint32_t            : 8;
      __IM  uint32_t GPIO1_STS_0 : 1;           /*!< [8..8] Wake GPIO1_0                                                       */
      __IM  uint32_t GPIO1_STS_1 : 1;           /*!< [9..9] Wake GPIO1_1                                                       */
      __IM  uint32_t GPIO1_STS_2 : 1;           /*!< [10..10] Wake GPIO1_2                                                     */
            uint32_t            : 1;
      __IM  uint32_t GPIO1_STS_4 : 1;           /*!< [12..12] Wake GPIO1_4                                                     */
            uint32_t            : 19;
    } bit;
  } GPIO_WAKE_STATUS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Voltage reg status register                                */
    
    struct {
      __IM  uint32_t PMU_1V5_OVERVOLT : 1;      /*!< [0..0] Overvoltage at VDDC regulator                                      */
      __IM  uint32_t PMU_1V5_OVERLOAD : 1;      /*!< [1..1] Overload at VDDC regulator                                         */
      __IOM uint32_t PMU_1V5_FAIL_EN : 1;       /*!< [2..2] Enabling of VDDC status information as interrupt source            */
            uint32_t            : 1;
      __IM  uint32_t PMU_5V_OVERVOLT : 1;       /*!< [4..4] Overvoltage at VDDP regulator                                      */
      __IM  uint32_t PMU_5V_OVERLOAD : 1;       /*!< [5..5] Overload at VDDP regulator                                         */
      __IOM uint32_t PMU_5V_FAIL_EN : 1;        /*!< [6..6] Enabling of VDDP status information as interrupt source            */
            uint32_t            : 25;
    } bit;
  } SUPPLY_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) VDDEXT control register                                    */
    
    struct {
      __IOM uint32_t VDDEXT_ENABLE : 1;         /*!< [0..0] VDDEXT supply enable                                               */
      __IOM uint32_t VDDEXT_CYC_EN : 1;         /*!< [1..1] VDDEXT supply for cyclic sense enable                              */
      __IOM uint32_t VDDEXT_FAIL_EN : 1;        /*!< [2..2] Enabling of VDDEXT supply status information as interrupt
                                                     source                                                                    */
      __IM  uint32_t VDDEXT_OT_IS : 1;          /*!< [3..3] VDDEXT supply overtemperature interrupt status                     */
      __IM  uint32_t VDDEXT_UV_IS : 1;          /*!< [4..4] VDDEXT supply undervoltage interrupt status                        */
      __IM  uint32_t VDDEXT_OT_STS : 1;         /*!< [5..5] VDDEXT supply overtemperature status                               */
      __IM  uint32_t VDDEXT_OT  : 1;            /*!< [6..6] VDDEXT supply overtemperature                                      */
      __IM  uint32_t VDDEXT_STABLE : 1;         /*!< [7..7] VDDEXT supply stable                                               */
            uint32_t            : 3;
      __OM  uint32_t VDDEXT_OT_ISC : 1;         /*!< [11..11] VDDEXT supply overtemperature interrupt status clear             */
      __OM  uint32_t VDDEXT_UV_ISC : 1;         /*!< [12..12] VDDEXT supply undervoltage interrupt status clear                */
      __OM  uint32_t VDDEXT_OT_SC : 1;          /*!< [13..13] VDDEXT supply overtemperature status clear                       */
            uint32_t            : 18;
    } bit;
  } VDDEXT_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Reset status register                                      */
    
    struct {
      __IOM uint32_t SYS_FAIL   : 1;            /*!< [0..0] Flag which indicates a reset caused by a system fail
                                                     reported in the corresponding fail register                               */
      __IOM uint32_t PMU_WAKE   : 1;            /*!< [1..1] Flag which indicates a reset caused by stop-exit                   */
      __IOM uint32_t PMU_SleepEX : 1;           /*!< [2..2] Flag which indicates a reset caused by sleep-exit                  */
      __IOM uint32_t PMU_LPR    : 1;            /*!< [3..3] Low priority resets                                                */
      __IOM uint32_t PMU_ClkWDT : 1;            /*!< [4..4] Clock watchdog (CLKWDT) reset flag                                 */
      __IOM uint32_t PMU_ExtWDT : 1;            /*!< [5..5] External watchdog (WDT1) reset flag                                */
      __IOM uint32_t PMU_PIN    : 1;            /*!< [6..6] PIN-reset flag                                                     */
      __IOM uint32_t PMU_VS_POR : 1;            /*!< [7..7] Power-on reset flag                                                */
            uint32_t            : 1;
      __IOM uint32_t PMU_SOFT   : 1;            /*!< [9..9] Soft-reset flag                                                    */
      __IOM uint32_t LOCKUP     : 1;            /*!< [10..10] Lockup-reset flag                                                */
            uint32_t            : 21;
    } bit;
  } RESET_STS;
  __IM  uint32_t  RESERVED[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) PMU sleep behavior register                                */
    
    struct {
      __IOM uint32_t WAKE_W_RST : 1;            /*!< [0..0] Wake-up with reset execution                                       */
      __IOM uint32_t EN_0V9_N   : 1;            /*!< [1..1] Enables the reduction of the VDDC regulator output to
                                                     reduced voltage during stop mode                                          */
      __IOM uint32_t CYC_WAKE_EN : 1;           /*!< [2..2] Enabling cyclic wake                                               */
      __IOM uint32_t CYC_SENSE_EN : 1;          /*!< [3..3] Enabling cyclic sense                                              */
            uint32_t            : 4;
      __IOM uint32_t CYC_SENSE_M03 : 4;         /*!< [11..8] Mantissa                                                          */
      __IOM uint32_t CYC_SENSE_E01 : 2;         /*!< [13..12] Exponent                                                         */
            uint32_t            : 2;
      __IOM uint32_t CYC_WAKE_M03 : 4;          /*!< [19..16] Mantissa                                                         */
      __IOM uint32_t CYC_WAKE_E01 : 2;          /*!< [21..20] Exponent                                                         */
            uint32_t            : 2;
      __IOM uint32_t CYC_SENSE_S_DEL : 3;       /*!< [26..24] Sample delay in cyclic sense mode                                */
            uint32_t            : 5;
    } bit;
  } SLEEP;
  __IM  uint32_t  RESERVED1[4];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) Settings monitor 1-4 register                              */
    
    struct {
      __IOM uint32_t MON1_EN    : 1;            /*!< [0..0] MON1 enable                                                        */
      __IOM uint32_t MON1_FALL  : 1;            /*!< [1..1] MON1 wake-up on falling edge enable                                */
      __IOM uint32_t MON1_RISE  : 1;            /*!< [2..2] MON1 wake-up on rising edge enable                                 */
      __IOM uint32_t MON1_CYC   : 1;            /*!< [3..3] MON1 for cycle sense enable                                        */
      __IOM uint32_t MON1_PD    : 1;            /*!< [4..4] Pull-down current source for MON1 input enable                     */
      __IOM uint32_t MON1_PU    : 1;            /*!< [5..5] Pull-up current source for MON1 input enable                       */
            uint32_t            : 1;
      __IM  uint32_t MON1_STS   : 1;            /*!< [7..7] MON1 status input                                                  */
      __IOM uint32_t MON2_EN    : 1;            /*!< [8..8] MON2 enable                                                        */
      __IOM uint32_t MON2_FALL  : 1;            /*!< [9..9] MON2 wake-up on falling edge enable                                */
      __IOM uint32_t MON2_RISE  : 1;            /*!< [10..10] MON2 wake-up on rising edge enable                               */
      __IOM uint32_t MON2_CYC   : 1;            /*!< [11..11] MON2 for cycle sense enable                                      */
      __IOM uint32_t MON2_PD    : 1;            /*!< [12..12] Pull-down current source for MON2 Input enable                   */
      __IOM uint32_t MON2_PU    : 1;            /*!< [13..13] Pull-up current source for MON2 input enable                     */
            uint32_t            : 1;
      __IM  uint32_t MON2_STS   : 1;            /*!< [15..15] MON2 status input                                                */
      __IOM uint32_t MON3_EN    : 1;            /*!< [16..16] MON3 enable                                                      */
      __IOM uint32_t MON3_FALL  : 1;            /*!< [17..17] MON3 wake-up on falling edge enable                              */
      __IOM uint32_t MON3_RISE  : 1;            /*!< [18..18] MON3 wake-up on rising edge enable                               */
      __IOM uint32_t MON3_CYC   : 1;            /*!< [19..19] MON3 for cycle sense enable                                      */
      __IOM uint32_t MON3_PD    : 1;            /*!< [20..20] Pull-down current source for MON3 input enable                   */
      __IOM uint32_t MON3_PU    : 1;            /*!< [21..21] Pull-up current source for MON3 Input enable                     */
            uint32_t            : 1;
      __IM  uint32_t MON3_STS   : 1;            /*!< [23..23] MON3 Status Input                                                */
      __IOM uint32_t MON4_EN    : 1;            /*!< [24..24] MON4 Enable                                                      */
      __IOM uint32_t MON4_FALL  : 1;            /*!< [25..25] MON4 wake-up on falling edge enable                              */
      __IOM uint32_t MON4_RISE  : 1;            /*!< [26..26] MON4 wake-up on rising edge enable                               */
      __IOM uint32_t MON4_CYC   : 1;            /*!< [27..27] MON4 for cycle sense enable                                      */
      __IOM uint32_t MON4_PD    : 1;            /*!< [28..28] Pull-down current source for MON4 input enable                   */
      __IOM uint32_t MON4_PU    : 1;            /*!< [29..29] Pull-up current source for MON4 input enable                     */
            uint32_t            : 1;
      __IM  uint32_t MON4_STS   : 1;            /*!< [31..31] MON4 status input                                                */
    } bit;
  } MON_CNF1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000038) Settings monitor 5 register                                */
    
    struct {
      __IOM uint32_t MON5_EN    : 1;            /*!< [0..0] MON5 enable                                                        */
      __IOM uint32_t MON5_FALL  : 1;            /*!< [1..1] MON5 wake-up on falling edge enable                                */
      __IOM uint32_t MON5_RISE  : 1;            /*!< [2..2] MON5 wake-up on rising edge enable                                 */
      __IOM uint32_t MON5_CYC   : 1;            /*!< [3..3] MON5 for cycle sense enable                                        */
      __IOM uint32_t MON5_PD    : 1;            /*!< [4..4] Pull-down current source for MON5 input enable                     */
      __IOM uint32_t MON5_PU    : 1;            /*!< [5..5] Pull-up current source for MON5 input enable                       */
            uint32_t            : 1;
      __IM  uint32_t MON5_STS   : 1;            /*!< [7..7] MON5 status input                                                  */
            uint32_t            : 24;
    } bit;
  } MON_CNF2;
  __IM  uint32_t  RESERVED2[5];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000050) LIN wake enable register                                   */
    
    struct {
            uint32_t            : 7;
      __IOM uint32_t LIN_EN     : 1;            /*!< [7..7] Lin wake enable                                                    */
            uint32_t            : 24;
    } bit;
  } LIN_WAKE_EN;
  __IM  uint32_t  RESERVED3[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000005C) High-side control register                                 */
    
    struct {
            uint32_t            : 2;
      __IOM uint32_t HS1_CYC_EN : 1;            /*!< [2..2] High-side 1 switch enable for cyclic sense                         */
            uint32_t            : 7;
      __IOM uint32_t HS2_CYC_EN : 1;            /*!< [10..10] High-side 2 switch enable for cyclic sense                       */
            uint32_t            : 21;
    } bit;
  } HIGHSIDE_CTRL;
  __IM  uint32_t  RESERVED4[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000006C) Reset blind time register                                  */
    
    struct {
      __IOM uint32_t RST_TFB    : 2;            /*!< [1..0] Reset pin blind time selection bits                                */
            uint32_t            : 30;
    } bit;
  } CNF_RST_TFB;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000070) WFS system fail register                                   */
    
    struct {
      __IM  uint32_t SUPP_SHORT : 1;            /*!< [0..0] Supply short                                                       */
            uint32_t            : 1;
      __IM  uint32_t PMU_1V5_OVL : 1;           /*!< [2..2] VDDC overload flag                                                 */
      __IM  uint32_t PMU_5V_OVL : 1;            /*!< [3..3] VDDP overload flag                                                 */
            uint32_t            : 1;
      __IM  uint32_t SYS_OT     : 1;            /*!< [5..5] System overtemperature indication flag                             */
      __IM  uint32_t WDT1_SEQ_FAIL : 1;         /*!< [6..6] External watchdog (WDT1) sequential fail                           */
      __IM  uint32_t LP_CLKWD   : 1;            /*!< [7..7] LP_CLKWD                                                           */
            uint32_t            : 24;
    } bit;
  } WFS;
  __IM  uint32_t  RESERVED5[14];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000AC) PMU wake-up timing register                                */
    
    struct {
      __IOM uint32_t CNF_LIN_FT : 1;            /*!< [0..0] Wake-up filter time for LIN WAKE                                   */
      __IOM uint32_t CNF_MON_FT : 1;            /*!< [1..1] Wake-up filter time for monitoring inputs                          */
      __IOM uint32_t CNF_GPIO_FT : 2;           /*!< [3..2] Wake-up filter time for general purpose IO                         */
            uint32_t            : 28;
    } bit;
  } CNF_WAKE_FILTER;
  __IM  uint32_t  RESERVED6[4];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C0) General purpose user DATA0to3 register                     */
    
    struct {
      __IOM uint32_t DATA0      : 8;            /*!< [7..0] DATA0 storage byte                                                 */
      __IOM uint32_t DATA1      : 8;            /*!< [15..8] DATA1 storage byte                                                */
      __IOM uint32_t DATA2      : 8;            /*!< [23..16] DATA2 storage byte                                               */
      __IOM uint32_t DATA3      : 8;            /*!< [31..24] DATA3 storage byte                                               */
    } bit;
  } GPUDATA0to3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C4) General purpose user DATA4to7 register                     */
    
    struct {
      __IOM uint32_t DATA4      : 8;            /*!< [7..0] DATA4 storage byte                                                 */
      __IOM uint32_t DATA5      : 8;            /*!< [15..8] DATA5 storage byte                                                */
      __IOM uint32_t DATA6      : 8;            /*!< [23..16] DATA6 storage byte                                               */
      __IOM uint32_t DATA7      : 8;            /*!< [31..24] DATA7 storage byte                                               */
    } bit;
  } GPUDATA4to7;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C8) General purpose user DATA8to11 register                    */
    
    struct {
      __IOM uint32_t DATA8      : 8;            /*!< [7..0] DATA8 storage byte                                                 */
      __IOM uint32_t DATA9      : 8;            /*!< [15..8] DATA9 storage byte                                                */
      __IOM uint32_t DATA10     : 8;            /*!< [23..16] DATA10 storage byte                                              */
      __IOM uint32_t DATA11     : 8;            /*!< [31..24] DATA11 storage byte                                              */
    } bit;
  } GPUDATA8to11;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000CC) Wake configuration GPIO port 1 register                    */
    
    struct {
      __IOM uint32_t RI_0       : 1;            /*!< [0..0] Port 1_0 wake-up on rising edge enable                             */
      __IOM uint32_t RI_1       : 1;            /*!< [1..1] Port 1_1 wake-up on rising edge enable                             */
      __IOM uint32_t RI_2       : 1;            /*!< [2..2] Port 1_2 wake-up on rising edge enable                             */
            uint32_t            : 1;
      __IOM uint32_t RI_4       : 1;            /*!< [4..4] Port 1_4 wake-up on rising edge enable                             */
            uint32_t            : 3;
      __IOM uint32_t FA_0       : 1;            /*!< [8..8] Port 1_0 wake-up on falling edge enable                            */
      __IOM uint32_t FA_1       : 1;            /*!< [9..9] Port 1_1 wake-up on falling edge enable                            */
      __IOM uint32_t FA_2       : 1;            /*!< [10..10] Port 1_2 wake-up on falling edge enable                          */
            uint32_t            : 1;
      __IOM uint32_t FA_4       : 1;            /*!< [12..12] Port 1_4 wake-up on falling edge enable                          */
            uint32_t            : 3;
      __IOM uint32_t CYC_0      : 1;            /*!< [16..16] GPIO1_0 input for cycle sense enable                             */
      __IOM uint32_t CYC_1      : 1;            /*!< [17..17] GPIO1_1 input for cycle sense enable                             */
      __IOM uint32_t CYC_2      : 1;            /*!< [18..18] GPIO1_2 input for cycle sense enable                             */
            uint32_t            : 1;
      __IOM uint32_t CYC_4      : 1;            /*!< [20..20] GPIO1_4 input for cycle sense enable                             */
            uint32_t            : 11;
    } bit;
  } WAKE_CNF_GPIO1;
} PMU_Type;                                     /*!< Size = 208 (0xd0)                                                         */



/* =========================================================================================================================== */
/* ================                                           PORT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Ports registers (PORT)
  */

typedef struct {                                /*!< (@ 0x48028000) PORT Structure                                             */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Port 0 data register                                       */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 0 pin 0 data value                                            */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 0 pin 1 data value                                            */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 0 pin 2 data value                                            */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Port 0 pin 3 data value                                            */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 0 pin 4 data value                                            */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Port 0 pin 5 data value                                            */
            uint32_t            : 10;
      __IM  uint32_t PP0_STS    : 1;            /*!< [16..16] Port 0 pin 0 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IM  uint32_t PP1_STS    : 1;            /*!< [17..17] Port 0 pin 1 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IM  uint32_t PP2_STS    : 1;            /*!< [18..18] Port 0 pin 2 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IM  uint32_t PP3_STS    : 1;            /*!< [19..19] Port 0 pin 3 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IM  uint32_t PP4_STS    : 1;            /*!< [20..20] Port 0 pin 4 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IM  uint32_t PP5_STS    : 1;            /*!< [21..21] Port 0 pin 5 data value (read back of port data when
                                                     IO is configured as output)                                               */
            uint32_t            : 10;
    } bit;
  } P0_DATA;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Port 0 direction register                                  */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 0 pin 0 direction control                                     */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 0 pin 1 direction control                                     */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 0 pin 2 direction control                                     */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Port 0 pin 3 direction control                                     */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 0 pin 4 direction control                                     */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Port 0 pin 5 direction control                                     */
            uint32_t            : 10;
      __IOM uint32_t PP0_INEN   : 1;            /*!< [16..16] Port 0 pin 0 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP1_INEN   : 1;            /*!< [17..17] Port 0 pin 1 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP2_INEN   : 1;            /*!< [18..18] Port 0 pin 2 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP3_INEN   : 1;            /*!< [19..19] Port 0 pin 3 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP4_INEN   : 1;            /*!< [20..20] Port 0 pin 4 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP5_INEN   : 1;            /*!< [21..21] Port 0 pin 5 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
            uint32_t            : 10;
    } bit;
  } P0_DIR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Port 0 open drain control register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 0 pin 0 open drain mode                                       */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 0 pin 1 open drain mode                                       */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 0 pin 2 open drain mode                                       */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Port 0 pin 3 open drain mode                                       */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 0 pin 4 open drain mode                                       */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Port 0 pin 5 open drain mode                                       */
            uint32_t            : 26;
    } bit;
  } P0_OD;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Port 0 pull-up/pull-down select register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down select port 0 bit 0                              */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down select port 0 bit 1                              */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down select port 0 bit 2                              */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Pull-up/pull-down select port 0 bit 3                              */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down select port 0 bit 4                              */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Pull-up/pull-down select port 0 bit 5                              */
            uint32_t            : 26;
    } bit;
  } P0_PUDSEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Port 0 pull-up/pull-down enable register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down enable at port 0 bit 0                           */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down enable at port 0 bit 1                           */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down enable at port 0 bit 2                           */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Pull-up/pull-down enable at port 0 bit 3                           */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down enable at port 0 bit 4                           */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Pull-up/pull-down enable at port 0 bit 5                           */
            uint32_t            : 26;
    } bit;
  } P0_PUDEN;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Port 0 alternate select 0 register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
            uint32_t            : 26;
    } bit;
  } P0_ALTSEL0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Port 0 alternate select 1 register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P0_ALTSEL0.PPx and P0_ALTSEL1.PPx)                                   */
            uint32_t            : 26;
    } bit;
  } P0_ALTSEL1;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Port 1 data register                                       */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 1 pin 0 data value                                            */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 1 pin 1 data value                                            */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 1 pin 2 data value                                            */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 1 pin 4 data value                                            */
            uint32_t            : 11;
      __IOM uint32_t PP0_STS    : 1;            /*!< [16..16] Port 1 pin 0 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IOM uint32_t PP1_STS    : 1;            /*!< [17..17] Port 1 pin 1 data value (read back of port data when
                                                     IO is configured as output)                                               */
      __IOM uint32_t PP2_STS    : 1;            /*!< [18..18] Port 1 pin 2 data value (read back of port data when
                                                     IO is configured as output)                                               */
            uint32_t            : 1;
      __IOM uint32_t PP4_STS    : 1;            /*!< [20..20] Port 1 pin 4 data value (read back of port data when
                                                     IO is configured as output)                                               */
            uint32_t            : 11;
    } bit;
  } P1_DATA;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) Port 1 direction register                                  */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 1 pin 0 direction control                                     */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 1 pin 1 direction control                                     */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 1 pin 2 direction control                                     */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 1 pin 4 direction control                                     */
            uint32_t            : 11;
      __IOM uint32_t PP0_INEN   : 1;            /*!< [16..16] Port 1 pin 0 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP1_INEN   : 1;            /*!< [17..17] Port 1 pin 1 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
      __IOM uint32_t PP2_INEN   : 1;            /*!< [18..18] Port 1 pin 2 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
            uint32_t            : 1;
      __IOM uint32_t PP3_INEN   : 1;            /*!< [20..20] Port 1 pin 4 input Schmitt trigger enable (only valid
                                                     if IO is configured as output)                                            */
            uint32_t            : 11;
    } bit;
  } P1_DIR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000028) Port 1 open drain control register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 1 pin 0 open drain mode                                       */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 1 pin 1 open drain mode                                       */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 1 pin 2 open drain mode                                       */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 1 pin 4 open drain mode                                       */
            uint32_t            : 27;
    } bit;
  } P1_OD;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000002C) Port 1 pull-up/pull-down select register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down select port 1 bit 0                              */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down select port 1 bit 1                              */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down select port 1 bit 2                              */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down select port 1 bit 4                              */
            uint32_t            : 27;
    } bit;
  } P1_PUDSEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000030) Port 1 pull-up/pull-down enable register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down enable at port 1 bit 0                           */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down enable at port 1 bit 1                           */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down enable at port 1 bit 2                           */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down enable at port 1 bit 4                           */
            uint32_t            : 27;
    } bit;
  } P1_PUDEN;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) Port 1 alternate select 0 register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P1_ALTSEL0.PPx and P1_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P1_ALTSEL0.PPx and P1_ALTSEL1.PPx)                                   */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P1_ALTSEL0.PPx and P1_ALTSEL1.PPx)                                   */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Normal GPIO or alternate select 1, 2 or 3 (depends on
                                                     bits P1_ALTSEL0.PPx and P1_ALTSEL1.PPx)                                   */
            uint32_t            : 27;
    } bit;
  } P1_ALTSEL0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000038) Port 1 alternate select 1 register                         */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] PP0                                                                */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] PP1                                                                */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] PP2                                                                */
            uint32_t            : 1;
      __IOM uint32_t PP4        : 1;            /*!< [4..4] PP4                                                                */
            uint32_t            : 27;
    } bit;
  } P1_ALTSEL1;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000040) Port 2 data register                                       */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 2 pin 0 data value                                            */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 2 pin 1 data value                                            */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 2 pin 2 data value                                            */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Port 2 pin 3 data value                                            */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 2 pin 4 data value                                            */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Port 2 pin 5 data value                                            */
      __IOM uint32_t PP6        : 1;            /*!< [6..6] Port 2 pin 6 data value                                            */
      __IOM uint32_t PP7        : 1;            /*!< [7..7] Port 2 pin 7 data value                                            */
            uint32_t            : 24;
    } bit;
  } P2_DATA;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000044) Port 2 direction register                                  */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Port 2 pin 0 direction control                                     */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Port 2 pin 1 direction control                                     */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Port 2 pin 2 direction control                                     */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Port 2 pin 3 direction control                                     */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Port 2 pin 4 direction control                                     */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Port 2 pin 5 direction control                                     */
      __IOM uint32_t PP6        : 1;            /*!< [6..6] Port 2 pin 6 direction control                                     */
      __IOM uint32_t PP7        : 1;            /*!< [7..7] Port 2 pin 7 direction control                                     */
            uint32_t            : 24;
    } bit;
  } P2_DIR;
  __IM  uint32_t  RESERVED2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000004C) Port 2 pull-up/pull-down select register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down select port 2 bit 0                              */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down select port 2 bit 1                              */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down select port 2 bit 2                              */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Pull-up/pull-down select port 2 bit 3                              */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down select port 2 bit 4                              */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Pull-up/pull-down select port 2 bit 5                              */
      __IOM uint32_t PP6        : 1;            /*!< [6..6] Pull-up/pull-down select port 2 bit 6                              */
      __IOM uint32_t PP7        : 1;            /*!< [7..7] Pull-up/pull-down select port 2 bit 7                              */
            uint32_t            : 24;
    } bit;
  } P2_PUDSEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000050) Port 2 pull-up/pull-down enable register                   */
    
    struct {
      __IOM uint32_t PP0        : 1;            /*!< [0..0] Pull-up/pull-down enable at port 2 bit 0                           */
      __IOM uint32_t PP1        : 1;            /*!< [1..1] Pull-up/pull-down enable at port 2 bit 1                           */
      __IOM uint32_t PP2        : 1;            /*!< [2..2] Pull-up/pull-down enable at port 2 bit 2                           */
      __IOM uint32_t PP3        : 1;            /*!< [3..3] Pull-up/pull-down enable at port 2 bit 3                           */
      __IOM uint32_t PP4        : 1;            /*!< [4..4] Pull-up/pull-down enable at port 2 bit 4                           */
      __IOM uint32_t PP5        : 1;            /*!< [5..5] Pull-up/pull-down enable at port 2 bit 5                           */
      __IOM uint32_t PP6        : 1;            /*!< [6..6] Pull-up/pull-down enable at port 2 bit 6                           */
      __IOM uint32_t PP7        : 1;            /*!< [7..7] Pull-up/pull-down enable at port 2 bit 7                           */
            uint32_t            : 24;
    } bit;
  } P2_PUDEN;
} PORT_Type;                                    /*!< Size = 84 (0x54)                                                          */



/* =========================================================================================================================== */
/* ================                                            SCU                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief System Control Unit - Digital Modules (SCU-DM) registers (SCU)
  */

typedef struct {                                /*!< (@ 0x50005000) SCU Structure                                              */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) NMI status clear register                                  */
    
    struct {
            uint32_t            : 1;
      __OM  uint32_t FNMIPLLC   : 1;            /*!< [1..1] PLL NMI flag                                                       */
      __OM  uint32_t FNMINVMC   : 1;            /*!< [2..2] NVM operation complete NMI flag                                    */
      __OM  uint32_t FNMIOTC    : 1;            /*!< [3..3] Overtemperature NMI flag                                           */
      __OM  uint32_t FNMIOWDC   : 1;            /*!< [4..4] Oscillator watchdog NMI flag                                       */
      __OM  uint32_t FNMIMAPC   : 1;            /*!< [5..5] NVM map error NMI flag                                             */
      __OM  uint32_t FNMIECCC   : 1;            /*!< [6..6] ECC error NMI flag                                                 */
      __OM  uint32_t FNMISUPC   : 1;            /*!< [7..7] Supply prewarning NMI flag                                         */
            uint32_t            : 24;
    } bit;
  } NMISRCLR;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000004) Interrupt request 0 register                               */
    
    struct {
      __IM  uint32_t EXINT0R    : 1;            /*!< [0..0] Interrupt flag for external interrupt 0x on rising edge            */
      __IM  uint32_t EXINT0F    : 1;            /*!< [1..1] Interrupt flag for external interrupt 0x on falling edge           */
      __IM  uint32_t EXINT1R    : 1;            /*!< [2..2] Interrupt flag for external interrupt 1x on rising edge            */
      __IM  uint32_t EXINT1F    : 1;            /*!< [3..3] Interrupt flag for external interrupt 1x on falling edge           */
      __IM  uint32_t EXINT2R    : 1;            /*!< [4..4] Interrupt flag for external interrupt 2x on rising edge            */
      __IM  uint32_t EXINT2F    : 1;            /*!< [5..5] Interrupt flag for external interrupt 2x on falling edge           */
            uint32_t            : 26;
    } bit;
  } IRCON0;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000008) Interrupt request 1 register                               */
    
    struct {
      __IM  uint32_t MON1R      : 1;            /*!< [0..0] Interrupt flag for MON1x on rising edge                            */
      __IM  uint32_t MON1F      : 1;            /*!< [1..1] Interrupt flag for MON1x on falling edge                           */
      __IM  uint32_t MON2R      : 1;            /*!< [2..2] Interrupt flag for MON2x on rising edge                            */
      __IM  uint32_t MON2F      : 1;            /*!< [3..3] Interrupt flag for MON2x on falling edge                           */
      __IM  uint32_t MON3R      : 1;            /*!< [4..4] Interrupt flag for MON3x on rising edge                            */
      __IM  uint32_t MON3F      : 1;            /*!< [5..5] Interrupt flag for MON3x on falling edge                           */
      __IM  uint32_t MON4R      : 1;            /*!< [6..6] Interrupt flag for MON4x on rising edge                            */
      __IM  uint32_t MON4F      : 1;            /*!< [7..7] Interrupt flag for MON4x on falling edge                           */
      __IM  uint32_t MON5R      : 1;            /*!< [8..8] Interrupt flag for MON5x on rising edge                            */
      __IM  uint32_t MON5F      : 1;            /*!< [9..9] Interrupt flag for MON5x on falling edge                           */
            uint32_t            : 22;
    } bit;
  } IRCON1;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000000C) Interrupt request 2 register                               */
    
    struct {
      __IM  uint32_t EIR1       : 1;            /*!< [0..0] Error interrupt flag for SSC1                                      */
      __IM  uint32_t TIR1       : 1;            /*!< [1..1] Transmit interrupt flag for SSC1                                   */
      __IM  uint32_t RIR1       : 1;            /*!< [2..2] Receive interrupt flag for SSC1                                    */
            uint32_t            : 29;
    } bit;
  } IRCON2;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000010) Interrupt request 3 register                               */
    
    struct {
      __IM  uint32_t EIR2       : 1;            /*!< [0..0] Error interrupt flag for SSC2                                      */
      __IM  uint32_t TIR2       : 1;            /*!< [1..1] Transmit interrupt flag for SSC2                                   */
      __IM  uint32_t RIR2       : 1;            /*!< [2..2] Receive interrupt flag for SSC2                                    */
            uint32_t            : 29;
    } bit;
  } IRCON3;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000014) Interrupt request 4 register                               */
    
    struct {
      __IM  uint32_t CCU6SR0    : 1;            /*!< [0..0] Interrupt flag 0 for CCU6                                          */
            uint32_t            : 3;
      __IM  uint32_t CCU6SR1    : 1;            /*!< [4..4] Interrupt flag 1 for CCU6                                          */
            uint32_t            : 11;
      __IM  uint32_t CCU6SR2    : 1;            /*!< [16..16] Interrupt flag 2 for CCU6                                        */
            uint32_t            : 3;
      __IM  uint32_t CCU6SR3    : 1;            /*!< [20..20] Interrupt flag 3 for CCU6                                        */
            uint32_t            : 11;
    } bit;
  } IRCON4;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000018) NMI status register                                        */
    
    struct {
            uint32_t            : 1;
      __IM  uint32_t FNMIPLL    : 1;            /*!< [1..1] PLL NMI flag                                                       */
      __IM  uint32_t FNMINVM    : 1;            /*!< [2..2] NVM operation complete NMI flag                                    */
      __IM  uint32_t FNMIOT     : 1;            /*!< [3..3] Overtemperature NMI flag                                           */
      __IM  uint32_t FNMIOWD    : 1;            /*!< [4..4] Oscillator watchdog NMI flag                                       */
      __IM  uint32_t FNMIMAP    : 1;            /*!< [5..5] NVM map error NMI flag                                             */
      __IM  uint32_t FNMIECC    : 1;            /*!< [6..6] ECC error NMI flag                                                 */
      __IM  uint32_t FNMISUP    : 1;            /*!< [7..7] Supply prewarning NMI flag                                         */
            uint32_t            : 24;
    } bit;
  } NMISR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Interrupt enable 0 register                                */
    
    struct {
            uint32_t            : 31;
      __IOM uint32_t EA         : 1;            /*!< [31..31] Global interrupt mask                                            */
    } bit;
  } IEN0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) Vector table reallocation register                         */
    
    struct {
      __IOM uint32_t VTOR_BYP   : 2;            /*!< [1..0] Vector table bypass mode                                           */
            uint32_t            : 30;
    } bit;
  } VTOR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) NMI control register                                       */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t NMIPLL     : 1;            /*!< [1..1] PLL loss of lock NMI enable                                        */
      __IOM uint32_t NMINVM     : 1;            /*!< [2..2] NVM operation complete NMI enable                                  */
      __IOM uint32_t NMIOT      : 1;            /*!< [3..3] NMI OT enable                                                      */
      __IOM uint32_t NMIOWD     : 1;            /*!< [4..4] Oscillator watchdog NMI enable                                     */
      __IOM uint32_t NMIMAP     : 1;            /*!< [5..5] NVM map error NMI enable                                           */
      __IOM uint32_t NMIECC     : 1;            /*!< [6..6] ECC error NMI enable                                               */
      __IOM uint32_t NMISUP     : 1;            /*!< [7..7] Supply prewarning NMI enable                                       */
            uint32_t            : 24;
    } bit;
  } NMICON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000028) External interrupt control 0 register                      */
    
    struct {
      __IOM uint32_t EXINT0     : 2;            /*!< [1..0] External interrupt 0 trigger select                                */
      __IOM uint32_t EXINT1     : 2;            /*!< [3..2] External interrupt 1 trigger select                                */
      __IOM uint32_t EXINT2     : 2;            /*!< [5..4] External interrupt 2 trigger select                                */
            uint32_t            : 26;
    } bit;
  } EXICON0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000002C) External interrupt control 1 register                      */
    
    struct {
      __IOM uint32_t MON1       : 2;            /*!< [1..0] MON1 input trigger select                                          */
      __IOM uint32_t MON2       : 2;            /*!< [3..2] MON2 input trigger select                                          */
      __IOM uint32_t MON3       : 2;            /*!< [5..4] MON3 input trigger select                                          */
      __IOM uint32_t MON4       : 2;            /*!< [7..6] MON4 input trigger select                                          */
      __IOM uint32_t MON5       : 2;            /*!< [9..8] MON5 input trigger select                                          */
            uint32_t            : 22;
    } bit;
  } EXICON1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000030) Peripheral interrupt enable 1 register                     */
    
    struct {
      __IOM uint32_t EIREN1     : 1;            /*!< [0..0] SSC 1 error interrupt enable                                       */
      __IOM uint32_t TIREN1     : 1;            /*!< [1..1] SSC 1 transmit interrupt enable                                    */
      __IOM uint32_t RIREN1     : 1;            /*!< [2..2] SSC 1 receive interrupt enable                                     */
            uint32_t            : 5;
      __IOM uint32_t EIREN2     : 1;            /*!< [8..8] SSC 2 error interrupt enable                                       */
      __IOM uint32_t TIREN2     : 1;            /*!< [9..9] SSC 2 transmit interrupt enable                                    */
      __IOM uint32_t RIREN2     : 1;            /*!< [10..10] SSC 2 receive interrupt enable                                   */
            uint32_t            : 21;
    } bit;
  } MODIEN1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) Peripheral interrupt enable 2 register                     */
    
    struct {
      __IOM uint32_t RIEN1      : 1;            /*!< [0..0] UART 1 receive interrupt enable                                    */
      __IOM uint32_t TIEN1      : 1;            /*!< [1..1] UART 1 transmit interrupt enable                                   */
            uint32_t            : 3;
      __IOM uint32_t EXINT2_EN  : 1;            /*!< [5..5] External interrupt 2 enable                                        */
      __IOM uint32_t RIEN2      : 1;            /*!< [6..6] UART 2 receive interrupt enable                                    */
      __IOM uint32_t TIEN2      : 1;            /*!< [7..7] UART 2 transmit interrupt enable                                   */
            uint32_t            : 24;
    } bit;
  } MODIEN2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000038) Peripheral interrupt enable 3 register                     */
    
    struct {
      __IOM uint32_t IE0        : 1;            /*!< [0..0] External interrupt enable                                          */
            uint32_t            : 31;
    } bit;
  } MODIEN3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000003C) Peripheral interrupt enable 4 register                     */
    
    struct {
      __IOM uint32_t IE1        : 1;            /*!< [0..0] External interrupt enable                                          */
            uint32_t            : 31;
    } bit;
  } MODIEN4;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000040) Power mode control 0 register                              */
    
    struct {
      __IOM uint32_t XTAL_ON    : 1;            /*!< [0..0] OSC_HP operation in STOP mode                                      */
      __IOM uint32_t SL         : 1;            /*!< [1..1] Sleep mode                                                         */
      __IOM uint32_t PD         : 1;            /*!< [2..2] Power-down mode                                                    */
      __IOM uint32_t SD         : 1;            /*!< [3..3] Slow-down mode                                                     */
            uint32_t            : 28;
    } bit;
  } PMCON0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000044) PLL control register                                       */
    
    struct {
      __IM  uint32_t LOCK       : 1;            /*!< [0..0] PLL lock status flag                                               */
      __IOM uint32_t RESLD      : 1;            /*!< [1..1] Restart lock detection                                             */
      __IOM uint32_t OSCDISC    : 1;            /*!< [2..2] Oscillator disconnect                                              */
      __IOM uint32_t VCOBYP     : 1;            /*!< [3..3] PLL VCO bypass mode select                                         */
      __IOM uint32_t NDIV       : 4;            /*!< [7..4] PLL N-divider                                                      */
            uint32_t            : 2;
      __OM  uint32_t UNPROT_OSCDISC : 1;        /*!< [10..10] Unprotect write access of OSC_DISC                               */
      __OM  uint32_t UNPROT_VCOBYP : 1;         /*!< [11..11] Unprotect write access of VCO_BYP                                */
            uint32_t            : 20;
    } bit;
  } PLL_CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000048) Clock control 1 register                                   */
    
    struct {
      __IOM uint32_t CLKREL     : 4;            /*!< [3..0] Slow down clock divider for fCCLK generation                       */
      __IOM uint32_t K2DIV      : 2;            /*!< [5..4] PLL K2-divider                                                     */
      __IOM uint32_t K1DIV      : 1;            /*!< [6..6] PLL K1-divider                                                     */
            uint32_t            : 1;
      __IOM uint32_t PDIV       : 2;            /*!< [9..8] PLL PDIV-divider                                                   */
            uint32_t            : 22;
    } bit;
  } CMCON1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000004C) Clock control 2 register                                   */
    
    struct {
      __IOM uint32_t PBA0CLKREL : 1;            /*!< [0..0] PBA0 clock divider                                                 */
            uint32_t            : 31;
    } bit;
  } CMCON2;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000054) Analog peripheral clock control register                   */
    
    struct {
      __IOM uint32_t APCLK_SET  : 1;            /*!< [0..0] Set and overtake flag for clock settings                           */
            uint32_t            : 7;
      __IOM uint32_t CLKWDT_IE  : 1;            /*!< [8..8] Clock watchdog interrupt enable                                    */
            uint32_t            : 23;
    } bit;
  } APCLK_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000058) Analog peripheral clock register                           */
    
    struct {
      __IOM uint32_t APCLK1FAC  : 2;            /*!< [1..0] Analog module clock factor                                         */
            uint32_t            : 6;
      __IOM uint32_t APCLK2FAC  : 5;            /*!< [12..8] Slow down clock divider for TFILT_CLK generation                  */
            uint32_t            : 11;
      __IOM uint32_t BGCLK_SEL  : 1;            /*!< [24..24] Bandgap clock selection                                          */
      __IOM uint32_t BGCLK_DIV  : 1;            /*!< [25..25] Bandgap clock divider                                            */
            uint32_t            : 6;
    } bit;
  } APCLK;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000005C) Analog peripheral clock status register                    */
    
    struct {
      __IM  uint32_t APCLK1STS  : 2;            /*!< [1..0] Analog peripherals clock status                                    */
            uint32_t            : 6;
      __IM  uint32_t APCLK2STS  : 2;            /*!< [9..8] Analog peripherals clock status                                    */
            uint32_t            : 6;
      __IM  uint32_t APCLK3STS  : 1;            /*!< [16..16] Loss of clock status                                             */
            uint32_t            : 7;
      __IM  uint32_t PLL_LOCK   : 1;            /*!< [24..24] PLL LOCK status                                                  */
            uint32_t            : 7;
    } bit;
  } APCLK_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000060) Peripheral management control register                     */
    
    struct {
      __IOM uint32_t ADC1_DIS   : 1;            /*!< [0..0] ADC1 disable request, active high                                  */
      __IOM uint32_t SSC1_DIS   : 1;            /*!< [1..1] SSC1 disable request, active high                                  */
      __IOM uint32_t CCU6_DIS   : 1;            /*!< [2..2] CCU6 disable request, active high                                  */
      __IOM uint32_t T2_DIS     : 1;            /*!< [3..3] T2 disable request, active high                                    */
      __IOM uint32_t GPT12_DIS  : 1;            /*!< [4..4] General purpose timer 12 disable request, active high              */
            uint32_t            : 3;
      __IOM uint32_t SSC2_DIS   : 1;            /*!< [8..8] SSC2 disable request, active high                                  */
            uint32_t            : 1;
      __IOM uint32_t T21_DIS    : 1;            /*!< [10..10] T21 disable request, active high                                 */
            uint32_t            : 21;
    } bit;
  } PMCON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000064) Analog peripheral clock status clear register              */
    
    struct {
      __OM  uint32_t APCLK1SCLR : 1;            /*!< [0..0] Analog peripherals clock status clear                              */
            uint32_t            : 7;
      __OM  uint32_t APCLK2SCLR : 1;            /*!< [8..8] Analog peripherals clock status clear                              */
            uint32_t            : 7;
      __OM  uint32_t APCLK3SCLR : 1;            /*!< [16..16] Analog peripherals clock 3 status clear                          */
            uint32_t            : 7;
      __OM  uint32_t PLL_LOCK_SCLR : 1;         /*!< [24..24] PLL lock status clear                                            */
            uint32_t            : 7;
    } bit;
  } APCLK_SCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000068) Reset control register                                     */
    
    struct {
      __IOM uint32_t LOCKUP     : 1;            /*!< [0..0] Lockup flag                                                        */
            uint32_t            : 6;
      __IOM uint32_t LOCKUP_EN  : 1;            /*!< [7..7] Lockup reset enable flag                                           */
            uint32_t            : 24;
    } bit;
  } RSTCON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000006C) ADC1 peripheral clock register                             */
    
    struct {
      __IOM uint32_t ADC1_CLK_DIV : 4;          /*!< [3..0] ADC1 clock divider                                                 */
            uint32_t            : 4;
      __IOM uint32_t DPP1_CLK_DIV : 2;          /*!< [9..8] ADC1 post processing clock divider                                 */
            uint32_t            : 22;
    } bit;
  } ADC1_CLK;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000070) System control 0 register                                  */
    
    struct {
            uint32_t            : 4;
      __IOM uint32_t NVMCLKFAC  : 2;            /*!< [5..4] NVM access clock factor                                            */
      __IOM uint32_t SYSCLKSEL  : 2;            /*!< [7..6] System clock select                                                */
            uint32_t            : 24;
    } bit;
  } SYSCON0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000074) System startup status register                             */
    
    struct {
      __IOM uint32_t INIT_FAIL  : 1;            /*!< [0..0] Initialization at startup failed                                   */
      __IOM uint32_t MRAMINITSTS : 1;           /*!< [1..1] Map RAM initialization status                                      */
      __IOM uint32_t PG100TP_CHKS_ERR : 1;      /*!< [2..2] 100 TP Page checksum error                                         */
            uint32_t            : 29;
    } bit;
  } SYS_STRTUP_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000078) Wake-up interrupt control register                         */
    
    struct {
      __IOM uint32_t WAKEUPEN   : 1;            /*!< [0..0] Wake-up interrupt enable                                           */
            uint32_t            : 31;
    } bit;
  } WAKECON;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000007C) Interrupt request 5 register                               */
    
    struct {
      __IM  uint32_t WAKEUP     : 1;            /*!< [0..0] Interrupt flag for wake-up                                         */
            uint32_t            : 31;
    } bit;
  } IRCON5;
  __IM  uint32_t  RESERVED1[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000088) Baud-rate control 1 register                               */
    
    struct {
      __IOM uint32_t BR1_R      : 1;            /*!< [0..0] Baud-rate generator run control bit                                */
      __IOM uint32_t BR1_PRE    : 3;            /*!< [3..1] Prescaler bit                                                      */
            uint32_t            : 28;
    } bit;
  } BCON1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000008C) Baud-rate timer/reload, low byte 1 register                */
    
    struct {
      __IOM uint32_t BG1_FD_SEL : 5;            /*!< [4..0] Fractional divider selection                                       */
            uint32_t            : 27;
    } bit;
  } BGL1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000090) Baud-rate timer/reload 1 register                          */
    
    struct {
      __IOM uint32_t BG1_BR_VALUE : 11;         /*!< [10..0] Baud-rate timer/reload value UART1                                */
            uint32_t            : 21;
    } bit;
  } BG1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000094) LIN status register                                        */
    
    struct {
      __IOM uint32_t BRDIS      : 1;            /*!< [0..0] Baud-rate detection disable                                        */
      __IOM uint32_t BGSEL      : 2;            /*!< [2..1] Baud-rate select for detection                                     */
      __IM  uint32_t BRK        : 1;            /*!< [3..3] Break field flag                                                   */
      __IM  uint32_t EOFSYN     : 1;            /*!< [4..4] End of SYN byte interrupt flag                                     */
      __IM  uint32_t ERRSYN     : 1;            /*!< [5..5] SYN byte error interrupt flag                                      */
      __IOM uint32_t SYNEN      : 1;            /*!< [6..6] End of SYN byte and SYN byte error interrupts enable               */
            uint32_t            : 25;
    } bit;
  } LINST;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000098) Baud-rate control 2 register                               */
    
    struct {
      __IOM uint32_t BR2_R      : 1;            /*!< [0..0] Baud-rate generator run control bit                                */
      __IOM uint32_t BR2_PRE    : 3;            /*!< [3..1] Prescaler bit                                                      */
            uint32_t            : 28;
    } bit;
  } BCON2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000009C) Baud-rate timer/reload, low byte 2 register                */
    
    struct {
      __IOM uint32_t BG2_FD_SEL : 5;            /*!< [4..0] Fractional divider selection                                       */
            uint32_t            : 27;
    } bit;
  } BGL2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A0) Baud-rate timer/reload 2 register                          */
    
    struct {
      __IOM uint32_t BG2_BR_VALUE : 11;         /*!< [10..0] Baud-rate timer/reload value UART2                                */
            uint32_t            : 21;
    } bit;
  } BG2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A4) LIN status clear register                                  */
    
    struct {
            uint32_t            : 3;
      __OM  uint32_t BRKC       : 1;            /*!< [3..3] Break field flag clear                                             */
      __OM  uint32_t EOFSYNC    : 1;            /*!< [4..4] End of SYN byte interrupt flag clear                               */
      __OM  uint32_t ERRSYNC    : 1;            /*!< [5..5] SYN byte error interrupt flag                                      */
            uint32_t            : 26;
    } bit;
  } LINSCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000A8) Identity register                                          */
    
    struct {
      __IOM uint32_t VERID      : 3;            /*!< [2..0] Version ID                                                         */
      __IM  uint32_t PRODID     : 5;            /*!< [7..3] Product ID                                                         */
            uint32_t            : 24;
    } bit;
  } ID;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000AC) Password register                                          */
    
    struct {
      __IOM uint32_t PW_MODE    : 2;            /*!< [1..0] Bit protection scheme control bit                                  */
      __IM  uint32_t PROTECT_S  : 1;            /*!< [2..2] Bit protection signal status bit                                   */
      __IOM uint32_t PASS       : 5;            /*!< [7..3] Password bits                                                      */
            uint32_t            : 24;
    } bit;
  } PASSWD;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B0) OSC control register                                       */
    
    struct {
      __IOM uint32_t OSCSS      : 2;            /*!< [1..0] Oscillator source select                                           */
      __IOM uint32_t OSCWDTRST  : 1;            /*!< [2..2] Oscillator watchdog reset                                          */
      __IM  uint32_t OSC2L      : 1;            /*!< [3..3] OSC-too-low condition flag                                         */
      __IOM uint32_t XPD        : 1;            /*!< [4..4] XTAL (OSC_HP) power down control                                   */
            uint32_t            : 27;
    } bit;
  } OSC_CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B4) Clock output control register                              */
    
    struct {
      __IOM uint32_t COREL      : 4;            /*!< [3..0] Clock output divider                                               */
      __IOM uint32_t COUTS0     : 1;            /*!< [4..4] Clock out source select bit 0                                      */
      __IOM uint32_t TLEN       : 1;            /*!< [5..5] Toggle latch enable                                                */
      __IOM uint32_t COUTS1     : 1;            /*!< [6..6] Clock out source select bit 1                                      */
      __IOM uint32_t EN         : 1;            /*!< [7..7] CLKOUT enable                                                      */
            uint32_t            : 24;
    } bit;
  } COCON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000B8) Peripheral input select register                           */
    
    struct {
      __IOM uint32_t EXINT0IS   : 2;            /*!< [1..0] External interrupt 0 input select                                  */
      __IOM uint32_t EXINT1IS   : 2;            /*!< [3..2] External interrupt 1 input select                                  */
      __IOM uint32_t EXINT2IS   : 2;            /*!< [5..4] External interrupt 2 input select                                  */
      __IOM uint32_t URIOS1     : 1;            /*!< [6..6] UART1 input select                                                 */
      __IOM uint32_t U_TX_CONDIS : 1;           /*!< [7..7] TRX input select                                                   */
            uint32_t            : 8;
      __IOM uint32_t SSC12_M_SCK_OUTSEL : 1;    /*!< [16..16] Output selection for SSC12_M_SCK                                 */
      __IOM uint32_t SSC12_M_MTSR_OUTSEL : 1;   /*!< [17..17] Output selection for SSC12_M_MTSR                                */
      __IOM uint32_t SSC12_S_MRST_OUTSEL : 1;   /*!< [18..18] Output selection for SSC12_S_MRST                                */
            uint32_t            : 13;
    } bit;
  } MODPISEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000BC) Peripheral input select 1 register                         */
    
    struct {
      __IOM uint32_t XTAL12EN   : 1;            /*!< [0..0] Pins XTAL1/2 enable bit                                            */
            uint32_t            : 5;
      __IOM uint32_t T2EXCON    : 1;            /*!< [6..6] Timer 2 external input control                                     */
      __IOM uint32_t T21EXCON   : 1;            /*!< [7..7] Timer 21 external input control                                    */
            uint32_t            : 24;
    } bit;
  } MODPISEL1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C0) Peripheral input select 2 register                         */
    
    struct {
      __IOM uint32_t T2IS       : 2;            /*!< [1..0] Timer 2 input select                                               */
      __IOM uint32_t T21IS      : 2;            /*!< [3..2] Timer 21 input select                                              */
      __IOM uint32_t T2EXIS     : 2;            /*!< [5..4] Timer 2 external input select                                      */
      __IOM uint32_t T21EXIS    : 2;            /*!< [7..6] Timer 21 external input select                                     */
            uint32_t            : 24;
    } bit;
  } MODPISEL2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C4) Peripheral input select 3 register                         */
    
    struct {
            uint32_t            : 6;
      __IOM uint32_t URIOS2     : 1;            /*!< [6..6] UART2 input select                                                 */
            uint32_t            : 25;
    } bit;
  } MODPISEL3;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000C8) Module suspend control register                            */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t T12SUSP    : 1;            /*!< [1..1] Timer 12 debug suspend bit                                         */
      __IOM uint32_t T13SUSP    : 1;            /*!< [2..2] Timer 13 debug suspend bit                                         */
      __IOM uint32_t T2_SUSP    : 1;            /*!< [3..3] Timer 2 debug suspend bit                                          */
      __IOM uint32_t GPT12_SUSP : 1;            /*!< [4..4] GPT12 debug suspend bit                                            */
            uint32_t            : 1;
      __IOM uint32_t T21_SUSP   : 1;            /*!< [6..6] Timer 21 debug suspend bit                                         */
      __IOM uint32_t WDT1SUSP   : 1;            /*!< [7..7] Watchdog timer 1 debug suspend bit                                 */
            uint32_t            : 1;
      __IOM uint32_t MU_SUSP    : 1;            /*!< [9..9] Measurement unit debug suspend bit                                 */
      __IOM uint32_t ADC1_SUSP  : 1;            /*!< [10..10] ADC1 unit debug suspend bit                                      */
            uint32_t            : 21;
    } bit;
  } MODSUSP;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000CC) Emergency and program operation status register            */
    
    struct {
      __IOM uint32_t NVMPROP    : 1;            /*!< [0..0] NVM program operation status bit                                   */
      __IOM uint32_t EMPROP     : 1;            /*!< [1..1] Emergency program operation status bit                             */
            uint32_t            : 30;
    } bit;
  } EMOP;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000D0) GPT12 peripheral input select register                     */
    
    struct {
      __IOM uint32_t GPT12      : 4;            /*!< [3..0] GPT12 T3INB/T4IND input select                                     */
      __IOM uint32_t TRIG_CONF  : 1;            /*!< [4..4] CCU6 trigger Configuration                                         */
      __IOM uint32_t GPT12_SEL  : 1;            /*!< [5..5] CCU6 trigger configuration                                         */
            uint32_t            : 26;
    } bit;
  } GPT12PISEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000D4) Error detection and correction control register            */
    
    struct {
      __IOM uint32_t RIE        : 1;            /*!< [0..0] RAM double bit ECC error interrupt enable                          */
            uint32_t            : 1;
      __IOM uint32_t NVMIE      : 1;            /*!< [2..2] NVM double bit ECC error interrupt enable                          */
            uint32_t            : 29;
    } bit;
  } EDCCON;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x000000D8) Error detection and correction status register             */
    
    struct {
      __IM  uint32_t RDBE       : 1;            /*!< [0..0] RAM double bit error                                               */
            uint32_t            : 1;
      __IM  uint32_t NVMDBE     : 1;            /*!< [2..2] NVM double bit error                                               */
            uint32_t            : 1;
      __IM  uint32_t RSBE       : 1;            /*!< [4..4] RAM single bit error                                               */
            uint32_t            : 27;
    } bit;
  } EDCSTAT;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000DC) Memory status register                                     */
    
    struct {
      __IOM uint32_t SECTORINFO : 6;            /*!< [5..0] Sector information                                                 */
      __IOM uint32_t SASTATUS   : 2;            /*!< [7..6] Service algorithm status                                           */
            uint32_t            : 24;
    } bit;
  } MEMSTAT;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000E0) NVM protection status register                             */
    
    struct {
      __IOM uint32_t EN_PRG_NL  : 1;            /*!< [0..0] NVM protection of data in non-linear sectors                       */
      __IOM uint32_t EN_PRG_LIN : 1;            /*!< [1..1] NVM protection of data in linear sectors                           */
      __IOM uint32_t EN_PRG_CBSL : 1;           /*!< [2..2] NVM protection of data in CBSL region                              */
      __IOM uint32_t EN_RD_NL   : 1;            /*!< [3..3] NVM read protection of data in non-linear sectors                  */
      __IOM uint32_t EN_RD_LIN  : 1;            /*!< [4..4] NVM read protection of data in linear sectors                      */
      __IOM uint32_t EN_RD_CBSL : 1;            /*!< [5..5] NVM read protection of data in CBSL region                         */
            uint32_t            : 2;
      __IOM uint32_t EN_RD_S0   : 1;            /*!< [8..8] NVM read protection for sector 0                                   */
      __IOM uint32_t DIS_RDUS   : 1;            /*!< [9..9] Configuration of NVM read protection for sector 1...n
                                                     with EN_RD_* = 0                                                          */
      __IOM uint32_t DIS_RDUS_S0 : 1;           /*!< [10..10] Configuration of NVM read protection for sector 0 with
                                                     EN_RD_S0 = 0                                                              */
      __IOM uint32_t NL_PW      : 1;            /*!< [11..11] Status of non-linear region password/protection                  */
      __IOM uint32_t LIN_PW     : 1;            /*!< [12..12] Status of linear region password/protection                      */
      __IOM uint32_t CBSL_PW    : 1;            /*!< [13..13] Status of CBSL region password/protection                        */
      __IOM uint32_t NVMBSL     : 2;            /*!< [15..14] CBSL region size definition                                      */
            uint32_t            : 16;
    } bit;
  } NVM_PROT_STS;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x000000E4) Memory access status register                              */
    
    struct {
      __IM  uint32_t NVM_PROT_ERR : 1;          /*!< [0..0] NVM access protection                                              */
      __IM  uint32_t NVM_ADDR_ERR : 1;          /*!< [1..1] NVM address protection                                             */
      __IM  uint32_t NVM_SFR_PROT_ERR : 1;      /*!< [2..2] NVM SFR access protection                                          */
      __IM  uint32_t NVM_SFR_ADDR_ERR : 1;      /*!< [3..3] NVM SFR address protection                                         */
      __IM  uint32_t ROM_PROT_ERR : 1;          /*!< [4..4] ROM access protection                                              */
            uint32_t            : 27;
    } bit;
  } MEM_ACC_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000E8) Port output control register                               */
    
    struct {
      __IOM uint32_t P0_PDM0    : 3;            /*!< [2..0] P0.0 port driver mode                                              */
            uint32_t            : 1;
      __IOM uint32_t P0_PDM1    : 3;            /*!< [6..4] P0.1 port driver mode                                              */
            uint32_t            : 1;
      __IOM uint32_t P0_PDM2    : 3;            /*!< [10..8] P0.2 port driver mode                                             */
            uint32_t            : 1;
      __IOM uint32_t P0_PDM3    : 3;            /*!< [14..12] P0.3 port driver mode                                            */
            uint32_t            : 1;
      __IOM uint32_t P0_PDM4    : 3;            /*!< [18..16] P0.4 port driver mode                                            */
            uint32_t            : 1;
      __IOM uint32_t P0_PDM5    : 3;            /*!< [22..20] P0.5 port driver mode                                            */
            uint32_t            : 9;
    } bit;
  } P0_POCON0;
  __IM  uint32_t  RESERVED2[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000F4) Temperature compensation control register                  */
    
    struct {
      __IOM uint32_t TCC        : 2;            /*!< [1..0] Temperature compensation control                                   */
            uint32_t            : 30;
    } bit;
  } TCCR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000F8) Port output control register                               */
    
    struct {
      __IOM uint32_t P1_PDM0    : 3;            /*!< [2..0] P1.0 port driver mode                                              */
            uint32_t            : 1;
      __IOM uint32_t P1_PDM1    : 3;            /*!< [6..4] P1.1 port driver mode                                              */
            uint32_t            : 1;
      __IOM uint32_t P1_PDM2    : 3;            /*!< [10..8] P1.2 port driver mode                                             */
            uint32_t            : 5;
      __IOM uint32_t P1_PDM4    : 3;            /*!< [18..16] P1.4 port driver mode                                            */
            uint32_t            : 13;
    } bit;
  } P1_POCON0;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x000000FC) Peripheral input select 4 register                         */
    
    struct {
      __IOM uint32_t DU1TRIGGEN : 3;            /*!< [2..0] Differential unit trigger enable                                   */
            uint32_t            : 5;
      __IOM uint32_t DU2TRIGGEN : 3;            /*!< [10..8] Differential unit trigger enable                                  */
            uint32_t            : 5;
      __IOM uint32_t DU3TRIGGEN : 3;            /*!< [18..16] Differential unit trigger enable                                 */
            uint32_t            : 5;
      __IOM uint32_t DU4TRIGGEN : 3;            /*!< [26..24] Differential unit trigger enable                                 */
            uint32_t            : 5;
    } bit;
  } MODPISEL4;
  __IM  uint32_t  RESERVED3[3];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000010C) Error detection and correction status clear register       */
    
    struct {
      __OM  uint32_t RDBEC      : 1;            /*!< [0..0] RAM double bit error clear                                         */
            uint32_t            : 1;
      __OM  uint32_t NVMDBEC    : 1;            /*!< [2..2] NVM double bit error clear                                         */
            uint32_t            : 1;
      __OM  uint32_t RSBEC      : 1;            /*!< [4..4] RAM single bit error clear                                         */
            uint32_t            : 27;
    } bit;
  } EDCSCLR;
  __IM  uint32_t  RESERVED4[19];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000015C) General purpose timer 12 interrupt enable register         */
    
    struct {
      __IOM uint32_t T2IE       : 1;            /*!< [0..0] GPT12 T2 interrupt enable                                          */
      __IOM uint32_t T3IE       : 1;            /*!< [1..1] GPT12 T3 interrupt enable                                          */
      __IOM uint32_t T4IE       : 1;            /*!< [2..2] GPT12 T4 interrupt enable                                          */
      __IOM uint32_t T5IE       : 1;            /*!< [3..3] GPT12 T5 interrupt enable                                          */
      __IOM uint32_t T6IE       : 1;            /*!< [4..4] GPT12 T6 interrupt enable                                          */
      __IOM uint32_t CRIE       : 1;            /*!< [5..5] GPT12 capture and reload interrupt enable                          */
            uint32_t            : 26;
    } bit;
  } GPT12IEN;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000160) Timer and counter control/status register                  */
    
    struct {
      __IM  uint32_t GPT1T2     : 1;            /*!< [0..0] GPT module 1 Timer2 interrupt status                               */
      __IM  uint32_t GPT1T3     : 1;            /*!< [1..1] GPT module 1 Timer3 interrupt status                               */
      __IM  uint32_t GPT1T4     : 1;            /*!< [2..2] GPT module 1 Timer4 interrupt status                               */
      __IM  uint32_t GPT2T5     : 1;            /*!< [3..3] GPT module 2 Timer5 interrupt status                               */
      __IM  uint32_t GPT2T6     : 1;            /*!< [4..4] GPT module 2 Timer6 interrupt status                               */
      __IM  uint32_t GPT12CR    : 1;            /*!< [5..5] GPT12 capture reload interrupt status                              */
            uint32_t            : 26;
    } bit;
  } GPT12IRC;
  __IM  uint32_t  RESERVED5[5];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000178) Interrupt request 0 clear register                         */
    
    struct {
      __OM  uint32_t EXINT0RC   : 1;            /*!< [0..0] Interrupt flag for external interrupt 0x on rising edge            */
      __OM  uint32_t EXINT0FC   : 1;            /*!< [1..1] Interrupt flag for external interrupt 0x on falling edge           */
      __OM  uint32_t EXINT1RC   : 1;            /*!< [2..2] Interrupt flag for external interrupt 1x on rising edge            */
      __OM  uint32_t EXINT1FC   : 1;            /*!< [3..3] Interrupt flag for external interrupt 1x on falling edge           */
      __OM  uint32_t EXINT2RC   : 1;            /*!< [4..4] Interrupt flag for external interrupt 2x on rising edge            */
      __OM  uint32_t EXINT2FC   : 1;            /*!< [5..5] Interrupt flag for external interrupt 2x on falling edge           */
            uint32_t            : 26;
    } bit;
  } IRCON0CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000017C) Interrupt request 1 clear register                         */
    
    struct {
      __OM  uint32_t MON1RC     : 1;            /*!< [0..0] Interrupt flag for MON1x on rising edge                            */
      __OM  uint32_t MON1FC     : 1;            /*!< [1..1] Interrupt flag for MON1x on falling edge                           */
      __OM  uint32_t MON2RC     : 1;            /*!< [2..2] Interrupt flag for MON2x on rising edge                            */
      __OM  uint32_t MON2FC     : 1;            /*!< [3..3] Interrupt flag for MON2x on falling edge                           */
      __OM  uint32_t MON3RC     : 1;            /*!< [4..4] Interrupt flag for MON3x on rising edge                            */
      __OM  uint32_t MON3FC     : 1;            /*!< [5..5] Interrupt flag for MON3x on falling edge                           */
      __OM  uint32_t MON4RC     : 1;            /*!< [6..6] Interrupt flag for MON4x on rising edge                            */
      __OM  uint32_t MON4FC     : 1;            /*!< [7..7] Interrupt flag for MON4x on falling edge                           */
      __OM  uint32_t MON5RC     : 1;            /*!< [8..8] Interrupt flag for MON5x on rising edge                            */
      __OM  uint32_t MON5FC     : 1;            /*!< [9..9] Interrupt flag for MON5x on falling edge                           */
            uint32_t            : 22;
    } bit;
  } IRCON1CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000180) Timer and counter control/status clear register            */
    
    struct {
      __OM  uint32_t GPT1T2C    : 1;            /*!< [0..0] GPT module 1 Timer2 interrupt status                               */
      __OM  uint32_t GPT1T3C    : 1;            /*!< [1..1] GPT module 1 Timer3 interrupt status                               */
      __OM  uint32_t GPT1T4C    : 1;            /*!< [2..2] GPT module 1 Timer4 interrupt status                               */
      __OM  uint32_t GPT2T5C    : 1;            /*!< [3..3] GPT module 2 Timer5 interrupt status                               */
      __OM  uint32_t GPT2T6C    : 1;            /*!< [4..4] GPT module 2 Timer6 interrupt status                               */
      __OM  uint32_t GPT12CRC   : 1;            /*!< [5..5] GPT12 capture reload interrupt status                              */
            uint32_t            : 26;
    } bit;
  } GPT12ICLR;
  __IM  uint32_t  RESERVED6[2];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000018C) Monitoring input interrupt enable register                 */
    
    struct {
      __IOM uint32_t MON1IE     : 1;            /*!< [0..0] MON1 interrupt enable                                              */
      __IOM uint32_t MON2IE     : 1;            /*!< [1..1] MON2 interrupt enable                                              */
      __IOM uint32_t MON3IE     : 1;            /*!< [2..2] MON3 interrupt enable                                              */
      __IOM uint32_t MON4IE     : 1;            /*!< [3..3] MON4 interrupt enable                                              */
      __IOM uint32_t MON5IE     : 1;            /*!< [4..4] MON5 interrupt enable                                              */
            uint32_t            : 27;
    } bit;
  } MONIEN;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000190) Interrupt request 2 clear register                         */
    
    struct {
      __OM  uint32_t EIR1C      : 1;            /*!< [0..0] Error interrupt flag for SSC1                                      */
      __OM  uint32_t TIR1C      : 1;            /*!< [1..1] Transmit interrupt flag for SSC1                                   */
      __OM  uint32_t RIR1C      : 1;            /*!< [2..2] Receive interrupt flag for SSC1                                    */
            uint32_t            : 29;
    } bit;
  } IRCON2CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000194) Interrupt request 3 clear register                         */
    
    struct {
      __OM  uint32_t EIR2C      : 1;            /*!< [0..0] Error interrupt flag for SSC2                                      */
      __OM  uint32_t TIR2C      : 1;            /*!< [1..1] Transmit interrupt flag for SSC2                                   */
      __OM  uint32_t RIR2C      : 1;            /*!< [2..2] Receive interrupt flag for SSC2                                    */
            uint32_t            : 29;
    } bit;
  } IRCON3CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000198) Interrupt request 4 clear register                         */
    
    struct {
      __OM  uint32_t CCU6SR0C   : 1;            /*!< [0..0] Interrupt flag 0 for CCU6                                          */
            uint32_t            : 3;
      __OM  uint32_t CCU6SR1C   : 1;            /*!< [4..4] Interrupt flag 1 for CCU6                                          */
            uint32_t            : 11;
      __OM  uint32_t CCU6SR2C   : 1;            /*!< [16..16] Interrupt flag 2 for CCU6                                        */
            uint32_t            : 3;
      __OM  uint32_t CCU6SR3C   : 1;            /*!< [20..20] Interrupt flag 3 for CCU6                                        */
            uint32_t            : 11;
    } bit;
  } IRCON4CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000019C) Interrupt request 5 clear register                         */
    
    struct {
      __OM  uint32_t WAKEUPC    : 1;            /*!< [0..0] Clear flag for wake-up interrupt                                   */
            uint32_t            : 31;
    } bit;
  } IRCON5CLR;
} SCU_Type;                                     /*!< Size = 416 (0x1a0)                                                        */



/* =========================================================================================================================== */
/* ================                                           SCUPM                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief System Control Unit - Power Modules (SCU-PM) (SCUPM)
  */

typedef struct {                                /*!< (@ 0x50006000) SCUPM Structure                                            */
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x00000000) Analog module clock frequency status register              */
    
    struct {
      __IM  uint32_t AMCLK1_FREQ : 6;           /*!< [5..0] Current frequency of analog module clock system clock
                                                     (MI_CLK)                                                                  */
            uint32_t            : 2;
      __IM  uint32_t AMCLK2_FREQ : 6;           /*!< [13..8] Current frequency of analog module clock 2 (TFILT_CLK)            */
            uint32_t            : 18;
    } bit;
  } AMCLK_FREQ_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Analog module clock control register                       */
    
    struct {
      __IOM uint32_t CLKWDT_PD_N : 1;           /*!< [0..0] Clock watchdog power down                                          */
            uint32_t            : 31;
    } bit;
  } AMCLK_CTRL;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Analog module clock limit register                         */
    
    struct {
      __IOM uint32_t AMCLK1_UP_TH : 6;          /*!< [5..0] Analog module clock 1 (MI_CLK) upper limit threshold               */
      __IOM uint32_t AMCLK1_UP_HYS : 2;         /*!< [7..6] Analog module clock 1 (MI_CLK) upper hysteresis                    */
      __IOM uint32_t AMCLK1_LOW_TH : 6;         /*!< [13..8] Analog module clock 1 (MI_CLK) lower limit threshold              */
      __IOM uint32_t AMCLK1_LOW_HYS : 2;        /*!< [15..14] Analog module clock 1 (MI_CLK) lower hysteresis                  */
      __IOM uint32_t AMCLK2_UP_TH : 6;          /*!< [21..16] Analog module clock 2 (TFILT_CLK) upper limit threshold          */
      __IOM uint32_t AMCLK2_UP_HYS : 2;         /*!< [23..22] Analog module clock 2 (TFILT_CLK) upper hysteresis               */
      __IOM uint32_t AMCLK2_LOW_TH : 6;         /*!< [29..24] Analog module clock 2 (TFILT_CLK) lower limit threshold          */
      __IOM uint32_t AMCLK2_LOW_HYS : 2;        /*!< [31..30] Analog module clock 2 (TFILT_CLK) lower hysteresis               */
    } bit;
  } AMCLK_TH_HYS;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) System interrupt status clear register                     */
    
    struct {
            uint32_t            : 8;
      __OM  uint32_t SYS_OTWARN_ISC : 1;        /*!< [8..8] System overtemperature pre-warning status clear                    */
      __OM  uint32_t SYS_OT_ISC : 1;            /*!< [9..9] System overtemperature shutdown status clear                       */
      __OM  uint32_t REFBG_LOTHWARN_ISC : 1;    /*!< [10..10] 8-bit ADC2 reference undervoltage interrupt status
                                                     clear                                                                     */
      __OM  uint32_t REFBG_UPTHWARN_ISC : 1;    /*!< [11..11] 8-bit ADC2 reference overvoltage interrupt status clear          */
            uint32_t            : 12;
      __OM  uint32_t SYS_OTWARN_SC : 1;         /*!< [24..24] System overtemperature pre-warning status clear                  */
      __OM  uint32_t SYS_OT_SC  : 1;            /*!< [25..25] System overtemperature shutdown status clear                     */
            uint32_t            : 6;
    } bit;
  } SYS_ISCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) System interrupt status register                           */
    
    struct {
      __IM  uint32_t LS1_FAIL_IS : 1;           /*!< [0..0] Low-side driver 1 fail interrupt status                            */
      __IM  uint32_t LS2_FAIL_IS : 1;           /*!< [1..1] Low-side driver 2 fail interrupt status                            */
      __IM  uint32_t HS1_FAIL_IS : 1;           /*!< [2..2] High-side driver 1 fail interrupt status                           */
      __IM  uint32_t HS2_FAIL_IS : 1;           /*!< [3..3] High-side driver 2 fail interrupt status                           */
            uint32_t            : 2;
      __IM  uint32_t LIN_FAIL_IS : 1;           /*!< [6..6] LIN fail interrupt status                                          */
            uint32_t            : 1;
      __IOM uint32_t SYS_OTWARN_IS : 1;         /*!< [8..8] System overtemperature prewarning (ADC2, channel 6) interrupt
                                                     status                                                                    */
      __IOM uint32_t SYS_OT_IS  : 1;            /*!< [9..9] System overtemperature shutdown (ADC2, channel 6) interrupt
                                                     status                                                                    */
      __IOM uint32_t REFBG_LOTHWARN_IS : 1;     /*!< [10..10] 8-bit ADC2 reference undervoltage (ADC2, channel 3)
                                                     interrupt status                                                          */
      __IOM uint32_t REFBG_UPTHWARN_IS : 1;     /*!< [11..11] 8-bit ADC2 reference overvoltage (ADC2, channel 3)
                                                     interrupt status                                                          */
            uint32_t            : 4;
      __IM  uint32_t LS1_FAIL_STS : 1;          /*!< [16..16] Low-side driver 1 fail status                                    */
      __IM  uint32_t LS2_FAIL_STS : 1;          /*!< [17..17] Low-side driver 2 fail status                                    */
      __IM  uint32_t HS1_FAIL_STS : 1;          /*!< [18..18] High-side driver 1 fail status                                   */
      __IM  uint32_t HS2_FAIL_STS : 1;          /*!< [19..19] High-side driver 2 fail status                                   */
            uint32_t            : 2;
      __IM  uint32_t LIN_FAIL_STS : 1;          /*!< [22..22] LIN fail status                                                  */
            uint32_t            : 1;
      __IOM uint32_t SYS_OTWARN_STS : 1;        /*!< [24..24] System overtemperature pre-warning (ADC2, channel 6)
                                                     status                                                                    */
      __IOM uint32_t SYS_OT_STS : 1;            /*!< [25..25] System overtemperature shutdown (ADC2, channel 6) status         */
            uint32_t            : 6;
    } bit;
  } SYS_IS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) System supply interrupt status register                    */
    
    struct {
      __IOM uint32_t VBAT_UV_IS : 1;            /*!< [0..0] VBAT undervoltage interrupt status                                 */
      __IOM uint32_t VS_UV_IS   : 1;            /*!< [1..1] VS undervoltage interrupt status                                   */
      __IOM uint32_t VDD5V_UV_IS : 1;           /*!< [2..2] VDDP undervoltage interrupt status                                 */
      __IOM uint32_t VDD1V5_UV_IS : 1;          /*!< [3..3] VDDC undervoltage interrupt status                                 */
      __IOM uint32_t VDDEXT_UV_IS : 1;          /*!< [4..4] VDDEXT undervoltage interrupt status                               */
      __IOM uint32_t VBAT_OV_IS : 1;            /*!< [5..5] VBAT overvoltage interrupt status                                  */
      __IOM uint32_t VS_OV_IS   : 1;            /*!< [6..6] VS overvoltage interrupt status                                    */
      __IOM uint32_t VDD5V_OV_IS : 1;           /*!< [7..7] VDDP overvoltage interrupt status                                  */
      __IOM uint32_t VDD1V5_OV_IS : 1;          /*!< [8..8] VDDC overvoltage interrupt status                                  */
      __IOM uint32_t VDDEXT_OV_IS : 1;          /*!< [9..9] VDDEXT overvoltage interrupt status                                */
            uint32_t            : 6;
      __IOM uint32_t VBAT_UV_STS : 1;           /*!< [16..16] VBAT undervoltage status                                         */
      __IOM uint32_t VS_UV_STS  : 1;            /*!< [17..17] VS undervoltage status                                           */
      __IOM uint32_t VDD5V_UV_STS : 1;          /*!< [18..18] VDDP undervoltage status                                         */
      __IOM uint32_t VDD1V5_UV_STS : 1;         /*!< [19..19] VDDC undervoltage status                                         */
      __IOM uint32_t VDDEXT_UV_STS : 1;         /*!< [20..20] VDDEXT undervoltage status                                       */
      __IOM uint32_t VBAT_OV_STS : 1;           /*!< [21..21] VBAT overvoltage status                                          */
      __IOM uint32_t VS_OV_STS  : 1;            /*!< [22..22] VS overvoltage status                                            */
      __IOM uint32_t VDD5V_OV_STS : 1;          /*!< [23..23] VDDP overvoltage status                                          */
      __IOM uint32_t VDD1V5_OV_STS : 1;         /*!< [24..24] VDDC overvoltage status                                          */
      __IOM uint32_t VDDEXT_OV_STS : 1;         /*!< [25..25] VDDEXT overvoltage status                                        */
            uint32_t            : 6;
    } bit;
  } SYS_SUPPLY_IRQ_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000020) System supply interrupt control register                   */
    
    struct {
      __IOM uint32_t VBAT_UV_IE : 1;            /*!< [0..0] VBAT undervoltage interrupt enable                                 */
      __IOM uint32_t VS_UV_IE   : 1;            /*!< [1..1] VS undervoltage interrupt enable                                   */
      __IOM uint32_t VDD5V_UV_IE : 1;           /*!< [2..2] VDDP undervoltage interrupt enable                                 */
      __IOM uint32_t VDD1V5_UV_IE : 1;          /*!< [3..3] VDDC undervoltage interrupt enable                                 */
      __IOM uint32_t VDDEXT_UV_IE : 1;          /*!< [4..4] VDDEXT undervoltage interrupt enable                               */
      __IOM uint32_t VBAT_OV_IE : 1;            /*!< [5..5] VBAT overvoltage interrupt enable                                  */
      __IOM uint32_t VS_OV_IE   : 1;            /*!< [6..6] VS overvoltage interrupt enable                                    */
      __IOM uint32_t VDD5V_OV_IE : 1;           /*!< [7..7] VDDP overvoltage interrupt enable                                  */
      __IOM uint32_t VDD1V5_OV_IE : 1;          /*!< [8..8] VDDC overvoltage interrupt enable                                  */
      __IOM uint32_t VDDEXT_OV_IE : 1;          /*!< [9..9] VDDEXT overvoltage interrupt enable                                */
            uint32_t            : 22;
    } bit;
  } SYS_SUPPLY_IRQ_CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000024) System supply interrupt status clear register              */
    
    struct {
      __OM  uint32_t VBAT_UV_ISC : 1;           /*!< [0..0] VBAT undervoltage interrupt status clear                           */
      __OM  uint32_t VS_UV_ISC  : 1;            /*!< [1..1] VS undervoltage interrupt status clear                             */
      __OM  uint32_t VDD5V_UV_ISC : 1;          /*!< [2..2] VDDP undervoltage interrupt status clear                           */
      __OM  uint32_t VDD1V5_UV_ISC : 1;         /*!< [3..3] VDDC undervoltage interrupt status clear                           */
      __OM  uint32_t VDDEXT_UV_ISC : 1;         /*!< [4..4] VDDEXT undervoltage interrupt status clear                         */
      __OM  uint32_t VBAT_OV_ISC : 1;           /*!< [5..5] VBAT overvoltage interrupt status clear                            */
      __OM  uint32_t VS_OV_ISC  : 1;            /*!< [6..6] VS overvoltage interrupt status clear                              */
      __OM  uint32_t VDD5V_OV_ISC : 1;          /*!< [7..7] VDDP overvoltage interrupt status clear                            */
      __OM  uint32_t VDD1V5_OV_ISC : 1;         /*!< [8..8] VDDC overvoltage interrupt status clear                            */
      __OM  uint32_t VDDEXT_OV_ISC : 1;         /*!< [9..9] VDDEXT overvoltage interrupt status clear                          */
            uint32_t            : 6;
      __OM  uint32_t VBAT_UV_SC : 1;            /*!< [16..16] VBAT undervoltage status clear                                   */
      __OM  uint32_t VS_UV_SC   : 1;            /*!< [17..17] VS undervoltage status clear                                     */
      __OM  uint32_t VDD5V_UV_SC : 1;           /*!< [18..18] VDDP undervoltage status clear                                   */
      __OM  uint32_t VDD1V5_UV_SC : 1;          /*!< [19..19] VDDC undervoltage status clear                                   */
      __OM  uint32_t VDDEXT_UV_SC : 1;          /*!< [20..20] VDDEXT undervoltage status clear                                 */
      __OM  uint32_t VBAT_OV_SC : 1;            /*!< [21..21] VBAT overvoltage status clear                                    */
      __OM  uint32_t VS_OV_SC   : 1;            /*!< [22..22] VS overvoltage status clear                                      */
      __OM  uint32_t VDD5V_OV_SC : 1;           /*!< [23..23] VDDP overvoltage status clear                                    */
      __OM  uint32_t VDD1V5_OV_SC : 1;          /*!< [24..24] VDDC overvoltage status clear                                    */
      __OM  uint32_t VDDEXT_OV_SC : 1;          /*!< [25..25] VDDEXT overvoltage status clear                                  */
            uint32_t            : 6;
    } bit;
  } SYS_SUPPLY_IRQ_CLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000028) System interrupt control register                          */
    
    struct {
            uint32_t            : 8;
      __IOM uint32_t SYS_OTWARN_IE : 1;         /*!< [8..8] System overtemperature warning interrupt enable                    */
      __IOM uint32_t SYS_OT_IE  : 1;            /*!< [9..9] System overtemperature shutdown interrupt enable (leads
                                                     to shutdown of system)                                                    */
      __IOM uint32_t REFBG_LOTHWARN_IE : 1;     /*!< [10..10] Reference voltage undervoltage interrupt enable                  */
      __IOM uint32_t REFBG_UPTHWARN_IE : 1;     /*!< [11..11] Reference voltage overvoltage interrupt enable                   */
            uint32_t            : 20;
    } bit;
  } SYS_IRQ_CTRL;
  __IM  uint32_t  RESERVED2;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000030) Power control unit control status register                 */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t CLKWDT_SD_DIS : 1;         /*!< [1..1] Power modules clock watchdog shutdown disable                      */
            uint32_t            : 6;
      __IOM uint32_t LIN_VS_UV_SD_DIS : 1;      /*!< [8..8] LIN module VS undervoltage transmitter shutdown                    */
            uint32_t            : 23;
    } bit;
  } PCU_CTRL_STS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000034) WDT1 watchdog control register                             */
    
    struct {
      __IOM uint32_t WDP_SEL    : 6;            /*!< [5..0] Watchdog period selection and trigger                              */
      __IOM uint32_t SOWCONF    : 2;            /*!< [7..6] Short open window configuration                                    */
            uint32_t            : 24;
    } bit;
  } WDT1_TRIG;
  __IM  uint32_t  RESERVED3[13];
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000006C) System tick calibration register                           */
    
    struct {
      __IOM uint32_t STCALIB    : 26;           /*!< [25..0] System tick calibration                                           */
            uint32_t            : 6;
    } bit;
  } STCALIB;
} SCUPM_Type;                                   /*!< Size = 112 (0x70)                                                         */



/* =========================================================================================================================== */
/* ================                                           SSC1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief High-Speed Synchronous Serial Interface SSC1 registers (SSC1)
  */

typedef struct {                                /*!< (@ 0x48024000) SSC1 Structure                                             */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Port input select register                                 */
    
    struct {
      __IOM uint32_t MIS_0      : 1;            /*!< [0..0] Master mode input select bit 0 (master mode only)                  */
      __IOM uint32_t SIS        : 1;            /*!< [1..1] Slave mode input select (slave mode only)                          */
      __IOM uint32_t CIS        : 1;            /*!< [2..2] Clock input select (slave mode only)                               */
      __IOM uint32_t MIS_1      : 1;            /*!< [3..3] Master mode input select bit 1 (master mode only)                  */
            uint32_t            : 28;
    } bit;
  } PISEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Control register                                           */
    
    struct {
      __IOM uint32_t BM         : 4;            /*!< [3..0] Data width selection                                               */
      __IOM uint32_t HB         : 1;            /*!< [4..4] Heading control                                                    */
      __IOM uint32_t PH         : 1;            /*!< [5..5] Clock phase control                                                */
      __IOM uint32_t PO         : 1;            /*!< [6..6] Clock polarity control                                             */
      __IOM uint32_t LB         : 1;            /*!< [7..7] Loop back control                                                  */
      __IOM uint32_t TEN        : 1;            /*!< [8..8] Transmit error enable                                              */
      __IOM uint32_t REN        : 1;            /*!< [9..9] Receive error enable                                               */
      __IOM uint32_t PEN        : 1;            /*!< [10..10] Phase error enable                                               */
      __IOM uint32_t BEN        : 1;            /*!< [11..11] Baud rate error enable                                           */
      __IOM uint32_t AREN       : 1;            /*!< [12..12] Automatic reset enable                                           */
            uint32_t            : 1;
      __IOM uint32_t MS         : 1;            /*!< [14..14] Master select                                                    */
      __IOM uint32_t EN         : 1;            /*!< [15..15] Enable bit                                                       */
      __IM  uint32_t BC         : 4;            /*!< [19..16] Bit count field                                                  */
            uint32_t            : 4;
      __IM  uint32_t TE         : 1;            /*!< [24..24] Transmit error flag                                              */
      __IM  uint32_t RE         : 1;            /*!< [25..25] Receive error flag                                               */
      __IM  uint32_t PE         : 1;            /*!< [26..26] Phase error flag                                                 */
      __IM  uint32_t BE         : 1;            /*!< [27..27] Baud rate error flag                                             */
      __IM  uint32_t BSY        : 1;            /*!< [28..28] Busy flag                                                        */
            uint32_t            : 3;
    } bit;
  } CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Transmitter buffer register                                */
    
    struct {
      __IOM uint32_t TB_VALUE   : 16;           /*!< [15..0] Transmit data register value                                      */
            uint32_t            : 16;
    } bit;
  } TB;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000000C) Receiver buffer register                                   */
    
    struct {
      __IM  uint32_t RB_VALUE   : 16;           /*!< [15..0] Receive data register value                                       */
            uint32_t            : 16;
    } bit;
  } RB;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Baud-rate timer reload register                            */
    
    struct {
      __IOM uint32_t BR_VALUE   : 16;           /*!< [15..0] Baud rate timer/reload register value                             */
            uint32_t            : 16;
    } bit;
  } BR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Interrupt status register clear                            */
    
    struct {
            uint32_t            : 8;
      __OM  uint32_t TECLR      : 1;            /*!< [8..8] Transmit error flag clear                                          */
      __OM  uint32_t RECLR      : 1;            /*!< [9..9] Receive error flag clear                                           */
      __OM  uint32_t PECLR      : 1;            /*!< [10..10] Phase error flag clear                                           */
      __OM  uint32_t BECLR      : 1;            /*!< [11..11] Baud rate error flag clear                                       */
            uint32_t            : 20;
    } bit;
  } ISRCLR;
} SSC1_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                           SSC2                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief High-Speed Synchronous Serial Interface SSC2 registers (SSC2)
  */

typedef struct {                                /*!< (@ 0x48026000) SSC2 Structure                                             */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Port input select register                                 */
    
    struct {
      __IOM uint32_t MIS_0      : 1;            /*!< [0..0] Master mode input select bit 0 (master mode only)                  */
      __IOM uint32_t SIS        : 1;            /*!< [1..1] Slave mode input select (slave mode only)                          */
      __IOM uint32_t CIS        : 1;            /*!< [2..2] Clock input select (slave mode only)                               */
      __IOM uint32_t MIS_1      : 1;            /*!< [3..3] Master mode input select bit 1 (master mode only)                  */
            uint32_t            : 28;
    } bit;
  } PISEL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Control register                                           */
    
    struct {
      __IOM uint32_t BM         : 4;            /*!< [3..0] Data width selection                                               */
      __IOM uint32_t HB         : 1;            /*!< [4..4] Heading control                                                    */
      __IOM uint32_t PH         : 1;            /*!< [5..5] Clock phase control                                                */
      __IOM uint32_t PO         : 1;            /*!< [6..6] Clock polarity control                                             */
      __IOM uint32_t LB         : 1;            /*!< [7..7] Loop back control                                                  */
      __IOM uint32_t TEN        : 1;            /*!< [8..8] Transmit error enable                                              */
      __IOM uint32_t REN        : 1;            /*!< [9..9] Receive error enable                                               */
      __IOM uint32_t PEN        : 1;            /*!< [10..10] Phase error enable                                               */
      __IOM uint32_t BEN        : 1;            /*!< [11..11] Baud rate error enable                                           */
      __IOM uint32_t AREN       : 1;            /*!< [12..12] Automatic reset enable                                           */
            uint32_t            : 1;
      __IOM uint32_t MS         : 1;            /*!< [14..14] Master select                                                    */
      __IOM uint32_t EN         : 1;            /*!< [15..15] Enable bit                                                       */
      __IM  uint32_t BC         : 4;            /*!< [19..16] Bit count field                                                  */
            uint32_t            : 4;
      __IM  uint32_t TE         : 1;            /*!< [24..24] Transmit error flag                                              */
      __IM  uint32_t RE         : 1;            /*!< [25..25] Receive error flag                                               */
      __IM  uint32_t PE         : 1;            /*!< [26..26] Phase error flag                                                 */
      __IM  uint32_t BE         : 1;            /*!< [27..27] Baud rate error flag                                             */
      __IM  uint32_t BSY        : 1;            /*!< [28..28] Busy flag                                                        */
            uint32_t            : 3;
    } bit;
  } CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Transmitter buffer register                                */
    
    struct {
      __IOM uint32_t TB_VALUE   : 16;           /*!< [15..0] Transmit data register value                                      */
            uint32_t            : 16;
    } bit;
  } TB;
  
  union {
    __IM  uint32_t reg;                         /*!< (@ 0x0000000C) Receiver buffer register                                   */
    
    struct {
      __IM  uint32_t RB_VALUE   : 16;           /*!< [15..0] Receive data register value                                       */
            uint32_t            : 16;
    } bit;
  } RB;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Baud-rate timer reload register                            */
    
    struct {
      __IOM uint32_t BR_VALUE   : 16;           /*!< [15..0] Baud rate timer/reload register value                             */
            uint32_t            : 16;
    } bit;
  } BR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000014) Interrupt status register clear                            */
    
    struct {
            uint32_t            : 8;
      __OM  uint32_t TECLR      : 1;            /*!< [8..8] Transmit error flag clear                                          */
      __OM  uint32_t RECLR      : 1;            /*!< [9..9] Receive error flag clear                                           */
      __OM  uint32_t PECLR      : 1;            /*!< [10..10] Phase error flag clear                                           */
      __OM  uint32_t BECLR      : 1;            /*!< [11..11] Baud rate error flag clear                                       */
            uint32_t            : 20;
    } bit;
  } ISRCLR;
} SSC2_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                          TIMER2                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer2 registers (TIMER2)
  */

typedef struct {                                /*!< (@ 0x48004000) TIMER2 Structure                                           */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Timer2 control register                                    */
    
    struct {
      __IOM uint32_t CP_RL2     : 1;            /*!< [0..0] Capture/reload select                                              */
      __IOM uint32_t C_T2       : 1;            /*!< [1..1] Timer or counter select                                            */
      __IOM uint32_t TR2        : 1;            /*!< [2..2] Timer2 start/stop control                                          */
      __IOM uint32_t EXEN2      : 1;            /*!< [3..3] Timer2 external enable control                                     */
            uint32_t            : 2;
      __IM  uint32_t EXF2       : 1;            /*!< [6..6] Timer2 external flag                                               */
      __IM  uint32_t TF2        : 1;            /*!< [7..7] Timer2 overflow/underflow flag                                     */
            uint32_t            : 24;
    } bit;
  } CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Timer2 mode register                                       */
    
    struct {
      __IOM uint32_t DCEN       : 1;            /*!< [0..0] Up/down counter enable                                             */
      __IOM uint32_t T2PRE      : 3;            /*!< [3..1] Timer2 prescaler bit                                               */
      __IOM uint32_t PREN       : 1;            /*!< [4..4] Prescaler enable                                                   */
      __IOM uint32_t EDGESEL    : 1;            /*!< [5..5] Edge select in capture mode/reload mode                            */
      __IOM uint32_t T2RHEN     : 1;            /*!< [6..6] Timer2 external start enable                                       */
      __IOM uint32_t T2REGS     : 1;            /*!< [7..7] Edge select for Timer2 external start                              */
            uint32_t            : 24;
    } bit;
  } MOD;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Timer2 reload/capture register                             */
    
    struct {
      __IOM uint32_t RCL2       : 8;            /*!< [7..0] Reload/capture value                                               */
      __IOM uint32_t RCH2       : 8;            /*!< [15..8] Reload/capture value                                              */
            uint32_t            : 16;
    } bit;
  } RC;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Timer2 count register                                      */
    
    struct {
      __IOM uint32_t T2L        : 8;            /*!< [7..0] Timer2 value                                                       */
      __IOM uint32_t T2H        : 8;            /*!< [15..8] Timer2 value                                                      */
            uint32_t            : 16;
    } bit;
  } CNT;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Timer2 interrupt clear register                            */
    
    struct {
            uint32_t            : 6;
      __OM  uint32_t EXF2CLR    : 1;            /*!< [6..6] External interrupt clear flag                                      */
      __OM  uint32_t TF2CLR     : 1;            /*!< [7..7] Overflow/underflow interrupt clear flag                            */
            uint32_t            : 24;
    } bit;
  } ICLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Timer2 control 1 register                                  */
    
    struct {
      __IOM uint32_t EXF2EN     : 1;            /*!< [0..0] External interrupt enable                                          */
      __IOM uint32_t TF2EN      : 1;            /*!< [1..1] Overflow/underflow interrupt enable                                */
            uint32_t            : 30;
    } bit;
  } CON1;
} TIMER2_Type;                                  /*!< Size = 32 (0x20)                                                          */



/* =========================================================================================================================== */
/* ================                                          TIMER21                                          ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer21 registers (TIMER21)
  */

typedef struct {                                /*!< (@ 0x48005000) TIMER21 Structure                                          */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Timer2 control register                                    */
    
    struct {
      __IOM uint32_t CP_RL2     : 1;            /*!< [0..0] Capture/reload select                                              */
      __IOM uint32_t C_T2       : 1;            /*!< [1..1] Timer or counter select                                            */
      __IOM uint32_t TR2        : 1;            /*!< [2..2] Timer2 start/stop control                                          */
      __IOM uint32_t EXEN2      : 1;            /*!< [3..3] Timer2 external enable control                                     */
            uint32_t            : 2;
      __IM  uint32_t EXF2       : 1;            /*!< [6..6] Timer2 external flag                                               */
      __IM  uint32_t TF2        : 1;            /*!< [7..7] Timer2 overflow/underflow flag                                     */
            uint32_t            : 24;
    } bit;
  } CON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Timer2 mode register                                       */
    
    struct {
      __IOM uint32_t DCEN       : 1;            /*!< [0..0] Up/down counter enable                                             */
      __IOM uint32_t T2PRE      : 3;            /*!< [3..1] Timer2 prescaler bit                                               */
      __IOM uint32_t PREN       : 1;            /*!< [4..4] Prescaler enable                                                   */
      __IOM uint32_t EDGESEL    : 1;            /*!< [5..5] Edge select in capture mode/reload mode                            */
      __IOM uint32_t T2RHEN     : 1;            /*!< [6..6] Timer2 external start enable                                       */
      __IOM uint32_t T2REGS     : 1;            /*!< [7..7] Edge select for Timer2 external start                              */
            uint32_t            : 24;
    } bit;
  } MOD;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Timer2 reload/capture register                             */
    
    struct {
      __IOM uint32_t RCL2       : 8;            /*!< [7..0] Reload/capture value                                               */
      __IOM uint32_t RCH2       : 8;            /*!< [15..8] Reload/capture value                                              */
            uint32_t            : 16;
    } bit;
  } RC;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000010) Timer2 count register                                      */
    
    struct {
      __IOM uint32_t T2L        : 8;            /*!< [7..0] Timer2 value                                                       */
      __IOM uint32_t T2H        : 8;            /*!< [15..8] Timer2 value                                                      */
            uint32_t            : 16;
    } bit;
  } CNT;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000018) Timer2 interrupt clear register                            */
    
    struct {
            uint32_t            : 6;
      __OM  uint32_t EXF2CLR    : 1;            /*!< [6..6] External interrupt clear flag                                      */
      __OM  uint32_t TF2CLR     : 1;            /*!< [7..7] Overflow/underflow interrupt clear flag                            */
            uint32_t            : 24;
    } bit;
  } ICLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000001C) Timer2 control 1 register                                  */
    
    struct {
      __IOM uint32_t EXF2EN     : 1;            /*!< [0..0] External interrupt enable                                          */
      __IOM uint32_t TF2EN      : 1;            /*!< [1..1] Overflow/underflow interrupt enable                                */
            uint32_t            : 30;
    } bit;
  } CON1;
} TIMER21_Type;                                 /*!< Size = 32 (0x20)                                                          */



/* =========================================================================================================================== */
/* ================                                            TRX                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Transceiver registers (TRX)
  */

typedef struct {                                /*!< (@ 0x4801E000) TRX Structure                                              */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Transceiver control register                               */
    
    struct {
            uint32_t            : 1;
      __IOM uint32_t MODE       : 2;            /*!< [2..1] Transceiver power mode control                                     */
            uint32_t            : 1;
      __IM  uint32_t MODE_FB    : 3;            /*!< [6..4] Transmitter feedback signals settings [2:1]                        */
            uint32_t            : 2;
      __IOM uint32_t TXD        : 1;            /*!< [9..9] Transmitter state (only used when HV_MODE is set)                  */
      __IM  uint32_t RXD        : 1;            /*!< [10..10] Reveiver output signal                                           */
      __IOM uint32_t SM         : 2;            /*!< [12..11] Transmitter slope mode control                                   */
      __IM  uint32_t FB_SM      : 3;            /*!< [15..13] Feedback signal for slope mode setting [3:1]                     */
            uint32_t            : 5;
      __IOM uint32_t HV_MODE    : 1;            /*!< [21..21] Transceiver high-voltage I/O mode                                */
            uint32_t            : 10;
    } bit;
  } CTRL;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Transceiver interrupt status register                      */
    
    struct {
            uint32_t            : 3;
      __IOM uint32_t M_SM_ERR_IS : 1;           /*!< [3..3] Transceiver mode error - slope mode error interrupt status         */
      __IOM uint32_t OT_IS      : 1;            /*!< [4..4] Transceiver overtemperature interrupt status                       */
      __IOM uint32_t OC_IS      : 1;            /*!< [5..5] Transceiver overcurrent interrupt status                           */
      __IOM uint32_t TXD_TMOUT_IS : 1;          /*!< [6..6] Transceiver TXD timeout interrupt status                           */
            uint32_t            : 1;
      __IOM uint32_t M_SM_ERR_STS : 1;          /*!< [8..8] Transceiver mode error - slope mode error status                   */
      __IOM uint32_t OT_STS     : 1;            /*!< [9..9] Transceiver overtemperature status                                 */
            uint32_t            : 1;
      __IOM uint32_t TXD_TMOUT_STS : 1;         /*!< [11..11] Transceiver TXD timeout status                                   */
            uint32_t            : 20;
    } bit;
  } IRQS;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Transceiver interrupt status rclear register               */
    
    struct {
            uint32_t            : 3;
      __OM  uint32_t M_SM_ERR_ISC : 1;          /*!< [3..3] Transceiver mode error - slope mode error interrupt status
                                                     clear                                                                     */
      __OM  uint32_t OT_ISC     : 1;            /*!< [4..4] Tranceiver overtemperature interrupt status / status
                                                     clear                                                                     */
      __OM  uint32_t OC_ISC     : 1;            /*!< [5..5] Tranceiver overcurrent interrupt status clear                      */
      __OM  uint32_t TXD_TMOUT_ISC : 1;         /*!< [6..6] Transceiver TXD timeout interrupt status clear                     */
            uint32_t            : 1;
      __OM  uint32_t M_SM_ERR_SC : 1;           /*!< [8..8] Transceiver mode error - slope mode error status clear             */
      __OM  uint32_t OT_SC      : 1;            /*!< [9..9] Tranceiver overtemperature status clear                            */
            uint32_t            : 1;
      __OM  uint32_t TXD_TMOUT_SC : 1;          /*!< [11..11] Transceiver TXD timeout status clear                             */
            uint32_t            : 20;
    } bit;
  } IRQCLR;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x0000000C) Transceiver interrupt enable register                      */
    
    struct {
            uint32_t            : 3;
      __IOM uint32_t M_SM_ERR_IEN : 1;          /*!< [3..3] Transceiver mode error - slope mode error interrupt                */
      __IOM uint32_t OT_IEN     : 1;            /*!< [4..4] Transceiver overtemperature interrupt                              */
      __IOM uint32_t OC_IEN     : 1;            /*!< [5..5] Transceiver overcurrent interrupt                                  */
      __IOM uint32_t TXD_TMOUT_IEN : 1;         /*!< [6..6] Transceiver TxD-timeout interrupt                                  */
            uint32_t            : 25;
    } bit;
  } IRQEN;
} TRX_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                           UART1                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief UART1 registers (UART1)
  */

typedef struct {                                /*!< (@ 0x48020000) UART1 Structure                                            */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Serial channel control register                            */
    
    struct {
      __IOM uint32_t RI         : 1;            /*!< [0..0] Receive interrupt flag                                             */
      __IOM uint32_t TI         : 1;            /*!< [1..1] Transmit interrupt flag                                            */
      __IOM uint32_t RB8        : 1;            /*!< [2..2] Serial port receiver bit 9                                         */
      __IOM uint32_t TB8        : 1;            /*!< [3..3] Serial port transmitter bit 9                                      */
      __IOM uint32_t REN        : 1;            /*!< [4..4] Enable receiver of serial port                                     */
      __IOM uint32_t SM2        : 1;            /*!< [5..5] Enable serial port multiprocessor communication in modes
                                                     2 and 3                                                                   */
      __IOM uint32_t SM1        : 1;            /*!< [6..6] Serial port operating mode selection                               */
      __IOM uint32_t SM0        : 1;            /*!< [7..7] Serial port operating mode selection                               */
            uint32_t            : 24;
    } bit;
  } SCON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Serial data buffer register                                */
    
    struct {
      __IOM uint32_t VAL        : 8;            /*!< [7..0] Serial interface buffer register                                   */
            uint32_t            : 24;
    } bit;
  } SBUF;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Serial channel control clear register                      */
    
    struct {
      __OM  uint32_t RICLR      : 1;            /*!< [0..0] SCON.RI clear flag                                                 */
      __OM  uint32_t TICLR      : 1;            /*!< [1..1] SCON.TI clear flag                                                 */
      __OM  uint32_t RB8CLR     : 1;            /*!< [2..2] SCON.RB8 clear flag                                                */
            uint32_t            : 29;
    } bit;
  } SCONCLR;
} UART1_Type;                                   /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                           UART2                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief UART2 registers (UART2)
  */

typedef struct {                                /*!< (@ 0x48022000) UART2 Structure                                            */
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000000) Serial channel control register                            */
    
    struct {
      __IOM uint32_t RI         : 1;            /*!< [0..0] Receive interrupt flag                                             */
      __IOM uint32_t TI         : 1;            /*!< [1..1] Transmit interrupt flag                                            */
      __IOM uint32_t RB8        : 1;            /*!< [2..2] Serial port receiver bit 9                                         */
      __IOM uint32_t TB8        : 1;            /*!< [3..3] Serial port transmitter bit 9                                      */
      __IOM uint32_t REN        : 1;            /*!< [4..4] Enable receiver of serial port                                     */
      __IOM uint32_t SM2        : 1;            /*!< [5..5] Enable serial port multiprocessor communication in modes
                                                     2 and 3                                                                   */
      __IOM uint32_t SM1        : 1;            /*!< [6..6] Serial port operating mode selection                               */
      __IOM uint32_t SM0        : 1;            /*!< [7..7] Serial port operating mode selection                               */
            uint32_t            : 24;
    } bit;
  } SCON;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000004) Serial data buffer register                                */
    
    struct {
      __IOM uint32_t VAL        : 8;            /*!< [7..0] Serial interface buffer register                                   */
            uint32_t            : 24;
    } bit;
  } SBUF;
  
  union {
    __IOM uint32_t reg;                         /*!< (@ 0x00000008) Serial channel control clear register                      */
    
    struct {
      __OM  uint32_t RICLR      : 1;            /*!< [0..0] SCON.RI clear flag                                                 */
      __OM  uint32_t TICLR      : 1;            /*!< [1..1] SCON.TI clear flag                                                 */
      __OM  uint32_t RB8CLR     : 1;            /*!< [2..2] SCON.RB8 clear flag                                                */
            uint32_t            : 29;
    } bit;
  } SCONCLR;
} UART2_Type;                                   /*!< Size = 12 (0xc)                                                           */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define ADC1_BASE                   0x40004000UL
#define ADC2_BASE                   0x4801C000UL
#define CCU6_BASE                   0x4000C000UL
#define CPU_BASE                    0xE000E000UL
#define GPT12E_BASE                 0x40010000UL
#define HS_BASE                     0x40024000UL
#define LS_BASE                     0x4001C000UL
#define MF_BASE                     0x48018000UL
#define PMU_BASE                    0x50004000UL
#define PORT_BASE                   0x48028000UL
#define SCU_BASE                    0x50005000UL
#define SCUPM_BASE                  0x50006000UL
#define SSC1_BASE                   0x48024000UL
#define SSC2_BASE                   0x48026000UL
#define TIMER2_BASE                 0x48004000UL
#define TIMER21_BASE                0x48005000UL
#define TRX_BASE                    0x4801E000UL
#define UART1_BASE                  0x48020000UL
#define UART2_BASE                  0x48022000UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#ifndef UNIT_TESTING_LV2                        
#define ADC1                        ((ADC1_Type*)              ADC1_BASE)
#define ADC2                        ((ADC2_Type*)              ADC2_BASE)
#define CCU6                        ((CCU6_Type*)              CCU6_BASE)
#define CPU                         ((CPU_Type*)               CPU_BASE)
#define GPT12E                      ((GPT12E_Type*)            GPT12E_BASE)
#define HS                          ((HS_Type*)                HS_BASE)
#define LS                          ((LS_Type*)                LS_BASE)
#define MF                          ((MF_Type*)                MF_BASE)
#define PMU                         ((PMU_Type*)               PMU_BASE)
#define PORT                        ((PORT_Type*)              PORT_BASE)
#define SCU                         ((SCU_Type*)               SCU_BASE)
#define SCUPM                       ((SCUPM_Type*)             SCUPM_BASE)
#define SSC1                        ((SSC1_Type*)              SSC1_BASE)
#define SSC2                        ((SSC2_Type*)              SSC2_BASE)
#define TIMER2                      ((TIMER2_Type*)            TIMER2_BASE)
#define TIMER21                     ((TIMER21_Type*)           TIMER21_BASE)
#define TRX                         ((TRX_Type*)               TRX_BASE)
#define UART1                       ((UART1_Type*)             UART1_BASE)
#define UART2                       ((UART2_Type*)             UART2_BASE)

#else
  extern ADC1_Type*   	ADC1;
  extern ADC2_Type*   	ADC2;
  extern CCU6_Type*   	CCU6;
  extern CPU_Type*    	CPU;
  extern GPT12E_Type* 	GPT12E;
  extern HS_Type*     	HS;  
  extern LS_Type*   	LS;  
  extern MF_Type*     	MF;
  extern PMU_Type*    	PMU;
  extern PORT_Type*   	PORT;
  extern SCU_Type*    	SCU;
  extern SCUPM_Type*  	SCUPM;
  extern SSC1_Type*   	SSC1;
  extern SSC2_Type*   	SSC2;	
  extern TIMER2_Type*  TIMER2;
  extern TIMER21_Type*  TIMER21;	
  extern TRX_Type*    	TRX;
  extern UART1_Type*    UART1;
  extern UART2_Type*    UART2;	
#endif /* UNIT_TESTING_LV2 */

/** @} */ /* End of group Device_Peripheral_declaration */

#ifdef __cplusplus
}
#endif

/** @} */ /* End of group TLE984x */

/** @} */ /* End of group Infineon */

/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                           ADC1                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  CAL_CH0_1  ======================================================= */
#define ADC1_CAL_CH0_1_CALOFFS_CH0_Pos    (0UL)                     /*!< CALOFFS_CH0 (Bit 0)                                   */
#define ADC1_CAL_CH0_1_CALOFFS_CH0_Msk    (0x1fUL)                  /*!< CALOFFS_CH0 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH0_1_CALGAIN_CH0_Pos    (8UL)                     /*!< CALGAIN_CH0 (Bit 8)                                   */
#define ADC1_CAL_CH0_1_CALGAIN_CH0_Msk    (0xff00UL)                /*!< CALGAIN_CH0 (Bitfield-Mask: 0xff)                     */
#define ADC1_CAL_CH0_1_CALOFFS_CH1_Pos    (16UL)                    /*!< CALOFFS_CH1 (Bit 16)                                  */
#define ADC1_CAL_CH0_1_CALOFFS_CH1_Msk    (0x1f0000UL)              /*!< CALOFFS_CH1 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH0_1_CALGAIN_CH1_Pos    (24UL)                    /*!< CALGAIN_CH1 (Bit 24)                                  */
#define ADC1_CAL_CH0_1_CALGAIN_CH1_Msk    (0xff000000UL)            /*!< CALGAIN_CH1 (Bitfield-Mask: 0xff)                     */
/* ======================================================  CAL_CH10_11  ====================================================== */
#define ADC1_CAL_CH10_11_CALOFFS_CH10_Pos (0UL)                     /*!< CALOFFS_CH10 (Bit 0)                                  */
#define ADC1_CAL_CH10_11_CALOFFS_CH10_Msk (0x1fUL)                  /*!< CALOFFS_CH10 (Bitfield-Mask: 0x1f)                    */
#define ADC1_CAL_CH10_11_CALGAIN_CH10_Pos (8UL)                     /*!< CALGAIN_CH10 (Bit 8)                                  */
#define ADC1_CAL_CH10_11_CALGAIN_CH10_Msk (0xff00UL)                /*!< CALGAIN_CH10 (Bitfield-Mask: 0xff)                    */
#define ADC1_CAL_CH10_11_CALOFFS_CH11_Pos (16UL)                    /*!< CALOFFS_CH11 (Bit 16)                                 */
#define ADC1_CAL_CH10_11_CALOFFS_CH11_Msk (0x1f0000UL)              /*!< CALOFFS_CH11 (Bitfield-Mask: 0x1f)                    */
#define ADC1_CAL_CH10_11_CALGAIN_CH11_Pos (24UL)                    /*!< CALGAIN_CH11 (Bit 24)                                 */
#define ADC1_CAL_CH10_11_CALGAIN_CH11_Msk (0xff000000UL)            /*!< CALGAIN_CH11 (Bitfield-Mask: 0xff)                    */
/* =======================================================  CAL_CH2_3  ======================================================= */
#define ADC1_CAL_CH2_3_CALOFFS_CH2_Pos    (0UL)                     /*!< CALOFFS_CH2 (Bit 0)                                   */
#define ADC1_CAL_CH2_3_CALOFFS_CH2_Msk    (0x1fUL)                  /*!< CALOFFS_CH2 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH2_3_CALGAIN_CH2_Pos    (8UL)                     /*!< CALGAIN_CH2 (Bit 8)                                   */
#define ADC1_CAL_CH2_3_CALGAIN_CH2_Msk    (0xff00UL)                /*!< CALGAIN_CH2 (Bitfield-Mask: 0xff)                     */
#define ADC1_CAL_CH2_3_CALOFFS_CH3_Pos    (16UL)                    /*!< CALOFFS_CH3 (Bit 16)                                  */
#define ADC1_CAL_CH2_3_CALOFFS_CH3_Msk    (0x1f0000UL)              /*!< CALOFFS_CH3 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH2_3_CALGAIN_CH3_Pos    (24UL)                    /*!< CALGAIN_CH3 (Bit 24)                                  */
#define ADC1_CAL_CH2_3_CALGAIN_CH3_Msk    (0xff000000UL)            /*!< CALGAIN_CH3 (Bitfield-Mask: 0xff)                     */
/* =======================================================  CAL_CH4_5  ======================================================= */
#define ADC1_CAL_CH4_5_CALOFFS_CH4_Pos    (0UL)                     /*!< CALOFFS_CH4 (Bit 0)                                   */
#define ADC1_CAL_CH4_5_CALOFFS_CH4_Msk    (0x1fUL)                  /*!< CALOFFS_CH4 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH4_5_CALGAIN_CH4_Pos    (8UL)                     /*!< CALGAIN_CH4 (Bit 8)                                   */
#define ADC1_CAL_CH4_5_CALGAIN_CH4_Msk    (0xff00UL)                /*!< CALGAIN_CH4 (Bitfield-Mask: 0xff)                     */
#define ADC1_CAL_CH4_5_CALOFFS_CH5_Pos    (16UL)                    /*!< CALOFFS_CH5 (Bit 16)                                  */
#define ADC1_CAL_CH4_5_CALOFFS_CH5_Msk    (0x1f0000UL)              /*!< CALOFFS_CH5 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH4_5_CALGAIN_CH5_Pos    (24UL)                    /*!< CALGAIN_CH5 (Bit 24)                                  */
#define ADC1_CAL_CH4_5_CALGAIN_CH5_Msk    (0xff000000UL)            /*!< CALGAIN_CH5 (Bitfield-Mask: 0xff)                     */
/* =======================================================  CAL_CH6_7  ======================================================= */
#define ADC1_CAL_CH6_7_CALOFFS_CH6_Pos    (0UL)                     /*!< CALOFFS_CH6 (Bit 0)                                   */
#define ADC1_CAL_CH6_7_CALOFFS_CH6_Msk    (0x1fUL)                  /*!< CALOFFS_CH6 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH6_7_CALGAIN_CH6_Pos    (8UL)                     /*!< CALGAIN_CH6 (Bit 8)                                   */
#define ADC1_CAL_CH6_7_CALGAIN_CH6_Msk    (0xff00UL)                /*!< CALGAIN_CH6 (Bitfield-Mask: 0xff)                     */
#define ADC1_CAL_CH6_7_CALOFFS_CH7_Pos    (16UL)                    /*!< CALOFFS_CH7 (Bit 16)                                  */
#define ADC1_CAL_CH6_7_CALOFFS_CH7_Msk    (0x1f0000UL)              /*!< CALOFFS_CH7 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH6_7_CALGAIN_CH7_Pos    (24UL)                    /*!< CALGAIN_CH7 (Bit 24)                                  */
#define ADC1_CAL_CH6_7_CALGAIN_CH7_Msk    (0xff000000UL)            /*!< CALGAIN_CH7 (Bitfield-Mask: 0xff)                     */
/* =======================================================  CAL_CH8_9  ======================================================= */
#define ADC1_CAL_CH8_9_CALOFFS_CH8_Pos    (0UL)                     /*!< CALOFFS_CH8 (Bit 0)                                   */
#define ADC1_CAL_CH8_9_CALOFFS_CH8_Msk    (0x1fUL)                  /*!< CALOFFS_CH8 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH8_9_CALGAIN_CH8_Pos    (8UL)                     /*!< CALGAIN_CH8 (Bit 8)                                   */
#define ADC1_CAL_CH8_9_CALGAIN_CH8_Msk    (0xff00UL)                /*!< CALGAIN_CH8 (Bitfield-Mask: 0xff)                     */
#define ADC1_CAL_CH8_9_CALOFFS_CH9_Pos    (16UL)                    /*!< CALOFFS_CH9 (Bit 16)                                  */
#define ADC1_CAL_CH8_9_CALOFFS_CH9_Msk    (0x1f0000UL)              /*!< CALOFFS_CH9 (Bitfield-Mask: 0x1f)                     */
#define ADC1_CAL_CH8_9_CALGAIN_CH9_Pos    (24UL)                    /*!< CALGAIN_CH9 (Bit 24)                                  */
#define ADC1_CAL_CH8_9_CALGAIN_CH9_Msk    (0xff000000UL)            /*!< CALGAIN_CH9 (Bitfield-Mask: 0xff)                     */
/* ========================================================  CHx_EIM  ======================================================== */
#define ADC1_CHx_EIM_EIM_CHx_Pos          (0UL)                     /*!< EIM_CHx (Bit 0)                                       */
#define ADC1_CHx_EIM_EIM_CHx_Msk          (0xfUL)                   /*!< EIM_CHx (Bitfield-Mask: 0x0f)                         */
#define ADC1_CHx_EIM_EIM_REP_Pos          (8UL)                     /*!< EIM_REP (Bit 8)                                       */
#define ADC1_CHx_EIM_EIM_REP_Msk          (0x700UL)                 /*!< EIM_REP (Bitfield-Mask: 0x07)                         */
#define ADC1_CHx_EIM_EIM_EN_Pos           (11UL)                    /*!< EIM_EN (Bit 11)                                       */
#define ADC1_CHx_EIM_EIM_EN_Msk           (0x800UL)                 /*!< EIM_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_CHx_EIM_ADC1_EIM_TRIG_SEL_Pos (16UL)                   /*!< ADC1_EIM_TRIG_SEL (Bit 16)                            */
#define ADC1_CHx_EIM_ADC1_EIM_TRIG_SEL_Msk (0x70000UL)              /*!< ADC1_EIM_TRIG_SEL (Bitfield-Mask: 0x07)               */
/* ========================================================  CHx_ESM  ======================================================== */
#define ADC1_CHx_ESM_ESM_0_Pos            (0UL)                     /*!< ESM_0 (Bit 0)                                         */
#define ADC1_CHx_ESM_ESM_0_Msk            (0xfffUL)                 /*!< ESM_0 (Bitfield-Mask: 0xfff)                          */
#define ADC1_CHx_ESM_ADC1_ESM_TRIG_SEL_Pos (16UL)                   /*!< ADC1_ESM_TRIG_SEL (Bit 16)                            */
#define ADC1_CHx_ESM_ADC1_ESM_TRIG_SEL_Msk (0x70000UL)              /*!< ADC1_ESM_TRIG_SEL (Bitfield-Mask: 0x07)               */
#define ADC1_CHx_ESM_ESM_EN_Pos           (30UL)                    /*!< ESM_EN (Bit 30)                                       */
#define ADC1_CHx_ESM_ESM_EN_Msk           (0x40000000UL)            /*!< ESM_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_CHx_ESM_ESM_STS_Pos          (31UL)                    /*!< ESM_STS (Bit 31)                                      */
#define ADC1_CHx_ESM_ESM_STS_Msk          (0x80000000UL)            /*!< ESM_STS (Bitfield-Mask: 0x01)                         */
/* =====================================================  CNT0_3_LOWER  ====================================================== */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH0_Pos  (0UL)                     /*!< CNT_LO_CH0 (Bit 0)                                    */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH0_Msk  (0x7UL)                   /*!< CNT_LO_CH0 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH0_Pos (3UL)                     /*!< HYST_LO_CH0 (Bit 3)                                   */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH0_Msk (0x18UL)                  /*!< HYST_LO_CH0 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH1_Pos  (8UL)                     /*!< CNT_LO_CH1 (Bit 8)                                    */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH1_Msk  (0x700UL)                 /*!< CNT_LO_CH1 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH1_Pos (11UL)                    /*!< HYST_LO_CH1 (Bit 11)                                  */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH1_Msk (0x1800UL)                /*!< HYST_LO_CH1 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH2_Pos  (16UL)                    /*!< CNT_LO_CH2 (Bit 16)                                   */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH2_Msk  (0x70000UL)               /*!< CNT_LO_CH2 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH2_Pos (19UL)                    /*!< HYST_LO_CH2 (Bit 19)                                  */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH2_Msk (0x180000UL)              /*!< HYST_LO_CH2 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH3_Pos  (24UL)                    /*!< CNT_LO_CH3 (Bit 24)                                   */
#define ADC1_CNT0_3_LOWER_CNT_LO_CH3_Msk  (0x7000000UL)             /*!< CNT_LO_CH3 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH3_Pos (27UL)                    /*!< HYST_LO_CH3 (Bit 27)                                  */
#define ADC1_CNT0_3_LOWER_HYST_LO_CH3_Msk (0x18000000UL)            /*!< HYST_LO_CH3 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT0_3_UPPER  ====================================================== */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH0_Pos  (0UL)                     /*!< CNT_UP_CH0 (Bit 0)                                    */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH0_Msk  (0x7UL)                   /*!< CNT_UP_CH0 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH0_Pos (3UL)                     /*!< HYST_UP_CH0 (Bit 3)                                   */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH0_Msk (0x18UL)                  /*!< HYST_UP_CH0 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH1_Pos  (8UL)                     /*!< CNT_UP_CH1 (Bit 8)                                    */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH1_Msk  (0x700UL)                 /*!< CNT_UP_CH1 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH1_Pos (11UL)                    /*!< HYST_UP_CH1 (Bit 11)                                  */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH1_Msk (0x1800UL)                /*!< HYST_UP_CH1 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH2_Pos  (16UL)                    /*!< CNT_UP_CH2 (Bit 16)                                   */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH2_Msk  (0x70000UL)               /*!< CNT_UP_CH2 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH2_Pos (19UL)                    /*!< HYST_UP_CH2 (Bit 19)                                  */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH2_Msk (0x180000UL)              /*!< HYST_UP_CH2 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH3_Pos  (24UL)                    /*!< CNT_UP_CH3 (Bit 24)                                   */
#define ADC1_CNT0_3_UPPER_CNT_UP_CH3_Msk  (0x7000000UL)             /*!< CNT_UP_CH3 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH3_Pos (27UL)                    /*!< HYST_UP_CH3 (Bit 27)                                  */
#define ADC1_CNT0_3_UPPER_HYST_UP_CH3_Msk (0x18000000UL)            /*!< HYST_UP_CH3 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT4_7_LOWER  ====================================================== */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH4_Pos  (0UL)                     /*!< CNT_LO_CH4 (Bit 0)                                    */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH4_Msk  (0x7UL)                   /*!< CNT_LO_CH4 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH4_Pos (3UL)                     /*!< HYST_LO_CH4 (Bit 3)                                   */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH4_Msk (0x18UL)                  /*!< HYST_LO_CH4 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH5_Pos  (8UL)                     /*!< CNT_LO_CH5 (Bit 8)                                    */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH5_Msk  (0x700UL)                 /*!< CNT_LO_CH5 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH5_Pos (11UL)                    /*!< HYST_LO_CH5 (Bit 11)                                  */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH5_Msk (0x1800UL)                /*!< HYST_LO_CH5 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH6_Pos  (16UL)                    /*!< CNT_LO_CH6 (Bit 16)                                   */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH6_Msk  (0x70000UL)               /*!< CNT_LO_CH6 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH6_Pos (19UL)                    /*!< HYST_LO_CH6 (Bit 19)                                  */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH6_Msk (0x180000UL)              /*!< HYST_LO_CH6 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH7_Pos  (24UL)                    /*!< CNT_LO_CH7 (Bit 24)                                   */
#define ADC1_CNT4_7_LOWER_CNT_LO_CH7_Msk  (0x7000000UL)             /*!< CNT_LO_CH7 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH7_Pos (27UL)                    /*!< HYST_LO_CH7 (Bit 27)                                  */
#define ADC1_CNT4_7_LOWER_HYST_LO_CH7_Msk (0x18000000UL)            /*!< HYST_LO_CH7 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT4_7_UPPER  ====================================================== */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH4_Pos  (0UL)                     /*!< CNT_UP_CH4 (Bit 0)                                    */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH4_Msk  (0x7UL)                   /*!< CNT_UP_CH4 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH4_Pos (3UL)                     /*!< HYST_UP_CH4 (Bit 3)                                   */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH4_Msk (0x18UL)                  /*!< HYST_UP_CH4 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH5_Pos  (8UL)                     /*!< CNT_UP_CH5 (Bit 8)                                    */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH5_Msk  (0x700UL)                 /*!< CNT_UP_CH5 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH5_Pos (11UL)                    /*!< HYST_UP_CH5 (Bit 11)                                  */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH5_Msk (0x1800UL)                /*!< HYST_UP_CH5 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH6_Pos  (16UL)                    /*!< CNT_UP_CH6 (Bit 16)                                   */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH6_Msk  (0x70000UL)               /*!< CNT_UP_CH6 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH6_Pos (19UL)                    /*!< HYST_UP_CH6 (Bit 19)                                  */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH6_Msk (0x180000UL)              /*!< HYST_UP_CH6 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH7_Pos  (24UL)                    /*!< CNT_UP_CH7 (Bit 24)                                   */
#define ADC1_CNT4_7_UPPER_CNT_UP_CH7_Msk  (0x7000000UL)             /*!< CNT_UP_CH7 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH7_Pos (27UL)                    /*!< HYST_UP_CH7 (Bit 27)                                  */
#define ADC1_CNT4_7_UPPER_HYST_UP_CH7_Msk (0x18000000UL)            /*!< HYST_UP_CH7 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT8_11_LOWER  ===================================================== */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH8_Pos (0UL)                     /*!< CNT_LO_CH8 (Bit 0)                                    */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH8_Msk (0x7UL)                   /*!< CNT_LO_CH8 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH8_Pos (3UL)                    /*!< HYST_LO_CH8 (Bit 3)                                   */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH8_Msk (0x18UL)                 /*!< HYST_LO_CH8 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH9_Pos (8UL)                     /*!< CNT_LO_CH9 (Bit 8)                                    */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH9_Msk (0x700UL)                 /*!< CNT_LO_CH9 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH9_Pos (11UL)                   /*!< HYST_LO_CH9 (Bit 11)                                  */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH9_Msk (0x1800UL)               /*!< HYST_LO_CH9 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH10_Pos (16UL)                   /*!< CNT_LO_CH10 (Bit 16)                                  */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH10_Msk (0x70000UL)              /*!< CNT_LO_CH10 (Bitfield-Mask: 0x07)                     */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH10_Pos (19UL)                  /*!< HYST_LO_CH10 (Bit 19)                                 */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH10_Msk (0x180000UL)            /*!< HYST_LO_CH10 (Bitfield-Mask: 0x03)                    */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH11_Pos (24UL)                   /*!< CNT_LO_CH11 (Bit 24)                                  */
#define ADC1_CNT8_11_LOWER_CNT_LO_CH11_Msk (0x7000000UL)            /*!< CNT_LO_CH11 (Bitfield-Mask: 0x07)                     */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH11_Pos (27UL)                  /*!< HYST_LO_CH11 (Bit 27)                                 */
#define ADC1_CNT8_11_LOWER_HYST_LO_CH11_Msk (0x18000000UL)          /*!< HYST_LO_CH11 (Bitfield-Mask: 0x03)                    */
/* =====================================================  CNT8_11_UPPER  ===================================================== */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH8_Pos (0UL)                     /*!< CNT_UP_CH8 (Bit 0)                                    */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH8_Msk (0x7UL)                   /*!< CNT_UP_CH8 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH8_Pos (3UL)                    /*!< HYST_UP_CH8 (Bit 3)                                   */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH8_Msk (0x18UL)                 /*!< HYST_UP_CH8 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH9_Pos (8UL)                     /*!< CNT_UP_CH9 (Bit 8)                                    */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH9_Msk (0x700UL)                 /*!< CNT_UP_CH9 (Bitfield-Mask: 0x07)                      */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH9_Pos (11UL)                   /*!< HYST_UP_CH9 (Bit 11)                                  */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH9_Msk (0x1800UL)               /*!< HYST_UP_CH9 (Bitfield-Mask: 0x03)                     */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH10_Pos (16UL)                   /*!< CNT_UP_CH10 (Bit 16)                                  */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH10_Msk (0x70000UL)              /*!< CNT_UP_CH10 (Bitfield-Mask: 0x07)                     */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH10_Pos (19UL)                  /*!< HYST_UP_CH10 (Bit 19)                                 */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH10_Msk (0x180000UL)            /*!< HYST_UP_CH10 (Bitfield-Mask: 0x03)                    */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH11_Pos (24UL)                   /*!< CNT_UP_CH11 (Bit 24)                                  */
#define ADC1_CNT8_11_UPPER_CNT_UP_CH11_Msk (0x7000000UL)            /*!< CNT_UP_CH11 (Bitfield-Mask: 0x07)                     */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH11_Pos (27UL)                  /*!< HYST_UP_CH11 (Bit 27)                                 */
#define ADC1_CNT8_11_UPPER_HYST_UP_CH11_Msk (0x18000000UL)          /*!< HYST_UP_CH11 (Bitfield-Mask: 0x03)                    */
/* =======================================================  CTRL_STS  ======================================================== */
#define ADC1_CTRL_STS_PD_N_Pos            (0UL)                     /*!< PD_N (Bit 0)                                          */
#define ADC1_CTRL_STS_PD_N_Msk            (0x1UL)                   /*!< PD_N (Bitfield-Mask: 0x01)                            */
#define ADC1_CTRL_STS_SOS_Pos             (2UL)                     /*!< SOS (Bit 2)                                           */
#define ADC1_CTRL_STS_SOS_Msk             (0x4UL)                   /*!< SOS (Bitfield-Mask: 0x01)                             */
#define ADC1_CTRL_STS_READY_Pos           (4UL)                     /*!< READY (Bit 4)                                         */
#define ADC1_CTRL_STS_READY_Msk           (0x10UL)                  /*!< READY (Bitfield-Mask: 0x01)                           */
#define ADC1_CTRL_STS_CAL_SIGN_Pos        (5UL)                     /*!< CAL_SIGN (Bit 5)                                      */
#define ADC1_CTRL_STS_CAL_SIGN_Msk        (0x20UL)                  /*!< CAL_SIGN (Bitfield-Mask: 0x01)                        */
#define ADC1_CTRL_STS_EOC_Pos             (7UL)                     /*!< EOC (Bit 7)                                           */
#define ADC1_CTRL_STS_EOC_Msk             (0x80UL)                  /*!< EOC (Bitfield-Mask: 0x01)                             */
#define ADC1_CTRL_STS_SW_CH_SEL_Pos       (8UL)                     /*!< SW_CH_SEL (Bit 8)                                     */
#define ADC1_CTRL_STS_SW_CH_SEL_Msk       (0xf00UL)                 /*!< SW_CH_SEL (Bitfield-Mask: 0x0f)                       */
#define ADC1_CTRL_STS_STRTUP_DIS_Pos      (18UL)                    /*!< STRTUP_DIS (Bit 18)                                   */
#define ADC1_CTRL_STS_STRTUP_DIS_Msk      (0x40000UL)               /*!< STRTUP_DIS (Bitfield-Mask: 0x01)                      */
/* =========================================================  CTRL2  ========================================================= */
#define ADC1_CTRL2_CAL_EN_Pos             (0UL)                     /*!< CAL_EN (Bit 0)                                        */
#define ADC1_CTRL2_CAL_EN_Msk             (0xfffUL)                 /*!< CAL_EN (Bitfield-Mask: 0xfff)                         */
/* =========================================================  CTRL3  ========================================================= */
#define ADC1_CTRL3_MCM_PD_N_Pos           (0UL)                     /*!< MCM_PD_N (Bit 0)                                      */
#define ADC1_CTRL3_MCM_PD_N_Msk           (0x1UL)                   /*!< MCM_PD_N (Bitfield-Mask: 0x01)                        */
#define ADC1_CTRL3_SW_MODE_Pos            (1UL)                     /*!< SW_MODE (Bit 1)                                       */
#define ADC1_CTRL3_SW_MODE_Msk            (0x2UL)                   /*!< SW_MODE (Bitfield-Mask: 0x01)                         */
#define ADC1_CTRL3_EoC_FAIL_CLR_Pos       (4UL)                     /*!< EoC_FAIL_CLR (Bit 4)                                  */
#define ADC1_CTRL3_EoC_FAIL_CLR_Msk       (0x10UL)                  /*!< EoC_FAIL_CLR (Bitfield-Mask: 0x01)                    */
#define ADC1_CTRL3_EoC_FAIL_Pos           (6UL)                     /*!< EoC_FAIL (Bit 6)                                      */
#define ADC1_CTRL3_EoC_FAIL_Msk           (0x40UL)                  /*!< EoC_FAIL (Bitfield-Mask: 0x01)                        */
#define ADC1_CTRL3_MCM_RDY_Pos            (7UL)                     /*!< MCM_RDY (Bit 7)                                       */
#define ADC1_CTRL3_MCM_RDY_Msk            (0x80UL)                  /*!< MCM_RDY (Bitfield-Mask: 0x01)                         */
#define ADC1_CTRL3_SAMPLE_TIME_HVCH_Pos   (8UL)                     /*!< SAMPLE_TIME_HVCH (Bit 8)                              */
#define ADC1_CTRL3_SAMPLE_TIME_HVCH_Msk   (0xf00UL)                 /*!< SAMPLE_TIME_HVCH (Bitfield-Mask: 0x0f)                */
#define ADC1_CTRL3_SAMPLE_TIME_LVCH_Pos   (16UL)                    /*!< SAMPLE_TIME_LVCH (Bit 16)                             */
#define ADC1_CTRL3_SAMPLE_TIME_LVCH_Msk   (0xf0000UL)               /*!< SAMPLE_TIME_LVCH (Bitfield-Mask: 0x0f)                */
/* =========================================================  CTRL4  ========================================================= */
#define ADC1_CTRL4_MAX_CALTIME_Pos        (0UL)                     /*!< MAX_CALTIME (Bit 0)                                   */
#define ADC1_CTRL4_MAX_CALTIME_Msk        (0xfUL)                   /*!< MAX_CALTIME (Bitfield-Mask: 0x0f)                     */
/* =========================================================  CTRL5  ========================================================= */
#define ADC1_CTRL5_FILT_OUT_SEL_11_0_Pos  (0UL)                     /*!< FILT_OUT_SEL_11_0 (Bit 0)                             */
#define ADC1_CTRL5_FILT_OUT_SEL_11_0_Msk  (0xfffUL)                 /*!< FILT_OUT_SEL_11_0 (Bitfield-Mask: 0xfff)              */
/* ====================================================  DCHCNT1_4_LOWER  ==================================================== */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH1_Pos (0UL)                  /*!< CNT_LO_DCH1 (Bit 0)                                   */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH1_Msk (0x7UL)                /*!< CNT_LO_DCH1 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH1_Pos (3UL)                 /*!< HYST_LO_DCH1 (Bit 3)                                  */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH1_Msk (0x18UL)              /*!< HYST_LO_DCH1 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH2_Pos (8UL)                  /*!< CNT_LO_DCH2 (Bit 8)                                   */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH2_Msk (0x700UL)              /*!< CNT_LO_DCH2 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH2_Pos (11UL)                /*!< HYST_LO_DCH2 (Bit 11)                                 */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH2_Msk (0x1800UL)            /*!< HYST_LO_DCH2 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH3_Pos (16UL)                 /*!< CNT_LO_DCH3 (Bit 16)                                  */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH3_Msk (0x70000UL)            /*!< CNT_LO_DCH3 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH3_Pos (19UL)                /*!< HYST_LO_DCH3 (Bit 19)                                 */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH3_Msk (0x180000UL)          /*!< HYST_LO_DCH3 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH4_Pos (24UL)                 /*!< CNT_LO_DCH4 (Bit 24)                                  */
#define ADC1_DCHCNT1_4_LOWER_CNT_LO_DCH4_Msk (0x7000000UL)          /*!< CNT_LO_DCH4 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH4_Pos (27UL)                /*!< HYST_LO_DCH4 (Bit 27)                                 */
#define ADC1_DCHCNT1_4_LOWER_HYST_LO_DCH4_Msk (0x18000000UL)        /*!< HYST_LO_DCH4 (Bitfield-Mask: 0x03)                    */
/* ====================================================  DCHCNT1_4_UPPER  ==================================================== */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH1_Pos (0UL)                  /*!< CNT_UP_DCH1 (Bit 0)                                   */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH1_Msk (0x7UL)                /*!< CNT_UP_DCH1 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH1_Pos (3UL)                 /*!< HYST_UP_DCH1 (Bit 3)                                  */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH1_Msk (0x18UL)              /*!< HYST_UP_DCH1 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH2_Pos (8UL)                  /*!< CNT_UP_DCH2 (Bit 8)                                   */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH2_Msk (0x700UL)              /*!< CNT_UP_DCH2 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH2_Pos (11UL)                /*!< HYST_UP_DCH2 (Bit 11)                                 */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH2_Msk (0x1800UL)            /*!< HYST_UP_DCH2 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH3_Pos (16UL)                 /*!< CNT_UP_DCH3 (Bit 16)                                  */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH3_Msk (0x70000UL)            /*!< CNT_UP_DCH3 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH3_Pos (19UL)                /*!< HYST_UP_DCH3 (Bit 19)                                 */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH3_Msk (0x180000UL)          /*!< HYST_UP_DCH3 (Bitfield-Mask: 0x03)                    */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH4_Pos (24UL)                 /*!< CNT_UP_DCH4 (Bit 24)                                  */
#define ADC1_DCHCNT1_4_UPPER_CNT_UP_DCH4_Msk (0x7000000UL)          /*!< CNT_UP_DCH4 (Bitfield-Mask: 0x07)                     */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH4_Pos (27UL)                /*!< HYST_UP_DCH4 (Bit 27)                                 */
#define ADC1_DCHCNT1_4_UPPER_HYST_UP_DCH4_Msk (0x18000000UL)        /*!< HYST_UP_DCH4 (Bitfield-Mask: 0x03)                    */
/* ====================================================  DCHTH1_4_LOWER  ===================================================== */
#define ADC1_DCHTH1_4_LOWER_DCH1_LOW_Pos  (0UL)                     /*!< DCH1_LOW (Bit 0)                                      */
#define ADC1_DCHTH1_4_LOWER_DCH1_LOW_Msk  (0xffUL)                  /*!< DCH1_LOW (Bitfield-Mask: 0xff)                        */
#define ADC1_DCHTH1_4_LOWER_DCH2_LOW_Pos  (8UL)                     /*!< DCH2_LOW (Bit 8)                                      */
#define ADC1_DCHTH1_4_LOWER_DCH2_LOW_Msk  (0xff00UL)                /*!< DCH2_LOW (Bitfield-Mask: 0xff)                        */
#define ADC1_DCHTH1_4_LOWER_DCH3_LOW_Pos  (16UL)                    /*!< DCH3_LOW (Bit 16)                                     */
#define ADC1_DCHTH1_4_LOWER_DCH3_LOW_Msk  (0xff0000UL)              /*!< DCH3_LOW (Bitfield-Mask: 0xff)                        */
#define ADC1_DCHTH1_4_LOWER_DCH4_LOW_Pos  (24UL)                    /*!< DCH4_LOW (Bit 24)                                     */
#define ADC1_DCHTH1_4_LOWER_DCH4_LOW_Msk  (0xff000000UL)            /*!< DCH4_LOW (Bitfield-Mask: 0xff)                        */
/* ====================================================  DCHTH1_4_UPPER  ===================================================== */
#define ADC1_DCHTH1_4_UPPER_DCH1_UP_Pos   (0UL)                     /*!< DCH1_UP (Bit 0)                                       */
#define ADC1_DCHTH1_4_UPPER_DCH1_UP_Msk   (0xffUL)                  /*!< DCH1_UP (Bitfield-Mask: 0xff)                         */
#define ADC1_DCHTH1_4_UPPER_DCH2_UP_Pos   (8UL)                     /*!< DCH2_UP (Bit 8)                                       */
#define ADC1_DCHTH1_4_UPPER_DCH2_UP_Msk   (0xff00UL)                /*!< DCH2_UP (Bitfield-Mask: 0xff)                         */
#define ADC1_DCHTH1_4_UPPER_DCH3_UP_Pos   (16UL)                    /*!< DCH3_UP (Bit 16)                                      */
#define ADC1_DCHTH1_4_UPPER_DCH3_UP_Msk   (0xff0000UL)              /*!< DCH3_UP (Bitfield-Mask: 0xff)                         */
#define ADC1_DCHTH1_4_UPPER_DCH4_UP_Pos   (24UL)                    /*!< DCH4_UP (Bit 24)                                      */
#define ADC1_DCHTH1_4_UPPER_DCH4_UP_Msk   (0xff000000UL)            /*!< DCH4_UP (Bitfield-Mask: 0xff)                         */
/* ======================================================  DIFFCH_OUT1  ====================================================== */
#define ADC1_DIFFCH_OUT1_DCH1_Pos         (0UL)                     /*!< DCH1 (Bit 0)                                          */
#define ADC1_DIFFCH_OUT1_DCH1_Msk         (0xfffUL)                 /*!< DCH1 (Bitfield-Mask: 0xfff)                           */
#define ADC1_DIFFCH_OUT1_DWFR1_Pos        (16UL)                    /*!< DWFR1 (Bit 16)                                        */
#define ADC1_DIFFCH_OUT1_DWFR1_Msk        (0x10000UL)               /*!< DWFR1 (Bitfield-Mask: 0x01)                           */
#define ADC1_DIFFCH_OUT1_DVF1_Pos         (17UL)                    /*!< DVF1 (Bit 17)                                         */
#define ADC1_DIFFCH_OUT1_DVF1_Msk         (0x20000UL)               /*!< DVF1 (Bitfield-Mask: 0x01)                            */
#define ADC1_DIFFCH_OUT1_DOF1_Pos         (18UL)                    /*!< DOF1 (Bit 18)                                         */
#define ADC1_DIFFCH_OUT1_DOF1_Msk         (0x40000UL)               /*!< DOF1 (Bitfield-Mask: 0x01)                            */
/* ======================================================  DIFFCH_OUT2  ====================================================== */
#define ADC1_DIFFCH_OUT2_DCH2_Pos         (0UL)                     /*!< DCH2 (Bit 0)                                          */
#define ADC1_DIFFCH_OUT2_DCH2_Msk         (0xfffUL)                 /*!< DCH2 (Bitfield-Mask: 0xfff)                           */
#define ADC1_DIFFCH_OUT2_DWFR2_Pos        (16UL)                    /*!< DWFR2 (Bit 16)                                        */
#define ADC1_DIFFCH_OUT2_DWFR2_Msk        (0x10000UL)               /*!< DWFR2 (Bitfield-Mask: 0x01)                           */
#define ADC1_DIFFCH_OUT2_DVF2_Pos         (17UL)                    /*!< DVF2 (Bit 17)                                         */
#define ADC1_DIFFCH_OUT2_DVF2_Msk         (0x20000UL)               /*!< DVF2 (Bitfield-Mask: 0x01)                            */
#define ADC1_DIFFCH_OUT2_DOF2_Pos         (18UL)                    /*!< DOF2 (Bit 18)                                         */
#define ADC1_DIFFCH_OUT2_DOF2_Msk         (0x40000UL)               /*!< DOF2 (Bitfield-Mask: 0x01)                            */
/* ======================================================  DIFFCH_OUT3  ====================================================== */
#define ADC1_DIFFCH_OUT3_DCH3_Pos         (0UL)                     /*!< DCH3 (Bit 0)                                          */
#define ADC1_DIFFCH_OUT3_DCH3_Msk         (0xfffUL)                 /*!< DCH3 (Bitfield-Mask: 0xfff)                           */
#define ADC1_DIFFCH_OUT3_DWFR3_Pos        (16UL)                    /*!< DWFR3 (Bit 16)                                        */
#define ADC1_DIFFCH_OUT3_DWFR3_Msk        (0x10000UL)               /*!< DWFR3 (Bitfield-Mask: 0x01)                           */
#define ADC1_DIFFCH_OUT3_DVF3_Pos         (17UL)                    /*!< DVF3 (Bit 17)                                         */
#define ADC1_DIFFCH_OUT3_DVF3_Msk         (0x20000UL)               /*!< DVF3 (Bitfield-Mask: 0x01)                            */
#define ADC1_DIFFCH_OUT3_DOF3_Pos         (18UL)                    /*!< DOF3 (Bit 18)                                         */
#define ADC1_DIFFCH_OUT3_DOF3_Msk         (0x40000UL)               /*!< DOF3 (Bitfield-Mask: 0x01)                            */
/* ======================================================  DIFFCH_OUT4  ====================================================== */
#define ADC1_DIFFCH_OUT4_DCH4_Pos         (0UL)                     /*!< DCH4 (Bit 0)                                          */
#define ADC1_DIFFCH_OUT4_DCH4_Msk         (0xfffUL)                 /*!< DCH4 (Bitfield-Mask: 0xfff)                           */
#define ADC1_DIFFCH_OUT4_DWFR4_Pos        (16UL)                    /*!< DWFR4 (Bit 16)                                        */
#define ADC1_DIFFCH_OUT4_DWFR4_Msk        (0x10000UL)               /*!< DWFR4 (Bitfield-Mask: 0x01)                           */
#define ADC1_DIFFCH_OUT4_DVF4_Pos         (17UL)                    /*!< DVF4 (Bit 17)                                         */
#define ADC1_DIFFCH_OUT4_DVF4_Msk         (0x20000UL)               /*!< DVF4 (Bitfield-Mask: 0x01)                            */
#define ADC1_DIFFCH_OUT4_DOF4_Pos         (18UL)                    /*!< DOF4 (Bit 18)                                         */
#define ADC1_DIFFCH_OUT4_DOF4_Msk         (0x40000UL)               /*!< DOF4 (Bitfield-Mask: 0x01)                            */
/* =======================================================  DUIN_SEL  ======================================================== */
#define ADC1_DUIN_SEL_DU1_EN_Pos          (0UL)                     /*!< DU1_EN (Bit 0)                                        */
#define ADC1_DUIN_SEL_DU1_EN_Msk          (0x1UL)                   /*!< DU1_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_DUIN_SEL_DU1RES_NEG_Pos      (4UL)                     /*!< DU1RES_NEG (Bit 4)                                    */
#define ADC1_DUIN_SEL_DU1RES_NEG_Msk      (0x10UL)                  /*!< DU1RES_NEG (Bitfield-Mask: 0x01)                      */
#define ADC1_DUIN_SEL_DU2_EN_Pos          (8UL)                     /*!< DU2_EN (Bit 8)                                        */
#define ADC1_DUIN_SEL_DU2_EN_Msk          (0x100UL)                 /*!< DU2_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_DUIN_SEL_DU2RES_NEG_Pos      (12UL)                    /*!< DU2RES_NEG (Bit 12)                                   */
#define ADC1_DUIN_SEL_DU2RES_NEG_Msk      (0x1000UL)                /*!< DU2RES_NEG (Bitfield-Mask: 0x01)                      */
#define ADC1_DUIN_SEL_DU3_EN_Pos          (16UL)                    /*!< DU3_EN (Bit 16)                                       */
#define ADC1_DUIN_SEL_DU3_EN_Msk          (0x10000UL)               /*!< DU3_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_DUIN_SEL_DU3RES_NEG_Pos      (20UL)                    /*!< DU3RES_NEG (Bit 20)                                   */
#define ADC1_DUIN_SEL_DU3RES_NEG_Msk      (0x100000UL)              /*!< DU3RES_NEG (Bitfield-Mask: 0x01)                      */
#define ADC1_DUIN_SEL_DU4_EN_Pos          (24UL)                    /*!< DU4_EN (Bit 24)                                       */
#define ADC1_DUIN_SEL_DU4_EN_Msk          (0x1000000UL)             /*!< DU4_EN (Bitfield-Mask: 0x01)                          */
#define ADC1_DUIN_SEL_DU4RES_NEG_Pos      (28UL)                    /*!< DU4RES_NEG (Bit 28)                                   */
#define ADC1_DUIN_SEL_DU4RES_NEG_Msk      (0x10000000UL)            /*!< DU4RES_NEG (Bitfield-Mask: 0x01)                      */
/* =====================================================  FILT_LO_CTRL  ====================================================== */
#define ADC1_FILT_LO_CTRL_FL_CH0_EN_Pos   (0UL)                     /*!< FL_CH0_EN (Bit 0)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH0_EN_Msk   (0x1UL)                   /*!< FL_CH0_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH1_EN_Pos   (1UL)                     /*!< FL_CH1_EN (Bit 1)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH1_EN_Msk   (0x2UL)                   /*!< FL_CH1_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH2_EN_Pos   (2UL)                     /*!< FL_CH2_EN (Bit 2)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH2_EN_Msk   (0x4UL)                   /*!< FL_CH2_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH3_EN_Pos   (3UL)                     /*!< FL_CH3_EN (Bit 3)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH3_EN_Msk   (0x8UL)                   /*!< FL_CH3_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH4_EN_Pos   (4UL)                     /*!< FL_CH4_EN (Bit 4)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH4_EN_Msk   (0x10UL)                  /*!< FL_CH4_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH5_EN_Pos   (5UL)                     /*!< FL_CH5_EN (Bit 5)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH5_EN_Msk   (0x20UL)                  /*!< FL_CH5_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH6_EN_Pos   (6UL)                     /*!< FL_CH6_EN (Bit 6)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH6_EN_Msk   (0x40UL)                  /*!< FL_CH6_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH7_EN_Pos   (7UL)                     /*!< FL_CH7_EN (Bit 7)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH7_EN_Msk   (0x80UL)                  /*!< FL_CH7_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH8_EN_Pos   (8UL)                     /*!< FL_CH8_EN (Bit 8)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH8_EN_Msk   (0x100UL)                 /*!< FL_CH8_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH9_EN_Pos   (9UL)                     /*!< FL_CH9_EN (Bit 9)                                     */
#define ADC1_FILT_LO_CTRL_FL_CH9_EN_Msk   (0x200UL)                 /*!< FL_CH9_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_LO_CTRL_FL_CH10_EN_Pos  (10UL)                    /*!< FL_CH10_EN (Bit 10)                                   */
#define ADC1_FILT_LO_CTRL_FL_CH10_EN_Msk  (0x400UL)                 /*!< FL_CH10_EN (Bitfield-Mask: 0x01)                      */
#define ADC1_FILT_LO_CTRL_FL_CH11_EN_Pos  (11UL)                    /*!< FL_CH11_EN (Bit 11)                                   */
#define ADC1_FILT_LO_CTRL_FL_CH11_EN_Msk  (0x800UL)                 /*!< FL_CH11_EN (Bitfield-Mask: 0x01)                      */
/* =======================================================  FILT_OUT0  ======================================================= */
#define ADC1_FILT_OUT0_FILT_OUT_CH0_Pos   (0UL)                     /*!< FILT_OUT_CH0 (Bit 0)                                  */
#define ADC1_FILT_OUT0_FILT_OUT_CH0_Msk   (0xfffUL)                 /*!< FILT_OUT_CH0 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT0_WFR0_Pos           (16UL)                    /*!< WFR0 (Bit 16)                                         */
#define ADC1_FILT_OUT0_WFR0_Msk           (0x10000UL)               /*!< WFR0 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT0_VF0_Pos            (17UL)                    /*!< VF0 (Bit 17)                                          */
#define ADC1_FILT_OUT0_VF0_Msk            (0x20000UL)               /*!< VF0 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT0_OF0_Pos            (18UL)                    /*!< OF0 (Bit 18)                                          */
#define ADC1_FILT_OUT0_OF0_Msk            (0x40000UL)               /*!< OF0 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT1  ======================================================= */
#define ADC1_FILT_OUT1_FILT_OUT_CH1_Pos   (0UL)                     /*!< FILT_OUT_CH1 (Bit 0)                                  */
#define ADC1_FILT_OUT1_FILT_OUT_CH1_Msk   (0xfffUL)                 /*!< FILT_OUT_CH1 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT1_WFR1_Pos           (16UL)                    /*!< WFR1 (Bit 16)                                         */
#define ADC1_FILT_OUT1_WFR1_Msk           (0x10000UL)               /*!< WFR1 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT1_VF1_Pos            (17UL)                    /*!< VF1 (Bit 17)                                          */
#define ADC1_FILT_OUT1_VF1_Msk            (0x20000UL)               /*!< VF1 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT1_OF1_Pos            (18UL)                    /*!< OF1 (Bit 18)                                          */
#define ADC1_FILT_OUT1_OF1_Msk            (0x40000UL)               /*!< OF1 (Bitfield-Mask: 0x01)                             */
/* ======================================================  FILT_OUT10  ======================================================= */
#define ADC1_FILT_OUT10_FILT_OUT_CH10_Pos (0UL)                     /*!< FILT_OUT_CH10 (Bit 0)                                 */
#define ADC1_FILT_OUT10_FILT_OUT_CH10_Msk (0xfffUL)                 /*!< FILT_OUT_CH10 (Bitfield-Mask: 0xfff)                  */
#define ADC1_FILT_OUT10_WFR10_Pos         (16UL)                    /*!< WFR10 (Bit 16)                                        */
#define ADC1_FILT_OUT10_WFR10_Msk         (0x10000UL)               /*!< WFR10 (Bitfield-Mask: 0x01)                           */
#define ADC1_FILT_OUT10_VF10_Pos          (17UL)                    /*!< VF10 (Bit 17)                                         */
#define ADC1_FILT_OUT10_VF10_Msk          (0x20000UL)               /*!< VF10 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT10_OF10_Pos          (18UL)                    /*!< OF10 (Bit 18)                                         */
#define ADC1_FILT_OUT10_OF10_Msk          (0x40000UL)               /*!< OF10 (Bitfield-Mask: 0x01)                            */
/* ======================================================  FILT_OUT11  ======================================================= */
#define ADC1_FILT_OUT11_FILT_OUT_CH11_Pos (0UL)                     /*!< FILT_OUT_CH11 (Bit 0)                                 */
#define ADC1_FILT_OUT11_FILT_OUT_CH11_Msk (0xfffUL)                 /*!< FILT_OUT_CH11 (Bitfield-Mask: 0xfff)                  */
#define ADC1_FILT_OUT11_WFR11_Pos         (16UL)                    /*!< WFR11 (Bit 16)                                        */
#define ADC1_FILT_OUT11_WFR11_Msk         (0x10000UL)               /*!< WFR11 (Bitfield-Mask: 0x01)                           */
#define ADC1_FILT_OUT11_VF11_Pos          (17UL)                    /*!< VF11 (Bit 17)                                         */
#define ADC1_FILT_OUT11_VF11_Msk          (0x20000UL)               /*!< VF11 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT11_OF11_Pos          (18UL)                    /*!< OF11 (Bit 18)                                         */
#define ADC1_FILT_OUT11_OF11_Msk          (0x40000UL)               /*!< OF11 (Bitfield-Mask: 0x01)                            */
/* ======================================================  FILT_OUT12  ======================================================= */
#define ADC1_FILT_OUT12_FILT_OUT_CH12_Pos (0UL)                     /*!< FILT_OUT_CH12 (Bit 0)                                 */
#define ADC1_FILT_OUT12_FILT_OUT_CH12_Msk (0xfffUL)                 /*!< FILT_OUT_CH12 (Bitfield-Mask: 0xfff)                  */
#define ADC1_FILT_OUT12_WFR12_Pos         (16UL)                    /*!< WFR12 (Bit 16)                                        */
#define ADC1_FILT_OUT12_WFR12_Msk         (0x10000UL)               /*!< WFR12 (Bitfield-Mask: 0x01)                           */
#define ADC1_FILT_OUT12_VF12_Pos          (17UL)                    /*!< VF12 (Bit 17)                                         */
#define ADC1_FILT_OUT12_VF12_Msk          (0x20000UL)               /*!< VF12 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT12_OF12_Pos          (18UL)                    /*!< OF12 (Bit 18)                                         */
#define ADC1_FILT_OUT12_OF12_Msk          (0x40000UL)               /*!< OF12 (Bitfield-Mask: 0x01)                            */
/* =======================================================  FILT_OUT2  ======================================================= */
#define ADC1_FILT_OUT2_FILT_OUT_CH2_Pos   (0UL)                     /*!< FILT_OUT_CH2 (Bit 0)                                  */
#define ADC1_FILT_OUT2_FILT_OUT_CH2_Msk   (0xfffUL)                 /*!< FILT_OUT_CH2 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT2_WFR2_Pos           (16UL)                    /*!< WFR2 (Bit 16)                                         */
#define ADC1_FILT_OUT2_WFR2_Msk           (0x10000UL)               /*!< WFR2 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT2_VF2_Pos            (17UL)                    /*!< VF2 (Bit 17)                                          */
#define ADC1_FILT_OUT2_VF2_Msk            (0x20000UL)               /*!< VF2 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT2_OF2_Pos            (18UL)                    /*!< OF2 (Bit 18)                                          */
#define ADC1_FILT_OUT2_OF2_Msk            (0x40000UL)               /*!< OF2 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT3  ======================================================= */
#define ADC1_FILT_OUT3_FILT_OUT_CH3_Pos   (0UL)                     /*!< FILT_OUT_CH3 (Bit 0)                                  */
#define ADC1_FILT_OUT3_FILT_OUT_CH3_Msk   (0xfffUL)                 /*!< FILT_OUT_CH3 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT3_WFR3_Pos           (16UL)                    /*!< WFR3 (Bit 16)                                         */
#define ADC1_FILT_OUT3_WFR3_Msk           (0x10000UL)               /*!< WFR3 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT3_VF3_Pos            (17UL)                    /*!< VF3 (Bit 17)                                          */
#define ADC1_FILT_OUT3_VF3_Msk            (0x20000UL)               /*!< VF3 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT3_OF3_Pos            (18UL)                    /*!< OF3 (Bit 18)                                          */
#define ADC1_FILT_OUT3_OF3_Msk            (0x40000UL)               /*!< OF3 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT4  ======================================================= */
#define ADC1_FILT_OUT4_FILT_OUT_CH4_Pos   (0UL)                     /*!< FILT_OUT_CH4 (Bit 0)                                  */
#define ADC1_FILT_OUT4_FILT_OUT_CH4_Msk   (0xfffUL)                 /*!< FILT_OUT_CH4 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT4_WFR4_Pos           (16UL)                    /*!< WFR4 (Bit 16)                                         */
#define ADC1_FILT_OUT4_WFR4_Msk           (0x10000UL)               /*!< WFR4 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT4_VF4_Pos            (17UL)                    /*!< VF4 (Bit 17)                                          */
#define ADC1_FILT_OUT4_VF4_Msk            (0x20000UL)               /*!< VF4 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT4_OF4_Pos            (18UL)                    /*!< OF4 (Bit 18)                                          */
#define ADC1_FILT_OUT4_OF4_Msk            (0x40000UL)               /*!< OF4 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT5  ======================================================= */
#define ADC1_FILT_OUT5_FILT_OUT_CH5_Pos   (0UL)                     /*!< FILT_OUT_CH5 (Bit 0)                                  */
#define ADC1_FILT_OUT5_FILT_OUT_CH5_Msk   (0xfffUL)                 /*!< FILT_OUT_CH5 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT5_WFR5_Pos           (16UL)                    /*!< WFR5 (Bit 16)                                         */
#define ADC1_FILT_OUT5_WFR5_Msk           (0x10000UL)               /*!< WFR5 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT5_VF5_Pos            (17UL)                    /*!< VF5 (Bit 17)                                          */
#define ADC1_FILT_OUT5_VF5_Msk            (0x20000UL)               /*!< VF5 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT5_OF5_Pos            (18UL)                    /*!< OF5 (Bit 18)                                          */
#define ADC1_FILT_OUT5_OF5_Msk            (0x40000UL)               /*!< OF5 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT6  ======================================================= */
#define ADC1_FILT_OUT6_FILT_OUT_CH6_Pos   (0UL)                     /*!< FILT_OUT_CH6 (Bit 0)                                  */
#define ADC1_FILT_OUT6_FILT_OUT_CH6_Msk   (0xfffUL)                 /*!< FILT_OUT_CH6 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT6_WFR6_Pos           (16UL)                    /*!< WFR6 (Bit 16)                                         */
#define ADC1_FILT_OUT6_WFR6_Msk           (0x10000UL)               /*!< WFR6 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT6_VF6_Pos            (17UL)                    /*!< VF6 (Bit 17)                                          */
#define ADC1_FILT_OUT6_VF6_Msk            (0x20000UL)               /*!< VF6 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT6_OF6_Pos            (18UL)                    /*!< OF6 (Bit 18)                                          */
#define ADC1_FILT_OUT6_OF6_Msk            (0x40000UL)               /*!< OF6 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT7  ======================================================= */
#define ADC1_FILT_OUT7_FILT_OUT_CH7_Pos   (0UL)                     /*!< FILT_OUT_CH7 (Bit 0)                                  */
#define ADC1_FILT_OUT7_FILT_OUT_CH7_Msk   (0xfffUL)                 /*!< FILT_OUT_CH7 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT7_WFR7_Pos           (16UL)                    /*!< WFR7 (Bit 16)                                         */
#define ADC1_FILT_OUT7_WFR7_Msk           (0x10000UL)               /*!< WFR7 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT7_VF7_Pos            (17UL)                    /*!< VF7 (Bit 17)                                          */
#define ADC1_FILT_OUT7_VF7_Msk            (0x20000UL)               /*!< VF7 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT7_OF7_Pos            (18UL)                    /*!< OF7 (Bit 18)                                          */
#define ADC1_FILT_OUT7_OF7_Msk            (0x40000UL)               /*!< OF7 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT8  ======================================================= */
#define ADC1_FILT_OUT8_FILT_OUT_CH8_Pos   (0UL)                     /*!< FILT_OUT_CH8 (Bit 0)                                  */
#define ADC1_FILT_OUT8_FILT_OUT_CH8_Msk   (0xfffUL)                 /*!< FILT_OUT_CH8 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT8_WFR8_Pos           (16UL)                    /*!< WFR8 (Bit 16)                                         */
#define ADC1_FILT_OUT8_WFR8_Msk           (0x10000UL)               /*!< WFR8 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT8_VF8_Pos            (17UL)                    /*!< VF8 (Bit 17)                                          */
#define ADC1_FILT_OUT8_VF8_Msk            (0x20000UL)               /*!< VF8 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT8_OF8_Pos            (18UL)                    /*!< OF8 (Bit 18)                                          */
#define ADC1_FILT_OUT8_OF8_Msk            (0x40000UL)               /*!< OF8 (Bitfield-Mask: 0x01)                             */
/* =======================================================  FILT_OUT9  ======================================================= */
#define ADC1_FILT_OUT9_FILT_OUT_CH9_Pos   (0UL)                     /*!< FILT_OUT_CH9 (Bit 0)                                  */
#define ADC1_FILT_OUT9_FILT_OUT_CH9_Msk   (0xfffUL)                 /*!< FILT_OUT_CH9 (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUT9_WFR9_Pos           (16UL)                    /*!< WFR9 (Bit 16)                                         */
#define ADC1_FILT_OUT9_WFR9_Msk           (0x10000UL)               /*!< WFR9 (Bitfield-Mask: 0x01)                            */
#define ADC1_FILT_OUT9_VF9_Pos            (17UL)                    /*!< VF9 (Bit 17)                                          */
#define ADC1_FILT_OUT9_VF9_Msk            (0x20000UL)               /*!< VF9 (Bitfield-Mask: 0x01)                             */
#define ADC1_FILT_OUT9_OF9_Pos            (18UL)                    /*!< OF9 (Bit 18)                                          */
#define ADC1_FILT_OUT9_OF9_Msk            (0x40000UL)               /*!< OF9 (Bitfield-Mask: 0x01)                             */
/* ======================================================  FILT_OUTEIM  ====================================================== */
#define ADC1_FILT_OUTEIM_FILT_OUT_EIM_Pos (0UL)                     /*!< FILT_OUT_EIM (Bit 0)                                  */
#define ADC1_FILT_OUTEIM_FILT_OUT_EIM_Msk (0xfffUL)                 /*!< FILT_OUT_EIM (Bitfield-Mask: 0xfff)                   */
#define ADC1_FILT_OUTEIM_WFR_EIM_Pos      (16UL)                    /*!< WFR_EIM (Bit 16)                                      */
#define ADC1_FILT_OUTEIM_WFR_EIM_Msk      (0x10000UL)               /*!< WFR_EIM (Bitfield-Mask: 0x01)                         */
#define ADC1_FILT_OUTEIM_VF_EIM_Pos       (17UL)                    /*!< VF_EIM (Bit 17)                                       */
#define ADC1_FILT_OUTEIM_VF_EIM_Msk       (0x20000UL)               /*!< VF_EIM (Bitfield-Mask: 0x01)                          */
#define ADC1_FILT_OUTEIM_OF_EIM_Pos       (18UL)                    /*!< OF_EIM (Bit 18)                                       */
#define ADC1_FILT_OUTEIM_OF_EIM_Msk       (0x40000UL)               /*!< OF_EIM (Bitfield-Mask: 0x01)                          */
/* =====================================================  FILT_UP_CTRL  ====================================================== */
#define ADC1_FILT_UP_CTRL_FU_CH0_EN_Pos   (0UL)                     /*!< FU_CH0_EN (Bit 0)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH0_EN_Msk   (0x1UL)                   /*!< FU_CH0_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH1_EN_Pos   (1UL)                     /*!< FU_CH1_EN (Bit 1)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH1_EN_Msk   (0x2UL)                   /*!< FU_CH1_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH2_EN_Pos   (2UL)                     /*!< FU_CH2_EN (Bit 2)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH2_EN_Msk   (0x4UL)                   /*!< FU_CH2_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH3_EN_Pos   (3UL)                     /*!< FU_CH3_EN (Bit 3)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH3_EN_Msk   (0x8UL)                   /*!< FU_CH3_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH4_EN_Pos   (4UL)                     /*!< FU_CH4_EN (Bit 4)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH4_EN_Msk   (0x10UL)                  /*!< FU_CH4_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH5_EN_Pos   (5UL)                     /*!< FU_CH5_EN (Bit 5)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH5_EN_Msk   (0x20UL)                  /*!< FU_CH5_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH6_EN_Pos   (6UL)                     /*!< FU_CH6_EN (Bit 6)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH6_EN_Msk   (0x40UL)                  /*!< FU_CH6_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH7_EN_Pos   (7UL)                     /*!< FU_CH7_EN (Bit 7)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH7_EN_Msk   (0x80UL)                  /*!< FU_CH7_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH8_EN_Pos   (8UL)                     /*!< FU_CH8_EN (Bit 8)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH8_EN_Msk   (0x100UL)                 /*!< FU_CH8_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH9_EN_Pos   (9UL)                     /*!< FU_CH9_EN (Bit 9)                                     */
#define ADC1_FILT_UP_CTRL_FU_CH9_EN_Msk   (0x200UL)                 /*!< FU_CH9_EN (Bitfield-Mask: 0x01)                       */
#define ADC1_FILT_UP_CTRL_FU_CH10_EN_Pos  (10UL)                    /*!< FU_CH10_EN (Bit 10)                                   */
#define ADC1_FILT_UP_CTRL_FU_CH10_EN_Msk  (0x400UL)                 /*!< FU_CH10_EN (Bitfield-Mask: 0x01)                      */
#define ADC1_FILT_UP_CTRL_FU_CH11_EN_Pos  (11UL)                    /*!< FU_CH11_EN (Bit 11)                                   */
#define ADC1_FILT_UP_CTRL_FU_CH11_EN_Msk  (0x800UL)                 /*!< FU_CH11_EN (Bitfield-Mask: 0x01)                      */
/* =====================================================  FILTCOEFF0_11  ===================================================== */
#define ADC1_FILTCOEFF0_11_CH0_Pos        (0UL)                     /*!< CH0 (Bit 0)                                           */
#define ADC1_FILTCOEFF0_11_CH0_Msk        (0x3UL)                   /*!< CH0 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH1_Pos        (2UL)                     /*!< CH1 (Bit 2)                                           */
#define ADC1_FILTCOEFF0_11_CH1_Msk        (0xcUL)                   /*!< CH1 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH2_Pos        (4UL)                     /*!< CH2 (Bit 4)                                           */
#define ADC1_FILTCOEFF0_11_CH2_Msk        (0x30UL)                  /*!< CH2 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH3_Pos        (6UL)                     /*!< CH3 (Bit 6)                                           */
#define ADC1_FILTCOEFF0_11_CH3_Msk        (0xc0UL)                  /*!< CH3 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH4_Pos        (8UL)                     /*!< CH4 (Bit 8)                                           */
#define ADC1_FILTCOEFF0_11_CH4_Msk        (0x300UL)                 /*!< CH4 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH5_Pos        (10UL)                    /*!< CH5 (Bit 10)                                          */
#define ADC1_FILTCOEFF0_11_CH5_Msk        (0xc00UL)                 /*!< CH5 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH6_Pos        (12UL)                    /*!< CH6 (Bit 12)                                          */
#define ADC1_FILTCOEFF0_11_CH6_Msk        (0x3000UL)                /*!< CH6 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH7_Pos        (14UL)                    /*!< CH7 (Bit 14)                                          */
#define ADC1_FILTCOEFF0_11_CH7_Msk        (0xc000UL)                /*!< CH7 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH8_Pos        (16UL)                    /*!< CH8 (Bit 16)                                          */
#define ADC1_FILTCOEFF0_11_CH8_Msk        (0x30000UL)               /*!< CH8 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH9_Pos        (18UL)                    /*!< CH9 (Bit 18)                                          */
#define ADC1_FILTCOEFF0_11_CH9_Msk        (0xc0000UL)               /*!< CH9 (Bitfield-Mask: 0x03)                             */
#define ADC1_FILTCOEFF0_11_CH10_Pos       (20UL)                    /*!< CH10 (Bit 20)                                         */
#define ADC1_FILTCOEFF0_11_CH10_Msk       (0x300000UL)              /*!< CH10 (Bitfield-Mask: 0x03)                            */
#define ADC1_FILTCOEFF0_11_CH11_Pos       (22UL)                    /*!< CH11 (Bit 22)                                         */
#define ADC1_FILTCOEFF0_11_CH11_Msk       (0xc00000UL)              /*!< CH11 (Bitfield-Mask: 0x03)                            */
/* =======================================================  IRQCLR_1  ======================================================== */
#define ADC1_IRQCLR_1_VBATSEN_ISC_Pos     (0UL)                     /*!< VBATSEN_ISC (Bit 0)                                   */
#define ADC1_IRQCLR_1_VBATSEN_ISC_Msk     (0x1UL)                   /*!< VBATSEN_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_1_VS_ISC_Pos          (1UL)                     /*!< VS_ISC (Bit 1)                                        */
#define ADC1_IRQCLR_1_VS_ISC_Msk          (0x2UL)                   /*!< VS_ISC (Bitfield-Mask: 0x01)                          */
#define ADC1_IRQCLR_1_MON1_ISC_Pos        (2UL)                     /*!< MON1_ISC (Bit 2)                                      */
#define ADC1_IRQCLR_1_MON1_ISC_Msk        (0x4UL)                   /*!< MON1_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_MON2_ISC_Pos        (3UL)                     /*!< MON2_ISC (Bit 3)                                      */
#define ADC1_IRQCLR_1_MON2_ISC_Msk        (0x8UL)                   /*!< MON2_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_MON3_ISC_Pos        (4UL)                     /*!< MON3_ISC (Bit 4)                                      */
#define ADC1_IRQCLR_1_MON3_ISC_Msk        (0x10UL)                  /*!< MON3_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_MON4_ISC_Pos        (5UL)                     /*!< MON4_ISC (Bit 5)                                      */
#define ADC1_IRQCLR_1_MON4_ISC_Msk        (0x20UL)                  /*!< MON4_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_MON5_ISC_Pos        (6UL)                     /*!< MON5_ISC (Bit 6)                                      */
#define ADC1_IRQCLR_1_MON5_ISC_Msk        (0x40UL)                  /*!< MON5_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_1_ISC_Pos        (7UL)                     /*!< P2_1_ISC (Bit 7)                                      */
#define ADC1_IRQCLR_1_P2_1_ISC_Msk        (0x80UL)                  /*!< P2_1_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_2_ISC_Pos        (8UL)                     /*!< P2_2_ISC (Bit 8)                                      */
#define ADC1_IRQCLR_1_P2_2_ISC_Msk        (0x100UL)                 /*!< P2_2_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_3_ISC_Pos        (9UL)                     /*!< P2_3_ISC (Bit 9)                                      */
#define ADC1_IRQCLR_1_P2_3_ISC_Msk        (0x200UL)                 /*!< P2_3_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_6_ISC_Pos        (10UL)                    /*!< P2_6_ISC (Bit 10)                                     */
#define ADC1_IRQCLR_1_P2_6_ISC_Msk        (0x400UL)                 /*!< P2_6_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_7_ISC_Pos        (11UL)                    /*!< P2_7_ISC (Bit 11)                                     */
#define ADC1_IRQCLR_1_P2_7_ISC_Msk        (0x800UL)                 /*!< P2_7_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_P2_0_ISC_Pos        (12UL)                    /*!< P2_0_ISC (Bit 12)                                     */
#define ADC1_IRQCLR_1_P2_0_ISC_Msk        (0x1000UL)                /*!< P2_0_ISC (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQCLR_1_EIM_ISC_Pos         (16UL)                    /*!< EIM_ISC (Bit 16)                                      */
#define ADC1_IRQCLR_1_EIM_ISC_Msk         (0x10000UL)               /*!< EIM_ISC (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQCLR_1_ESM_ISC_Pos         (17UL)                    /*!< ESM_ISC (Bit 17)                                      */
#define ADC1_IRQCLR_1_ESM_ISC_Msk         (0x20000UL)               /*!< ESM_ISC (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQCLR_1_DU1LO_ISC_Pos       (24UL)                    /*!< DU1LO_ISC (Bit 24)                                    */
#define ADC1_IRQCLR_1_DU1LO_ISC_Msk       (0x1000000UL)             /*!< DU1LO_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU1UP_ISC_Pos       (25UL)                    /*!< DU1UP_ISC (Bit 25)                                    */
#define ADC1_IRQCLR_1_DU1UP_ISC_Msk       (0x2000000UL)             /*!< DU1UP_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU2LO_ISC_Pos       (26UL)                    /*!< DU2LO_ISC (Bit 26)                                    */
#define ADC1_IRQCLR_1_DU2LO_ISC_Msk       (0x4000000UL)             /*!< DU2LO_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU2UP_ISC_Pos       (27UL)                    /*!< DU2UP_ISC (Bit 27)                                    */
#define ADC1_IRQCLR_1_DU2UP_ISC_Msk       (0x8000000UL)             /*!< DU2UP_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU3LO_ISC_Pos       (28UL)                    /*!< DU3LO_ISC (Bit 28)                                    */
#define ADC1_IRQCLR_1_DU3LO_ISC_Msk       (0x10000000UL)            /*!< DU3LO_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU3UP_ISC_Pos       (29UL)                    /*!< DU3UP_ISC (Bit 29)                                    */
#define ADC1_IRQCLR_1_DU3UP_ISC_Msk       (0x20000000UL)            /*!< DU3UP_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU4LO_ISC_Pos       (30UL)                    /*!< DU4LO_ISC (Bit 30)                                    */
#define ADC1_IRQCLR_1_DU4LO_ISC_Msk       (0x40000000UL)            /*!< DU4LO_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_1_DU4UP_ISC_Pos       (31UL)                    /*!< DU4UP_ISC (Bit 31)                                    */
#define ADC1_IRQCLR_1_DU4UP_ISC_Msk       (0x80000000UL)            /*!< DU4UP_ISC (Bitfield-Mask: 0x01)                       */
/* =======================================================  IRQCLR_2  ======================================================== */
#define ADC1_IRQCLR_2_VS_LO_ISC_Pos       (1UL)                     /*!< VS_LO_ISC (Bit 1)                                     */
#define ADC1_IRQCLR_2_VS_LO_ISC_Msk       (0x2UL)                   /*!< VS_LO_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_2_MON1_LO_ISC_Pos     (2UL)                     /*!< MON1_LO_ISC (Bit 2)                                   */
#define ADC1_IRQCLR_2_MON1_LO_ISC_Msk     (0x4UL)                   /*!< MON1_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON2_LO_ISC_Pos     (3UL)                     /*!< MON2_LO_ISC (Bit 3)                                   */
#define ADC1_IRQCLR_2_MON2_LO_ISC_Msk     (0x8UL)                   /*!< MON2_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON3_LO_ISC_Pos     (4UL)                     /*!< MON3_LO_ISC (Bit 4)                                   */
#define ADC1_IRQCLR_2_MON3_LO_ISC_Msk     (0x10UL)                  /*!< MON3_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON4_LO_ISC_Pos     (5UL)                     /*!< MON4_LO_ISC (Bit 5)                                   */
#define ADC1_IRQCLR_2_MON4_LO_ISC_Msk     (0x20UL)                  /*!< MON4_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON5_LO_ISC_Pos     (6UL)                     /*!< MON5_LO_ISC (Bit 6)                                   */
#define ADC1_IRQCLR_2_MON5_LO_ISC_Msk     (0x40UL)                  /*!< MON5_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_1_LO_ISC_Pos     (7UL)                     /*!< P2_1_LO_ISC (Bit 7)                                   */
#define ADC1_IRQCLR_2_P2_1_LO_ISC_Msk     (0x80UL)                  /*!< P2_1_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_2_LO_ISC_Pos     (8UL)                     /*!< P2_2_LO_ISC (Bit 8)                                   */
#define ADC1_IRQCLR_2_P2_2_LO_ISC_Msk     (0x100UL)                 /*!< P2_2_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_3_LO_ISC_Pos     (9UL)                     /*!< P2_3_LO_ISC (Bit 9)                                   */
#define ADC1_IRQCLR_2_P2_3_LO_ISC_Msk     (0x200UL)                 /*!< P2_3_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_6_LO_ISC_Pos     (10UL)                    /*!< P2_6_LO_ISC (Bit 10)                                  */
#define ADC1_IRQCLR_2_P2_6_LO_ISC_Msk     (0x400UL)                 /*!< P2_6_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_7_LO_ISC_Pos     (11UL)                    /*!< P2_7_LO_ISC (Bit 11)                                  */
#define ADC1_IRQCLR_2_P2_7_LO_ISC_Msk     (0x800UL)                 /*!< P2_7_LO_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_VS_UP_ISC_Pos       (17UL)                    /*!< VS_UP_ISC (Bit 17)                                    */
#define ADC1_IRQCLR_2_VS_UP_ISC_Msk       (0x20000UL)               /*!< VS_UP_ISC (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQCLR_2_MON1_UP_ISC_Pos     (18UL)                    /*!< MON1_UP_ISC (Bit 18)                                  */
#define ADC1_IRQCLR_2_MON1_UP_ISC_Msk     (0x40000UL)               /*!< MON1_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON2_UP_ISC_Pos     (19UL)                    /*!< MON2_UP_ISC (Bit 19)                                  */
#define ADC1_IRQCLR_2_MON2_UP_ISC_Msk     (0x80000UL)               /*!< MON2_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON3_UP_ISC_Pos     (20UL)                    /*!< MON3_UP_ISC (Bit 20)                                  */
#define ADC1_IRQCLR_2_MON3_UP_ISC_Msk     (0x100000UL)              /*!< MON3_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON4_UP_ISC_Pos     (21UL)                    /*!< MON4_UP_ISC (Bit 21)                                  */
#define ADC1_IRQCLR_2_MON4_UP_ISC_Msk     (0x200000UL)              /*!< MON4_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_MON5_UP_ISC_Pos     (22UL)                    /*!< MON5_UP_ISC (Bit 22)                                  */
#define ADC1_IRQCLR_2_MON5_UP_ISC_Msk     (0x400000UL)              /*!< MON5_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_1_UP_ISC_Pos     (23UL)                    /*!< P2_1_UP_ISC (Bit 23)                                  */
#define ADC1_IRQCLR_2_P2_1_UP_ISC_Msk     (0x800000UL)              /*!< P2_1_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_2_UP_ISC_Pos     (24UL)                    /*!< P2_2_UP_ISC (Bit 24)                                  */
#define ADC1_IRQCLR_2_P2_2_UP_ISC_Msk     (0x1000000UL)             /*!< P2_2_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_3_UP_ISC_Pos     (25UL)                    /*!< P2_3_UP_ISC (Bit 25)                                  */
#define ADC1_IRQCLR_2_P2_3_UP_ISC_Msk     (0x2000000UL)             /*!< P2_3_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_6_UP_ISC_Pos     (26UL)                    /*!< P2_6_UP_ISC (Bit 26)                                  */
#define ADC1_IRQCLR_2_P2_6_UP_ISC_Msk     (0x4000000UL)             /*!< P2_6_UP_ISC (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQCLR_2_P2_7_UP_ISC_Pos     (27UL)                    /*!< P2_7_UP_ISC (Bit 27)                                  */
#define ADC1_IRQCLR_2_P2_7_UP_ISC_Msk     (0x8000000UL)             /*!< P2_7_UP_ISC (Bitfield-Mask: 0x01)                     */
/* ========================================================  IRQEN_1  ======================================================== */
#define ADC1_IRQEN_1_VBATSEN_IEN_Pos      (0UL)                     /*!< VBATSEN_IEN (Bit 0)                                   */
#define ADC1_IRQEN_1_VBATSEN_IEN_Msk      (0x1UL)                   /*!< VBATSEN_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_1_VS_IEN_Pos           (1UL)                     /*!< VS_IEN (Bit 1)                                        */
#define ADC1_IRQEN_1_VS_IEN_Msk           (0x2UL)                   /*!< VS_IEN (Bitfield-Mask: 0x01)                          */
#define ADC1_IRQEN_1_MON1_IEN_Pos         (2UL)                     /*!< MON1_IEN (Bit 2)                                      */
#define ADC1_IRQEN_1_MON1_IEN_Msk         (0x4UL)                   /*!< MON1_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_MON2_IEN_Pos         (3UL)                     /*!< MON2_IEN (Bit 3)                                      */
#define ADC1_IRQEN_1_MON2_IEN_Msk         (0x8UL)                   /*!< MON2_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_MON3_IEN_Pos         (4UL)                     /*!< MON3_IEN (Bit 4)                                      */
#define ADC1_IRQEN_1_MON3_IEN_Msk         (0x10UL)                  /*!< MON3_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_MON4_IEN_Pos         (5UL)                     /*!< MON4_IEN (Bit 5)                                      */
#define ADC1_IRQEN_1_MON4_IEN_Msk         (0x20UL)                  /*!< MON4_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_MON5_IEN_Pos         (6UL)                     /*!< MON5_IEN (Bit 6)                                      */
#define ADC1_IRQEN_1_MON5_IEN_Msk         (0x40UL)                  /*!< MON5_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_1_IEN_Pos         (7UL)                     /*!< P2_1_IEN (Bit 7)                                      */
#define ADC1_IRQEN_1_P2_1_IEN_Msk         (0x80UL)                  /*!< P2_1_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_2_IEN_Pos         (8UL)                     /*!< P2_2_IEN (Bit 8)                                      */
#define ADC1_IRQEN_1_P2_2_IEN_Msk         (0x100UL)                 /*!< P2_2_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_3_IEN_Pos         (9UL)                     /*!< P2_3_IEN (Bit 9)                                      */
#define ADC1_IRQEN_1_P2_3_IEN_Msk         (0x200UL)                 /*!< P2_3_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_6_IEN_Pos         (10UL)                    /*!< P2_6_IEN (Bit 10)                                     */
#define ADC1_IRQEN_1_P2_6_IEN_Msk         (0x400UL)                 /*!< P2_6_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_7_IEN_Pos         (11UL)                    /*!< P2_7_IEN (Bit 11)                                     */
#define ADC1_IRQEN_1_P2_7_IEN_Msk         (0x800UL)                 /*!< P2_7_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_P2_0_IEN_Pos         (12UL)                    /*!< P2_0_IEN (Bit 12)                                     */
#define ADC1_IRQEN_1_P2_0_IEN_Msk         (0x1000UL)                /*!< P2_0_IEN (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQEN_1_EIM_IEN_Pos          (16UL)                    /*!< EIM_IEN (Bit 16)                                      */
#define ADC1_IRQEN_1_EIM_IEN_Msk          (0x10000UL)               /*!< EIM_IEN (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQEN_1_ESM_IEN_Pos          (17UL)                    /*!< ESM_IEN (Bit 17)                                      */
#define ADC1_IRQEN_1_ESM_IEN_Msk          (0x20000UL)               /*!< ESM_IEN (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQEN_1_DU1LO_IEN_Pos        (24UL)                    /*!< DU1LO_IEN (Bit 24)                                    */
#define ADC1_IRQEN_1_DU1LO_IEN_Msk        (0x1000000UL)             /*!< DU1LO_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU1UP_IEN_Pos        (25UL)                    /*!< DU1UP_IEN (Bit 25)                                    */
#define ADC1_IRQEN_1_DU1UP_IEN_Msk        (0x2000000UL)             /*!< DU1UP_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU2LO_IEN_Pos        (26UL)                    /*!< DU2LO_IEN (Bit 26)                                    */
#define ADC1_IRQEN_1_DU2LO_IEN_Msk        (0x4000000UL)             /*!< DU2LO_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU2UP_IEN_Pos        (27UL)                    /*!< DU2UP_IEN (Bit 27)                                    */
#define ADC1_IRQEN_1_DU2UP_IEN_Msk        (0x8000000UL)             /*!< DU2UP_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU3LO_IEN_Pos        (28UL)                    /*!< DU3LO_IEN (Bit 28)                                    */
#define ADC1_IRQEN_1_DU3LO_IEN_Msk        (0x10000000UL)            /*!< DU3LO_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU3UP_IEN_Pos        (29UL)                    /*!< DU3UP_IEN (Bit 29)                                    */
#define ADC1_IRQEN_1_DU3UP_IEN_Msk        (0x20000000UL)            /*!< DU3UP_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU4LO_IEN_Pos        (30UL)                    /*!< DU4LO_IEN (Bit 30)                                    */
#define ADC1_IRQEN_1_DU4LO_IEN_Msk        (0x40000000UL)            /*!< DU4LO_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_1_DU4UP_IEN_Pos        (31UL)                    /*!< DU4UP_IEN (Bit 31)                                    */
#define ADC1_IRQEN_1_DU4UP_IEN_Msk        (0x80000000UL)            /*!< DU4UP_IEN (Bitfield-Mask: 0x01)                       */
/* ========================================================  IRQEN_2  ======================================================== */
#define ADC1_IRQEN_2_VS_LO_IEN_Pos        (1UL)                     /*!< VS_LO_IEN (Bit 1)                                     */
#define ADC1_IRQEN_2_VS_LO_IEN_Msk        (0x2UL)                   /*!< VS_LO_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_2_MON1_LO_IEN_Pos      (2UL)                     /*!< MON1_LO_IEN (Bit 2)                                   */
#define ADC1_IRQEN_2_MON1_LO_IEN_Msk      (0x4UL)                   /*!< MON1_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON2_LO_IEN_Pos      (3UL)                     /*!< MON2_LO_IEN (Bit 3)                                   */
#define ADC1_IRQEN_2_MON2_LO_IEN_Msk      (0x8UL)                   /*!< MON2_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON3_LO_IEN_Pos      (4UL)                     /*!< MON3_LO_IEN (Bit 4)                                   */
#define ADC1_IRQEN_2_MON3_LO_IEN_Msk      (0x10UL)                  /*!< MON3_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON4_LO_IEN_Pos      (5UL)                     /*!< MON4_LO_IEN (Bit 5)                                   */
#define ADC1_IRQEN_2_MON4_LO_IEN_Msk      (0x20UL)                  /*!< MON4_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON5_LO_IEN_Pos      (6UL)                     /*!< MON5_LO_IEN (Bit 6)                                   */
#define ADC1_IRQEN_2_MON5_LO_IEN_Msk      (0x40UL)                  /*!< MON5_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_1_LO_IEN_Pos      (7UL)                     /*!< P2_1_LO_IEN (Bit 7)                                   */
#define ADC1_IRQEN_2_P2_1_LO_IEN_Msk      (0x80UL)                  /*!< P2_1_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_2_LO_IEN_Pos      (8UL)                     /*!< P2_2_LO_IEN (Bit 8)                                   */
#define ADC1_IRQEN_2_P2_2_LO_IEN_Msk      (0x100UL)                 /*!< P2_2_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_3_LO_IEN_Pos      (9UL)                     /*!< P2_3_LO_IEN (Bit 9)                                   */
#define ADC1_IRQEN_2_P2_3_LO_IEN_Msk      (0x200UL)                 /*!< P2_3_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_6_LO_IEN_Pos      (10UL)                    /*!< P2_6_LO_IEN (Bit 10)                                  */
#define ADC1_IRQEN_2_P2_6_LO_IEN_Msk      (0x400UL)                 /*!< P2_6_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_7_LO_IEN_Pos      (11UL)                    /*!< P2_7_LO_IEN (Bit 11)                                  */
#define ADC1_IRQEN_2_P2_7_LO_IEN_Msk      (0x800UL)                 /*!< P2_7_LO_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_VS_UP_IEN_Pos        (17UL)                    /*!< VS_UP_IEN (Bit 17)                                    */
#define ADC1_IRQEN_2_VS_UP_IEN_Msk        (0x20000UL)               /*!< VS_UP_IEN (Bitfield-Mask: 0x01)                       */
#define ADC1_IRQEN_2_MON1_UP_IEN_Pos      (18UL)                    /*!< MON1_UP_IEN (Bit 18)                                  */
#define ADC1_IRQEN_2_MON1_UP_IEN_Msk      (0x40000UL)               /*!< MON1_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON2_UP_IEN_Pos      (19UL)                    /*!< MON2_UP_IEN (Bit 19)                                  */
#define ADC1_IRQEN_2_MON2_UP_IEN_Msk      (0x80000UL)               /*!< MON2_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON3_UP_IEN_Pos      (20UL)                    /*!< MON3_UP_IEN (Bit 20)                                  */
#define ADC1_IRQEN_2_MON3_UP_IEN_Msk      (0x100000UL)              /*!< MON3_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON4_UP_IEN_Pos      (21UL)                    /*!< MON4_UP_IEN (Bit 21)                                  */
#define ADC1_IRQEN_2_MON4_UP_IEN_Msk      (0x200000UL)              /*!< MON4_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_MON5_UP_IEN_Pos      (22UL)                    /*!< MON5_UP_IEN (Bit 22)                                  */
#define ADC1_IRQEN_2_MON5_UP_IEN_Msk      (0x400000UL)              /*!< MON5_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_1_UP_IEN_Pos      (23UL)                    /*!< P2_1_UP_IEN (Bit 23)                                  */
#define ADC1_IRQEN_2_P2_1_UP_IEN_Msk      (0x800000UL)              /*!< P2_1_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_2_UP_IEN_Pos      (24UL)                    /*!< P2_2_UP_IEN (Bit 24)                                  */
#define ADC1_IRQEN_2_P2_2_UP_IEN_Msk      (0x1000000UL)             /*!< P2_2_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_3_UP_IEN_Pos      (25UL)                    /*!< P2_3_UP_IEN (Bit 25)                                  */
#define ADC1_IRQEN_2_P2_3_UP_IEN_Msk      (0x2000000UL)             /*!< P2_3_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_6_UP_IEN_Pos      (26UL)                    /*!< P2_6_UP_IEN (Bit 26)                                  */
#define ADC1_IRQEN_2_P2_6_UP_IEN_Msk      (0x4000000UL)             /*!< P2_6_UP_IEN (Bitfield-Mask: 0x01)                     */
#define ADC1_IRQEN_2_P2_7_UP_IEN_Pos      (27UL)                    /*!< P2_7_UP_IEN (Bit 27)                                  */
#define ADC1_IRQEN_2_P2_7_UP_IEN_Msk      (0x8000000UL)             /*!< P2_7_UP_IEN (Bitfield-Mask: 0x01)                     */
/* ========================================================  IRQS_1  ========================================================= */
#define ADC1_IRQS_1_VBATSEN_IS_Pos        (0UL)                     /*!< VBATSEN_IS (Bit 0)                                    */
#define ADC1_IRQS_1_VBATSEN_IS_Msk        (0x1UL)                   /*!< VBATSEN_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_1_VS_IS_Pos             (1UL)                     /*!< VS_IS (Bit 1)                                         */
#define ADC1_IRQS_1_VS_IS_Msk             (0x2UL)                   /*!< VS_IS (Bitfield-Mask: 0x01)                           */
#define ADC1_IRQS_1_MON1_IS_Pos           (2UL)                     /*!< MON1_IS (Bit 2)                                       */
#define ADC1_IRQS_1_MON1_IS_Msk           (0x4UL)                   /*!< MON1_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_MON2_IS_Pos           (3UL)                     /*!< MON2_IS (Bit 3)                                       */
#define ADC1_IRQS_1_MON2_IS_Msk           (0x8UL)                   /*!< MON2_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_MON3_IS_Pos           (4UL)                     /*!< MON3_IS (Bit 4)                                       */
#define ADC1_IRQS_1_MON3_IS_Msk           (0x10UL)                  /*!< MON3_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_MON4_IS_Pos           (5UL)                     /*!< MON4_IS (Bit 5)                                       */
#define ADC1_IRQS_1_MON4_IS_Msk           (0x20UL)                  /*!< MON4_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_MON5_IS_Pos           (6UL)                     /*!< MON5_IS (Bit 6)                                       */
#define ADC1_IRQS_1_MON5_IS_Msk           (0x40UL)                  /*!< MON5_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_1_IS_Pos           (7UL)                     /*!< P2_1_IS (Bit 7)                                       */
#define ADC1_IRQS_1_P2_1_IS_Msk           (0x80UL)                  /*!< P2_1_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_2_IS_Pos           (8UL)                     /*!< P2_2_IS (Bit 8)                                       */
#define ADC1_IRQS_1_P2_2_IS_Msk           (0x100UL)                 /*!< P2_2_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_3_IS_Pos           (9UL)                     /*!< P2_3_IS (Bit 9)                                       */
#define ADC1_IRQS_1_P2_3_IS_Msk           (0x200UL)                 /*!< P2_3_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_6_IS_Pos           (10UL)                    /*!< P2_6_IS (Bit 10)                                      */
#define ADC1_IRQS_1_P2_6_IS_Msk           (0x400UL)                 /*!< P2_6_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_7_IS_Pos           (11UL)                    /*!< P2_7_IS (Bit 11)                                      */
#define ADC1_IRQS_1_P2_7_IS_Msk           (0x800UL)                 /*!< P2_7_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_P2_0_IS_Pos           (12UL)                    /*!< P2_0_IS (Bit 12)                                      */
#define ADC1_IRQS_1_P2_0_IS_Msk           (0x1000UL)                /*!< P2_0_IS (Bitfield-Mask: 0x01)                         */
#define ADC1_IRQS_1_EIM_IS_Pos            (16UL)                    /*!< EIM_IS (Bit 16)                                       */
#define ADC1_IRQS_1_EIM_IS_Msk            (0x10000UL)               /*!< EIM_IS (Bitfield-Mask: 0x01)                          */
#define ADC1_IRQS_1_ESM_IS_Pos            (17UL)                    /*!< ESM_IS (Bit 17)                                       */
#define ADC1_IRQS_1_ESM_IS_Msk            (0x20000UL)               /*!< ESM_IS (Bitfield-Mask: 0x01)                          */
#define ADC1_IRQS_1_DU1LO_IS_Pos          (24UL)                    /*!< DU1LO_IS (Bit 24)                                     */
#define ADC1_IRQS_1_DU1LO_IS_Msk          (0x1000000UL)             /*!< DU1LO_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU1UP_IS_Pos          (25UL)                    /*!< DU1UP_IS (Bit 25)                                     */
#define ADC1_IRQS_1_DU1UP_IS_Msk          (0x2000000UL)             /*!< DU1UP_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU2LO_IS_Pos          (26UL)                    /*!< DU2LO_IS (Bit 26)                                     */
#define ADC1_IRQS_1_DU2LO_IS_Msk          (0x4000000UL)             /*!< DU2LO_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU2UP_IS_Pos          (27UL)                    /*!< DU2UP_IS (Bit 27)                                     */
#define ADC1_IRQS_1_DU2UP_IS_Msk          (0x8000000UL)             /*!< DU2UP_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU3LO_IS_Pos          (28UL)                    /*!< DU3LO_IS (Bit 28)                                     */
#define ADC1_IRQS_1_DU3LO_IS_Msk          (0x10000000UL)            /*!< DU3LO_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU3UP_IS_Pos          (29UL)                    /*!< DU3UP_IS (Bit 29)                                     */
#define ADC1_IRQS_1_DU3UP_IS_Msk          (0x20000000UL)            /*!< DU3UP_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU4LO_IS_Pos          (30UL)                    /*!< DU4LO_IS (Bit 30)                                     */
#define ADC1_IRQS_1_DU4LO_IS_Msk          (0x40000000UL)            /*!< DU4LO_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_1_DU4UP_IS_Pos          (31UL)                    /*!< DU4UP_IS (Bit 31)                                     */
#define ADC1_IRQS_1_DU4UP_IS_Msk          (0x80000000UL)            /*!< DU4UP_IS (Bitfield-Mask: 0x01)                        */
/* ========================================================  IRQS_2  ========================================================= */
#define ADC1_IRQS_2_VS_LO_IS_Pos          (1UL)                     /*!< VS_LO_IS (Bit 1)                                      */
#define ADC1_IRQS_2_VS_LO_IS_Msk          (0x2UL)                   /*!< VS_LO_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_2_MON1_LO_IS_Pos        (2UL)                     /*!< MON1_LO_IS (Bit 2)                                    */
#define ADC1_IRQS_2_MON1_LO_IS_Msk        (0x4UL)                   /*!< MON1_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON2_LO_IS_Pos        (3UL)                     /*!< MON2_LO_IS (Bit 3)                                    */
#define ADC1_IRQS_2_MON2_LO_IS_Msk        (0x8UL)                   /*!< MON2_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON3_LO_IS_Pos        (4UL)                     /*!< MON3_LO_IS (Bit 4)                                    */
#define ADC1_IRQS_2_MON3_LO_IS_Msk        (0x10UL)                  /*!< MON3_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON4_LO_IS_Pos        (5UL)                     /*!< MON4_LO_IS (Bit 5)                                    */
#define ADC1_IRQS_2_MON4_LO_IS_Msk        (0x20UL)                  /*!< MON4_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON5_LO_IS_Pos        (6UL)                     /*!< MON5_LO_IS (Bit 6)                                    */
#define ADC1_IRQS_2_MON5_LO_IS_Msk        (0x40UL)                  /*!< MON5_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_1_LO_IS_Pos        (7UL)                     /*!< P2_1_LO_IS (Bit 7)                                    */
#define ADC1_IRQS_2_P2_1_LO_IS_Msk        (0x80UL)                  /*!< P2_1_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_2_LO_IS_Pos        (8UL)                     /*!< P2_2_LO_IS (Bit 8)                                    */
#define ADC1_IRQS_2_P2_2_LO_IS_Msk        (0x100UL)                 /*!< P2_2_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_3_LO_IS_Pos        (9UL)                     /*!< P2_3_LO_IS (Bit 9)                                    */
#define ADC1_IRQS_2_P2_3_LO_IS_Msk        (0x200UL)                 /*!< P2_3_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_6_LO_IS_Pos        (10UL)                    /*!< P2_6_LO_IS (Bit 10)                                   */
#define ADC1_IRQS_2_P2_6_LO_IS_Msk        (0x400UL)                 /*!< P2_6_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_7_LO_IS_Pos        (11UL)                    /*!< P2_7_LO_IS (Bit 11)                                   */
#define ADC1_IRQS_2_P2_7_LO_IS_Msk        (0x800UL)                 /*!< P2_7_LO_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_VS_UP_IS_Pos          (17UL)                    /*!< VS_UP_IS (Bit 17)                                     */
#define ADC1_IRQS_2_VS_UP_IS_Msk          (0x20000UL)               /*!< VS_UP_IS (Bitfield-Mask: 0x01)                        */
#define ADC1_IRQS_2_MON1_UP_IS_Pos        (18UL)                    /*!< MON1_UP_IS (Bit 18)                                   */
#define ADC1_IRQS_2_MON1_UP_IS_Msk        (0x40000UL)               /*!< MON1_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON2_UP_IS_Pos        (19UL)                    /*!< MON2_UP_IS (Bit 19)                                   */
#define ADC1_IRQS_2_MON2_UP_IS_Msk        (0x80000UL)               /*!< MON2_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON3_UP_IS_Pos        (20UL)                    /*!< MON3_UP_IS (Bit 20)                                   */
#define ADC1_IRQS_2_MON3_UP_IS_Msk        (0x100000UL)              /*!< MON3_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON4_UP_IS_Pos        (21UL)                    /*!< MON4_UP_IS (Bit 21)                                   */
#define ADC1_IRQS_2_MON4_UP_IS_Msk        (0x200000UL)              /*!< MON4_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_MON5_UP_IS_Pos        (22UL)                    /*!< MON5_UP_IS (Bit 22)                                   */
#define ADC1_IRQS_2_MON5_UP_IS_Msk        (0x400000UL)              /*!< MON5_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_1_UP_IS_Pos        (23UL)                    /*!< P2_1_UP_IS (Bit 23)                                   */
#define ADC1_IRQS_2_P2_1_UP_IS_Msk        (0x800000UL)              /*!< P2_1_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_2_UP_IS_Pos        (24UL)                    /*!< P2_2_UP_IS (Bit 24)                                   */
#define ADC1_IRQS_2_P2_2_UP_IS_Msk        (0x1000000UL)             /*!< P2_2_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_3_UP_IS_Pos        (25UL)                    /*!< P2_3_UP_IS (Bit 25)                                   */
#define ADC1_IRQS_2_P2_3_UP_IS_Msk        (0x2000000UL)             /*!< P2_3_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_6_UP_IS_Pos        (26UL)                    /*!< P2_6_UP_IS (Bit 26)                                   */
#define ADC1_IRQS_2_P2_6_UP_IS_Msk        (0x4000000UL)             /*!< P2_6_UP_IS (Bitfield-Mask: 0x01)                      */
#define ADC1_IRQS_2_P2_7_UP_IS_Pos        (27UL)                    /*!< P2_7_UP_IS (Bit 27)                                   */
#define ADC1_IRQS_2_P2_7_UP_IS_Msk        (0x8000000UL)             /*!< P2_7_UP_IS (Bitfield-Mask: 0x01)                      */
/* =======================================================  MAX_TIME  ======================================================== */
#define ADC1_MAX_TIME_MAX_TIME_Pos        (0UL)                     /*!< MAX_TIME (Bit 0)                                      */
#define ADC1_MAX_TIME_MAX_TIME_Msk        (0xffUL)                  /*!< MAX_TIME (Bitfield-Mask: 0xff)                        */
/* =======================================================  MMODE0_11  ======================================================= */
#define ADC1_MMODE0_11_MMODE_0_Pos        (0UL)                     /*!< MMODE_0 (Bit 0)                                       */
#define ADC1_MMODE0_11_MMODE_0_Msk        (0x3UL)                   /*!< MMODE_0 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_1_Pos        (2UL)                     /*!< MMODE_1 (Bit 2)                                       */
#define ADC1_MMODE0_11_MMODE_1_Msk        (0xcUL)                   /*!< MMODE_1 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_2_Pos        (4UL)                     /*!< MMODE_2 (Bit 4)                                       */
#define ADC1_MMODE0_11_MMODE_2_Msk        (0x30UL)                  /*!< MMODE_2 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_3_Pos        (6UL)                     /*!< MMODE_3 (Bit 6)                                       */
#define ADC1_MMODE0_11_MMODE_3_Msk        (0xc0UL)                  /*!< MMODE_3 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_4_Pos        (8UL)                     /*!< MMODE_4 (Bit 8)                                       */
#define ADC1_MMODE0_11_MMODE_4_Msk        (0x300UL)                 /*!< MMODE_4 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_5_Pos        (10UL)                    /*!< MMODE_5 (Bit 10)                                      */
#define ADC1_MMODE0_11_MMODE_5_Msk        (0xc00UL)                 /*!< MMODE_5 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_6_Pos        (12UL)                    /*!< MMODE_6 (Bit 12)                                      */
#define ADC1_MMODE0_11_MMODE_6_Msk        (0x3000UL)                /*!< MMODE_6 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_7_Pos        (14UL)                    /*!< MMODE_7 (Bit 14)                                      */
#define ADC1_MMODE0_11_MMODE_7_Msk        (0xc000UL)                /*!< MMODE_7 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_8_Pos        (16UL)                    /*!< MMODE_8 (Bit 16)                                      */
#define ADC1_MMODE0_11_MMODE_8_Msk        (0x30000UL)               /*!< MMODE_8 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_9_Pos        (18UL)                    /*!< MMODE_9 (Bit 18)                                      */
#define ADC1_MMODE0_11_MMODE_9_Msk        (0xc0000UL)               /*!< MMODE_9 (Bitfield-Mask: 0x03)                         */
#define ADC1_MMODE0_11_MMODE_10_Pos       (20UL)                    /*!< MMODE_10 (Bit 20)                                     */
#define ADC1_MMODE0_11_MMODE_10_Msk       (0x300000UL)              /*!< MMODE_10 (Bitfield-Mask: 0x03)                        */
#define ADC1_MMODE0_11_MMODE_11_Pos       (22UL)                    /*!< MMODE_11 (Bit 22)                                     */
#define ADC1_MMODE0_11_MMODE_11_Msk       (0xc00000UL)              /*!< MMODE_11 (Bitfield-Mask: 0x03)                        */
#define ADC1_MMODE0_11_MMODE_D1_Pos       (24UL)                    /*!< MMODE_D1 (Bit 24)                                     */
#define ADC1_MMODE0_11_MMODE_D1_Msk       (0x3000000UL)             /*!< MMODE_D1 (Bitfield-Mask: 0x03)                        */
#define ADC1_MMODE0_11_MMODE_D2_Pos       (26UL)                    /*!< MMODE_D2 (Bit 26)                                     */
#define ADC1_MMODE0_11_MMODE_D2_Msk       (0xc000000UL)             /*!< MMODE_D2 (Bitfield-Mask: 0x03)                        */
#define ADC1_MMODE0_11_MMODE_D3_Pos       (28UL)                    /*!< MMODE_D3 (Bit 28)                                     */
#define ADC1_MMODE0_11_MMODE_D3_Msk       (0x30000000UL)            /*!< MMODE_D3 (Bitfield-Mask: 0x03)                        */
#define ADC1_MMODE0_11_MMODE_D4_Pos       (30UL)                    /*!< MMODE_D4 (Bit 30)                                     */
#define ADC1_MMODE0_11_MMODE_D4_Msk       (0xc0000000UL)            /*!< MMODE_D4 (Bitfield-Mask: 0x03)                        */
/* =========================================================  SQ_FB  ========================================================= */
#define ADC1_SQ_FB_SQ_FB_Pos              (0UL)                     /*!< SQ_FB (Bit 0)                                         */
#define ADC1_SQ_FB_SQ_FB_Msk              (0x1fUL)                  /*!< SQ_FB (Bitfield-Mask: 0x1f)                           */
#define ADC1_SQ_FB_SQ_STOP_Pos            (8UL)                     /*!< SQ_STOP (Bit 8)                                       */
#define ADC1_SQ_FB_SQ_STOP_Msk            (0x100UL)                 /*!< SQ_STOP (Bitfield-Mask: 0x01)                         */
#define ADC1_SQ_FB_EIM_ACTIVE_Pos         (9UL)                     /*!< EIM_ACTIVE (Bit 9)                                    */
#define ADC1_SQ_FB_EIM_ACTIVE_Msk         (0x200UL)                 /*!< EIM_ACTIVE (Bitfield-Mask: 0x01)                      */
#define ADC1_SQ_FB_ESM_ACTIVE_Pos         (10UL)                    /*!< ESM_ACTIVE (Bit 10)                                   */
#define ADC1_SQ_FB_ESM_ACTIVE_Msk         (0x400UL)                 /*!< ESM_ACTIVE (Bitfield-Mask: 0x01)                      */
#define ADC1_SQ_FB_SQx_Pos                (11UL)                    /*!< SQx (Bit 11)                                          */
#define ADC1_SQ_FB_SQx_Msk                (0x7800UL)                /*!< SQx (Bitfield-Mask: 0x0f)                             */
#define ADC1_SQ_FB_CHx_Pos                (16UL)                    /*!< CHx (Bit 16)                                          */
#define ADC1_SQ_FB_CHx_Msk                (0xf0000UL)               /*!< CHx (Bitfield-Mask: 0x0f)                             */
/* =========================================================  SQ0_1  ========================================================= */
#define ADC1_SQ0_1_SQ0_Pos                (0UL)                     /*!< SQ0 (Bit 0)                                           */
#define ADC1_SQ0_1_SQ0_Msk                (0xfffUL)                 /*!< SQ0 (Bitfield-Mask: 0xfff)                            */
#define ADC1_SQ0_1_SQ1_Pos                (16UL)                    /*!< SQ1 (Bit 16)                                          */
#define ADC1_SQ0_1_SQ1_Msk                (0xfff0000UL)             /*!< SQ1 (Bitfield-Mask: 0xfff)                            */
/* ========================================================  SQ10_11  ======================================================== */
#define ADC1_SQ10_11_SQ10_Pos             (0UL)                     /*!< SQ10 (Bit 0)                                          */
#define ADC1_SQ10_11_SQ10_Msk             (0xfffUL)                 /*!< SQ10 (Bitfield-Mask: 0xfff)                           */
#define ADC1_SQ10_11_SQ11_Pos             (16UL)                    /*!< SQ11 (Bit 16)                                         */
#define ADC1_SQ10_11_SQ11_Msk             (0xfff0000UL)             /*!< SQ11 (Bitfield-Mask: 0xfff)                           */
/* =========================================================  SQ2_3  ========================================================= */
#define ADC1_SQ2_3_SQ2_Pos                (0UL)                     /*!< SQ2 (Bit 0)                                           */
#define ADC1_SQ2_3_SQ2_Msk                (0xfffUL)                 /*!< SQ2 (Bitfield-Mask: 0xfff)                            */
#define ADC1_SQ2_3_SQ3_Pos                (16UL)                    /*!< SQ3 (Bit 16)                                          */
#define ADC1_SQ2_3_SQ3_Msk                (0xfff0000UL)             /*!< SQ3 (Bitfield-Mask: 0xfff)                            */
/* =========================================================  SQ4_5  ========================================================= */
#define ADC1_SQ4_5_SQ4_Pos                (0UL)                     /*!< SQ4 (Bit 0)                                           */
#define ADC1_SQ4_5_SQ4_Msk                (0xfffUL)                 /*!< SQ4 (Bitfield-Mask: 0xfff)                            */
#define ADC1_SQ4_5_SQ5_Pos                (16UL)                    /*!< SQ5 (Bit 16)                                          */
#define ADC1_SQ4_5_SQ5_Msk                (0xfff0000UL)             /*!< SQ5 (Bitfield-Mask: 0xfff)                            */
/* =========================================================  SQ6_7  ========================================================= */
#define ADC1_SQ6_7_SQ6_Pos                (0UL)                     /*!< SQ6 (Bit 0)                                           */
#define ADC1_SQ6_7_SQ6_Msk                (0xfffUL)                 /*!< SQ6 (Bitfield-Mask: 0xfff)                            */
#define ADC1_SQ6_7_SQ7_Pos                (16UL)                    /*!< SQ7 (Bit 16)                                          */
#define ADC1_SQ6_7_SQ7_Msk                (0xfff0000UL)             /*!< SQ7 (Bitfield-Mask: 0xfff)                            */
/* =========================================================  SQ8_9  ========================================================= */
#define ADC1_SQ8_9_SQ8_Pos                (0UL)                     /*!< SQ8 (Bit 0)                                           */
#define ADC1_SQ8_9_SQ8_Msk                (0xfffUL)                 /*!< SQ8 (Bitfield-Mask: 0xfff)                            */
#define ADC1_SQ8_9_SQ9_Pos                (16UL)                    /*!< SQ9 (Bit 16)                                          */
#define ADC1_SQ8_9_SQ9_Msk                (0xfff0000UL)             /*!< SQ9 (Bitfield-Mask: 0xfff)                            */
/* =========================================================  STS_1  ========================================================= */
#define ADC1_STS_1_DU1LO_STS_Pos          (24UL)                    /*!< DU1LO_STS (Bit 24)                                    */
#define ADC1_STS_1_DU1LO_STS_Msk          (0x1000000UL)             /*!< DU1LO_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU1UP_STS_Pos          (25UL)                    /*!< DU1UP_STS (Bit 25)                                    */
#define ADC1_STS_1_DU1UP_STS_Msk          (0x2000000UL)             /*!< DU1UP_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU2LO_STS_Pos          (26UL)                    /*!< DU2LO_STS (Bit 26)                                    */
#define ADC1_STS_1_DU2LO_STS_Msk          (0x4000000UL)             /*!< DU2LO_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU2UP_STS_Pos          (27UL)                    /*!< DU2UP_STS (Bit 27)                                    */
#define ADC1_STS_1_DU2UP_STS_Msk          (0x8000000UL)             /*!< DU2UP_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU3LO_STS_Pos          (28UL)                    /*!< DU3LO_STS (Bit 28)                                    */
#define ADC1_STS_1_DU3LO_STS_Msk          (0x10000000UL)            /*!< DU3LO_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU3UP_STS_Pos          (29UL)                    /*!< DU3UP_STS (Bit 29)                                    */
#define ADC1_STS_1_DU3UP_STS_Msk          (0x20000000UL)            /*!< DU3UP_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU4LO_STS_Pos          (30UL)                    /*!< DU4LO_STS (Bit 30)                                    */
#define ADC1_STS_1_DU4LO_STS_Msk          (0x40000000UL)            /*!< DU4LO_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_1_DU4UP_STS_Pos          (31UL)                    /*!< DU4UP_STS (Bit 31)                                    */
#define ADC1_STS_1_DU4UP_STS_Msk          (0x80000000UL)            /*!< DU4UP_STS (Bitfield-Mask: 0x01)                       */
/* =========================================================  STS_2  ========================================================= */
#define ADC1_STS_2_VS_LO_STS_Pos          (1UL)                     /*!< VS_LO_STS (Bit 1)                                     */
#define ADC1_STS_2_VS_LO_STS_Msk          (0x2UL)                   /*!< VS_LO_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_2_MON1_LO_STS_Pos        (2UL)                     /*!< MON1_LO_STS (Bit 2)                                   */
#define ADC1_STS_2_MON1_LO_STS_Msk        (0x4UL)                   /*!< MON1_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON2_LO_STS_Pos        (3UL)                     /*!< MON2_LO_STS (Bit 3)                                   */
#define ADC1_STS_2_MON2_LO_STS_Msk        (0x8UL)                   /*!< MON2_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON3_LO_STS_Pos        (4UL)                     /*!< MON3_LO_STS (Bit 4)                                   */
#define ADC1_STS_2_MON3_LO_STS_Msk        (0x10UL)                  /*!< MON3_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON4_LO_STS_Pos        (5UL)                     /*!< MON4_LO_STS (Bit 5)                                   */
#define ADC1_STS_2_MON4_LO_STS_Msk        (0x20UL)                  /*!< MON4_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON5_LO_STS_Pos        (6UL)                     /*!< MON5_LO_STS (Bit 6)                                   */
#define ADC1_STS_2_MON5_LO_STS_Msk        (0x40UL)                  /*!< MON5_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_1_LO_STS_Pos        (7UL)                     /*!< P2_1_LO_STS (Bit 7)                                   */
#define ADC1_STS_2_P2_1_LO_STS_Msk        (0x80UL)                  /*!< P2_1_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_2_LO_STS_Pos        (8UL)                     /*!< P2_2_LO_STS (Bit 8)                                   */
#define ADC1_STS_2_P2_2_LO_STS_Msk        (0x100UL)                 /*!< P2_2_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_3_LO_STS_Pos        (9UL)                     /*!< P2_3_LO_STS (Bit 9)                                   */
#define ADC1_STS_2_P2_3_LO_STS_Msk        (0x200UL)                 /*!< P2_3_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_6_LO_STS_Pos        (10UL)                    /*!< P2_6_LO_STS (Bit 10)                                  */
#define ADC1_STS_2_P2_6_LO_STS_Msk        (0x400UL)                 /*!< P2_6_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_7_LO_STS_Pos        (11UL)                    /*!< P2_7_LO_STS (Bit 11)                                  */
#define ADC1_STS_2_P2_7_LO_STS_Msk        (0x800UL)                 /*!< P2_7_LO_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_VS_UP_STS_Pos          (17UL)                    /*!< VS_UP_STS (Bit 17)                                    */
#define ADC1_STS_2_VS_UP_STS_Msk          (0x20000UL)               /*!< VS_UP_STS (Bitfield-Mask: 0x01)                       */
#define ADC1_STS_2_MON1_UP_STS_Pos        (18UL)                    /*!< MON1_UP_STS (Bit 18)                                  */
#define ADC1_STS_2_MON1_UP_STS_Msk        (0x40000UL)               /*!< MON1_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON2_UP_STS_Pos        (19UL)                    /*!< MON2_UP_STS (Bit 19)                                  */
#define ADC1_STS_2_MON2_UP_STS_Msk        (0x80000UL)               /*!< MON2_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON3_UP_STS_Pos        (20UL)                    /*!< MON3_UP_STS (Bit 20)                                  */
#define ADC1_STS_2_MON3_UP_STS_Msk        (0x100000UL)              /*!< MON3_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON4_UP_STS_Pos        (21UL)                    /*!< MON4_UP_STS (Bit 21)                                  */
#define ADC1_STS_2_MON4_UP_STS_Msk        (0x200000UL)              /*!< MON4_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_MON5_UP_STS_Pos        (22UL)                    /*!< MON5_UP_STS (Bit 22)                                  */
#define ADC1_STS_2_MON5_UP_STS_Msk        (0x400000UL)              /*!< MON5_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_1_UP_STS_Pos        (23UL)                    /*!< P2_1_UP_STS (Bit 23)                                  */
#define ADC1_STS_2_P2_1_UP_STS_Msk        (0x800000UL)              /*!< P2_1_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_2_UP_STS_Pos        (24UL)                    /*!< P2_2_UP_STS (Bit 24)                                  */
#define ADC1_STS_2_P2_2_UP_STS_Msk        (0x1000000UL)             /*!< P2_2_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_3_UP_STS_Pos        (25UL)                    /*!< P2_3_UP_STS (Bit 25)                                  */
#define ADC1_STS_2_P2_3_UP_STS_Msk        (0x2000000UL)             /*!< P2_3_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_6_UP_STS_Pos        (26UL)                    /*!< P2_6_UP_STS (Bit 26)                                  */
#define ADC1_STS_2_P2_6_UP_STS_Msk        (0x4000000UL)             /*!< P2_6_UP_STS (Bitfield-Mask: 0x01)                     */
#define ADC1_STS_2_P2_7_UP_STS_Pos        (27UL)                    /*!< P2_7_UP_STS (Bit 27)                                  */
#define ADC1_STS_2_P2_7_UP_STS_Msk        (0x8000000UL)             /*!< P2_7_UP_STS (Bitfield-Mask: 0x01)                     */
/* =======================================================  STSCLR_1  ======================================================== */
#define ADC1_STSCLR_1_DU1LO_SC_Pos        (24UL)                    /*!< DU1LO_SC (Bit 24)                                     */
#define ADC1_STSCLR_1_DU1LO_SC_Msk        (0x1000000UL)             /*!< DU1LO_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU1UP_SC_Pos        (25UL)                    /*!< DU1UP_SC (Bit 25)                                     */
#define ADC1_STSCLR_1_DU1UP_SC_Msk        (0x2000000UL)             /*!< DU1UP_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU2LO_SC_Pos        (26UL)                    /*!< DU2LO_SC (Bit 26)                                     */
#define ADC1_STSCLR_1_DU2LO_SC_Msk        (0x4000000UL)             /*!< DU2LO_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU2UP_SC_Pos        (27UL)                    /*!< DU2UP_SC (Bit 27)                                     */
#define ADC1_STSCLR_1_DU2UP_SC_Msk        (0x8000000UL)             /*!< DU2UP_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU3LO_SC_Pos        (28UL)                    /*!< DU3LO_SC (Bit 28)                                     */
#define ADC1_STSCLR_1_DU3LO_SC_Msk        (0x10000000UL)            /*!< DU3LO_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU3UP_SC_Pos        (29UL)                    /*!< DU3UP_SC (Bit 29)                                     */
#define ADC1_STSCLR_1_DU3UP_SC_Msk        (0x20000000UL)            /*!< DU3UP_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU4LO_SC_Pos        (30UL)                    /*!< DU4LO_SC (Bit 30)                                     */
#define ADC1_STSCLR_1_DU4LO_SC_Msk        (0x40000000UL)            /*!< DU4LO_SC (Bitfield-Mask: 0x01)                        */
#define ADC1_STSCLR_1_DU4UP_SC_Pos        (31UL)                    /*!< DU4UP_SC (Bit 31)                                     */
#define ADC1_STSCLR_1_DU4UP_SC_Msk        (0x80000000UL)            /*!< DU4UP_SC (Bitfield-Mask: 0x01)                        */
/* ======================================================  TH0_3_LOWER  ====================================================== */
#define ADC1_TH0_3_LOWER_CH0_LOW_Pos      (0UL)                     /*!< CH0_LOW (Bit 0)                                       */
#define ADC1_TH0_3_LOWER_CH0_LOW_Msk      (0xffUL)                  /*!< CH0_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH0_3_LOWER_CH1_LOW_Pos      (8UL)                     /*!< CH1_LOW (Bit 8)                                       */
#define ADC1_TH0_3_LOWER_CH1_LOW_Msk      (0xff00UL)                /*!< CH1_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH0_3_LOWER_CH2_LOW_Pos      (16UL)                    /*!< CH2_LOW (Bit 16)                                      */
#define ADC1_TH0_3_LOWER_CH2_LOW_Msk      (0xff0000UL)              /*!< CH2_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH0_3_LOWER_CH3_LOW_Pos      (24UL)                    /*!< CH3_LOW (Bit 24)                                      */
#define ADC1_TH0_3_LOWER_CH3_LOW_Msk      (0xff000000UL)            /*!< CH3_LOW (Bitfield-Mask: 0xff)                         */
/* ======================================================  TH0_3_UPPER  ====================================================== */
#define ADC1_TH0_3_UPPER_CH0_UP_Pos       (0UL)                     /*!< CH0_UP (Bit 0)                                        */
#define ADC1_TH0_3_UPPER_CH0_UP_Msk       (0xffUL)                  /*!< CH0_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH0_3_UPPER_CH1_UP_Pos       (8UL)                     /*!< CH1_UP (Bit 8)                                        */
#define ADC1_TH0_3_UPPER_CH1_UP_Msk       (0xff00UL)                /*!< CH1_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH0_3_UPPER_CH2_UP_Pos       (16UL)                    /*!< CH2_UP (Bit 16)                                       */
#define ADC1_TH0_3_UPPER_CH2_UP_Msk       (0xff0000UL)              /*!< CH2_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH0_3_UPPER_CH3_UP_Pos       (24UL)                    /*!< CH3_UP (Bit 24)                                       */
#define ADC1_TH0_3_UPPER_CH3_UP_Msk       (0xff000000UL)            /*!< CH3_UP (Bitfield-Mask: 0xff)                          */
/* ======================================================  TH4_7_LOWER  ====================================================== */
#define ADC1_TH4_7_LOWER_CH4_LOW_Pos      (0UL)                     /*!< CH4_LOW (Bit 0)                                       */
#define ADC1_TH4_7_LOWER_CH4_LOW_Msk      (0xffUL)                  /*!< CH4_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH4_7_LOWER_CH5_LOW_Pos      (8UL)                     /*!< CH5_LOW (Bit 8)                                       */
#define ADC1_TH4_7_LOWER_CH5_LOW_Msk      (0xff00UL)                /*!< CH5_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH4_7_LOWER_CH6_LOW_Pos      (16UL)                    /*!< CH6_LOW (Bit 16)                                      */
#define ADC1_TH4_7_LOWER_CH6_LOW_Msk      (0xff0000UL)              /*!< CH6_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH4_7_LOWER_CH7_LOW_Pos      (24UL)                    /*!< CH7_LOW (Bit 24)                                      */
#define ADC1_TH4_7_LOWER_CH7_LOW_Msk      (0xff000000UL)            /*!< CH7_LOW (Bitfield-Mask: 0xff)                         */
/* ======================================================  TH4_7_UPPER  ====================================================== */
#define ADC1_TH4_7_UPPER_CH4_UP_Pos       (0UL)                     /*!< CH4_UP (Bit 0)                                        */
#define ADC1_TH4_7_UPPER_CH4_UP_Msk       (0xffUL)                  /*!< CH4_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH4_7_UPPER_CH5_UP_Pos       (8UL)                     /*!< CH5_UP (Bit 8)                                        */
#define ADC1_TH4_7_UPPER_CH5_UP_Msk       (0xff00UL)                /*!< CH5_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH4_7_UPPER_CH6_UP_Pos       (16UL)                    /*!< CH6_UP (Bit 16)                                       */
#define ADC1_TH4_7_UPPER_CH6_UP_Msk       (0xff0000UL)              /*!< CH6_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH4_7_UPPER_CH7_UP_Pos       (24UL)                    /*!< CH7_UP (Bit 24)                                       */
#define ADC1_TH4_7_UPPER_CH7_UP_Msk       (0xff000000UL)            /*!< CH7_UP (Bitfield-Mask: 0xff)                          */
/* =====================================================  TH8_11_LOWER  ====================================================== */
#define ADC1_TH8_11_LOWER_CH8_LOW_Pos     (0UL)                     /*!< CH8_LOW (Bit 0)                                       */
#define ADC1_TH8_11_LOWER_CH8_LOW_Msk     (0xffUL)                  /*!< CH8_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH8_11_LOWER_CH9_LOW_Pos     (8UL)                     /*!< CH9_LOW (Bit 8)                                       */
#define ADC1_TH8_11_LOWER_CH9_LOW_Msk     (0xff00UL)                /*!< CH9_LOW (Bitfield-Mask: 0xff)                         */
#define ADC1_TH8_11_LOWER_CH10_LOW_Pos    (16UL)                    /*!< CH10_LOW (Bit 16)                                     */
#define ADC1_TH8_11_LOWER_CH10_LOW_Msk    (0xff0000UL)              /*!< CH10_LOW (Bitfield-Mask: 0xff)                        */
#define ADC1_TH8_11_LOWER_CH11_LOW_Pos    (24UL)                    /*!< CH11_LOW (Bit 24)                                     */
#define ADC1_TH8_11_LOWER_CH11_LOW_Msk    (0xff000000UL)            /*!< CH11_LOW (Bitfield-Mask: 0xff)                        */
/* =====================================================  TH8_11_UPPER  ====================================================== */
#define ADC1_TH8_11_UPPER_CH8_UP_Pos      (0UL)                     /*!< CH8_UP (Bit 0)                                        */
#define ADC1_TH8_11_UPPER_CH8_UP_Msk      (0xffUL)                  /*!< CH8_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH8_11_UPPER_CH9_UP_Pos      (8UL)                     /*!< CH9_UP (Bit 8)                                        */
#define ADC1_TH8_11_UPPER_CH9_UP_Msk      (0xff00UL)                /*!< CH9_UP (Bitfield-Mask: 0xff)                          */
#define ADC1_TH8_11_UPPER_CH10_UP_Pos     (16UL)                    /*!< CH10_UP (Bit 16)                                      */
#define ADC1_TH8_11_UPPER_CH10_UP_Msk     (0xff0000UL)              /*!< CH10_UP (Bitfield-Mask: 0xff)                         */
#define ADC1_TH8_11_UPPER_CH11_UP_Pos     (24UL)                    /*!< CH11_UP (Bit 24)                                      */
#define ADC1_TH8_11_UPPER_CH11_UP_Msk     (0xff000000UL)            /*!< CH11_UP (Bitfield-Mask: 0xff)                         */


/* =========================================================================================================================== */
/* ================                                           ADC2                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  CAL_CH0_1  ======================================================= */
#define ADC2_CAL_CH0_1_OFFS_CH0_Pos       (0UL)                     /*!< OFFS_CH0 (Bit 0)                                      */
#define ADC2_CAL_CH0_1_OFFS_CH0_Msk       (0x1fUL)                  /*!< OFFS_CH0 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH0_1_GAIN_CH0_Pos       (8UL)                     /*!< GAIN_CH0 (Bit 8)                                      */
#define ADC2_CAL_CH0_1_GAIN_CH0_Msk       (0xff00UL)                /*!< GAIN_CH0 (Bitfield-Mask: 0xff)                        */
#define ADC2_CAL_CH0_1_OFFS_CH1_Pos       (16UL)                    /*!< OFFS_CH1 (Bit 16)                                     */
#define ADC2_CAL_CH0_1_OFFS_CH1_Msk       (0x1f0000UL)              /*!< OFFS_CH1 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH0_1_GAIN_CH1_Pos       (24UL)                    /*!< GAIN_CH1 (Bit 24)                                     */
#define ADC2_CAL_CH0_1_GAIN_CH1_Msk       (0xff000000UL)            /*!< GAIN_CH1 (Bitfield-Mask: 0xff)                        */
/* =======================================================  CAL_CH2_3  ======================================================= */
#define ADC2_CAL_CH2_3_OFFS_CH2_Pos       (0UL)                     /*!< OFFS_CH2 (Bit 0)                                      */
#define ADC2_CAL_CH2_3_OFFS_CH2_Msk       (0x1fUL)                  /*!< OFFS_CH2 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH2_3_GAIN_CH2_Pos       (8UL)                     /*!< GAIN_CH2 (Bit 8)                                      */
#define ADC2_CAL_CH2_3_GAIN_CH2_Msk       (0xff00UL)                /*!< GAIN_CH2 (Bitfield-Mask: 0xff)                        */
#define ADC2_CAL_CH2_3_OFFS_CH3_Pos       (16UL)                    /*!< OFFS_CH3 (Bit 16)                                     */
#define ADC2_CAL_CH2_3_OFFS_CH3_Msk       (0x1f0000UL)              /*!< OFFS_CH3 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH2_3_GAIN_CH3_Pos       (24UL)                    /*!< GAIN_CH3 (Bit 24)                                     */
#define ADC2_CAL_CH2_3_GAIN_CH3_Msk       (0xff000000UL)            /*!< GAIN_CH3 (Bitfield-Mask: 0xff)                        */
/* =======================================================  CAL_CH4_5  ======================================================= */
#define ADC2_CAL_CH4_5_OFFS_CH4_Pos       (0UL)                     /*!< OFFS_CH4 (Bit 0)                                      */
#define ADC2_CAL_CH4_5_OFFS_CH4_Msk       (0x1fUL)                  /*!< OFFS_CH4 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH4_5_GAIN_CH4_Pos       (8UL)                     /*!< GAIN_CH4 (Bit 8)                                      */
#define ADC2_CAL_CH4_5_GAIN_CH4_Msk       (0xff00UL)                /*!< GAIN_CH4 (Bitfield-Mask: 0xff)                        */
#define ADC2_CAL_CH4_5_OFFS_CH5_Pos       (16UL)                    /*!< OFFS_CH5 (Bit 16)                                     */
#define ADC2_CAL_CH4_5_OFFS_CH5_Msk       (0x1f0000UL)              /*!< OFFS_CH5 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH4_5_GAIN_CH5_Pos       (24UL)                    /*!< GAIN_CH5 (Bit 24)                                     */
#define ADC2_CAL_CH4_5_GAIN_CH5_Msk       (0xff000000UL)            /*!< GAIN_CH5 (Bitfield-Mask: 0xff)                        */
/* =======================================================  CAL_CH6_7  ======================================================= */
#define ADC2_CAL_CH6_7_OFFS_CH6_Pos       (0UL)                     /*!< OFFS_CH6 (Bit 0)                                      */
#define ADC2_CAL_CH6_7_OFFS_CH6_Msk       (0x1fUL)                  /*!< OFFS_CH6 (Bitfield-Mask: 0x1f)                        */
#define ADC2_CAL_CH6_7_GAIN_CH6_Pos       (8UL)                     /*!< GAIN_CH6 (Bit 8)                                      */
#define ADC2_CAL_CH6_7_GAIN_CH6_Msk       (0xff00UL)                /*!< GAIN_CH6 (Bitfield-Mask: 0xff)                        */
/* ========================================================  CHx_EIM  ======================================================== */
#define ADC2_CHx_EIM_CHx_SEL_Pos          (0UL)                     /*!< CHx_SEL (Bit 0)                                       */
#define ADC2_CHx_EIM_CHx_SEL_Msk          (0x7UL)                   /*!< CHx_SEL (Bitfield-Mask: 0x07)                         */
#define ADC2_CHx_EIM_REP_Pos              (8UL)                     /*!< REP (Bit 8)                                           */
#define ADC2_CHx_EIM_REP_Msk              (0x700UL)                 /*!< REP (Bitfield-Mask: 0x07)                             */
#define ADC2_CHx_EIM_EN_Pos               (11UL)                    /*!< EN (Bit 11)                                           */
#define ADC2_CHx_EIM_EN_Msk               (0x800UL)                 /*!< EN (Bitfield-Mask: 0x01)                              */
#define ADC2_CHx_EIM_SEL_Pos              (12UL)                    /*!< SEL (Bit 12)                                          */
#define ADC2_CHx_EIM_SEL_Msk              (0x1000UL)                /*!< SEL (Bitfield-Mask: 0x01)                             */
/* =====================================================  CNT0_3_LOWER  ====================================================== */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH0_Pos  (0UL)                     /*!< CNT_LO_CH0 (Bit 0)                                    */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH0_Msk  (0x7UL)                   /*!< CNT_LO_CH0 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH0_Pos (3UL)                     /*!< HYST_LO_CH0 (Bit 3)                                   */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH0_Msk (0x18UL)                  /*!< HYST_LO_CH0 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH1_Pos  (8UL)                     /*!< CNT_LO_CH1 (Bit 8)                                    */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH1_Msk  (0x700UL)                 /*!< CNT_LO_CH1 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH1_Pos (11UL)                    /*!< HYST_LO_CH1 (Bit 11)                                  */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH1_Msk (0x1800UL)                /*!< HYST_LO_CH1 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH2_Pos  (16UL)                    /*!< CNT_LO_CH2 (Bit 16)                                   */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH2_Msk  (0x70000UL)               /*!< CNT_LO_CH2 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH2_Pos (19UL)                    /*!< HYST_LO_CH2 (Bit 19)                                  */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH2_Msk (0x180000UL)              /*!< HYST_LO_CH2 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH3_Pos  (24UL)                    /*!< CNT_LO_CH3 (Bit 24)                                   */
#define ADC2_CNT0_3_LOWER_CNT_LO_CH3_Msk  (0x7000000UL)             /*!< CNT_LO_CH3 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH3_Pos (27UL)                    /*!< HYST_LO_CH3 (Bit 27)                                  */
#define ADC2_CNT0_3_LOWER_HYST_LO_CH3_Msk (0x18000000UL)            /*!< HYST_LO_CH3 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT0_3_UPPER  ====================================================== */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH0_Pos  (0UL)                     /*!< CNT_UP_CH0 (Bit 0)                                    */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH0_Msk  (0x7UL)                   /*!< CNT_UP_CH0 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH0_Pos (3UL)                     /*!< HYST_UP_CH0 (Bit 3)                                   */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH0_Msk (0x18UL)                  /*!< HYST_UP_CH0 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH1_Pos  (8UL)                     /*!< CNT_UP_CH1 (Bit 8)                                    */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH1_Msk  (0x700UL)                 /*!< CNT_UP_CH1 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH1_Pos (11UL)                    /*!< HYST_UP_CH1 (Bit 11)                                  */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH1_Msk (0x1800UL)                /*!< HYST_UP_CH1 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH2_Pos  (16UL)                    /*!< CNT_UP_CH2 (Bit 16)                                   */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH2_Msk  (0x70000UL)               /*!< CNT_UP_CH2 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH2_Pos (19UL)                    /*!< HYST_UP_CH2 (Bit 19)                                  */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH2_Msk (0x180000UL)              /*!< HYST_UP_CH2 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH3_Pos  (24UL)                    /*!< CNT_UP_CH3 (Bit 24)                                   */
#define ADC2_CNT0_3_UPPER_CNT_UP_CH3_Msk  (0x7000000UL)             /*!< CNT_UP_CH3 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH3_Pos (27UL)                    /*!< HYST_UP_CH3 (Bit 27)                                  */
#define ADC2_CNT0_3_UPPER_HYST_UP_CH3_Msk (0x18000000UL)            /*!< HYST_UP_CH3 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT4_7_LOWER  ====================================================== */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH4_Pos  (0UL)                     /*!< CNT_LO_CH4 (Bit 0)                                    */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH4_Msk  (0x7UL)                   /*!< CNT_LO_CH4 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH4_Pos (3UL)                     /*!< HYST_LO_CH4 (Bit 3)                                   */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH4_Msk (0x18UL)                  /*!< HYST_LO_CH4 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH5_Pos  (8UL)                     /*!< CNT_LO_CH5 (Bit 8)                                    */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH5_Msk  (0x700UL)                 /*!< CNT_LO_CH5 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH5_Pos (11UL)                    /*!< HYST_LO_CH5 (Bit 11)                                  */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH5_Msk (0x1800UL)                /*!< HYST_LO_CH5 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH6_Pos  (16UL)                    /*!< CNT_LO_CH6 (Bit 16)                                   */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH6_Msk  (0x70000UL)               /*!< CNT_LO_CH6 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH6_Pos (19UL)                    /*!< HYST_LO_CH6 (Bit 19)                                  */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH6_Msk (0x180000UL)              /*!< HYST_LO_CH6 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH7_Pos  (24UL)                    /*!< CNT_LO_CH7 (Bit 24)                                   */
#define ADC2_CNT4_7_LOWER_CNT_LO_CH7_Msk  (0x7000000UL)             /*!< CNT_LO_CH7 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH7_Pos (27UL)                    /*!< HYST_LO_CH7 (Bit 27)                                  */
#define ADC2_CNT4_7_LOWER_HYST_LO_CH7_Msk (0x18000000UL)            /*!< HYST_LO_CH7 (Bitfield-Mask: 0x03)                     */
/* =====================================================  CNT4_7_UPPER  ====================================================== */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH4_Pos  (0UL)                     /*!< CNT_UP_CH4 (Bit 0)                                    */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH4_Msk  (0x7UL)                   /*!< CNT_UP_CH4 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH4_Pos (3UL)                     /*!< HYST_UP_CH4 (Bit 3)                                   */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH4_Msk (0x18UL)                  /*!< HYST_UP_CH4 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH5_Pos  (8UL)                     /*!< CNT_UP_CH5 (Bit 8)                                    */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH5_Msk  (0x700UL)                 /*!< CNT_UP_CH5 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH5_Pos (11UL)                    /*!< HYST_UP_CH5 (Bit 11)                                  */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH5_Msk (0x1800UL)                /*!< HYST_UP_CH5 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH6_Pos  (16UL)                    /*!< CNT_UP_CH6 (Bit 16)                                   */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH6_Msk  (0x70000UL)               /*!< CNT_UP_CH6 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH6_Pos (19UL)                    /*!< HYST_UP_CH6 (Bit 19)                                  */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH6_Msk (0x180000UL)              /*!< HYST_UP_CH6 (Bitfield-Mask: 0x03)                     */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH7_Pos  (24UL)                    /*!< CNT_UP_CH7 (Bit 24)                                   */
#define ADC2_CNT4_7_UPPER_CNT_UP_CH7_Msk  (0x7000000UL)             /*!< CNT_UP_CH7 (Bitfield-Mask: 0x07)                      */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH7_Pos (27UL)                    /*!< HYST_UP_CH7 (Bit 27)                                  */
#define ADC2_CNT4_7_UPPER_HYST_UP_CH7_Msk (0x18000000UL)            /*!< HYST_UP_CH7 (Bitfield-Mask: 0x03)                     */
/* =======================================================  CTRL_STS  ======================================================== */
#define ADC2_CTRL_STS_SOS_Pos             (2UL)                     /*!< SOS (Bit 2)                                           */
#define ADC2_CTRL_STS_SOS_Msk             (0x4UL)                   /*!< SOS (Bitfield-Mask: 0x01)                             */
#define ADC2_CTRL_STS_EOC_Pos             (3UL)                     /*!< EOC (Bit 3)                                           */
#define ADC2_CTRL_STS_EOC_Msk             (0x8UL)                   /*!< EOC (Bitfield-Mask: 0x01)                             */
#define ADC2_CTRL_STS_IN_MUX_SEL_Pos      (8UL)                     /*!< IN_MUX_SEL (Bit 8)                                    */
#define ADC2_CTRL_STS_IN_MUX_SEL_Msk      (0xf00UL)                 /*!< IN_MUX_SEL (Bitfield-Mask: 0x0f)                      */
/* =========================================================  CTRL1  ========================================================= */
#define ADC2_CTRL1_CALIB_EN_6_0_Pos       (0UL)                     /*!< CALIB_EN_6_0 (Bit 0)                                  */
#define ADC2_CTRL1_CALIB_EN_6_0_Msk       (0x7fUL)                  /*!< CALIB_EN_6_0 (Bitfield-Mask: 0x7f)                    */
/* =========================================================  CTRL2  ========================================================= */
#define ADC2_CTRL2_MCM_PD_N_Pos           (0UL)                     /*!< MCM_PD_N (Bit 0)                                      */
#define ADC2_CTRL2_MCM_PD_N_Msk           (0x1UL)                   /*!< MCM_PD_N (Bitfield-Mask: 0x01)                        */
#define ADC2_CTRL2_MCM_RDY_Pos            (7UL)                     /*!< MCM_RDY (Bit 7)                                       */
#define ADC2_CTRL2_MCM_RDY_Msk            (0x80UL)                  /*!< MCM_RDY (Bitfield-Mask: 0x01)                         */
#define ADC2_CTRL2_SAMPLE_TIME_int_Pos    (8UL)                     /*!< SAMPLE_TIME_int (Bit 8)                               */
#define ADC2_CTRL2_SAMPLE_TIME_int_Msk    (0xf00UL)                 /*!< SAMPLE_TIME_int (Bitfield-Mask: 0x0f)                 */
/* =========================================================  CTRL4  ========================================================= */
#define ADC2_CTRL4_FILT_OUT_SEL_6_0_Pos   (0UL)                     /*!< FILT_OUT_SEL_6_0 (Bit 0)                              */
#define ADC2_CTRL4_FILT_OUT_SEL_6_0_Msk   (0x7fUL)                  /*!< FILT_OUT_SEL_6_0 (Bitfield-Mask: 0x7f)                */
/* =====================================================  FILT_LO_CTRL  ====================================================== */
#define ADC2_FILT_LO_CTRL_LOEN_Ch0_Pos    (0UL)                     /*!< LOEN_Ch0 (Bit 0)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch0_Msk    (0x1UL)                   /*!< LOEN_Ch0 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch1_Pos    (1UL)                     /*!< LOEN_Ch1 (Bit 1)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch1_Msk    (0x2UL)                   /*!< LOEN_Ch1 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch2_Pos    (2UL)                     /*!< LOEN_Ch2 (Bit 2)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch2_Msk    (0x4UL)                   /*!< LOEN_Ch2 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch3_Pos    (3UL)                     /*!< LOEN_Ch3 (Bit 3)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch3_Msk    (0x8UL)                   /*!< LOEN_Ch3 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch4_Pos    (4UL)                     /*!< LOEN_Ch4 (Bit 4)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch4_Msk    (0x10UL)                  /*!< LOEN_Ch4 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch5_Pos    (5UL)                     /*!< LOEN_Ch5 (Bit 5)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch5_Msk    (0x20UL)                  /*!< LOEN_Ch5 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_LO_CTRL_LOEN_Ch6_Pos    (6UL)                     /*!< LOEN_Ch6 (Bit 6)                                      */
#define ADC2_FILT_LO_CTRL_LOEN_Ch6_Msk    (0x40UL)                  /*!< LOEN_Ch6 (Bitfield-Mask: 0x01)                        */
/* =======================================================  FILT_OUT0  ======================================================= */
#define ADC2_FILT_OUT0_OUT_CH0_Pos        (0UL)                     /*!< OUT_CH0 (Bit 0)                                       */
#define ADC2_FILT_OUT0_OUT_CH0_Msk        (0x3ffUL)                 /*!< OUT_CH0 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT1  ======================================================= */
#define ADC2_FILT_OUT1_OUT_CH1_Pos        (0UL)                     /*!< OUT_CH1 (Bit 0)                                       */
#define ADC2_FILT_OUT1_OUT_CH1_Msk        (0x3ffUL)                 /*!< OUT_CH1 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT2  ======================================================= */
#define ADC2_FILT_OUT2_OUT_CH2_Pos        (0UL)                     /*!< OUT_CH2 (Bit 0)                                       */
#define ADC2_FILT_OUT2_OUT_CH2_Msk        (0x3ffUL)                 /*!< OUT_CH2 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT3  ======================================================= */
#define ADC2_FILT_OUT3_OUT_CH3_Pos        (0UL)                     /*!< OUT_CH3 (Bit 0)                                       */
#define ADC2_FILT_OUT3_OUT_CH3_Msk        (0x3ffUL)                 /*!< OUT_CH3 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT4  ======================================================= */
#define ADC2_FILT_OUT4_OUT_CH4_Pos        (0UL)                     /*!< OUT_CH4 (Bit 0)                                       */
#define ADC2_FILT_OUT4_OUT_CH4_Msk        (0x3ffUL)                 /*!< OUT_CH4 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT5  ======================================================= */
#define ADC2_FILT_OUT5_OUT_CH5_Pos        (0UL)                     /*!< OUT_CH5 (Bit 0)                                       */
#define ADC2_FILT_OUT5_OUT_CH5_Msk        (0x3ffUL)                 /*!< OUT_CH5 (Bitfield-Mask: 0x3ff)                        */
/* =======================================================  FILT_OUT6  ======================================================= */
#define ADC2_FILT_OUT6_OUT_CH6_Pos        (0UL)                     /*!< OUT_CH6 (Bit 0)                                       */
#define ADC2_FILT_OUT6_OUT_CH6_Msk        (0x3ffUL)                 /*!< OUT_CH6 (Bitfield-Mask: 0x3ff)                        */
/* =====================================================  FILT_UP_CTRL  ====================================================== */
#define ADC2_FILT_UP_CTRL_UPEN_Ch0_Pos    (0UL)                     /*!< UPEN_Ch0 (Bit 0)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch0_Msk    (0x1UL)                   /*!< UPEN_Ch0 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch1_Pos    (1UL)                     /*!< UPEN_Ch1 (Bit 1)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch1_Msk    (0x2UL)                   /*!< UPEN_Ch1 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch2_Pos    (2UL)                     /*!< UPEN_Ch2 (Bit 2)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch2_Msk    (0x4UL)                   /*!< UPEN_Ch2 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch3_Pos    (3UL)                     /*!< UPEN_Ch3 (Bit 3)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch3_Msk    (0x8UL)                   /*!< UPEN_Ch3 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch4_Pos    (4UL)                     /*!< UPEN_Ch4 (Bit 4)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch4_Msk    (0x10UL)                  /*!< UPEN_Ch4 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch5_Pos    (5UL)                     /*!< UPEN_Ch5 (Bit 5)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch5_Msk    (0x20UL)                  /*!< UPEN_Ch5 (Bitfield-Mask: 0x01)                        */
#define ADC2_FILT_UP_CTRL_UPEN_Ch6_Pos    (6UL)                     /*!< UPEN_Ch6 (Bit 6)                                      */
#define ADC2_FILT_UP_CTRL_UPEN_Ch6_Msk    (0x40UL)                  /*!< UPEN_Ch6 (Bitfield-Mask: 0x01)                        */
/* =====================================================  FILTCOEFF0_7  ====================================================== */
#define ADC2_FILTCOEFF0_7_A_CH0_Pos       (0UL)                     /*!< A_CH0 (Bit 0)                                         */
#define ADC2_FILTCOEFF0_7_A_CH0_Msk       (0x3UL)                   /*!< A_CH0 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH1_Pos       (2UL)                     /*!< A_CH1 (Bit 2)                                         */
#define ADC2_FILTCOEFF0_7_A_CH1_Msk       (0xcUL)                   /*!< A_CH1 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH2_Pos       (4UL)                     /*!< A_CH2 (Bit 4)                                         */
#define ADC2_FILTCOEFF0_7_A_CH2_Msk       (0x30UL)                  /*!< A_CH2 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH3_Pos       (6UL)                     /*!< A_CH3 (Bit 6)                                         */
#define ADC2_FILTCOEFF0_7_A_CH3_Msk       (0xc0UL)                  /*!< A_CH3 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH4_Pos       (8UL)                     /*!< A_CH4 (Bit 8)                                         */
#define ADC2_FILTCOEFF0_7_A_CH4_Msk       (0x300UL)                 /*!< A_CH4 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH5_Pos       (10UL)                    /*!< A_CH5 (Bit 10)                                        */
#define ADC2_FILTCOEFF0_7_A_CH5_Msk       (0xc00UL)                 /*!< A_CH5 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH6_Pos       (12UL)                    /*!< A_CH6 (Bit 12)                                        */
#define ADC2_FILTCOEFF0_7_A_CH6_Msk       (0x3000UL)                /*!< A_CH6 (Bitfield-Mask: 0x03)                           */
#define ADC2_FILTCOEFF0_7_A_CH7_Pos       (14UL)                    /*!< A_CH7 (Bit 14)                                        */
#define ADC2_FILTCOEFF0_7_A_CH7_Msk       (0xc000UL)                /*!< A_CH7 (Bitfield-Mask: 0x03)                           */
/* =======================================================  MAX_TIME  ======================================================== */
#define ADC2_MAX_TIME_MAX_TIME_Pos        (0UL)                     /*!< MAX_TIME (Bit 0)                                      */
#define ADC2_MAX_TIME_MAX_TIME_Msk        (0xffUL)                  /*!< MAX_TIME (Bitfield-Mask: 0xff)                        */
/* =======================================================  MMODE0_7  ======================================================== */
#define ADC2_MMODE0_7_MSEL_Ch0_Pos        (0UL)                     /*!< MSEL_Ch0 (Bit 0)                                      */
#define ADC2_MMODE0_7_MSEL_Ch0_Msk        (0x3UL)                   /*!< MSEL_Ch0 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch1_Pos        (2UL)                     /*!< MSEL_Ch1 (Bit 2)                                      */
#define ADC2_MMODE0_7_MSEL_Ch1_Msk        (0xcUL)                   /*!< MSEL_Ch1 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch2_Pos        (4UL)                     /*!< MSEL_Ch2 (Bit 4)                                      */
#define ADC2_MMODE0_7_MSEL_Ch2_Msk        (0x30UL)                  /*!< MSEL_Ch2 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch3_Pos        (6UL)                     /*!< MSEL_Ch3 (Bit 6)                                      */
#define ADC2_MMODE0_7_MSEL_Ch3_Msk        (0xc0UL)                  /*!< MSEL_Ch3 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch4_Pos        (8UL)                     /*!< MSEL_Ch4 (Bit 8)                                      */
#define ADC2_MMODE0_7_MSEL_Ch4_Msk        (0x300UL)                 /*!< MSEL_Ch4 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch5_Pos        (10UL)                    /*!< MSEL_Ch5 (Bit 10)                                     */
#define ADC2_MMODE0_7_MSEL_Ch5_Msk        (0xc00UL)                 /*!< MSEL_Ch5 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch6_Pos        (12UL)                    /*!< MSEL_Ch6 (Bit 12)                                     */
#define ADC2_MMODE0_7_MSEL_Ch6_Msk        (0x3000UL)                /*!< MSEL_Ch6 (Bitfield-Mask: 0x03)                        */
#define ADC2_MMODE0_7_MSEL_Ch7_Pos        (14UL)                    /*!< MSEL_Ch7 (Bit 14)                                     */
#define ADC2_MMODE0_7_MSEL_Ch7_Msk        (0xc000UL)                /*!< MSEL_Ch7 (Bitfield-Mask: 0x03)                        */
/* =========================================================  SQ_FB  ========================================================= */
#define ADC2_SQ_FB_SQ_FB_Pos              (0UL)                     /*!< SQ_FB (Bit 0)                                         */
#define ADC2_SQ_FB_SQ_FB_Msk              (0xfUL)                   /*!< SQ_FB (Bitfield-Mask: 0x0f)                           */
#define ADC2_SQ_FB_SQ_STOP_Pos            (8UL)                     /*!< SQ_STOP (Bit 8)                                       */
#define ADC2_SQ_FB_SQ_STOP_Msk            (0x100UL)                 /*!< SQ_STOP (Bitfield-Mask: 0x01)                         */
#define ADC2_SQ_FB_EIM_ACTIVE_Pos         (9UL)                     /*!< EIM_ACTIVE (Bit 9)                                    */
#define ADC2_SQ_FB_EIM_ACTIVE_Msk         (0x200UL)                 /*!< EIM_ACTIVE (Bitfield-Mask: 0x01)                      */
#define ADC2_SQ_FB_SQx_STS_Pos            (11UL)                    /*!< SQx_STS (Bit 11)                                      */
#define ADC2_SQ_FB_SQx_STS_Msk            (0x3800UL)                /*!< SQx_STS (Bitfield-Mask: 0x07)                         */
#define ADC2_SQ_FB_CHx_STS_Pos            (16UL)                    /*!< CHx_STS (Bit 16)                                      */
#define ADC2_SQ_FB_CHx_STS_Msk            (0xf0000UL)               /*!< CHx_STS (Bitfield-Mask: 0x0f)                         */
/* =========================================================  SQ1_4  ========================================================= */
#define ADC2_SQ1_4_SQ1_Pos                (0UL)                     /*!< SQ1 (Bit 0)                                           */
#define ADC2_SQ1_4_SQ1_Msk                (0x7fUL)                  /*!< SQ1 (Bitfield-Mask: 0x7f)                             */
#define ADC2_SQ1_4_SQ2_Pos                (8UL)                     /*!< SQ2 (Bit 8)                                           */
#define ADC2_SQ1_4_SQ2_Msk                (0x7f00UL)                /*!< SQ2 (Bitfield-Mask: 0x7f)                             */
#define ADC2_SQ1_4_SQ3_Pos                (16UL)                    /*!< SQ3 (Bit 16)                                          */
#define ADC2_SQ1_4_SQ3_Msk                (0x7f0000UL)              /*!< SQ3 (Bitfield-Mask: 0x7f)                             */
#define ADC2_SQ1_4_SQ4_Pos                (24UL)                    /*!< SQ4 (Bit 24)                                          */
#define ADC2_SQ1_4_SQ4_Msk                (0x7f000000UL)            /*!< SQ4 (Bitfield-Mask: 0x7f)                             */
/* =========================================================  SQ5_8  ========================================================= */
#define ADC2_SQ5_8_SQ5_Pos                (0UL)                     /*!< SQ5 (Bit 0)                                           */
#define ADC2_SQ5_8_SQ5_Msk                (0x7fUL)                  /*!< SQ5 (Bitfield-Mask: 0x7f)                             */
#define ADC2_SQ5_8_SQ6_Pos                (8UL)                     /*!< SQ6 (Bit 8)                                           */
#define ADC2_SQ5_8_SQ6_Msk                (0x7f00UL)                /*!< SQ6 (Bitfield-Mask: 0x7f)                             */
#define ADC2_SQ5_8_SQ7_Pos                (16UL)                    /*!< SQ7 (Bit 16)                                          */
#define ADC2_SQ5_8_SQ7_Msk                (0x7f0000UL)              /*!< SQ7 (Bitfield-Mask: 0x7f)                             */
/* ========================================================  STATUS  ========================================================= */
#define ADC2_STATUS_READY_Pos             (1UL)                     /*!< READY (Bit 1)                                         */
#define ADC2_STATUS_READY_Msk             (0x2UL)                   /*!< READY (Bitfield-Mask: 0x01)                           */
/* ======================================================  TH0_3_LOWER  ====================================================== */
#define ADC2_TH0_3_LOWER_THLO_CH0_Pos     (0UL)                     /*!< THLO_CH0 (Bit 0)                                      */
#define ADC2_TH0_3_LOWER_THLO_CH0_Msk     (0xffUL)                  /*!< THLO_CH0 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_LOWER_THLO_CH1_Pos     (8UL)                     /*!< THLO_CH1 (Bit 8)                                      */
#define ADC2_TH0_3_LOWER_THLO_CH1_Msk     (0xff00UL)                /*!< THLO_CH1 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_LOWER_THLO_CH2_Pos     (16UL)                    /*!< THLO_CH2 (Bit 16)                                     */
#define ADC2_TH0_3_LOWER_THLO_CH2_Msk     (0xff0000UL)              /*!< THLO_CH2 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_LOWER_THLO_CH3_Pos     (24UL)                    /*!< THLO_CH3 (Bit 24)                                     */
#define ADC2_TH0_3_LOWER_THLO_CH3_Msk     (0xff000000UL)            /*!< THLO_CH3 (Bitfield-Mask: 0xff)                        */
/* ======================================================  TH0_3_UPPER  ====================================================== */
#define ADC2_TH0_3_UPPER_THUP_CH0_Pos     (0UL)                     /*!< THUP_CH0 (Bit 0)                                      */
#define ADC2_TH0_3_UPPER_THUP_CH0_Msk     (0xffUL)                  /*!< THUP_CH0 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_UPPER_THUP_CH1_Pos     (8UL)                     /*!< THUP_CH1 (Bit 8)                                      */
#define ADC2_TH0_3_UPPER_THUP_CH1_Msk     (0xff00UL)                /*!< THUP_CH1 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_UPPER_THUP_CH2_Pos     (16UL)                    /*!< THUP_CH2 (Bit 16)                                     */
#define ADC2_TH0_3_UPPER_THUP_CH2_Msk     (0xff0000UL)              /*!< THUP_CH2 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH0_3_UPPER_THUP_CH3_Pos     (24UL)                    /*!< THUP_CH3 (Bit 24)                                     */
#define ADC2_TH0_3_UPPER_THUP_CH3_Msk     (0xff000000UL)            /*!< THUP_CH3 (Bitfield-Mask: 0xff)                        */
/* ======================================================  TH4_7_LOWER  ====================================================== */
#define ADC2_TH4_7_LOWER_THLO_CH4_Pos     (0UL)                     /*!< THLO_CH4 (Bit 0)                                      */
#define ADC2_TH4_7_LOWER_THLO_CH4_Msk     (0xffUL)                  /*!< THLO_CH4 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_LOWER_THLO_CH5_Pos     (8UL)                     /*!< THLO_CH5 (Bit 8)                                      */
#define ADC2_TH4_7_LOWER_THLO_CH5_Msk     (0xff00UL)                /*!< THLO_CH5 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_LOWER_THLO_CH6_Pos     (16UL)                    /*!< THLO_CH6 (Bit 16)                                     */
#define ADC2_TH4_7_LOWER_THLO_CH6_Msk     (0xff0000UL)              /*!< THLO_CH6 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_LOWER_THLO_CH7_Pos     (24UL)                    /*!< THLO_CH7 (Bit 24)                                     */
#define ADC2_TH4_7_LOWER_THLO_CH7_Msk     (0xff000000UL)            /*!< THLO_CH7 (Bitfield-Mask: 0xff)                        */
/* ======================================================  TH4_7_UPPER  ====================================================== */
#define ADC2_TH4_7_UPPER_THUP_CH4_Pos     (0UL)                     /*!< THUP_CH4 (Bit 0)                                      */
#define ADC2_TH4_7_UPPER_THUP_CH4_Msk     (0xffUL)                  /*!< THUP_CH4 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_UPPER_THUP_CH5_Pos     (8UL)                     /*!< THUP_CH5 (Bit 8)                                      */
#define ADC2_TH4_7_UPPER_THUP_CH5_Msk     (0xff00UL)                /*!< THUP_CH5 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_UPPER_THUP_CH6_Pos     (16UL)                    /*!< THUP_CH6 (Bit 16)                                     */
#define ADC2_TH4_7_UPPER_THUP_CH6_Msk     (0xff0000UL)              /*!< THUP_CH6 (Bitfield-Mask: 0xff)                        */
#define ADC2_TH4_7_UPPER_THUP_CH7_Pos     (24UL)                    /*!< THUP_CH7 (Bit 24)                                     */
#define ADC2_TH4_7_UPPER_THUP_CH7_Msk     (0xff000000UL)            /*!< THUP_CH7 (Bitfield-Mask: 0xff)                        */


/* =========================================================================================================================== */
/* ================                                           CCU6                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CC60R  ========================================================= */
#define CCU6_CC60R_CCV_Pos                (0UL)                     /*!< CCV (Bit 0)                                           */
#define CCU6_CC60R_CCV_Msk                (0xffffUL)                /*!< CCV (Bitfield-Mask: 0xffff)                           */
/* ========================================================  CC60SR  ========================================================= */
#define CCU6_CC60SR_CCS_Pos               (0UL)                     /*!< CCS (Bit 0)                                           */
#define CCU6_CC60SR_CCS_Msk               (0xffffUL)                /*!< CCS (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CC61R  ========================================================= */
#define CCU6_CC61R_CCV_Pos                (0UL)                     /*!< CCV (Bit 0)                                           */
#define CCU6_CC61R_CCV_Msk                (0xffffUL)                /*!< CCV (Bitfield-Mask: 0xffff)                           */
/* ========================================================  CC61SR  ========================================================= */
#define CCU6_CC61SR_CCS_Pos               (0UL)                     /*!< CCS (Bit 0)                                           */
#define CCU6_CC61SR_CCS_Msk               (0xffffUL)                /*!< CCS (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CC62R  ========================================================= */
#define CCU6_CC62R_CCV_Pos                (0UL)                     /*!< CCV (Bit 0)                                           */
#define CCU6_CC62R_CCV_Msk                (0xffffUL)                /*!< CCV (Bitfield-Mask: 0xffff)                           */
/* ========================================================  CC62SR  ========================================================= */
#define CCU6_CC62SR_CCS_Pos               (0UL)                     /*!< CCS (Bit 0)                                           */
#define CCU6_CC62SR_CCS_Msk               (0xffffUL)                /*!< CCS (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CC63R  ========================================================= */
#define CCU6_CC63R_CCV_Pos                (0UL)                     /*!< CCV (Bit 0)                                           */
#define CCU6_CC63R_CCV_Msk                (0xffffUL)                /*!< CCV (Bitfield-Mask: 0xffff)                           */
/* ========================================================  CC63SR  ========================================================= */
#define CCU6_CC63SR_CCS_Pos               (0UL)                     /*!< CCS (Bit 0)                                           */
#define CCU6_CC63SR_CCS_Msk               (0xffffUL)                /*!< CCS (Bitfield-Mask: 0xffff)                           */
/* =======================================================  CMPMODIF  ======================================================== */
#define CCU6_CMPMODIF_MCC60S_Pos          (0UL)                     /*!< MCC60S (Bit 0)                                        */
#define CCU6_CMPMODIF_MCC60S_Msk          (0x1UL)                   /*!< MCC60S (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC61S_Pos          (1UL)                     /*!< MCC61S (Bit 1)                                        */
#define CCU6_CMPMODIF_MCC61S_Msk          (0x2UL)                   /*!< MCC61S (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC62S_Pos          (2UL)                     /*!< MCC62S (Bit 2)                                        */
#define CCU6_CMPMODIF_MCC62S_Msk          (0x4UL)                   /*!< MCC62S (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC63S_Pos          (6UL)                     /*!< MCC63S (Bit 6)                                        */
#define CCU6_CMPMODIF_MCC63S_Msk          (0x40UL)                  /*!< MCC63S (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC60R_Pos          (8UL)                     /*!< MCC60R (Bit 8)                                        */
#define CCU6_CMPMODIF_MCC60R_Msk          (0x100UL)                 /*!< MCC60R (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC61R_Pos          (9UL)                     /*!< MCC61R (Bit 9)                                        */
#define CCU6_CMPMODIF_MCC61R_Msk          (0x200UL)                 /*!< MCC61R (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC62R_Pos          (10UL)                    /*!< MCC62R (Bit 10)                                       */
#define CCU6_CMPMODIF_MCC62R_Msk          (0x400UL)                 /*!< MCC62R (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPMODIF_MCC63R_Pos          (14UL)                    /*!< MCC63R (Bit 14)                                       */
#define CCU6_CMPMODIF_MCC63R_Msk          (0x4000UL)                /*!< MCC63R (Bitfield-Mask: 0x01)                          */
/* ========================================================  CMPSTAT  ======================================================== */
#define CCU6_CMPSTAT_CC60ST_Pos           (0UL)                     /*!< CC60ST (Bit 0)                                        */
#define CCU6_CMPSTAT_CC60ST_Msk           (0x1UL)                   /*!< CC60ST (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CC61ST_Pos           (1UL)                     /*!< CC61ST (Bit 1)                                        */
#define CCU6_CMPSTAT_CC61ST_Msk           (0x2UL)                   /*!< CC61ST (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CC62ST_Pos           (2UL)                     /*!< CC62ST (Bit 2)                                        */
#define CCU6_CMPSTAT_CC62ST_Msk           (0x4UL)                   /*!< CC62ST (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CCPOS0_Pos           (3UL)                     /*!< CCPOS0 (Bit 3)                                        */
#define CCU6_CMPSTAT_CCPOS0_Msk           (0x8UL)                   /*!< CCPOS0 (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CCPOS1_Pos           (4UL)                     /*!< CCPOS1 (Bit 4)                                        */
#define CCU6_CMPSTAT_CCPOS1_Msk           (0x10UL)                  /*!< CCPOS1 (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CCPOS2_Pos           (5UL)                     /*!< CCPOS2 (Bit 5)                                        */
#define CCU6_CMPSTAT_CCPOS2_Msk           (0x20UL)                  /*!< CCPOS2 (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CC63ST_Pos           (6UL)                     /*!< CC63ST (Bit 6)                                        */
#define CCU6_CMPSTAT_CC63ST_Msk           (0x40UL)                  /*!< CC63ST (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_CC60PS_Pos           (8UL)                     /*!< CC60PS (Bit 8)                                        */
#define CCU6_CMPSTAT_CC60PS_Msk           (0x100UL)                 /*!< CC60PS (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_COUT60PS_Pos         (9UL)                     /*!< COUT60PS (Bit 9)                                      */
#define CCU6_CMPSTAT_COUT60PS_Msk         (0x200UL)                 /*!< COUT60PS (Bitfield-Mask: 0x01)                        */
#define CCU6_CMPSTAT_CC61PS_Pos           (10UL)                    /*!< CC61PS (Bit 10)                                       */
#define CCU6_CMPSTAT_CC61PS_Msk           (0x400UL)                 /*!< CC61PS (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_COUT61PS_Pos         (11UL)                    /*!< COUT61PS (Bit 11)                                     */
#define CCU6_CMPSTAT_COUT61PS_Msk         (0x800UL)                 /*!< COUT61PS (Bitfield-Mask: 0x01)                        */
#define CCU6_CMPSTAT_CC62PS_Pos           (12UL)                    /*!< CC62PS (Bit 12)                                       */
#define CCU6_CMPSTAT_CC62PS_Msk           (0x1000UL)                /*!< CC62PS (Bitfield-Mask: 0x01)                          */
#define CCU6_CMPSTAT_COUT62PS_Pos         (13UL)                    /*!< COUT62PS (Bit 13)                                     */
#define CCU6_CMPSTAT_COUT62PS_Msk         (0x2000UL)                /*!< COUT62PS (Bitfield-Mask: 0x01)                        */
#define CCU6_CMPSTAT_COUT63PS_Pos         (14UL)                    /*!< COUT63PS (Bit 14)                                     */
#define CCU6_CMPSTAT_COUT63PS_Msk         (0x4000UL)                /*!< COUT63PS (Bitfield-Mask: 0x01)                        */
#define CCU6_CMPSTAT_T13IM_Pos            (15UL)                    /*!< T13IM (Bit 15)                                        */
#define CCU6_CMPSTAT_T13IM_Msk            (0x8000UL)                /*!< T13IM (Bitfield-Mask: 0x01)                           */
/* ==========================================================  IEN  ========================================================== */
#define CCU6_IEN_ENCC60R_Pos              (0UL)                     /*!< ENCC60R (Bit 0)                                       */
#define CCU6_IEN_ENCC60R_Msk              (0x1UL)                   /*!< ENCC60R (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENCC60F_Pos              (1UL)                     /*!< ENCC60F (Bit 1)                                       */
#define CCU6_IEN_ENCC60F_Msk              (0x2UL)                   /*!< ENCC60F (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENCC61R_Pos              (2UL)                     /*!< ENCC61R (Bit 2)                                       */
#define CCU6_IEN_ENCC61R_Msk              (0x4UL)                   /*!< ENCC61R (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENCC61F_Pos              (3UL)                     /*!< ENCC61F (Bit 3)                                       */
#define CCU6_IEN_ENCC61F_Msk              (0x8UL)                   /*!< ENCC61F (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENCC62R_Pos              (4UL)                     /*!< ENCC62R (Bit 4)                                       */
#define CCU6_IEN_ENCC62R_Msk              (0x10UL)                  /*!< ENCC62R (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENCC62F_Pos              (5UL)                     /*!< ENCC62F (Bit 5)                                       */
#define CCU6_IEN_ENCC62F_Msk              (0x20UL)                  /*!< ENCC62F (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENT12OM_Pos              (6UL)                     /*!< ENT12OM (Bit 6)                                       */
#define CCU6_IEN_ENT12OM_Msk              (0x40UL)                  /*!< ENT12OM (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENT12PM_Pos              (7UL)                     /*!< ENT12PM (Bit 7)                                       */
#define CCU6_IEN_ENT12PM_Msk              (0x80UL)                  /*!< ENT12PM (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENT13CM_Pos              (8UL)                     /*!< ENT13CM (Bit 8)                                       */
#define CCU6_IEN_ENT13CM_Msk              (0x100UL)                 /*!< ENT13CM (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENT13PM_Pos              (9UL)                     /*!< ENT13PM (Bit 9)                                       */
#define CCU6_IEN_ENT13PM_Msk              (0x200UL)                 /*!< ENT13PM (Bitfield-Mask: 0x01)                         */
#define CCU6_IEN_ENTRPF_Pos               (10UL)                    /*!< ENTRPF (Bit 10)                                       */
#define CCU6_IEN_ENTRPF_Msk               (0x400UL)                 /*!< ENTRPF (Bitfield-Mask: 0x01)                          */
#define CCU6_IEN_ENCHE_Pos                (12UL)                    /*!< ENCHE (Bit 12)                                        */
#define CCU6_IEN_ENCHE_Msk                (0x1000UL)                /*!< ENCHE (Bitfield-Mask: 0x01)                           */
#define CCU6_IEN_ENWHE_Pos                (13UL)                    /*!< ENWHE (Bit 13)                                        */
#define CCU6_IEN_ENWHE_Msk                (0x2000UL)                /*!< ENWHE (Bitfield-Mask: 0x01)                           */
#define CCU6_IEN_ENIDLE_Pos               (14UL)                    /*!< ENIDLE (Bit 14)                                       */
#define CCU6_IEN_ENIDLE_Msk               (0x4000UL)                /*!< ENIDLE (Bitfield-Mask: 0x01)                          */
#define CCU6_IEN_ENSTR_Pos                (15UL)                    /*!< ENSTR (Bit 15)                                        */
#define CCU6_IEN_ENSTR_Msk                (0x8000UL)                /*!< ENSTR (Bitfield-Mask: 0x01)                           */
/* ==========================================================  INP  ========================================================== */
#define CCU6_INP_INPCC60_Pos              (0UL)                     /*!< INPCC60 (Bit 0)                                       */
#define CCU6_INP_INPCC60_Msk              (0x3UL)                   /*!< INPCC60 (Bitfield-Mask: 0x03)                         */
#define CCU6_INP_INPCC61_Pos              (2UL)                     /*!< INPCC61 (Bit 2)                                       */
#define CCU6_INP_INPCC61_Msk              (0xcUL)                   /*!< INPCC61 (Bitfield-Mask: 0x03)                         */
#define CCU6_INP_INPCC62_Pos              (4UL)                     /*!< INPCC62 (Bit 4)                                       */
#define CCU6_INP_INPCC62_Msk              (0x30UL)                  /*!< INPCC62 (Bitfield-Mask: 0x03)                         */
#define CCU6_INP_INPCHE_Pos               (6UL)                     /*!< INPCHE (Bit 6)                                        */
#define CCU6_INP_INPCHE_Msk               (0xc0UL)                  /*!< INPCHE (Bitfield-Mask: 0x03)                          */
#define CCU6_INP_INPERR_Pos               (8UL)                     /*!< INPERR (Bit 8)                                        */
#define CCU6_INP_INPERR_Msk               (0x300UL)                 /*!< INPERR (Bitfield-Mask: 0x03)                          */
#define CCU6_INP_INPT12_Pos               (10UL)                    /*!< INPT12 (Bit 10)                                       */
#define CCU6_INP_INPT12_Msk               (0xc00UL)                 /*!< INPT12 (Bitfield-Mask: 0x03)                          */
#define CCU6_INP_INPT13_Pos               (12UL)                    /*!< INPT13 (Bit 12)                                       */
#define CCU6_INP_INPT13_Msk               (0x3000UL)                /*!< INPT13 (Bitfield-Mask: 0x03)                          */
/* ==========================================================  IS  =========================================================== */
#define CCU6_IS_ICC60R_Pos                (0UL)                     /*!< ICC60R (Bit 0)                                        */
#define CCU6_IS_ICC60R_Msk                (0x1UL)                   /*!< ICC60R (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_ICC60F_Pos                (1UL)                     /*!< ICC60F (Bit 1)                                        */
#define CCU6_IS_ICC60F_Msk                (0x2UL)                   /*!< ICC60F (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_ICC61R_Pos                (2UL)                     /*!< ICC61R (Bit 2)                                        */
#define CCU6_IS_ICC61R_Msk                (0x4UL)                   /*!< ICC61R (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_ICC61F_Pos                (3UL)                     /*!< ICC61F (Bit 3)                                        */
#define CCU6_IS_ICC61F_Msk                (0x8UL)                   /*!< ICC61F (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_ICC62R_Pos                (4UL)                     /*!< ICC62R (Bit 4)                                        */
#define CCU6_IS_ICC62R_Msk                (0x10UL)                  /*!< ICC62R (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_ICC62F_Pos                (5UL)                     /*!< ICC62F (Bit 5)                                        */
#define CCU6_IS_ICC62F_Msk                (0x20UL)                  /*!< ICC62F (Bitfield-Mask: 0x01)                          */
#define CCU6_IS_T12OM_Pos                 (6UL)                     /*!< T12OM (Bit 6)                                         */
#define CCU6_IS_T12OM_Msk                 (0x40UL)                  /*!< T12OM (Bitfield-Mask: 0x01)                           */
#define CCU6_IS_T12PM_Pos                 (7UL)                     /*!< T12PM (Bit 7)                                         */
#define CCU6_IS_T12PM_Msk                 (0x80UL)                  /*!< T12PM (Bitfield-Mask: 0x01)                           */
#define CCU6_IS_T13CM_Pos                 (8UL)                     /*!< T13CM (Bit 8)                                         */
#define CCU6_IS_T13CM_Msk                 (0x100UL)                 /*!< T13CM (Bitfield-Mask: 0x01)                           */
#define CCU6_IS_T13PM_Pos                 (9UL)                     /*!< T13PM (Bit 9)                                         */
#define CCU6_IS_T13PM_Msk                 (0x200UL)                 /*!< T13PM (Bitfield-Mask: 0x01)                           */
#define CCU6_IS_TRPF_Pos                  (10UL)                    /*!< TRPF (Bit 10)                                         */
#define CCU6_IS_TRPF_Msk                  (0x400UL)                 /*!< TRPF (Bitfield-Mask: 0x01)                            */
#define CCU6_IS_TRPS_Pos                  (11UL)                    /*!< TRPS (Bit 11)                                         */
#define CCU6_IS_TRPS_Msk                  (0x800UL)                 /*!< TRPS (Bitfield-Mask: 0x01)                            */
#define CCU6_IS_CHE_Pos                   (12UL)                    /*!< CHE (Bit 12)                                          */
#define CCU6_IS_CHE_Msk                   (0x1000UL)                /*!< CHE (Bitfield-Mask: 0x01)                             */
#define CCU6_IS_WHE_Pos                   (13UL)                    /*!< WHE (Bit 13)                                          */
#define CCU6_IS_WHE_Msk                   (0x2000UL)                /*!< WHE (Bitfield-Mask: 0x01)                             */
#define CCU6_IS_IDLE_Pos                  (14UL)                    /*!< IDLE (Bit 14)                                         */
#define CCU6_IS_IDLE_Msk                  (0x4000UL)                /*!< IDLE (Bitfield-Mask: 0x01)                            */
#define CCU6_IS_STR_Pos                   (15UL)                    /*!< STR (Bit 15)                                          */
#define CCU6_IS_STR_Msk                   (0x8000UL)                /*!< STR (Bitfield-Mask: 0x01)                             */
/* ==========================================================  ISR  ========================================================== */
#define CCU6_ISR_RCC60R_Pos               (0UL)                     /*!< RCC60R (Bit 0)                                        */
#define CCU6_ISR_RCC60R_Msk               (0x1UL)                   /*!< RCC60R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RCC60F_Pos               (1UL)                     /*!< RCC60F (Bit 1)                                        */
#define CCU6_ISR_RCC60F_Msk               (0x2UL)                   /*!< RCC60F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RCC61R_Pos               (2UL)                     /*!< RCC61R (Bit 2)                                        */
#define CCU6_ISR_RCC61R_Msk               (0x4UL)                   /*!< RCC61R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RCC61F_Pos               (3UL)                     /*!< RCC61F (Bit 3)                                        */
#define CCU6_ISR_RCC61F_Msk               (0x8UL)                   /*!< RCC61F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RCC62R_Pos               (4UL)                     /*!< RCC62R (Bit 4)                                        */
#define CCU6_ISR_RCC62R_Msk               (0x10UL)                  /*!< RCC62R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RCC62F_Pos               (5UL)                     /*!< RCC62F (Bit 5)                                        */
#define CCU6_ISR_RCC62F_Msk               (0x20UL)                  /*!< RCC62F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RT12OM_Pos               (6UL)                     /*!< RT12OM (Bit 6)                                        */
#define CCU6_ISR_RT12OM_Msk               (0x40UL)                  /*!< RT12OM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RT12PM_Pos               (7UL)                     /*!< RT12PM (Bit 7)                                        */
#define CCU6_ISR_RT12PM_Msk               (0x80UL)                  /*!< RT12PM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RT13CM_Pos               (8UL)                     /*!< RT13CM (Bit 8)                                        */
#define CCU6_ISR_RT13CM_Msk               (0x100UL)                 /*!< RT13CM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RT13PM_Pos               (9UL)                     /*!< RT13PM (Bit 9)                                        */
#define CCU6_ISR_RT13PM_Msk               (0x200UL)                 /*!< RT13PM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISR_RTRPF_Pos                (10UL)                    /*!< RTRPF (Bit 10)                                        */
#define CCU6_ISR_RTRPF_Msk                (0x400UL)                 /*!< RTRPF (Bitfield-Mask: 0x01)                           */
#define CCU6_ISR_RCHE_Pos                 (12UL)                    /*!< RCHE (Bit 12)                                         */
#define CCU6_ISR_RCHE_Msk                 (0x1000UL)                /*!< RCHE (Bitfield-Mask: 0x01)                            */
#define CCU6_ISR_RWHE_Pos                 (13UL)                    /*!< RWHE (Bit 13)                                         */
#define CCU6_ISR_RWHE_Msk                 (0x2000UL)                /*!< RWHE (Bitfield-Mask: 0x01)                            */
#define CCU6_ISR_RIDLE_Pos                (14UL)                    /*!< RIDLE (Bit 14)                                        */
#define CCU6_ISR_RIDLE_Msk                (0x4000UL)                /*!< RIDLE (Bitfield-Mask: 0x01)                           */
#define CCU6_ISR_RSTR_Pos                 (15UL)                    /*!< RSTR (Bit 15)                                         */
#define CCU6_ISR_RSTR_Msk                 (0x8000UL)                /*!< RSTR (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ISS  ========================================================== */
#define CCU6_ISS_SCC60R_Pos               (0UL)                     /*!< SCC60R (Bit 0)                                        */
#define CCU6_ISS_SCC60R_Msk               (0x1UL)                   /*!< SCC60R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_SCC60F_Pos               (1UL)                     /*!< SCC60F (Bit 1)                                        */
#define CCU6_ISS_SCC60F_Msk               (0x2UL)                   /*!< SCC60F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_SCC61R_Pos               (2UL)                     /*!< SCC61R (Bit 2)                                        */
#define CCU6_ISS_SCC61R_Msk               (0x4UL)                   /*!< SCC61R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_SCC61F_Pos               (3UL)                     /*!< SCC61F (Bit 3)                                        */
#define CCU6_ISS_SCC61F_Msk               (0x8UL)                   /*!< SCC61F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_SCC62R_Pos               (4UL)                     /*!< SCC62R (Bit 4)                                        */
#define CCU6_ISS_SCC62R_Msk               (0x10UL)                  /*!< SCC62R (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_SCC62F_Pos               (5UL)                     /*!< SCC62F (Bit 5)                                        */
#define CCU6_ISS_SCC62F_Msk               (0x20UL)                  /*!< SCC62F (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_ST12OM_Pos               (6UL)                     /*!< ST12OM (Bit 6)                                        */
#define CCU6_ISS_ST12OM_Msk               (0x40UL)                  /*!< ST12OM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_ST12PM_Pos               (7UL)                     /*!< ST12PM (Bit 7)                                        */
#define CCU6_ISS_ST12PM_Msk               (0x80UL)                  /*!< ST12PM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_ST13CM_Pos               (8UL)                     /*!< ST13CM (Bit 8)                                        */
#define CCU6_ISS_ST13CM_Msk               (0x100UL)                 /*!< ST13CM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_ST13PM_Pos               (9UL)                     /*!< ST13PM (Bit 9)                                        */
#define CCU6_ISS_ST13PM_Msk               (0x200UL)                 /*!< ST13PM (Bitfield-Mask: 0x01)                          */
#define CCU6_ISS_STRPF_Pos                (10UL)                    /*!< STRPF (Bit 10)                                        */
#define CCU6_ISS_STRPF_Msk                (0x400UL)                 /*!< STRPF (Bitfield-Mask: 0x01)                           */
#define CCU6_ISS_SWHC_Pos                 (11UL)                    /*!< SWHC (Bit 11)                                         */
#define CCU6_ISS_SWHC_Msk                 (0x800UL)                 /*!< SWHC (Bitfield-Mask: 0x01)                            */
#define CCU6_ISS_SCHE_Pos                 (12UL)                    /*!< SCHE (Bit 12)                                         */
#define CCU6_ISS_SCHE_Msk                 (0x1000UL)                /*!< SCHE (Bitfield-Mask: 0x01)                            */
#define CCU6_ISS_SWHE_Pos                 (13UL)                    /*!< SWHE (Bit 13)                                         */
#define CCU6_ISS_SWHE_Msk                 (0x2000UL)                /*!< SWHE (Bitfield-Mask: 0x01)                            */
#define CCU6_ISS_SIDLE_Pos                (14UL)                    /*!< SIDLE (Bit 14)                                        */
#define CCU6_ISS_SIDLE_Msk                (0x4000UL)                /*!< SIDLE (Bitfield-Mask: 0x01)                           */
#define CCU6_ISS_SSTR_Pos                 (15UL)                    /*!< SSTR (Bit 15)                                         */
#define CCU6_ISS_SSTR_Msk                 (0x8000UL)                /*!< SSTR (Bitfield-Mask: 0x01)                            */
/* ========================================================  MCMCTR  ========================================================= */
#define CCU6_MCMCTR_SWSEL_Pos             (0UL)                     /*!< SWSEL (Bit 0)                                         */
#define CCU6_MCMCTR_SWSEL_Msk             (0x7UL)                   /*!< SWSEL (Bitfield-Mask: 0x07)                           */
#define CCU6_MCMCTR_SWSYN_Pos             (4UL)                     /*!< SWSYN (Bit 4)                                         */
#define CCU6_MCMCTR_SWSYN_Msk             (0x30UL)                  /*!< SWSYN (Bitfield-Mask: 0x03)                           */
#define CCU6_MCMCTR_STE12U_Pos            (8UL)                     /*!< STE12U (Bit 8)                                        */
#define CCU6_MCMCTR_STE12U_Msk            (0x100UL)                 /*!< STE12U (Bitfield-Mask: 0x01)                          */
#define CCU6_MCMCTR_STE12D_Pos            (9UL)                     /*!< STE12D (Bit 9)                                        */
#define CCU6_MCMCTR_STE12D_Msk            (0x200UL)                 /*!< STE12D (Bitfield-Mask: 0x01)                          */
#define CCU6_MCMCTR_STE13U_Pos            (10UL)                    /*!< STE13U (Bit 10)                                       */
#define CCU6_MCMCTR_STE13U_Msk            (0x400UL)                 /*!< STE13U (Bitfield-Mask: 0x01)                          */
/* ========================================================  MCMOUT  ========================================================= */
#define CCU6_MCMOUT_MCMP_Pos              (0UL)                     /*!< MCMP (Bit 0)                                          */
#define CCU6_MCMOUT_MCMP_Msk              (0x3fUL)                  /*!< MCMP (Bitfield-Mask: 0x3f)                            */
#define CCU6_MCMOUT_R_Pos                 (6UL)                     /*!< R (Bit 6)                                             */
#define CCU6_MCMOUT_R_Msk                 (0x40UL)                  /*!< R (Bitfield-Mask: 0x01)                               */
#define CCU6_MCMOUT_EXPH_Pos              (8UL)                     /*!< EXPH (Bit 8)                                          */
#define CCU6_MCMOUT_EXPH_Msk              (0x700UL)                 /*!< EXPH (Bitfield-Mask: 0x07)                            */
#define CCU6_MCMOUT_CURH_Pos              (11UL)                    /*!< CURH (Bit 11)                                         */
#define CCU6_MCMOUT_CURH_Msk              (0x3800UL)                /*!< CURH (Bitfield-Mask: 0x07)                            */
/* ========================================================  MCMOUTS  ======================================================== */
#define CCU6_MCMOUTS_MCMPS_Pos            (0UL)                     /*!< MCMPS (Bit 0)                                         */
#define CCU6_MCMOUTS_MCMPS_Msk            (0x3fUL)                  /*!< MCMPS (Bitfield-Mask: 0x3f)                           */
#define CCU6_MCMOUTS_STRMCM_Pos           (7UL)                     /*!< STRMCM (Bit 7)                                        */
#define CCU6_MCMOUTS_STRMCM_Msk           (0x80UL)                  /*!< STRMCM (Bitfield-Mask: 0x01)                          */
#define CCU6_MCMOUTS_EXPHS_Pos            (8UL)                     /*!< EXPHS (Bit 8)                                         */
#define CCU6_MCMOUTS_EXPHS_Msk            (0x700UL)                 /*!< EXPHS (Bitfield-Mask: 0x07)                           */
#define CCU6_MCMOUTS_CURHS_Pos            (11UL)                    /*!< CURHS (Bit 11)                                        */
#define CCU6_MCMOUTS_CURHS_Msk            (0x3800UL)                /*!< CURHS (Bitfield-Mask: 0x07)                           */
#define CCU6_MCMOUTS_STRHP_Pos            (15UL)                    /*!< STRHP (Bit 15)                                        */
#define CCU6_MCMOUTS_STRHP_Msk            (0x8000UL)                /*!< STRHP (Bitfield-Mask: 0x01)                           */
/* ========================================================  MODCTR  ========================================================= */
#define CCU6_MODCTR_T12MODEN_Pos          (0UL)                     /*!< T12MODEN (Bit 0)                                      */
#define CCU6_MODCTR_T12MODEN_Msk          (0x3fUL)                  /*!< T12MODEN (Bitfield-Mask: 0x3f)                        */
#define CCU6_MODCTR_MCMEN_Pos             (7UL)                     /*!< MCMEN (Bit 7)                                         */
#define CCU6_MODCTR_MCMEN_Msk             (0x80UL)                  /*!< MCMEN (Bitfield-Mask: 0x01)                           */
#define CCU6_MODCTR_T13MODEN_Pos          (8UL)                     /*!< T13MODEN (Bit 8)                                      */
#define CCU6_MODCTR_T13MODEN_Msk          (0x3f00UL)                /*!< T13MODEN (Bitfield-Mask: 0x3f)                        */
#define CCU6_MODCTR_ECT13O_Pos            (15UL)                    /*!< ECT13O (Bit 15)                                       */
#define CCU6_MODCTR_ECT13O_Msk            (0x8000UL)                /*!< ECT13O (Bitfield-Mask: 0x01)                          */
/* ========================================================  PISEL0  ========================================================= */
#define CCU6_PISEL0_ISCC60_Pos            (0UL)                     /*!< ISCC60 (Bit 0)                                        */
#define CCU6_PISEL0_ISCC60_Msk            (0x3UL)                   /*!< ISCC60 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_ISCC61_Pos            (2UL)                     /*!< ISCC61 (Bit 2)                                        */
#define CCU6_PISEL0_ISCC61_Msk            (0xcUL)                   /*!< ISCC61 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_ISCC62_Pos            (4UL)                     /*!< ISCC62 (Bit 4)                                        */
#define CCU6_PISEL0_ISCC62_Msk            (0x30UL)                  /*!< ISCC62 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_ISTRP_Pos             (6UL)                     /*!< ISTRP (Bit 6)                                         */
#define CCU6_PISEL0_ISTRP_Msk             (0xc0UL)                  /*!< ISTRP (Bitfield-Mask: 0x03)                           */
#define CCU6_PISEL0_ISPOS0_Pos            (8UL)                     /*!< ISPOS0 (Bit 8)                                        */
#define CCU6_PISEL0_ISPOS0_Msk            (0x300UL)                 /*!< ISPOS0 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_ISPOS1_Pos            (10UL)                    /*!< ISPOS1 (Bit 10)                                       */
#define CCU6_PISEL0_ISPOS1_Msk            (0xc00UL)                 /*!< ISPOS1 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_ISPOS2_Pos            (12UL)                    /*!< ISPOS2 (Bit 12)                                       */
#define CCU6_PISEL0_ISPOS2_Msk            (0x3000UL)                /*!< ISPOS2 (Bitfield-Mask: 0x03)                          */
#define CCU6_PISEL0_IST12HR_Pos           (14UL)                    /*!< IST12HR (Bit 14)                                      */
#define CCU6_PISEL0_IST12HR_Msk           (0xc000UL)                /*!< IST12HR (Bitfield-Mask: 0x03)                         */
/* ========================================================  PISEL2  ========================================================= */
#define CCU6_PISEL2_IST13HR_Pos           (0UL)                     /*!< IST13HR (Bit 0)                                       */
#define CCU6_PISEL2_IST13HR_Msk           (0x3UL)                   /*!< IST13HR (Bitfield-Mask: 0x03)                         */
#define CCU6_PISEL2_ISCNT12_Pos           (2UL)                     /*!< ISCNT12 (Bit 2)                                       */
#define CCU6_PISEL2_ISCNT12_Msk           (0xcUL)                   /*!< ISCNT12 (Bitfield-Mask: 0x03)                         */
#define CCU6_PISEL2_ISCNT13_Pos           (4UL)                     /*!< ISCNT13 (Bit 4)                                       */
#define CCU6_PISEL2_ISCNT13_Msk           (0x30UL)                  /*!< ISCNT13 (Bitfield-Mask: 0x03)                         */
#define CCU6_PISEL2_T12EXT_Pos            (6UL)                     /*!< T12EXT (Bit 6)                                        */
#define CCU6_PISEL2_T12EXT_Msk            (0x40UL)                  /*!< T12EXT (Bitfield-Mask: 0x01)                          */
#define CCU6_PISEL2_T13EXT_Pos            (7UL)                     /*!< T13EXT (Bit 7)                                        */
#define CCU6_PISEL2_T13EXT_Msk            (0x80UL)                  /*!< T13EXT (Bitfield-Mask: 0x01)                          */
/* =========================================================  PSLR  ========================================================== */
#define CCU6_PSLR_PSL_Pos                 (0UL)                     /*!< PSL (Bit 0)                                           */
#define CCU6_PSLR_PSL_Msk                 (0x3fUL)                  /*!< PSL (Bitfield-Mask: 0x3f)                             */
#define CCU6_PSLR_PSL63_Pos               (7UL)                     /*!< PSL63 (Bit 7)                                         */
#define CCU6_PSLR_PSL63_Msk               (0x80UL)                  /*!< PSL63 (Bitfield-Mask: 0x01)                           */
/* ==========================================================  T12  ========================================================== */
#define CCU6_T12_T12CV_Pos                (0UL)                     /*!< T12CV (Bit 0)                                         */
#define CCU6_T12_T12CV_Msk                (0xffffUL)                /*!< T12CV (Bitfield-Mask: 0xffff)                         */
/* ========================================================  T12DTC  ========================================================= */
#define CCU6_T12DTC_DTM_Pos               (0UL)                     /*!< DTM (Bit 0)                                           */
#define CCU6_T12DTC_DTM_Msk               (0xffUL)                  /*!< DTM (Bitfield-Mask: 0xff)                             */
#define CCU6_T12DTC_DTE0_Pos              (8UL)                     /*!< DTE0 (Bit 8)                                          */
#define CCU6_T12DTC_DTE0_Msk              (0x100UL)                 /*!< DTE0 (Bitfield-Mask: 0x01)                            */
#define CCU6_T12DTC_DTE1_Pos              (9UL)                     /*!< DTE1 (Bit 9)                                          */
#define CCU6_T12DTC_DTE1_Msk              (0x200UL)                 /*!< DTE1 (Bitfield-Mask: 0x01)                            */
#define CCU6_T12DTC_DTE2_Pos              (10UL)                    /*!< DTE2 (Bit 10)                                         */
#define CCU6_T12DTC_DTE2_Msk              (0x400UL)                 /*!< DTE2 (Bitfield-Mask: 0x01)                            */
#define CCU6_T12DTC_DTR0_Pos              (12UL)                    /*!< DTR0 (Bit 12)                                         */
#define CCU6_T12DTC_DTR0_Msk              (0x1000UL)                /*!< DTR0 (Bitfield-Mask: 0x01)                            */
#define CCU6_T12DTC_DTR1_Pos              (13UL)                    /*!< DTR1 (Bit 13)                                         */
#define CCU6_T12DTC_DTR1_Msk              (0x2000UL)                /*!< DTR1 (Bitfield-Mask: 0x01)                            */
#define CCU6_T12DTC_DTR2_Pos              (14UL)                    /*!< DTR2 (Bit 14)                                         */
#define CCU6_T12DTC_DTR2_Msk              (0x4000UL)                /*!< DTR2 (Bitfield-Mask: 0x01)                            */
/* ========================================================  T12MSEL  ======================================================== */
#define CCU6_T12MSEL_MSEL60_Pos           (0UL)                     /*!< MSEL60 (Bit 0)                                        */
#define CCU6_T12MSEL_MSEL60_Msk           (0xfUL)                   /*!< MSEL60 (Bitfield-Mask: 0x0f)                          */
#define CCU6_T12MSEL_MSEL61_Pos           (4UL)                     /*!< MSEL61 (Bit 4)                                        */
#define CCU6_T12MSEL_MSEL61_Msk           (0xf0UL)                  /*!< MSEL61 (Bitfield-Mask: 0x0f)                          */
#define CCU6_T12MSEL_MSEL62_Pos           (8UL)                     /*!< MSEL62 (Bit 8)                                        */
#define CCU6_T12MSEL_MSEL62_Msk           (0xf00UL)                 /*!< MSEL62 (Bitfield-Mask: 0x0f)                          */
#define CCU6_T12MSEL_HSYNC_Pos            (12UL)                    /*!< HSYNC (Bit 12)                                        */
#define CCU6_T12MSEL_HSYNC_Msk            (0x7000UL)                /*!< HSYNC (Bitfield-Mask: 0x07)                           */
#define CCU6_T12MSEL_DBYP_Pos             (15UL)                    /*!< DBYP (Bit 15)                                         */
#define CCU6_T12MSEL_DBYP_Msk             (0x8000UL)                /*!< DBYP (Bitfield-Mask: 0x01)                            */
/* =========================================================  T12PR  ========================================================= */
#define CCU6_T12PR_T12PV_Pos              (0UL)                     /*!< T12PV (Bit 0)                                         */
#define CCU6_T12PR_T12PV_Msk              (0xffffUL)                /*!< T12PV (Bitfield-Mask: 0xffff)                         */
/* ==========================================================  T13  ========================================================== */
#define CCU6_T13_T13CV_Pos                (0UL)                     /*!< T13CV (Bit 0)                                         */
#define CCU6_T13_T13CV_Msk                (0xffffUL)                /*!< T13CV (Bitfield-Mask: 0xffff)                         */
/* =========================================================  T13PR  ========================================================= */
#define CCU6_T13PR_T13PV_Pos              (0UL)                     /*!< T13PV (Bit 0)                                         */
#define CCU6_T13PR_T13PV_Msk              (0xffffUL)                /*!< T13PV (Bitfield-Mask: 0xffff)                         */
/* =========================================================  TCTR0  ========================================================= */
#define CCU6_TCTR0_T12CLK_Pos             (0UL)                     /*!< T12CLK (Bit 0)                                        */
#define CCU6_TCTR0_T12CLK_Msk             (0x7UL)                   /*!< T12CLK (Bitfield-Mask: 0x07)                          */
#define CCU6_TCTR0_T12PRE_Pos             (3UL)                     /*!< T12PRE (Bit 3)                                        */
#define CCU6_TCTR0_T12PRE_Msk             (0x8UL)                   /*!< T12PRE (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR0_T12R_Pos               (4UL)                     /*!< T12R (Bit 4)                                          */
#define CCU6_TCTR0_T12R_Msk               (0x10UL)                  /*!< T12R (Bitfield-Mask: 0x01)                            */
#define CCU6_TCTR0_STE12_Pos              (5UL)                     /*!< STE12 (Bit 5)                                         */
#define CCU6_TCTR0_STE12_Msk              (0x20UL)                  /*!< STE12 (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR0_CDIR_Pos               (6UL)                     /*!< CDIR (Bit 6)                                          */
#define CCU6_TCTR0_CDIR_Msk               (0x40UL)                  /*!< CDIR (Bitfield-Mask: 0x01)                            */
#define CCU6_TCTR0_CTM_Pos                (7UL)                     /*!< CTM (Bit 7)                                           */
#define CCU6_TCTR0_CTM_Msk                (0x80UL)                  /*!< CTM (Bitfield-Mask: 0x01)                             */
#define CCU6_TCTR0_T13CLK_Pos             (8UL)                     /*!< T13CLK (Bit 8)                                        */
#define CCU6_TCTR0_T13CLK_Msk             (0x700UL)                 /*!< T13CLK (Bitfield-Mask: 0x07)                          */
#define CCU6_TCTR0_T13PRE_Pos             (11UL)                    /*!< T13PRE (Bit 11)                                       */
#define CCU6_TCTR0_T13PRE_Msk             (0x800UL)                 /*!< T13PRE (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR0_T13R_Pos               (12UL)                    /*!< T13R (Bit 12)                                         */
#define CCU6_TCTR0_T13R_Msk               (0x1000UL)                /*!< T13R (Bitfield-Mask: 0x01)                            */
#define CCU6_TCTR0_STE13_Pos              (13UL)                    /*!< STE13 (Bit 13)                                        */
#define CCU6_TCTR0_STE13_Msk              (0x2000UL)                /*!< STE13 (Bitfield-Mask: 0x01)                           */
/* =========================================================  TCTR2  ========================================================= */
#define CCU6_TCTR2_T12SSC_Pos             (0UL)                     /*!< T12SSC (Bit 0)                                        */
#define CCU6_TCTR2_T12SSC_Msk             (0x1UL)                   /*!< T12SSC (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR2_T13SSC_Pos             (1UL)                     /*!< T13SSC (Bit 1)                                        */
#define CCU6_TCTR2_T13SSC_Msk             (0x2UL)                   /*!< T13SSC (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR2_T13TEC_Pos             (2UL)                     /*!< T13TEC (Bit 2)                                        */
#define CCU6_TCTR2_T13TEC_Msk             (0x1cUL)                  /*!< T13TEC (Bitfield-Mask: 0x07)                          */
#define CCU6_TCTR2_T13TED_Pos             (5UL)                     /*!< T13TED (Bit 5)                                        */
#define CCU6_TCTR2_T13TED_Msk             (0x60UL)                  /*!< T13TED (Bitfield-Mask: 0x03)                          */
#define CCU6_TCTR2_T12RSEL_Pos            (8UL)                     /*!< T12RSEL (Bit 8)                                       */
#define CCU6_TCTR2_T12RSEL_Msk            (0x300UL)                 /*!< T12RSEL (Bitfield-Mask: 0x03)                         */
#define CCU6_TCTR2_T13RSEL_Pos            (10UL)                    /*!< T13RSEL (Bit 10)                                      */
#define CCU6_TCTR2_T13RSEL_Msk            (0xc00UL)                 /*!< T13RSEL (Bitfield-Mask: 0x03)                         */
/* =========================================================  TCTR4  ========================================================= */
#define CCU6_TCTR4_T12RR_Pos              (0UL)                     /*!< T12RR (Bit 0)                                         */
#define CCU6_TCTR4_T12RR_Msk              (0x1UL)                   /*!< T12RR (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR4_T12RS_Pos              (1UL)                     /*!< T12RS (Bit 1)                                         */
#define CCU6_TCTR4_T12RS_Msk              (0x2UL)                   /*!< T12RS (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR4_T12RES_Pos             (2UL)                     /*!< T12RES (Bit 2)                                        */
#define CCU6_TCTR4_T12RES_Msk             (0x4UL)                   /*!< T12RES (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_DTRES_Pos              (3UL)                     /*!< DTRES (Bit 3)                                         */
#define CCU6_TCTR4_DTRES_Msk              (0x8UL)                   /*!< DTRES (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR4_T12CNT_Pos             (5UL)                     /*!< T12CNT (Bit 5)                                        */
#define CCU6_TCTR4_T12CNT_Msk             (0x20UL)                  /*!< T12CNT (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T12STR_Pos             (6UL)                     /*!< T12STR (Bit 6)                                        */
#define CCU6_TCTR4_T12STR_Msk             (0x40UL)                  /*!< T12STR (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T12STD_Pos             (7UL)                     /*!< T12STD (Bit 7)                                        */
#define CCU6_TCTR4_T12STD_Msk             (0x80UL)                  /*!< T12STD (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T13RR_Pos              (8UL)                     /*!< T13RR (Bit 8)                                         */
#define CCU6_TCTR4_T13RR_Msk              (0x100UL)                 /*!< T13RR (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR4_T13RS_Pos              (9UL)                     /*!< T13RS (Bit 9)                                         */
#define CCU6_TCTR4_T13RS_Msk              (0x200UL)                 /*!< T13RS (Bitfield-Mask: 0x01)                           */
#define CCU6_TCTR4_T13RES_Pos             (10UL)                    /*!< T13RES (Bit 10)                                       */
#define CCU6_TCTR4_T13RES_Msk             (0x400UL)                 /*!< T13RES (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T13CNT_Pos             (13UL)                    /*!< T13CNT (Bit 13)                                       */
#define CCU6_TCTR4_T13CNT_Msk             (0x2000UL)                /*!< T13CNT (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T13STR_Pos             (14UL)                    /*!< T13STR (Bit 14)                                       */
#define CCU6_TCTR4_T13STR_Msk             (0x4000UL)                /*!< T13STR (Bitfield-Mask: 0x01)                          */
#define CCU6_TCTR4_T13STD_Pos             (15UL)                    /*!< T13STD (Bit 15)                                       */
#define CCU6_TCTR4_T13STD_Msk             (0x8000UL)                /*!< T13STD (Bitfield-Mask: 0x01)                          */
/* ========================================================  TRPCTR  ========================================================= */
#define CCU6_TRPCTR_TRPM10_Pos            (0UL)                     /*!< TRPM10 (Bit 0)                                        */
#define CCU6_TRPCTR_TRPM10_Msk            (0x3UL)                   /*!< TRPM10 (Bitfield-Mask: 0x03)                          */
#define CCU6_TRPCTR_TRPM2_Pos             (2UL)                     /*!< TRPM2 (Bit 2)                                         */
#define CCU6_TRPCTR_TRPM2_Msk             (0x4UL)                   /*!< TRPM2 (Bitfield-Mask: 0x01)                           */
#define CCU6_TRPCTR_TRPEN_Pos             (8UL)                     /*!< TRPEN (Bit 8)                                         */
#define CCU6_TRPCTR_TRPEN_Msk             (0x3f00UL)                /*!< TRPEN (Bitfield-Mask: 0x3f)                           */
#define CCU6_TRPCTR_TRPEN13_Pos           (14UL)                    /*!< TRPEN13 (Bit 14)                                      */
#define CCU6_TRPCTR_TRPEN13_Msk           (0x4000UL)                /*!< TRPEN13 (Bitfield-Mask: 0x01)                         */
#define CCU6_TRPCTR_TRPPEN_Pos            (15UL)                    /*!< TRPPEN (Bit 15)                                       */
#define CCU6_TRPCTR_TRPPEN_Msk            (0x8000UL)                /*!< TRPPEN (Bitfield-Mask: 0x01)                          */


/* =========================================================================================================================== */
/* ================                                            CPU                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  AIRCR  ========================================================= */
#define CPU_AIRCR_VECTCLRACTIVE_Pos       (1UL)                     /*!< VECTCLRACTIVE (Bit 1)                                 */
#define CPU_AIRCR_VECTCLRACTIVE_Msk       (0x2UL)                   /*!< VECTCLRACTIVE (Bitfield-Mask: 0x01)                   */
#define CPU_AIRCR_SYSRESETREQ_Pos         (2UL)                     /*!< SYSRESETREQ (Bit 2)                                   */
#define CPU_AIRCR_SYSRESETREQ_Msk         (0x4UL)                   /*!< SYSRESETREQ (Bitfield-Mask: 0x01)                     */
#define CPU_AIRCR_ENDIANNESS_Pos          (15UL)                    /*!< ENDIANNESS (Bit 15)                                   */
#define CPU_AIRCR_ENDIANNESS_Msk          (0x8000UL)                /*!< ENDIANNESS (Bitfield-Mask: 0x01)                      */
#define CPU_AIRCR_VECTKEY_Pos             (16UL)                    /*!< VECTKEY (Bit 16)                                      */
#define CPU_AIRCR_VECTKEY_Msk             (0xffff0000UL)            /*!< VECTKEY (Bitfield-Mask: 0xffff)                       */
/* ==========================================================  CCR  ========================================================== */
#define CPU_CCR_UNALIGN_TRP_Pos           (3UL)                     /*!< UNALIGN_TRP (Bit 3)                                   */
#define CPU_CCR_UNALIGN_TRP_Msk           (0x8UL)                   /*!< UNALIGN_TRP (Bitfield-Mask: 0x01)                     */
#define CPU_CCR_STKALIGN_Pos              (9UL)                     /*!< STKALIGN (Bit 9)                                      */
#define CPU_CCR_STKALIGN_Msk              (0x200UL)                 /*!< STKALIGN (Bitfield-Mask: 0x01)                        */
/* =========================================================  CPUID  ========================================================= */
#define CPU_CPUID_REVISION_Pos            (0UL)                     /*!< REVISION (Bit 0)                                      */
#define CPU_CPUID_REVISION_Msk            (0xfUL)                   /*!< REVISION (Bitfield-Mask: 0x0f)                        */
#define CPU_CPUID_PARTNO_Pos              (4UL)                     /*!< PARTNO (Bit 4)                                        */
#define CPU_CPUID_PARTNO_Msk              (0xfff0UL)                /*!< PARTNO (Bitfield-Mask: 0xfff)                         */
#define CPU_CPUID_CONSTANT_Pos            (16UL)                    /*!< CONSTANT (Bit 16)                                     */
#define CPU_CPUID_CONSTANT_Msk            (0xf0000UL)               /*!< CONSTANT (Bitfield-Mask: 0x0f)                        */
#define CPU_CPUID_VARIANT_Pos             (20UL)                    /*!< VARIANT (Bit 20)                                      */
#define CPU_CPUID_VARIANT_Msk             (0xf00000UL)              /*!< VARIANT (Bitfield-Mask: 0x0f)                         */
#define CPU_CPUID_IMPLEMENTER_Pos         (24UL)                    /*!< IMPLEMENTER (Bit 24)                                  */
#define CPU_CPUID_IMPLEMENTER_Msk         (0xff000000UL)            /*!< IMPLEMENTER (Bitfield-Mask: 0xff)                     */
/* =========================================================  ICSR  ========================================================== */
#define CPU_ICSR_VECTACTIVE_Pos           (0UL)                     /*!< VECTACTIVE (Bit 0)                                    */
#define CPU_ICSR_VECTACTIVE_Msk           (0x3fUL)                  /*!< VECTACTIVE (Bitfield-Mask: 0x3f)                      */
#define CPU_ICSR_VECTPENDING_Pos          (12UL)                    /*!< VECTPENDING (Bit 12)                                  */
#define CPU_ICSR_VECTPENDING_Msk          (0x3f000UL)               /*!< VECTPENDING (Bitfield-Mask: 0x3f)                     */
#define CPU_ICSR_ISRPENDING_Pos           (22UL)                    /*!< ISRPENDING (Bit 22)                                   */
#define CPU_ICSR_ISRPENDING_Msk           (0x400000UL)              /*!< ISRPENDING (Bitfield-Mask: 0x01)                      */
#define CPU_ICSR_PENDSTCLR_Pos            (25UL)                    /*!< PENDSTCLR (Bit 25)                                    */
#define CPU_ICSR_PENDSTCLR_Msk            (0x2000000UL)             /*!< PENDSTCLR (Bitfield-Mask: 0x01)                       */
#define CPU_ICSR_PENDSTSET_Pos            (26UL)                    /*!< PENDSTSET (Bit 26)                                    */
#define CPU_ICSR_PENDSTSET_Msk            (0x4000000UL)             /*!< PENDSTSET (Bitfield-Mask: 0x01)                       */
#define CPU_ICSR_PENDSVCLR_Pos            (27UL)                    /*!< PENDSVCLR (Bit 27)                                    */
#define CPU_ICSR_PENDSVCLR_Msk            (0x8000000UL)             /*!< PENDSVCLR (Bitfield-Mask: 0x01)                       */
#define CPU_ICSR_PENDSVSET_Pos            (28UL)                    /*!< PENDSVSET (Bit 28)                                    */
#define CPU_ICSR_PENDSVSET_Msk            (0x10000000UL)            /*!< PENDSVSET (Bitfield-Mask: 0x01)                       */
#define CPU_ICSR_NMIPENDSET_Pos           (31UL)                    /*!< NMIPENDSET (Bit 31)                                   */
#define CPU_ICSR_NMIPENDSET_Msk           (0x80000000UL)            /*!< NMIPENDSET (Bitfield-Mask: 0x01)                      */
/* =======================================================  NVIC_ICER  ======================================================= */
#define CPU_NVIC_ICER_Int_GPT1_Pos        (0UL)                     /*!< Int_GPT1 (Bit 0)                                      */
#define CPU_NVIC_ICER_Int_GPT1_Msk        (0x1UL)                   /*!< Int_GPT1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_GPT2_Pos        (1UL)                     /*!< Int_GPT2 (Bit 1)                                      */
#define CPU_NVIC_ICER_Int_GPT2_Msk        (0x2UL)                   /*!< Int_GPT2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_ADC2_Pos        (2UL)                     /*!< Int_ADC2 (Bit 2)                                      */
#define CPU_NVIC_ICER_Int_ADC2_Msk        (0x4UL)                   /*!< Int_ADC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_ADC1_Pos        (3UL)                     /*!< Int_ADC1 (Bit 3)                                      */
#define CPU_NVIC_ICER_Int_ADC1_Msk        (0x8UL)                   /*!< Int_ADC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_CCU6SR0_Pos     (4UL)                     /*!< Int_CCU6SR0 (Bit 4)                                   */
#define CPU_NVIC_ICER_Int_CCU6SR0_Msk     (0x10UL)                  /*!< Int_CCU6SR0 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICER_Int_CCU6SR1_Pos     (5UL)                     /*!< Int_CCU6SR1 (Bit 5)                                   */
#define CPU_NVIC_ICER_Int_CCU6SR1_Msk     (0x20UL)                  /*!< Int_CCU6SR1 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICER_Int_CCU6SR2_Pos     (6UL)                     /*!< Int_CCU6SR2 (Bit 6)                                   */
#define CPU_NVIC_ICER_Int_CCU6SR2_Msk     (0x40UL)                  /*!< Int_CCU6SR2 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICER_Int_CCU6SR3_Pos     (7UL)                     /*!< Int_CCU6SR3 (Bit 7)                                   */
#define CPU_NVIC_ICER_Int_CCU6SR3_Msk     (0x80UL)                  /*!< Int_CCU6SR3 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICER_Int_SSC1_Pos        (8UL)                     /*!< Int_SSC1 (Bit 8)                                      */
#define CPU_NVIC_ICER_Int_SSC1_Msk        (0x100UL)                 /*!< Int_SSC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_SSC2_Pos        (9UL)                     /*!< Int_SSC2 (Bit 9)                                      */
#define CPU_NVIC_ICER_Int_SSC2_Msk        (0x200UL)                 /*!< Int_SSC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICER_Int_UART1_Pos       (10UL)                    /*!< Int_UART1 (Bit 10)                                    */
#define CPU_NVIC_ICER_Int_UART1_Msk       (0x400UL)                 /*!< Int_UART1 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ICER_Int_UART2_Pos       (11UL)                    /*!< Int_UART2 (Bit 11)                                    */
#define CPU_NVIC_ICER_Int_UART2_Msk       (0x800UL)                 /*!< Int_UART2 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ICER_Int_EXINT0_Pos      (12UL)                    /*!< Int_EXINT0 (Bit 12)                                   */
#define CPU_NVIC_ICER_Int_EXINT0_Msk      (0x1000UL)                /*!< Int_EXINT0 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICER_Int_EXINT1_Pos      (13UL)                    /*!< Int_EXINT1 (Bit 13)                                   */
#define CPU_NVIC_ICER_Int_EXINT1_Msk      (0x2000UL)                /*!< Int_EXINT1 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICER_Int_WAKEUP_Pos      (14UL)                    /*!< Int_WAKEUP (Bit 14)                                   */
#define CPU_NVIC_ICER_Int_WAKEUP_Msk      (0x4000UL)                /*!< Int_WAKEUP (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICER_Int_LS1_Pos         (17UL)                    /*!< Int_LS1 (Bit 17)                                      */
#define CPU_NVIC_ICER_Int_LS1_Msk         (0x20000UL)               /*!< Int_LS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICER_Int_LS2_Pos         (18UL)                    /*!< Int_LS2 (Bit 18)                                      */
#define CPU_NVIC_ICER_Int_LS2_Msk         (0x40000UL)               /*!< Int_LS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICER_Int_HS1_Pos         (19UL)                    /*!< Int_HS1 (Bit 19)                                      */
#define CPU_NVIC_ICER_Int_HS1_Msk         (0x80000UL)               /*!< Int_HS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICER_Int_HS2_Pos         (20UL)                    /*!< Int_HS2 (Bit 20)                                      */
#define CPU_NVIC_ICER_Int_HS2_Msk         (0x100000UL)              /*!< Int_HS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICER_Int_DU_Pos          (21UL)                    /*!< Int_DU (Bit 21)                                       */
#define CPU_NVIC_ICER_Int_DU_Msk          (0x200000UL)              /*!< Int_DU (Bitfield-Mask: 0x01)                          */
#define CPU_NVIC_ICER_Int_MON_Pos         (22UL)                    /*!< Int_MON (Bit 22)                                      */
#define CPU_NVIC_ICER_Int_MON_Msk         (0x400000UL)              /*!< Int_MON (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICER_Int_PORT2_Pos       (23UL)                    /*!< Int_PORT2 (Bit 23)                                    */
#define CPU_NVIC_ICER_Int_PORT2_Msk       (0x800000UL)              /*!< Int_PORT2 (Bitfield-Mask: 0x01)                       */
/* =======================================================  NVIC_ICPR  ======================================================= */
#define CPU_NVIC_ICPR_Int_GPT1_Pos        (0UL)                     /*!< Int_GPT1 (Bit 0)                                      */
#define CPU_NVIC_ICPR_Int_GPT1_Msk        (0x1UL)                   /*!< Int_GPT1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_GPT2_Pos        (1UL)                     /*!< Int_GPT2 (Bit 1)                                      */
#define CPU_NVIC_ICPR_Int_GPT2_Msk        (0x2UL)                   /*!< Int_GPT2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_ADC2_Pos        (2UL)                     /*!< Int_ADC2 (Bit 2)                                      */
#define CPU_NVIC_ICPR_Int_ADC2_Msk        (0x4UL)                   /*!< Int_ADC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_ADC1_Pos        (3UL)                     /*!< Int_ADC1 (Bit 3)                                      */
#define CPU_NVIC_ICPR_Int_ADC1_Msk        (0x8UL)                   /*!< Int_ADC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_CCU6SR0_Pos     (4UL)                     /*!< Int_CCU6SR0 (Bit 4)                                   */
#define CPU_NVIC_ICPR_Int_CCU6SR0_Msk     (0x10UL)                  /*!< Int_CCU6SR0 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICPR_Int_CCU6SR1_Pos     (5UL)                     /*!< Int_CCU6SR1 (Bit 5)                                   */
#define CPU_NVIC_ICPR_Int_CCU6SR1_Msk     (0x20UL)                  /*!< Int_CCU6SR1 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICPR_Int_CCU6SR2_Pos     (6UL)                     /*!< Int_CCU6SR2 (Bit 6)                                   */
#define CPU_NVIC_ICPR_Int_CCU6SR2_Msk     (0x40UL)                  /*!< Int_CCU6SR2 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICPR_Int_CCU6SR3_Pos     (7UL)                     /*!< Int_CCU6SR3 (Bit 7)                                   */
#define CPU_NVIC_ICPR_Int_CCU6SR3_Msk     (0x80UL)                  /*!< Int_CCU6SR3 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ICPR_Int_SSC1_Pos        (8UL)                     /*!< Int_SSC1 (Bit 8)                                      */
#define CPU_NVIC_ICPR_Int_SSC1_Msk        (0x100UL)                 /*!< Int_SSC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_SSC2_Pos        (9UL)                     /*!< Int_SSC2 (Bit 9)                                      */
#define CPU_NVIC_ICPR_Int_SSC2_Msk        (0x200UL)                 /*!< Int_SSC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ICPR_Int_UART1_Pos       (10UL)                    /*!< Int_UART1 (Bit 10)                                    */
#define CPU_NVIC_ICPR_Int_UART1_Msk       (0x400UL)                 /*!< Int_UART1 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ICPR_Int_UART2_Pos       (11UL)                    /*!< Int_UART2 (Bit 11)                                    */
#define CPU_NVIC_ICPR_Int_UART2_Msk       (0x800UL)                 /*!< Int_UART2 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ICPR_Int_EXINT0_Pos      (12UL)                    /*!< Int_EXINT0 (Bit 12)                                   */
#define CPU_NVIC_ICPR_Int_EXINT0_Msk      (0x1000UL)                /*!< Int_EXINT0 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICPR_Int_EXINT1_Pos      (13UL)                    /*!< Int_EXINT1 (Bit 13)                                   */
#define CPU_NVIC_ICPR_Int_EXINT1_Msk      (0x2000UL)                /*!< Int_EXINT1 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICPR_Int_WAKEUP_Pos      (14UL)                    /*!< Int_WAKEUP (Bit 14)                                   */
#define CPU_NVIC_ICPR_Int_WAKEUP_Msk      (0x4000UL)                /*!< Int_WAKEUP (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ICPR_Int_LS1_Pos         (17UL)                    /*!< Int_LS1 (Bit 17)                                      */
#define CPU_NVIC_ICPR_Int_LS1_Msk         (0x20000UL)               /*!< Int_LS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICPR_Int_LS2_Pos         (18UL)                    /*!< Int_LS2 (Bit 18)                                      */
#define CPU_NVIC_ICPR_Int_LS2_Msk         (0x40000UL)               /*!< Int_LS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICPR_Int_HS1_Pos         (19UL)                    /*!< Int_HS1 (Bit 19)                                      */
#define CPU_NVIC_ICPR_Int_HS1_Msk         (0x80000UL)               /*!< Int_HS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICPR_Int_HS2_Pos         (20UL)                    /*!< Int_HS2 (Bit 20)                                      */
#define CPU_NVIC_ICPR_Int_HS2_Msk         (0x100000UL)              /*!< Int_HS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICPR_Int_DU_Pos          (21UL)                    /*!< Int_DU (Bit 21)                                       */
#define CPU_NVIC_ICPR_Int_DU_Msk          (0x200000UL)              /*!< Int_DU (Bitfield-Mask: 0x01)                          */
#define CPU_NVIC_ICPR_Int_MON_Pos         (22UL)                    /*!< Int_MON (Bit 22)                                      */
#define CPU_NVIC_ICPR_Int_MON_Msk         (0x400000UL)              /*!< Int_MON (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ICPR_Int_PORT2_Pos       (23UL)                    /*!< Int_PORT2 (Bit 23)                                    */
#define CPU_NVIC_ICPR_Int_PORT2_Msk       (0x800000UL)              /*!< Int_PORT2 (Bitfield-Mask: 0x01)                       */
/* =======================================================  NVIC_IPR0  ======================================================= */
#define CPU_NVIC_IPR0_PRI_GPT1_Pos        (6UL)                     /*!< PRI_GPT1 (Bit 6)                                      */
#define CPU_NVIC_IPR0_PRI_GPT1_Msk        (0xc0UL)                  /*!< PRI_GPT1 (Bitfield-Mask: 0x03)                        */
#define CPU_NVIC_IPR0_PRI_GPT2_Pos        (14UL)                    /*!< PRI_GPT2 (Bit 14)                                     */
#define CPU_NVIC_IPR0_PRI_GPT2_Msk        (0xc000UL)                /*!< PRI_GPT2 (Bitfield-Mask: 0x03)                        */
#define CPU_NVIC_IPR0_PRI_ADC2_Pos        (22UL)                    /*!< PRI_ADC2 (Bit 22)                                     */
#define CPU_NVIC_IPR0_PRI_ADC2_Msk        (0xc00000UL)              /*!< PRI_ADC2 (Bitfield-Mask: 0x03)                        */
#define CPU_NVIC_IPR0_PRI_ADC1_Pos        (30UL)                    /*!< PRI_ADC1 (Bit 30)                                     */
#define CPU_NVIC_IPR0_PRI_ADC1_Msk        (0xc0000000UL)            /*!< PRI_ADC1 (Bitfield-Mask: 0x03)                        */
/* =======================================================  NVIC_IPR1  ======================================================= */
#define CPU_NVIC_IPR1_PRI_CCU6SR0_Pos     (6UL)                     /*!< PRI_CCU6SR0 (Bit 6)                                   */
#define CPU_NVIC_IPR1_PRI_CCU6SR0_Msk     (0xc0UL)                  /*!< PRI_CCU6SR0 (Bitfield-Mask: 0x03)                     */
#define CPU_NVIC_IPR1_PRI_CCU6SR1_Pos     (14UL)                    /*!< PRI_CCU6SR1 (Bit 14)                                  */
#define CPU_NVIC_IPR1_PRI_CCU6SR1_Msk     (0xc000UL)                /*!< PRI_CCU6SR1 (Bitfield-Mask: 0x03)                     */
#define CPU_NVIC_IPR1_PRI_CCU6SR2_Pos     (22UL)                    /*!< PRI_CCU6SR2 (Bit 22)                                  */
#define CPU_NVIC_IPR1_PRI_CCU6SR2_Msk     (0xc00000UL)              /*!< PRI_CCU6SR2 (Bitfield-Mask: 0x03)                     */
#define CPU_NVIC_IPR1_PRI_CCU6SR3_Pos     (30UL)                    /*!< PRI_CCU6SR3 (Bit 30)                                  */
#define CPU_NVIC_IPR1_PRI_CCU6SR3_Msk     (0xc0000000UL)            /*!< PRI_CCU6SR3 (Bitfield-Mask: 0x03)                     */
/* =======================================================  NVIC_IPR2  ======================================================= */
#define CPU_NVIC_IPR2_PRI_SSC1_Pos        (6UL)                     /*!< PRI_SSC1 (Bit 6)                                      */
#define CPU_NVIC_IPR2_PRI_SSC1_Msk        (0xc0UL)                  /*!< PRI_SSC1 (Bitfield-Mask: 0x03)                        */
#define CPU_NVIC_IPR2_PRI_SSC2_Pos        (14UL)                    /*!< PRI_SSC2 (Bit 14)                                     */
#define CPU_NVIC_IPR2_PRI_SSC2_Msk        (0xc000UL)                /*!< PRI_SSC2 (Bitfield-Mask: 0x03)                        */
#define CPU_NVIC_IPR2_PRI_UART1_Pos       (22UL)                    /*!< PRI_UART1 (Bit 22)                                    */
#define CPU_NVIC_IPR2_PRI_UART1_Msk       (0xc00000UL)              /*!< PRI_UART1 (Bitfield-Mask: 0x03)                       */
#define CPU_NVIC_IPR2_PRI_UART2_Pos       (30UL)                    /*!< PRI_UART2 (Bit 30)                                    */
#define CPU_NVIC_IPR2_PRI_UART2_Msk       (0xc0000000UL)            /*!< PRI_UART2 (Bitfield-Mask: 0x03)                       */
/* =======================================================  NVIC_IPR3  ======================================================= */
#define CPU_NVIC_IPR3_PRI_EXINT0_Pos      (6UL)                     /*!< PRI_EXINT0 (Bit 6)                                    */
#define CPU_NVIC_IPR3_PRI_EXINT0_Msk      (0xc0UL)                  /*!< PRI_EXINT0 (Bitfield-Mask: 0x03)                      */
#define CPU_NVIC_IPR3_PRI_EXINT1_Pos      (14UL)                    /*!< PRI_EXINT1 (Bit 14)                                   */
#define CPU_NVIC_IPR3_PRI_EXINT1_Msk      (0xc000UL)                /*!< PRI_EXINT1 (Bitfield-Mask: 0x03)                      */
#define CPU_NVIC_IPR3_PRI_WAKEUP_Pos      (22UL)                    /*!< PRI_WAKEUP (Bit 22)                                   */
#define CPU_NVIC_IPR3_PRI_WAKEUP_Msk      (0xc00000UL)              /*!< PRI_WAKEUP (Bitfield-Mask: 0x03)                      */
/* =======================================================  NVIC_IPR4  ======================================================= */
#define CPU_NVIC_IPR4_PRI_LS1_Pos         (14UL)                    /*!< PRI_LS1 (Bit 14)                                      */
#define CPU_NVIC_IPR4_PRI_LS1_Msk         (0xc000UL)                /*!< PRI_LS1 (Bitfield-Mask: 0x03)                         */
#define CPU_NVIC_IPR4_PRI_LS2_Pos         (22UL)                    /*!< PRI_LS2 (Bit 22)                                      */
#define CPU_NVIC_IPR4_PRI_LS2_Msk         (0xc00000UL)              /*!< PRI_LS2 (Bitfield-Mask: 0x03)                         */
#define CPU_NVIC_IPR4_PRI_HS1_Pos         (30UL)                    /*!< PRI_HS1 (Bit 30)                                      */
#define CPU_NVIC_IPR4_PRI_HS1_Msk         (0xc0000000UL)            /*!< PRI_HS1 (Bitfield-Mask: 0x03)                         */
/* =======================================================  NVIC_IPR5  ======================================================= */
#define CPU_NVIC_IPR5_PRI_HS2_Pos         (6UL)                     /*!< PRI_HS2 (Bit 6)                                       */
#define CPU_NVIC_IPR5_PRI_HS2_Msk         (0xc0UL)                  /*!< PRI_HS2 (Bitfield-Mask: 0x03)                         */
#define CPU_NVIC_IPR5_PRI_DU_Pos          (14UL)                    /*!< PRI_DU (Bit 14)                                       */
#define CPU_NVIC_IPR5_PRI_DU_Msk          (0xc000UL)                /*!< PRI_DU (Bitfield-Mask: 0x03)                          */
#define CPU_NVIC_IPR5_PRI_MON_Pos         (22UL)                    /*!< PRI_MON (Bit 22)                                      */
#define CPU_NVIC_IPR5_PRI_MON_Msk         (0xc00000UL)              /*!< PRI_MON (Bitfield-Mask: 0x03)                         */
#define CPU_NVIC_IPR5_PRI_PORT2_Pos       (30UL)                    /*!< PRI_PORT2 (Bit 30)                                    */
#define CPU_NVIC_IPR5_PRI_PORT2_Msk       (0xc0000000UL)            /*!< PRI_PORT2 (Bitfield-Mask: 0x03)                       */
/* =======================================================  NVIC_ISER  ======================================================= */
#define CPU_NVIC_ISER_Int_GPT1_Pos        (0UL)                     /*!< Int_GPT1 (Bit 0)                                      */
#define CPU_NVIC_ISER_Int_GPT1_Msk        (0x1UL)                   /*!< Int_GPT1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_GPT2_Pos        (1UL)                     /*!< Int_GPT2 (Bit 1)                                      */
#define CPU_NVIC_ISER_Int_GPT2_Msk        (0x2UL)                   /*!< Int_GPT2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_ADC2_Pos        (2UL)                     /*!< Int_ADC2 (Bit 2)                                      */
#define CPU_NVIC_ISER_Int_ADC2_Msk        (0x4UL)                   /*!< Int_ADC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_ADC1_Pos        (3UL)                     /*!< Int_ADC1 (Bit 3)                                      */
#define CPU_NVIC_ISER_Int_ADC1_Msk        (0x8UL)                   /*!< Int_ADC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_CCU6SR0_Pos     (4UL)                     /*!< Int_CCU6SR0 (Bit 4)                                   */
#define CPU_NVIC_ISER_Int_CCU6SR0_Msk     (0x10UL)                  /*!< Int_CCU6SR0 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISER_Int_CCU6SR1_Pos     (5UL)                     /*!< Int_CCU6SR1 (Bit 5)                                   */
#define CPU_NVIC_ISER_Int_CCU6SR1_Msk     (0x20UL)                  /*!< Int_CCU6SR1 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISER_Int_CCU6SR2_Pos     (6UL)                     /*!< Int_CCU6SR2 (Bit 6)                                   */
#define CPU_NVIC_ISER_Int_CCU6SR2_Msk     (0x40UL)                  /*!< Int_CCU6SR2 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISER_Int_CCU6SR3_Pos     (7UL)                     /*!< Int_CCU6SR3 (Bit 7)                                   */
#define CPU_NVIC_ISER_Int_CCU6SR3_Msk     (0x80UL)                  /*!< Int_CCU6SR3 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISER_Int_SSC1_Pos        (8UL)                     /*!< Int_SSC1 (Bit 8)                                      */
#define CPU_NVIC_ISER_Int_SSC1_Msk        (0x100UL)                 /*!< Int_SSC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_SSC2_Pos        (9UL)                     /*!< Int_SSC2 (Bit 9)                                      */
#define CPU_NVIC_ISER_Int_SSC2_Msk        (0x200UL)                 /*!< Int_SSC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISER_Int_UART1_Pos       (10UL)                    /*!< Int_UART1 (Bit 10)                                    */
#define CPU_NVIC_ISER_Int_UART1_Msk       (0x400UL)                 /*!< Int_UART1 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ISER_Int_UART2_Pos       (11UL)                    /*!< Int_UART2 (Bit 11)                                    */
#define CPU_NVIC_ISER_Int_UART2_Msk       (0x800UL)                 /*!< Int_UART2 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ISER_Int_EXINT0_Pos      (12UL)                    /*!< Int_EXINT0 (Bit 12)                                   */
#define CPU_NVIC_ISER_Int_EXINT0_Msk      (0x1000UL)                /*!< Int_EXINT0 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISER_Int_EXINT1_Pos      (13UL)                    /*!< Int_EXINT1 (Bit 13)                                   */
#define CPU_NVIC_ISER_Int_EXINT1_Msk      (0x2000UL)                /*!< Int_EXINT1 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISER_Int_WAKEUP_Pos      (14UL)                    /*!< Int_WAKEUP (Bit 14)                                   */
#define CPU_NVIC_ISER_Int_WAKEUP_Msk      (0x4000UL)                /*!< Int_WAKEUP (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISER_Int_LS1_Pos         (17UL)                    /*!< Int_LS1 (Bit 17)                                      */
#define CPU_NVIC_ISER_Int_LS1_Msk         (0x20000UL)               /*!< Int_LS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISER_Int_LS2_Pos         (18UL)                    /*!< Int_LS2 (Bit 18)                                      */
#define CPU_NVIC_ISER_Int_LS2_Msk         (0x40000UL)               /*!< Int_LS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISER_Int_HS1_Pos         (19UL)                    /*!< Int_HS1 (Bit 19)                                      */
#define CPU_NVIC_ISER_Int_HS1_Msk         (0x80000UL)               /*!< Int_HS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISER_Int_HS2_Pos         (20UL)                    /*!< Int_HS2 (Bit 20)                                      */
#define CPU_NVIC_ISER_Int_HS2_Msk         (0x100000UL)              /*!< Int_HS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISER_Int_DU_Pos          (21UL)                    /*!< Int_DU (Bit 21)                                       */
#define CPU_NVIC_ISER_Int_DU_Msk          (0x200000UL)              /*!< Int_DU (Bitfield-Mask: 0x01)                          */
#define CPU_NVIC_ISER_Int_MON_Pos         (22UL)                    /*!< Int_MON (Bit 22)                                      */
#define CPU_NVIC_ISER_Int_MON_Msk         (0x400000UL)              /*!< Int_MON (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISER_Int_PORT2_Pos       (23UL)                    /*!< Int_PORT2 (Bit 23)                                    */
#define CPU_NVIC_ISER_Int_PORT2_Msk       (0x800000UL)              /*!< Int_PORT2 (Bitfield-Mask: 0x01)                       */
/* =======================================================  NVIC_ISPR  ======================================================= */
#define CPU_NVIC_ISPR_Int_GPT1_Pos        (0UL)                     /*!< Int_GPT1 (Bit 0)                                      */
#define CPU_NVIC_ISPR_Int_GPT1_Msk        (0x1UL)                   /*!< Int_GPT1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_GPT2_Pos        (1UL)                     /*!< Int_GPT2 (Bit 1)                                      */
#define CPU_NVIC_ISPR_Int_GPT2_Msk        (0x2UL)                   /*!< Int_GPT2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_ADC2_Pos        (2UL)                     /*!< Int_ADC2 (Bit 2)                                      */
#define CPU_NVIC_ISPR_Int_ADC2_Msk        (0x4UL)                   /*!< Int_ADC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_ADC1_Pos        (3UL)                     /*!< Int_ADC1 (Bit 3)                                      */
#define CPU_NVIC_ISPR_Int_ADC1_Msk        (0x8UL)                   /*!< Int_ADC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_CCU6SR0_Pos     (4UL)                     /*!< Int_CCU6SR0 (Bit 4)                                   */
#define CPU_NVIC_ISPR_Int_CCU6SR0_Msk     (0x10UL)                  /*!< Int_CCU6SR0 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISPR_Int_CCU6SR1_Pos     (5UL)                     /*!< Int_CCU6SR1 (Bit 5)                                   */
#define CPU_NVIC_ISPR_Int_CCU6SR1_Msk     (0x20UL)                  /*!< Int_CCU6SR1 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISPR_Int_CCU6SR2_Pos     (6UL)                     /*!< Int_CCU6SR2 (Bit 6)                                   */
#define CPU_NVIC_ISPR_Int_CCU6SR2_Msk     (0x40UL)                  /*!< Int_CCU6SR2 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISPR_Int_CCU6SR3_Pos     (7UL)                     /*!< Int_CCU6SR3 (Bit 7)                                   */
#define CPU_NVIC_ISPR_Int_CCU6SR3_Msk     (0x80UL)                  /*!< Int_CCU6SR3 (Bitfield-Mask: 0x01)                     */
#define CPU_NVIC_ISPR_Int_SSC1_Pos        (8UL)                     /*!< Int_SSC1 (Bit 8)                                      */
#define CPU_NVIC_ISPR_Int_SSC1_Msk        (0x100UL)                 /*!< Int_SSC1 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_SSC2_Pos        (9UL)                     /*!< Int_SSC2 (Bit 9)                                      */
#define CPU_NVIC_ISPR_Int_SSC2_Msk        (0x200UL)                 /*!< Int_SSC2 (Bitfield-Mask: 0x01)                        */
#define CPU_NVIC_ISPR_Int_UART1_Pos       (10UL)                    /*!< Int_UART1 (Bit 10)                                    */
#define CPU_NVIC_ISPR_Int_UART1_Msk       (0x400UL)                 /*!< Int_UART1 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ISPR_Int_UART2_Pos       (11UL)                    /*!< Int_UART2 (Bit 11)                                    */
#define CPU_NVIC_ISPR_Int_UART2_Msk       (0x800UL)                 /*!< Int_UART2 (Bitfield-Mask: 0x01)                       */
#define CPU_NVIC_ISPR_Int_EXINT0_Pos      (12UL)                    /*!< Int_EXINT0 (Bit 12)                                   */
#define CPU_NVIC_ISPR_Int_EXINT0_Msk      (0x1000UL)                /*!< Int_EXINT0 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISPR_Int_EXINT1_Pos      (13UL)                    /*!< Int_EXINT1 (Bit 13)                                   */
#define CPU_NVIC_ISPR_Int_EXINT1_Msk      (0x2000UL)                /*!< Int_EXINT1 (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISPR_Int_WAKEUP_Pos      (14UL)                    /*!< Int_WAKEUP (Bit 14)                                   */
#define CPU_NVIC_ISPR_Int_WAKEUP_Msk      (0x4000UL)                /*!< Int_WAKEUP (Bitfield-Mask: 0x01)                      */
#define CPU_NVIC_ISPR_Int_LS1_Pos         (17UL)                    /*!< Int_LS1 (Bit 17)                                      */
#define CPU_NVIC_ISPR_Int_LS1_Msk         (0x20000UL)               /*!< Int_LS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISPR_Int_LS2_Pos         (18UL)                    /*!< Int_LS2 (Bit 18)                                      */
#define CPU_NVIC_ISPR_Int_LS2_Msk         (0x40000UL)               /*!< Int_LS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISPR_Int_HS1_Pos         (19UL)                    /*!< Int_HS1 (Bit 19)                                      */
#define CPU_NVIC_ISPR_Int_HS1_Msk         (0x80000UL)               /*!< Int_HS1 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISPR_Int_HS2_Pos         (20UL)                    /*!< Int_HS2 (Bit 20)                                      */
#define CPU_NVIC_ISPR_Int_HS2_Msk         (0x100000UL)              /*!< Int_HS2 (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISPR_Int_DU_Pos          (21UL)                    /*!< Int_DU (Bit 21)                                       */
#define CPU_NVIC_ISPR_Int_DU_Msk          (0x200000UL)              /*!< Int_DU (Bitfield-Mask: 0x01)                          */
#define CPU_NVIC_ISPR_Int_MON_Pos         (22UL)                    /*!< Int_MON (Bit 22)                                      */
#define CPU_NVIC_ISPR_Int_MON_Msk         (0x400000UL)              /*!< Int_MON (Bitfield-Mask: 0x01)                         */
#define CPU_NVIC_ISPR_Int_PORT2_Pos       (23UL)                    /*!< Int_PORT2 (Bit 23)                                    */
#define CPU_NVIC_ISPR_Int_PORT2_Msk       (0x800000UL)              /*!< Int_PORT2 (Bitfield-Mask: 0x01)                       */
/* ==========================================================  SCR  ========================================================== */
#define CPU_SCR_SLEEPONEXIT_Pos           (1UL)                     /*!< SLEEPONEXIT (Bit 1)                                   */
#define CPU_SCR_SLEEPONEXIT_Msk           (0x2UL)                   /*!< SLEEPONEXIT (Bitfield-Mask: 0x01)                     */
#define CPU_SCR_SLEEPDEEP_Pos             (2UL)                     /*!< SLEEPDEEP (Bit 2)                                     */
#define CPU_SCR_SLEEPDEEP_Msk             (0x4UL)                   /*!< SLEEPDEEP (Bitfield-Mask: 0x01)                       */
#define CPU_SCR_SEVONPEND_Pos             (4UL)                     /*!< SEVONPEND (Bit 4)                                     */
#define CPU_SCR_SEVONPEND_Msk             (0x10UL)                  /*!< SEVONPEND (Bitfield-Mask: 0x01)                       */
/* =========================================================  SHPR2  ========================================================= */
#define CPU_SHPR2_PRI_11_Pos              (30UL)                    /*!< PRI_11 (Bit 30)                                       */
#define CPU_SHPR2_PRI_11_Msk              (0xc0000000UL)            /*!< PRI_11 (Bitfield-Mask: 0x03)                          */
/* =========================================================  SHPR3  ========================================================= */
#define CPU_SHPR3_PRI_14_Pos              (22UL)                    /*!< PRI_14 (Bit 22)                                       */
#define CPU_SHPR3_PRI_14_Msk              (0xc00000UL)              /*!< PRI_14 (Bitfield-Mask: 0x03)                          */
#define CPU_SHPR3_PRI_15_Pos              (30UL)                    /*!< PRI_15 (Bit 30)                                       */
#define CPU_SHPR3_PRI_15_Msk              (0xc0000000UL)            /*!< PRI_15 (Bitfield-Mask: 0x03)                          */
/* =====================================================  SYSTICK_CALIB  ===================================================== */
#define CPU_SYSTICK_CALIB_TENMS_Pos       (0UL)                     /*!< TENMS (Bit 0)                                         */
#define CPU_SYSTICK_CALIB_TENMS_Msk       (0xffffffUL)              /*!< TENMS (Bitfield-Mask: 0xffffff)                       */
#define CPU_SYSTICK_CALIB_SKEW_Pos        (30UL)                    /*!< SKEW (Bit 30)                                         */
#define CPU_SYSTICK_CALIB_SKEW_Msk        (0x40000000UL)            /*!< SKEW (Bitfield-Mask: 0x01)                            */
#define CPU_SYSTICK_CALIB_NOREF_Pos       (31UL)                    /*!< NOREF (Bit 31)                                        */
#define CPU_SYSTICK_CALIB_NOREF_Msk       (0x80000000UL)            /*!< NOREF (Bitfield-Mask: 0x01)                           */
/* ======================================================  SYSTICK_CSR  ====================================================== */
#define CPU_SYSTICK_CSR_ENABLE_Pos        (0UL)                     /*!< ENABLE (Bit 0)                                        */
#define CPU_SYSTICK_CSR_ENABLE_Msk        (0x1UL)                   /*!< ENABLE (Bitfield-Mask: 0x01)                          */
#define CPU_SYSTICK_CSR_TICKINT_Pos       (1UL)                     /*!< TICKINT (Bit 1)                                       */
#define CPU_SYSTICK_CSR_TICKINT_Msk       (0x2UL)                   /*!< TICKINT (Bitfield-Mask: 0x01)                         */
#define CPU_SYSTICK_CSR_CLKSOURCE_Pos     (2UL)                     /*!< CLKSOURCE (Bit 2)                                     */
#define CPU_SYSTICK_CSR_CLKSOURCE_Msk     (0x4UL)                   /*!< CLKSOURCE (Bitfield-Mask: 0x01)                       */
#define CPU_SYSTICK_CSR_COUNTFLAG_Pos     (16UL)                    /*!< COUNTFLAG (Bit 16)                                    */
#define CPU_SYSTICK_CSR_COUNTFLAG_Msk     (0x10000UL)               /*!< COUNTFLAG (Bitfield-Mask: 0x01)                       */
/* ======================================================  SYSTICK_CVR  ====================================================== */
#define CPU_SYSTICK_CVR_CURRENT_Pos       (0UL)                     /*!< CURRENT (Bit 0)                                       */
#define CPU_SYSTICK_CVR_CURRENT_Msk       (0xffffffUL)              /*!< CURRENT (Bitfield-Mask: 0xffffff)                     */
/* ======================================================  SYSTICK_RVR  ====================================================== */
#define CPU_SYSTICK_RVR_RELOAD_Pos        (0UL)                     /*!< RELOAD (Bit 0)                                        */
#define CPU_SYSTICK_RVR_RELOAD_Msk        (0xffffffUL)              /*!< RELOAD (Bitfield-Mask: 0xffffff)                      */


/* =========================================================================================================================== */
/* ================                                          GPT12E                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  CAPREL  ========================================================= */
#define GPT12E_CAPREL_CAPREL_Pos          (0UL)                     /*!< CAPREL (Bit 0)                                        */
#define GPT12E_CAPREL_CAPREL_Msk          (0xffffUL)                /*!< CAPREL (Bitfield-Mask: 0xffff)                        */
/* ==========================================================  ID  =========================================================== */
#define GPT12E_ID_MOD_REV_Pos             (0UL)                     /*!< MOD_REV (Bit 0)                                       */
#define GPT12E_ID_MOD_REV_Msk             (0xffUL)                  /*!< MOD_REV (Bitfield-Mask: 0xff)                         */
#define GPT12E_ID_MOD_TYPE_Pos            (8UL)                     /*!< MOD_TYPE (Bit 8)                                      */
#define GPT12E_ID_MOD_TYPE_Msk            (0xff00UL)                /*!< MOD_TYPE (Bitfield-Mask: 0xff)                        */
/* =========================================================  PISEL  ========================================================= */
#define GPT12E_PISEL_IST2IN_Pos           (0UL)                     /*!< IST2IN (Bit 0)                                        */
#define GPT12E_PISEL_IST2IN_Msk           (0x1UL)                   /*!< IST2IN (Bitfield-Mask: 0x01)                          */
#define GPT12E_PISEL_IST2EUD_Pos          (1UL)                     /*!< IST2EUD (Bit 1)                                       */
#define GPT12E_PISEL_IST2EUD_Msk          (0x2UL)                   /*!< IST2EUD (Bitfield-Mask: 0x01)                         */
#define GPT12E_PISEL_IST3IN_Pos           (2UL)                     /*!< IST3IN (Bit 2)                                        */
#define GPT12E_PISEL_IST3IN_Msk           (0xcUL)                   /*!< IST3IN (Bitfield-Mask: 0x03)                          */
#define GPT12E_PISEL_IST3EUD_Pos          (4UL)                     /*!< IST3EUD (Bit 4)                                       */
#define GPT12E_PISEL_IST3EUD_Msk          (0x30UL)                  /*!< IST3EUD (Bitfield-Mask: 0x03)                         */
#define GPT12E_PISEL_IST4IN_Pos           (6UL)                     /*!< IST4IN (Bit 6)                                        */
#define GPT12E_PISEL_IST4IN_Msk           (0xc0UL)                  /*!< IST4IN (Bitfield-Mask: 0x03)                          */
#define GPT12E_PISEL_IST4EUD_Pos          (8UL)                     /*!< IST4EUD (Bit 8)                                       */
#define GPT12E_PISEL_IST4EUD_Msk          (0x300UL)                 /*!< IST4EUD (Bitfield-Mask: 0x03)                         */
#define GPT12E_PISEL_IST5IN_Pos           (10UL)                    /*!< IST5IN (Bit 10)                                       */
#define GPT12E_PISEL_IST5IN_Msk           (0x400UL)                 /*!< IST5IN (Bitfield-Mask: 0x01)                          */
#define GPT12E_PISEL_IST5EUD_Pos          (11UL)                    /*!< IST5EUD (Bit 11)                                      */
#define GPT12E_PISEL_IST5EUD_Msk          (0x800UL)                 /*!< IST5EUD (Bitfield-Mask: 0x01)                         */
#define GPT12E_PISEL_IST6IN_Pos           (12UL)                    /*!< IST6IN (Bit 12)                                       */
#define GPT12E_PISEL_IST6IN_Msk           (0x1000UL)                /*!< IST6IN (Bitfield-Mask: 0x01)                          */
#define GPT12E_PISEL_IST6EUD_Pos          (13UL)                    /*!< IST6EUD (Bit 13)                                      */
#define GPT12E_PISEL_IST6EUD_Msk          (0x2000UL)                /*!< IST6EUD (Bitfield-Mask: 0x01)                         */
#define GPT12E_PISEL_ISCAPIN_Pos          (14UL)                    /*!< ISCAPIN (Bit 14)                                      */
#define GPT12E_PISEL_ISCAPIN_Msk          (0xc000UL)                /*!< ISCAPIN (Bitfield-Mask: 0x03)                         */
/* ==========================================================  T2  =========================================================== */
#define GPT12E_T2_T2_Pos                  (0UL)                     /*!< T2 (Bit 0)                                            */
#define GPT12E_T2_T2_Msk                  (0xffffUL)                /*!< T2 (Bitfield-Mask: 0xffff)                            */
/* =========================================================  T2CON  ========================================================= */
#define GPT12E_T2CON_T2I_Pos              (0UL)                     /*!< T2I (Bit 0)                                           */
#define GPT12E_T2CON_T2I_Msk              (0x7UL)                   /*!< T2I (Bitfield-Mask: 0x07)                             */
#define GPT12E_T2CON_T2M_Pos              (3UL)                     /*!< T2M (Bit 3)                                           */
#define GPT12E_T2CON_T2M_Msk              (0x38UL)                  /*!< T2M (Bitfield-Mask: 0x07)                             */
#define GPT12E_T2CON_T2R_Pos              (6UL)                     /*!< T2R (Bit 6)                                           */
#define GPT12E_T2CON_T2R_Msk              (0x40UL)                  /*!< T2R (Bitfield-Mask: 0x01)                             */
#define GPT12E_T2CON_T2UD_Pos             (7UL)                     /*!< T2UD (Bit 7)                                          */
#define GPT12E_T2CON_T2UD_Msk             (0x80UL)                  /*!< T2UD (Bitfield-Mask: 0x01)                            */
#define GPT12E_T2CON_T2UDE_Pos            (8UL)                     /*!< T2UDE (Bit 8)                                         */
#define GPT12E_T2CON_T2UDE_Msk            (0x100UL)                 /*!< T2UDE (Bitfield-Mask: 0x01)                           */
#define GPT12E_T2CON_T2RC_Pos             (9UL)                     /*!< T2RC (Bit 9)                                          */
#define GPT12E_T2CON_T2RC_Msk             (0x200UL)                 /*!< T2RC (Bitfield-Mask: 0x01)                            */
#define GPT12E_T2CON_T2IRIDIS_Pos         (12UL)                    /*!< T2IRIDIS (Bit 12)                                     */
#define GPT12E_T2CON_T2IRIDIS_Msk         (0x1000UL)                /*!< T2IRIDIS (Bitfield-Mask: 0x01)                        */
#define GPT12E_T2CON_T2EDGE_Pos           (13UL)                    /*!< T2EDGE (Bit 13)                                       */
#define GPT12E_T2CON_T2EDGE_Msk           (0x2000UL)                /*!< T2EDGE (Bitfield-Mask: 0x01)                          */
#define GPT12E_T2CON_T2CHDIR_Pos          (14UL)                    /*!< T2CHDIR (Bit 14)                                      */
#define GPT12E_T2CON_T2CHDIR_Msk          (0x4000UL)                /*!< T2CHDIR (Bitfield-Mask: 0x01)                         */
#define GPT12E_T2CON_T2DIR_Pos            (15UL)                    /*!< T2DIR (Bit 15)                                        */
#define GPT12E_T2CON_T2DIR_Msk            (0x8000UL)                /*!< T2DIR (Bitfield-Mask: 0x01)                           */
/* ==========================================================  T3  =========================================================== */
#define GPT12E_T3_T3_Pos                  (0UL)                     /*!< T3 (Bit 0)                                            */
#define GPT12E_T3_T3_Msk                  (0xffffUL)                /*!< T3 (Bitfield-Mask: 0xffff)                            */
/* =========================================================  T3CON  ========================================================= */
#define GPT12E_T3CON_T3I_Pos              (0UL)                     /*!< T3I (Bit 0)                                           */
#define GPT12E_T3CON_T3I_Msk              (0x7UL)                   /*!< T3I (Bitfield-Mask: 0x07)                             */
#define GPT12E_T3CON_T3M_Pos              (3UL)                     /*!< T3M (Bit 3)                                           */
#define GPT12E_T3CON_T3M_Msk              (0x38UL)                  /*!< T3M (Bitfield-Mask: 0x07)                             */
#define GPT12E_T3CON_T3R_Pos              (6UL)                     /*!< T3R (Bit 6)                                           */
#define GPT12E_T3CON_T3R_Msk              (0x40UL)                  /*!< T3R (Bitfield-Mask: 0x01)                             */
#define GPT12E_T3CON_T3UD_Pos             (7UL)                     /*!< T3UD (Bit 7)                                          */
#define GPT12E_T3CON_T3UD_Msk             (0x80UL)                  /*!< T3UD (Bitfield-Mask: 0x01)                            */
#define GPT12E_T3CON_T3UDE_Pos            (8UL)                     /*!< T3UDE (Bit 8)                                         */
#define GPT12E_T3CON_T3UDE_Msk            (0x100UL)                 /*!< T3UDE (Bitfield-Mask: 0x01)                           */
#define GPT12E_T3CON_T3OE_Pos             (9UL)                     /*!< T3OE (Bit 9)                                          */
#define GPT12E_T3CON_T3OE_Msk             (0x200UL)                 /*!< T3OE (Bitfield-Mask: 0x01)                            */
#define GPT12E_T3CON_T3OTL_Pos            (10UL)                    /*!< T3OTL (Bit 10)                                        */
#define GPT12E_T3CON_T3OTL_Msk            (0x400UL)                 /*!< T3OTL (Bitfield-Mask: 0x01)                           */
#define GPT12E_T3CON_BPS1_Pos             (11UL)                    /*!< BPS1 (Bit 11)                                         */
#define GPT12E_T3CON_BPS1_Msk             (0x1800UL)                /*!< BPS1 (Bitfield-Mask: 0x03)                            */
#define GPT12E_T3CON_T3EDGE_Pos           (13UL)                    /*!< T3EDGE (Bit 13)                                       */
#define GPT12E_T3CON_T3EDGE_Msk           (0x2000UL)                /*!< T3EDGE (Bitfield-Mask: 0x01)                          */
#define GPT12E_T3CON_T3CHDIR_Pos          (14UL)                    /*!< T3CHDIR (Bit 14)                                      */
#define GPT12E_T3CON_T3CHDIR_Msk          (0x4000UL)                /*!< T3CHDIR (Bitfield-Mask: 0x01)                         */
#define GPT12E_T3CON_T3DIR_Pos            (15UL)                    /*!< T3DIR (Bit 15)                                        */
#define GPT12E_T3CON_T3DIR_Msk            (0x8000UL)                /*!< T3DIR (Bitfield-Mask: 0x01)                           */
/* ==========================================================  T4  =========================================================== */
#define GPT12E_T4_T4_Pos                  (0UL)                     /*!< T4 (Bit 0)                                            */
#define GPT12E_T4_T4_Msk                  (0xffffUL)                /*!< T4 (Bitfield-Mask: 0xffff)                            */
/* =========================================================  T4CON  ========================================================= */
#define GPT12E_T4CON_T4I_Pos              (0UL)                     /*!< T4I (Bit 0)                                           */
#define GPT12E_T4CON_T4I_Msk              (0x7UL)                   /*!< T4I (Bitfield-Mask: 0x07)                             */
#define GPT12E_T4CON_T4M_Pos              (3UL)                     /*!< T4M (Bit 3)                                           */
#define GPT12E_T4CON_T4M_Msk              (0x38UL)                  /*!< T4M (Bitfield-Mask: 0x07)                             */
#define GPT12E_T4CON_T4R_Pos              (6UL)                     /*!< T4R (Bit 6)                                           */
#define GPT12E_T4CON_T4R_Msk              (0x40UL)                  /*!< T4R (Bitfield-Mask: 0x01)                             */
#define GPT12E_T4CON_T4UD_Pos             (7UL)                     /*!< T4UD (Bit 7)                                          */
#define GPT12E_T4CON_T4UD_Msk             (0x80UL)                  /*!< T4UD (Bitfield-Mask: 0x01)                            */
#define GPT12E_T4CON_T4UDE_Pos            (8UL)                     /*!< T4UDE (Bit 8)                                         */
#define GPT12E_T4CON_T4UDE_Msk            (0x100UL)                 /*!< T4UDE (Bitfield-Mask: 0x01)                           */
#define GPT12E_T4CON_T4RC_Pos             (9UL)                     /*!< T4RC (Bit 9)                                          */
#define GPT12E_T4CON_T4RC_Msk             (0x200UL)                 /*!< T4RC (Bitfield-Mask: 0x01)                            */
#define GPT12E_T4CON_CLRT2EN_Pos          (10UL)                    /*!< CLRT2EN (Bit 10)                                      */
#define GPT12E_T4CON_CLRT2EN_Msk          (0x400UL)                 /*!< CLRT2EN (Bitfield-Mask: 0x01)                         */
#define GPT12E_T4CON_CLRT3EN_Pos          (11UL)                    /*!< CLRT3EN (Bit 11)                                      */
#define GPT12E_T4CON_CLRT3EN_Msk          (0x800UL)                 /*!< CLRT3EN (Bitfield-Mask: 0x01)                         */
#define GPT12E_T4CON_T4IRDIS_Pos          (12UL)                    /*!< T4IRDIS (Bit 12)                                      */
#define GPT12E_T4CON_T4IRDIS_Msk          (0x1000UL)                /*!< T4IRDIS (Bitfield-Mask: 0x01)                         */
#define GPT12E_T4CON_T4EDGE_Pos           (13UL)                    /*!< T4EDGE (Bit 13)                                       */
#define GPT12E_T4CON_T4EDGE_Msk           (0x2000UL)                /*!< T4EDGE (Bitfield-Mask: 0x01)                          */
#define GPT12E_T4CON_T4CHDIR_Pos          (14UL)                    /*!< T4CHDIR (Bit 14)                                      */
#define GPT12E_T4CON_T4CHDIR_Msk          (0x4000UL)                /*!< T4CHDIR (Bitfield-Mask: 0x01)                         */
#define GPT12E_T4CON_T4RDIR_Pos           (15UL)                    /*!< T4RDIR (Bit 15)                                       */
#define GPT12E_T4CON_T4RDIR_Msk           (0x8000UL)                /*!< T4RDIR (Bitfield-Mask: 0x01)                          */
/* ==========================================================  T5  =========================================================== */
#define GPT12E_T5_T5_Pos                  (0UL)                     /*!< T5 (Bit 0)                                            */
#define GPT12E_T5_T5_Msk                  (0xffffUL)                /*!< T5 (Bitfield-Mask: 0xffff)                            */
/* =========================================================  T5CON  ========================================================= */
#define GPT12E_T5CON_T5I_Pos              (0UL)                     /*!< T5I (Bit 0)                                           */
#define GPT12E_T5CON_T5I_Msk              (0x7UL)                   /*!< T5I (Bitfield-Mask: 0x07)                             */
#define GPT12E_T5CON_T5M_Pos              (3UL)                     /*!< T5M (Bit 3)                                           */
#define GPT12E_T5CON_T5M_Msk              (0x18UL)                  /*!< T5M (Bitfield-Mask: 0x03)                             */
#define GPT12E_T5CON_T5R_Pos              (6UL)                     /*!< T5R (Bit 6)                                           */
#define GPT12E_T5CON_T5R_Msk              (0x40UL)                  /*!< T5R (Bitfield-Mask: 0x01)                             */
#define GPT12E_T5CON_T5UD_Pos             (7UL)                     /*!< T5UD (Bit 7)                                          */
#define GPT12E_T5CON_T5UD_Msk             (0x80UL)                  /*!< T5UD (Bitfield-Mask: 0x01)                            */
#define GPT12E_T5CON_T5UDE_Pos            (8UL)                     /*!< T5UDE (Bit 8)                                         */
#define GPT12E_T5CON_T5UDE_Msk            (0x100UL)                 /*!< T5UDE (Bitfield-Mask: 0x01)                           */
#define GPT12E_T5CON_T5RC_Pos             (9UL)                     /*!< T5RC (Bit 9)                                          */
#define GPT12E_T5CON_T5RC_Msk             (0x200UL)                 /*!< T5RC (Bitfield-Mask: 0x01)                            */
#define GPT12E_T5CON_CT3_Pos              (10UL)                    /*!< CT3 (Bit 10)                                          */
#define GPT12E_T5CON_CT3_Msk              (0x400UL)                 /*!< CT3 (Bitfield-Mask: 0x01)                             */
#define GPT12E_T5CON_CI_Pos               (12UL)                    /*!< CI (Bit 12)                                           */
#define GPT12E_T5CON_CI_Msk               (0x3000UL)                /*!< CI (Bitfield-Mask: 0x03)                              */
#define GPT12E_T5CON_T5CLR_Pos            (14UL)                    /*!< T5CLR (Bit 14)                                        */
#define GPT12E_T5CON_T5CLR_Msk            (0x4000UL)                /*!< T5CLR (Bitfield-Mask: 0x01)                           */
#define GPT12E_T5CON_T5SC_Pos             (15UL)                    /*!< T5SC (Bit 15)                                         */
#define GPT12E_T5CON_T5SC_Msk             (0x8000UL)                /*!< T5SC (Bitfield-Mask: 0x01)                            */
/* ==========================================================  T6  =========================================================== */
#define GPT12E_T6_T6_Pos                  (0UL)                     /*!< T6 (Bit 0)                                            */
#define GPT12E_T6_T6_Msk                  (0xffffUL)                /*!< T6 (Bitfield-Mask: 0xffff)                            */
/* =========================================================  T6CON  ========================================================= */
#define GPT12E_T6CON_T6I_Pos              (0UL)                     /*!< T6I (Bit 0)                                           */
#define GPT12E_T6CON_T6I_Msk              (0x7UL)                   /*!< T6I (Bitfield-Mask: 0x07)                             */
#define GPT12E_T6CON_T6M_Pos              (3UL)                     /*!< T6M (Bit 3)                                           */
#define GPT12E_T6CON_T6M_Msk              (0x38UL)                  /*!< T6M (Bitfield-Mask: 0x07)                             */
#define GPT12E_T6CON_T6R_Pos              (6UL)                     /*!< T6R (Bit 6)                                           */
#define GPT12E_T6CON_T6R_Msk              (0x40UL)                  /*!< T6R (Bitfield-Mask: 0x01)                             */
#define GPT12E_T6CON_T6UD_Pos             (7UL)                     /*!< T6UD (Bit 7)                                          */
#define GPT12E_T6CON_T6UD_Msk             (0x80UL)                  /*!< T6UD (Bitfield-Mask: 0x01)                            */
#define GPT12E_T6CON_T6UDE_Pos            (8UL)                     /*!< T6UDE (Bit 8)                                         */
#define GPT12E_T6CON_T6UDE_Msk            (0x100UL)                 /*!< T6UDE (Bitfield-Mask: 0x01)                           */
#define GPT12E_T6CON_T6OE_Pos             (9UL)                     /*!< T6OE (Bit 9)                                          */
#define GPT12E_T6CON_T6OE_Msk             (0x200UL)                 /*!< T6OE (Bitfield-Mask: 0x01)                            */
#define GPT12E_T6CON_T6OTL_Pos            (10UL)                    /*!< T6OTL (Bit 10)                                        */
#define GPT12E_T6CON_T6OTL_Msk            (0x400UL)                 /*!< T6OTL (Bitfield-Mask: 0x01)                           */
#define GPT12E_T6CON_BPS2_Pos             (11UL)                    /*!< BPS2 (Bit 11)                                         */
#define GPT12E_T6CON_BPS2_Msk             (0x1800UL)                /*!< BPS2 (Bitfield-Mask: 0x03)                            */
#define GPT12E_T6CON_T6CLR_Pos            (14UL)                    /*!< T6CLR (Bit 14)                                        */
#define GPT12E_T6CON_T6CLR_Msk            (0x4000UL)                /*!< T6CLR (Bitfield-Mask: 0x01)                           */
#define GPT12E_T6CON_T6SR_Pos             (15UL)                    /*!< T6SR (Bit 15)                                         */
#define GPT12E_T6CON_T6SR_Msk             (0x8000UL)                /*!< T6SR (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                            HS                                             ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define HS_CTRL_HS1_EN_Pos                (0UL)                     /*!< HS1_EN (Bit 0)                                        */
#define HS_CTRL_HS1_EN_Msk                (0x1UL)                   /*!< HS1_EN (Bitfield-Mask: 0x01)                          */
#define HS_CTRL_HS1_PWM_Pos               (1UL)                     /*!< HS1_PWM (Bit 1)                                       */
#define HS_CTRL_HS1_PWM_Msk               (0x2UL)                   /*!< HS1_PWM (Bitfield-Mask: 0x01)                         */
#define HS_CTRL_HS1_ON_Pos                (2UL)                     /*!< HS1_ON (Bit 2)                                        */
#define HS_CTRL_HS1_ON_Msk                (0x4UL)                   /*!< HS1_ON (Bitfield-Mask: 0x01)                          */
#define HS_CTRL_HS1_OL_EN_Pos             (3UL)                     /*!< HS1_OL_EN (Bit 3)                                     */
#define HS_CTRL_HS1_OL_EN_Msk             (0x8UL)                   /*!< HS1_OL_EN (Bitfield-Mask: 0x01)                       */
#define HS_CTRL_HS1_CYC_ON_ACTIVE_Pos     (7UL)                     /*!< HS1_CYC_ON_ACTIVE (Bit 7)                             */
#define HS_CTRL_HS1_CYC_ON_ACTIVE_Msk     (0x80UL)                  /*!< HS1_CYC_ON_ACTIVE (Bitfield-Mask: 0x01)               */
#define HS_CTRL_HS1_SRCTL_SEL_Pos         (8UL)                     /*!< HS1_SRCTL_SEL (Bit 8)                                 */
#define HS_CTRL_HS1_SRCTL_SEL_Msk         (0x100UL)                 /*!< HS1_SRCTL_SEL (Bitfield-Mask: 0x01)                   */
#define HS_CTRL_HS1_OC_SEL_Pos            (12UL)                    /*!< HS1_OC_SEL (Bit 12)                                   */
#define HS_CTRL_HS1_OC_SEL_Msk            (0x3000UL)                /*!< HS1_OC_SEL (Bitfield-Mask: 0x03)                      */
#define HS_CTRL_HS2_EN_Pos                (16UL)                    /*!< HS2_EN (Bit 16)                                       */
#define HS_CTRL_HS2_EN_Msk                (0x10000UL)               /*!< HS2_EN (Bitfield-Mask: 0x01)                          */
#define HS_CTRL_HS2_PWM_Pos               (17UL)                    /*!< HS2_PWM (Bit 17)                                      */
#define HS_CTRL_HS2_PWM_Msk               (0x20000UL)               /*!< HS2_PWM (Bitfield-Mask: 0x01)                         */
#define HS_CTRL_HS2_ON_Pos                (18UL)                    /*!< HS2_ON (Bit 18)                                       */
#define HS_CTRL_HS2_ON_Msk                (0x40000UL)               /*!< HS2_ON (Bitfield-Mask: 0x01)                          */
#define HS_CTRL_HS2_OL_EN_Pos             (19UL)                    /*!< HS2_OL_EN (Bit 19)                                    */
#define HS_CTRL_HS2_OL_EN_Msk             (0x80000UL)               /*!< HS2_OL_EN (Bitfield-Mask: 0x01)                       */
#define HS_CTRL_HS2_CYC_ON_ACTIVE_Pos     (23UL)                    /*!< HS2_CYC_ON_ACTIVE (Bit 23)                            */
#define HS_CTRL_HS2_CYC_ON_ACTIVE_Msk     (0x800000UL)              /*!< HS2_CYC_ON_ACTIVE (Bitfield-Mask: 0x01)               */
#define HS_CTRL_HS2_SRCTL_SEL_Pos         (24UL)                    /*!< HS2_SRCTL_SEL (Bit 24)                                */
#define HS_CTRL_HS2_SRCTL_SEL_Msk         (0x1000000UL)             /*!< HS2_SRCTL_SEL (Bitfield-Mask: 0x01)                   */
#define HS_CTRL_HS2_OC_SEL_Pos            (28UL)                    /*!< HS2_OC_SEL (Bit 28)                                   */
#define HS_CTRL_HS2_OC_SEL_Msk            (0x30000000UL)            /*!< HS2_OC_SEL (Bitfield-Mask: 0x03)                      */
/* =======================================================  HS1_TRIM  ======================================================== */
#define HS_HS1_TRIM_HS1_OL_BTFILT_SEL_Pos (0UL)                     /*!< HS1_OL_BTFILT_SEL (Bit 0)                             */
#define HS_HS1_TRIM_HS1_OL_BTFILT_SEL_Msk (0x3UL)                   /*!< HS1_OL_BTFILT_SEL (Bitfield-Mask: 0x03)               */
#define HS_HS1_TRIM_HS1_OC_OT_BTFILT_SEL_Pos (8UL)                  /*!< HS1_OC_OT_BTFILT_SEL (Bit 8)                          */
#define HS_HS1_TRIM_HS1_OC_OT_BTFILT_SEL_Msk (0x300UL)              /*!< HS1_OC_OT_BTFILT_SEL (Bitfield-Mask: 0x03)            */
/* =======================================================  HS2_TRIM  ======================================================== */
#define HS_HS2_TRIM_HS2_OL_BTFILT_SEL_Pos (0UL)                     /*!< HS2_OL_BTFILT_SEL (Bit 0)                             */
#define HS_HS2_TRIM_HS2_OL_BTFILT_SEL_Msk (0x3UL)                   /*!< HS2_OL_BTFILT_SEL (Bitfield-Mask: 0x03)               */
#define HS_HS2_TRIM_HS2_OC_OT_BTFILT_SEL_Pos (8UL)                  /*!< HS2_OC_OT_BTFILT_SEL (Bit 8)                          */
#define HS_HS2_TRIM_HS2_OC_OT_BTFILT_SEL_Msk (0x300UL)              /*!< HS2_OC_OT_BTFILT_SEL (Bitfield-Mask: 0x03)            */
/* ========================================================  IRQCLR  ========================================================= */
#define HS_IRQCLR_HS1_OT_ISC_Pos          (5UL)                     /*!< HS1_OT_ISC (Bit 5)                                    */
#define HS_IRQCLR_HS1_OT_ISC_Msk          (0x20UL)                  /*!< HS1_OT_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS1_OL_ISC_Pos          (6UL)                     /*!< HS1_OL_ISC (Bit 6)                                    */
#define HS_IRQCLR_HS1_OL_ISC_Msk          (0x40UL)                  /*!< HS1_OL_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS1_OC_ISC_Pos          (7UL)                     /*!< HS1_OC_ISC (Bit 7)                                    */
#define HS_IRQCLR_HS1_OC_ISC_Msk          (0x80UL)                  /*!< HS1_OC_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS1_OT_SC_Pos           (13UL)                    /*!< HS1_OT_SC (Bit 13)                                    */
#define HS_IRQCLR_HS1_OT_SC_Msk           (0x2000UL)                /*!< HS1_OT_SC (Bitfield-Mask: 0x01)                       */
#define HS_IRQCLR_HS1_OL_SC_Pos           (14UL)                    /*!< HS1_OL_SC (Bit 14)                                    */
#define HS_IRQCLR_HS1_OL_SC_Msk           (0x4000UL)                /*!< HS1_OL_SC (Bitfield-Mask: 0x01)                       */
#define HS_IRQCLR_HS2_OT_ISC_Pos          (21UL)                    /*!< HS2_OT_ISC (Bit 21)                                   */
#define HS_IRQCLR_HS2_OT_ISC_Msk          (0x200000UL)              /*!< HS2_OT_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS2_OL_ISC_Pos          (22UL)                    /*!< HS2_OL_ISC (Bit 22)                                   */
#define HS_IRQCLR_HS2_OL_ISC_Msk          (0x400000UL)              /*!< HS2_OL_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS2_OC_ISC_Pos          (23UL)                    /*!< HS2_OC_ISC (Bit 23)                                   */
#define HS_IRQCLR_HS2_OC_ISC_Msk          (0x800000UL)              /*!< HS2_OC_ISC (Bitfield-Mask: 0x01)                      */
#define HS_IRQCLR_HS2_OT_SC_Pos           (29UL)                    /*!< HS2_OT_SC (Bit 29)                                    */
#define HS_IRQCLR_HS2_OT_SC_Msk           (0x20000000UL)            /*!< HS2_OT_SC (Bitfield-Mask: 0x01)                       */
#define HS_IRQCLR_HS2_OL_SC_Pos           (30UL)                    /*!< HS2_OL_SC (Bit 30)                                    */
#define HS_IRQCLR_HS2_OL_SC_Msk           (0x40000000UL)            /*!< HS2_OL_SC (Bitfield-Mask: 0x01)                       */
/* =========================================================  IRQEN  ========================================================= */
#define HS_IRQEN_HS1_OT_IEN_Pos           (5UL)                     /*!< HS1_OT_IEN (Bit 5)                                    */
#define HS_IRQEN_HS1_OT_IEN_Msk           (0x20UL)                  /*!< HS1_OT_IEN (Bitfield-Mask: 0x01)                      */
#define HS_IRQEN_HS1_OL_IEN_Pos           (6UL)                     /*!< HS1_OL_IEN (Bit 6)                                    */
#define HS_IRQEN_HS1_OL_IEN_Msk           (0x40UL)                  /*!< HS1_OL_IEN (Bitfield-Mask: 0x01)                      */
#define HS_IRQEN_HS1_OC_IEN_Pos           (7UL)                     /*!< HS1_OC_IEN (Bit 7)                                    */
#define HS_IRQEN_HS1_OC_IEN_Msk           (0x80UL)                  /*!< HS1_OC_IEN (Bitfield-Mask: 0x01)                      */
#define HS_IRQEN_HS2_OT_IEN_Pos           (21UL)                    /*!< HS2_OT_IEN (Bit 21)                                   */
#define HS_IRQEN_HS2_OT_IEN_Msk           (0x200000UL)              /*!< HS2_OT_IEN (Bitfield-Mask: 0x01)                      */
#define HS_IRQEN_HS2_OL_IEN_Pos           (22UL)                    /*!< HS2_OL_IEN (Bit 22)                                   */
#define HS_IRQEN_HS2_OL_IEN_Msk           (0x400000UL)              /*!< HS2_OL_IEN (Bitfield-Mask: 0x01)                      */
#define HS_IRQEN_HS2_OC_IEN_Pos           (23UL)                    /*!< HS2_OC_IEN (Bit 23)                                   */
#define HS_IRQEN_HS2_OC_IEN_Msk           (0x800000UL)              /*!< HS2_OC_IEN (Bitfield-Mask: 0x01)                      */
/* =========================================================  IRQS  ========================================================== */
#define HS_IRQS_HS1_OT_IS_Pos             (5UL)                     /*!< HS1_OT_IS (Bit 5)                                     */
#define HS_IRQS_HS1_OT_IS_Msk             (0x20UL)                  /*!< HS1_OT_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS1_OL_IS_Pos             (6UL)                     /*!< HS1_OL_IS (Bit 6)                                     */
#define HS_IRQS_HS1_OL_IS_Msk             (0x40UL)                  /*!< HS1_OL_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS1_OC_IS_Pos             (7UL)                     /*!< HS1_OC_IS (Bit 7)                                     */
#define HS_IRQS_HS1_OC_IS_Msk             (0x80UL)                  /*!< HS1_OC_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS1_OT_STS_Pos            (13UL)                    /*!< HS1_OT_STS (Bit 13)                                   */
#define HS_IRQS_HS1_OT_STS_Msk            (0x2000UL)                /*!< HS1_OT_STS (Bitfield-Mask: 0x01)                      */
#define HS_IRQS_HS1_OL_STS_Pos            (14UL)                    /*!< HS1_OL_STS (Bit 14)                                   */
#define HS_IRQS_HS1_OL_STS_Msk            (0x4000UL)                /*!< HS1_OL_STS (Bitfield-Mask: 0x01)                      */
#define HS_IRQS_HS2_OT_IS_Pos             (21UL)                    /*!< HS2_OT_IS (Bit 21)                                    */
#define HS_IRQS_HS2_OT_IS_Msk             (0x200000UL)              /*!< HS2_OT_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS2_OL_IS_Pos             (22UL)                    /*!< HS2_OL_IS (Bit 22)                                    */
#define HS_IRQS_HS2_OL_IS_Msk             (0x400000UL)              /*!< HS2_OL_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS2_OC_IS_Pos             (23UL)                    /*!< HS2_OC_IS (Bit 23)                                    */
#define HS_IRQS_HS2_OC_IS_Msk             (0x800000UL)              /*!< HS2_OC_IS (Bitfield-Mask: 0x01)                       */
#define HS_IRQS_HS2_OT_STS_Pos            (29UL)                    /*!< HS2_OT_STS (Bit 29)                                   */
#define HS_IRQS_HS2_OT_STS_Msk            (0x20000000UL)            /*!< HS2_OT_STS (Bitfield-Mask: 0x01)                      */
#define HS_IRQS_HS2_OL_STS_Pos            (30UL)                    /*!< HS2_OL_STS (Bit 30)                                   */
#define HS_IRQS_HS2_OL_STS_Msk            (0x40000000UL)            /*!< HS2_OL_STS (Bitfield-Mask: 0x01)                      */
/* =======================================================  PWMSRCSEL  ======================================================= */
#define HS_PWMSRCSEL_HS2_SRC_SEL_Pos      (0UL)                     /*!< HS2_SRC_SEL (Bit 0)                                   */
#define HS_PWMSRCSEL_HS2_SRC_SEL_Msk      (0x7UL)                   /*!< HS2_SRC_SEL (Bitfield-Mask: 0x07)                     */
#define HS_PWMSRCSEL_HS1_SRC_SEL_Pos      (3UL)                     /*!< HS1_SRC_SEL (Bit 3)                                   */
#define HS_PWMSRCSEL_HS1_SRC_SEL_Msk      (0x38UL)                  /*!< HS1_SRC_SEL (Bitfield-Mask: 0x07)                     */


/* =========================================================================================================================== */
/* ================                                            LS                                             ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define LS_CTRL_LS1_EN_Pos                (0UL)                     /*!< LS1_EN (Bit 0)                                        */
#define LS_CTRL_LS1_EN_Msk                (0x1UL)                   /*!< LS1_EN (Bitfield-Mask: 0x01)                          */
#define LS_CTRL_LS1_PWM_Pos               (1UL)                     /*!< LS1_PWM (Bit 1)                                       */
#define LS_CTRL_LS1_PWM_Msk               (0x2UL)                   /*!< LS1_PWM (Bitfield-Mask: 0x01)                         */
#define LS_CTRL_LS1_ON_Pos                (2UL)                     /*!< LS1_ON (Bit 2)                                        */
#define LS_CTRL_LS1_ON_Msk                (0x4UL)                   /*!< LS1_ON (Bitfield-Mask: 0x01)                          */
#define LS_CTRL_LS1_OL_EN_Pos             (3UL)                     /*!< LS1_OL_EN (Bit 3)                                     */
#define LS_CTRL_LS1_OL_EN_Msk             (0x8UL)                   /*!< LS1_OL_EN (Bitfield-Mask: 0x01)                       */
#define LS_CTRL_LS1_SRCTL_SEL_Pos         (8UL)                     /*!< LS1_SRCTL_SEL (Bit 8)                                 */
#define LS_CTRL_LS1_SRCTL_SEL_Msk         (0x100UL)                 /*!< LS1_SRCTL_SEL (Bitfield-Mask: 0x01)                   */
#define LS_CTRL_LS2_EN_Pos                (16UL)                    /*!< LS2_EN (Bit 16)                                       */
#define LS_CTRL_LS2_EN_Msk                (0x10000UL)               /*!< LS2_EN (Bitfield-Mask: 0x01)                          */
#define LS_CTRL_LS2_PWM_Pos               (17UL)                    /*!< LS2_PWM (Bit 17)                                      */
#define LS_CTRL_LS2_PWM_Msk               (0x20000UL)               /*!< LS2_PWM (Bitfield-Mask: 0x01)                         */
#define LS_CTRL_LS2_ON_Pos                (18UL)                    /*!< LS2_ON (Bit 18)                                       */
#define LS_CTRL_LS2_ON_Msk                (0x40000UL)               /*!< LS2_ON (Bitfield-Mask: 0x01)                          */
#define LS_CTRL_LS2_OL_EN_Pos             (19UL)                    /*!< LS2_OL_EN (Bit 19)                                    */
#define LS_CTRL_LS2_OL_EN_Msk             (0x80000UL)               /*!< LS2_OL_EN (Bitfield-Mask: 0x01)                       */
#define LS_CTRL_LS2_SRCTL_SEL_Pos         (24UL)                    /*!< LS2_SRCTL_SEL (Bit 24)                                */
#define LS_CTRL_LS2_SRCTL_SEL_Msk         (0x1000000UL)             /*!< LS2_SRCTL_SEL (Bitfield-Mask: 0x01)                   */
/* ========================================================  IRQCLR  ========================================================= */
#define LS_IRQCLR_LS1_OT_PREWARN_ISC_Pos  (4UL)                     /*!< LS1_OT_PREWARN_ISC (Bit 4)                            */
#define LS_IRQCLR_LS1_OT_PREWARN_ISC_Msk  (0x10UL)                  /*!< LS1_OT_PREWARN_ISC (Bitfield-Mask: 0x01)              */
#define LS_IRQCLR_LS1_OT_ISC_Pos          (5UL)                     /*!< LS1_OT_ISC (Bit 5)                                    */
#define LS_IRQCLR_LS1_OT_ISC_Msk          (0x20UL)                  /*!< LS1_OT_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS1_OL_ISC_Pos          (6UL)                     /*!< LS1_OL_ISC (Bit 6)                                    */
#define LS_IRQCLR_LS1_OL_ISC_Msk          (0x40UL)                  /*!< LS1_OL_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS1_OC_ISC_Pos          (7UL)                     /*!< LS1_OC_ISC (Bit 7)                                    */
#define LS_IRQCLR_LS1_OC_ISC_Msk          (0x80UL)                  /*!< LS1_OC_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS1_OT_PREWARN_SC_Pos   (12UL)                    /*!< LS1_OT_PREWARN_SC (Bit 12)                            */
#define LS_IRQCLR_LS1_OT_PREWARN_SC_Msk   (0x1000UL)                /*!< LS1_OT_PREWARN_SC (Bitfield-Mask: 0x01)               */
#define LS_IRQCLR_LS1_OT_SC_Pos           (13UL)                    /*!< LS1_OT_SC (Bit 13)                                    */
#define LS_IRQCLR_LS1_OT_SC_Msk           (0x2000UL)                /*!< LS1_OT_SC (Bitfield-Mask: 0x01)                       */
#define LS_IRQCLR_LS1_OL_SC_Pos           (14UL)                    /*!< LS1_OL_SC (Bit 14)                                    */
#define LS_IRQCLR_LS1_OL_SC_Msk           (0x4000UL)                /*!< LS1_OL_SC (Bitfield-Mask: 0x01)                       */
#define LS_IRQCLR_LS2_OT_PREWARN_ISC_Pos  (20UL)                    /*!< LS2_OT_PREWARN_ISC (Bit 20)                           */
#define LS_IRQCLR_LS2_OT_PREWARN_ISC_Msk  (0x100000UL)              /*!< LS2_OT_PREWARN_ISC (Bitfield-Mask: 0x01)              */
#define LS_IRQCLR_LS2_OT_ISC_Pos          (21UL)                    /*!< LS2_OT_ISC (Bit 21)                                   */
#define LS_IRQCLR_LS2_OT_ISC_Msk          (0x200000UL)              /*!< LS2_OT_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS2_OL_ISC_Pos          (22UL)                    /*!< LS2_OL_ISC (Bit 22)                                   */
#define LS_IRQCLR_LS2_OL_ISC_Msk          (0x400000UL)              /*!< LS2_OL_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS2_OC_ISC_Pos          (23UL)                    /*!< LS2_OC_ISC (Bit 23)                                   */
#define LS_IRQCLR_LS2_OC_ISC_Msk          (0x800000UL)              /*!< LS2_OC_ISC (Bitfield-Mask: 0x01)                      */
#define LS_IRQCLR_LS2_OT_PREWARN_SC_Pos   (28UL)                    /*!< LS2_OT_PREWARN_SC (Bit 28)                            */
#define LS_IRQCLR_LS2_OT_PREWARN_SC_Msk   (0x10000000UL)            /*!< LS2_OT_PREWARN_SC (Bitfield-Mask: 0x01)               */
#define LS_IRQCLR_LS2_OT_SC_Pos           (29UL)                    /*!< LS2_OT_SC (Bit 29)                                    */
#define LS_IRQCLR_LS2_OT_SC_Msk           (0x20000000UL)            /*!< LS2_OT_SC (Bitfield-Mask: 0x01)                       */
#define LS_IRQCLR_LS2_OL_SC_Pos           (30UL)                    /*!< LS2_OL_SC (Bit 30)                                    */
#define LS_IRQCLR_LS2_OL_SC_Msk           (0x40000000UL)            /*!< LS2_OL_SC (Bitfield-Mask: 0x01)                       */
/* =========================================================  IRQEN  ========================================================= */
#define LS_IRQEN_LS1_OT_PREWARN_IEN_Pos   (4UL)                     /*!< LS1_OT_PREWARN_IEN (Bit 4)                            */
#define LS_IRQEN_LS1_OT_PREWARN_IEN_Msk   (0x10UL)                  /*!< LS1_OT_PREWARN_IEN (Bitfield-Mask: 0x01)              */
#define LS_IRQEN_LS1_OT_IEN_Pos           (5UL)                     /*!< LS1_OT_IEN (Bit 5)                                    */
#define LS_IRQEN_LS1_OT_IEN_Msk           (0x20UL)                  /*!< LS1_OT_IEN (Bitfield-Mask: 0x01)                      */
#define LS_IRQEN_LS1_OL_IEN_Pos           (6UL)                     /*!< LS1_OL_IEN (Bit 6)                                    */
#define LS_IRQEN_LS1_OL_IEN_Msk           (0x40UL)                  /*!< LS1_OL_IEN (Bitfield-Mask: 0x01)                      */
#define LS_IRQEN_LS1_OC_IEN_Pos           (7UL)                     /*!< LS1_OC_IEN (Bit 7)                                    */
#define LS_IRQEN_LS1_OC_IEN_Msk           (0x80UL)                  /*!< LS1_OC_IEN (Bitfield-Mask: 0x01)                      */
#define LS_IRQEN_LS2_OT_PREWARN_IEN_Pos   (20UL)                    /*!< LS2_OT_PREWARN_IEN (Bit 20)                           */
#define LS_IRQEN_LS2_OT_PREWARN_IEN_Msk   (0x100000UL)              /*!< LS2_OT_PREWARN_IEN (Bitfield-Mask: 0x01)              */
#define LS_IRQEN_LS2_OT_IEN_Pos           (21UL)                    /*!< LS2_OT_IEN (Bit 21)                                   */
#define LS_IRQEN_LS2_OT_IEN_Msk           (0x200000UL)              /*!< LS2_OT_IEN (Bitfield-Mask: 0x01)                      */
#define LS_IRQEN_LS2_OL_IEN_Pos           (22UL)                    /*!< LS2_OL_IEN (Bit 22)                                   */
#define LS_IRQEN_LS2_OL_IEN_Msk           (0x400000UL)              /*!< LS2_OL_IEN (Bitfield-Mask: 0x01)                      */
#define LS_IRQEN_LS2_OC_IEN_Pos           (23UL)                    /*!< LS2_OC_IEN (Bit 23)                                   */
#define LS_IRQEN_LS2_OC_IEN_Msk           (0x800000UL)              /*!< LS2_OC_IEN (Bitfield-Mask: 0x01)                      */
/* =========================================================  IRQS  ========================================================== */
#define LS_IRQS_LS1_OT_PREWARN_IS_Pos     (4UL)                     /*!< LS1_OT_PREWARN_IS (Bit 4)                             */
#define LS_IRQS_LS1_OT_PREWARN_IS_Msk     (0x10UL)                  /*!< LS1_OT_PREWARN_IS (Bitfield-Mask: 0x01)               */
#define LS_IRQS_LS1_OT_IS_Pos             (5UL)                     /*!< LS1_OT_IS (Bit 5)                                     */
#define LS_IRQS_LS1_OT_IS_Msk             (0x20UL)                  /*!< LS1_OT_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS1_OL_IS_Pos             (6UL)                     /*!< LS1_OL_IS (Bit 6)                                     */
#define LS_IRQS_LS1_OL_IS_Msk             (0x40UL)                  /*!< LS1_OL_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS1_OC_IS_Pos             (7UL)                     /*!< LS1_OC_IS (Bit 7)                                     */
#define LS_IRQS_LS1_OC_IS_Msk             (0x80UL)                  /*!< LS1_OC_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS1_OT_PREWARN_STS_Pos    (12UL)                    /*!< LS1_OT_PREWARN_STS (Bit 12)                           */
#define LS_IRQS_LS1_OT_PREWARN_STS_Msk    (0x1000UL)                /*!< LS1_OT_PREWARN_STS (Bitfield-Mask: 0x01)              */
#define LS_IRQS_LS1_OT_STS_Pos            (13UL)                    /*!< LS1_OT_STS (Bit 13)                                   */
#define LS_IRQS_LS1_OT_STS_Msk            (0x2000UL)                /*!< LS1_OT_STS (Bitfield-Mask: 0x01)                      */
#define LS_IRQS_LS1_OL_STS_Pos            (14UL)                    /*!< LS1_OL_STS (Bit 14)                                   */
#define LS_IRQS_LS1_OL_STS_Msk            (0x4000UL)                /*!< LS1_OL_STS (Bitfield-Mask: 0x01)                      */
#define LS_IRQS_LS2_OT_PREWARN_IS_Pos     (20UL)                    /*!< LS2_OT_PREWARN_IS (Bit 20)                            */
#define LS_IRQS_LS2_OT_PREWARN_IS_Msk     (0x100000UL)              /*!< LS2_OT_PREWARN_IS (Bitfield-Mask: 0x01)               */
#define LS_IRQS_LS2_OT_IS_Pos             (21UL)                    /*!< LS2_OT_IS (Bit 21)                                    */
#define LS_IRQS_LS2_OT_IS_Msk             (0x200000UL)              /*!< LS2_OT_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS2_OL_IS_Pos             (22UL)                    /*!< LS2_OL_IS (Bit 22)                                    */
#define LS_IRQS_LS2_OL_IS_Msk             (0x400000UL)              /*!< LS2_OL_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS2_OC_IS_Pos             (23UL)                    /*!< LS2_OC_IS (Bit 23)                                    */
#define LS_IRQS_LS2_OC_IS_Msk             (0x800000UL)              /*!< LS2_OC_IS (Bitfield-Mask: 0x01)                       */
#define LS_IRQS_LS2_OT_PREWARN_STS_Pos    (28UL)                    /*!< LS2_OT_PREWARN_STS (Bit 28)                           */
#define LS_IRQS_LS2_OT_PREWARN_STS_Msk    (0x10000000UL)            /*!< LS2_OT_PREWARN_STS (Bitfield-Mask: 0x01)              */
#define LS_IRQS_LS2_OT_STS_Pos            (29UL)                    /*!< LS2_OT_STS (Bit 29)                                   */
#define LS_IRQS_LS2_OT_STS_Msk            (0x20000000UL)            /*!< LS2_OT_STS (Bitfield-Mask: 0x01)                      */
#define LS_IRQS_LS2_OL_STS_Pos            (30UL)                    /*!< LS2_OL_STS (Bit 30)                                   */
#define LS_IRQS_LS2_OL_STS_Msk            (0x40000000UL)            /*!< LS2_OL_STS (Bitfield-Mask: 0x01)                      */
/* =======================================================  LS1_TRIM  ======================================================== */
#define LS_LS1_TRIM_LS1_OL_BTFILT_SEL_Pos (0UL)                     /*!< LS1_OL_BTFILT_SEL (Bit 0)                             */
#define LS_LS1_TRIM_LS1_OL_BTFILT_SEL_Msk (0x3UL)                   /*!< LS1_OL_BTFILT_SEL (Bitfield-Mask: 0x03)               */
#define LS_LS1_TRIM_LS1_OC_BTFILT_SEL_Pos (8UL)                     /*!< LS1_OC_BTFILT_SEL (Bit 8)                             */
#define LS_LS1_TRIM_LS1_OC_BTFILT_SEL_Msk (0x300UL)                 /*!< LS1_OC_BTFILT_SEL (Bitfield-Mask: 0x03)               */
/* =======================================================  LS2_TRIM  ======================================================== */
#define LS_LS2_TRIM_LS2_OL_BTFILT_SEL_Pos (0UL)                     /*!< LS2_OL_BTFILT_SEL (Bit 0)                             */
#define LS_LS2_TRIM_LS2_OL_BTFILT_SEL_Msk (0x3UL)                   /*!< LS2_OL_BTFILT_SEL (Bitfield-Mask: 0x03)               */
#define LS_LS2_TRIM_LS2_OC_BTFILT_SEL_Pos (8UL)                     /*!< LS2_OC_BTFILT_SEL (Bit 8)                             */
#define LS_LS2_TRIM_LS2_OC_BTFILT_SEL_Msk (0x300UL)                 /*!< LS2_OC_BTFILT_SEL (Bitfield-Mask: 0x03)               */
/* =======================================================  PWMSRCSEL  ======================================================= */
#define LS_PWMSRCSEL_LS2_SRC_SEL_Pos      (0UL)                     /*!< LS2_SRC_SEL (Bit 0)                                   */
#define LS_PWMSRCSEL_LS2_SRC_SEL_Msk      (0x7UL)                   /*!< LS2_SRC_SEL (Bitfield-Mask: 0x07)                     */
#define LS_PWMSRCSEL_LS1_SRC_SEL_Pos      (3UL)                     /*!< LS1_SRC_SEL (Bit 3)                                   */
#define LS_PWMSRCSEL_LS1_SRC_SEL_Msk      (0x38UL)                  /*!< LS1_SRC_SEL (Bitfield-Mask: 0x07)                     */


/* =========================================================================================================================== */
/* ================                                            MF                                             ================ */
/* =========================================================================================================================== */

/* =======================================================  REF1_STS  ======================================================== */
#define MF_REF1_STS_REFBG_LOTHWARN_STS_Pos (4UL)                    /*!< REFBG_LOTHWARN_STS (Bit 4)                            */
#define MF_REF1_STS_REFBG_LOTHWARN_STS_Msk (0x10UL)                 /*!< REFBG_LOTHWARN_STS (Bitfield-Mask: 0x01)              */
#define MF_REF1_STS_REFBG_UPTHWARN_STS_Pos (5UL)                    /*!< REFBG_UPTHWARN_STS (Bit 5)                            */
#define MF_REF1_STS_REFBG_UPTHWARN_STS_Msk (0x20UL)                 /*!< REFBG_UPTHWARN_STS (Bitfield-Mask: 0x01)              */
/* ====================================================  TEMPSENSE_CTRL  ===================================================== */
#define MF_TEMPSENSE_CTRL_LS_OTWARN_STS_Pos (4UL)                   /*!< LS_OTWARN_STS (Bit 4)                                 */
#define MF_TEMPSENSE_CTRL_LS_OTWARN_STS_Msk (0x10UL)                /*!< LS_OTWARN_STS (Bitfield-Mask: 0x01)                   */
#define MF_TEMPSENSE_CTRL_LS_OT_STS_Pos   (5UL)                     /*!< LS_OT_STS (Bit 5)                                     */
#define MF_TEMPSENSE_CTRL_LS_OT_STS_Msk   (0x20UL)                  /*!< LS_OT_STS (Bitfield-Mask: 0x01)                       */
#define MF_TEMPSENSE_CTRL_SYS_OTWARN_STS_Pos (6UL)                  /*!< SYS_OTWARN_STS (Bit 6)                                */
#define MF_TEMPSENSE_CTRL_SYS_OTWARN_STS_Msk (0x40UL)               /*!< SYS_OTWARN_STS (Bitfield-Mask: 0x01)                  */
#define MF_TEMPSENSE_CTRL_SYS_OT_STS_Pos  (7UL)                     /*!< SYS_OT_STS (Bit 7)                                    */
#define MF_TEMPSENSE_CTRL_SYS_OT_STS_Msk  (0x80UL)                  /*!< SYS_OT_STS (Bitfield-Mask: 0x01)                      */


/* =========================================================================================================================== */
/* ================                                            PMU                                            ================ */
/* =========================================================================================================================== */

/* ======================================================  CNF_RST_TFB  ====================================================== */
#define PMU_CNF_RST_TFB_RST_TFB_Pos       (0UL)                     /*!< RST_TFB (Bit 0)                                       */
#define PMU_CNF_RST_TFB_RST_TFB_Msk       (0x3UL)                   /*!< RST_TFB (Bitfield-Mask: 0x03)                         */
/* ====================================================  CNF_WAKE_FILTER  ==================================================== */
#define PMU_CNF_WAKE_FILTER_CNF_LIN_FT_Pos (0UL)                    /*!< CNF_LIN_FT (Bit 0)                                    */
#define PMU_CNF_WAKE_FILTER_CNF_LIN_FT_Msk (0x1UL)                  /*!< CNF_LIN_FT (Bitfield-Mask: 0x01)                      */
#define PMU_CNF_WAKE_FILTER_CNF_MON_FT_Pos (1UL)                    /*!< CNF_MON_FT (Bit 1)                                    */
#define PMU_CNF_WAKE_FILTER_CNF_MON_FT_Msk (0x2UL)                  /*!< CNF_MON_FT (Bitfield-Mask: 0x01)                      */
#define PMU_CNF_WAKE_FILTER_CNF_GPIO_FT_Pos (2UL)                   /*!< CNF_GPIO_FT (Bit 2)                                   */
#define PMU_CNF_WAKE_FILTER_CNF_GPIO_FT_Msk (0xcUL)                 /*!< CNF_GPIO_FT (Bitfield-Mask: 0x03)                     */
/* ===================================================  GPIO_WAKE_STATUS  ==================================================== */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_0_Pos (8UL)                  /*!< GPIO1_STS_0 (Bit 8)                                   */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_0_Msk (0x100UL)              /*!< GPIO1_STS_0 (Bitfield-Mask: 0x01)                     */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_1_Pos (9UL)                  /*!< GPIO1_STS_1 (Bit 9)                                   */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_1_Msk (0x200UL)              /*!< GPIO1_STS_1 (Bitfield-Mask: 0x01)                     */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_2_Pos (10UL)                 /*!< GPIO1_STS_2 (Bit 10)                                  */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_2_Msk (0x400UL)              /*!< GPIO1_STS_2 (Bitfield-Mask: 0x01)                     */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_4_Pos (12UL)                 /*!< GPIO1_STS_4 (Bit 12)                                  */
#define PMU_GPIO_WAKE_STATUS_GPIO1_STS_4_Msk (0x1000UL)             /*!< GPIO1_STS_4 (Bitfield-Mask: 0x01)                     */
/* ======================================================  GPUDATA0to3  ====================================================== */
#define PMU_GPUDATA0to3_DATA0_Pos         (0UL)                     /*!< DATA0 (Bit 0)                                         */
#define PMU_GPUDATA0to3_DATA0_Msk         (0xffUL)                  /*!< DATA0 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA0to3_DATA1_Pos         (8UL)                     /*!< DATA1 (Bit 8)                                         */
#define PMU_GPUDATA0to3_DATA1_Msk         (0xff00UL)                /*!< DATA1 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA0to3_DATA2_Pos         (16UL)                    /*!< DATA2 (Bit 16)                                        */
#define PMU_GPUDATA0to3_DATA2_Msk         (0xff0000UL)              /*!< DATA2 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA0to3_DATA3_Pos         (24UL)                    /*!< DATA3 (Bit 24)                                        */
#define PMU_GPUDATA0to3_DATA3_Msk         (0xff000000UL)            /*!< DATA3 (Bitfield-Mask: 0xff)                           */
/* ======================================================  GPUDATA4to7  ====================================================== */
#define PMU_GPUDATA4to7_DATA4_Pos         (0UL)                     /*!< DATA4 (Bit 0)                                         */
#define PMU_GPUDATA4to7_DATA4_Msk         (0xffUL)                  /*!< DATA4 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA4to7_DATA5_Pos         (8UL)                     /*!< DATA5 (Bit 8)                                         */
#define PMU_GPUDATA4to7_DATA5_Msk         (0xff00UL)                /*!< DATA5 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA4to7_DATA6_Pos         (16UL)                    /*!< DATA6 (Bit 16)                                        */
#define PMU_GPUDATA4to7_DATA6_Msk         (0xff0000UL)              /*!< DATA6 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA4to7_DATA7_Pos         (24UL)                    /*!< DATA7 (Bit 24)                                        */
#define PMU_GPUDATA4to7_DATA7_Msk         (0xff000000UL)            /*!< DATA7 (Bitfield-Mask: 0xff)                           */
/* =====================================================  GPUDATA8to11  ====================================================== */
#define PMU_GPUDATA8to11_DATA8_Pos        (0UL)                     /*!< DATA8 (Bit 0)                                         */
#define PMU_GPUDATA8to11_DATA8_Msk        (0xffUL)                  /*!< DATA8 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA8to11_DATA9_Pos        (8UL)                     /*!< DATA9 (Bit 8)                                         */
#define PMU_GPUDATA8to11_DATA9_Msk        (0xff00UL)                /*!< DATA9 (Bitfield-Mask: 0xff)                           */
#define PMU_GPUDATA8to11_DATA10_Pos       (16UL)                    /*!< DATA10 (Bit 16)                                       */
#define PMU_GPUDATA8to11_DATA10_Msk       (0xff0000UL)              /*!< DATA10 (Bitfield-Mask: 0xff)                          */
#define PMU_GPUDATA8to11_DATA11_Pos       (24UL)                    /*!< DATA11 (Bit 24)                                       */
#define PMU_GPUDATA8to11_DATA11_Msk       (0xff000000UL)            /*!< DATA11 (Bitfield-Mask: 0xff)                          */
/* =====================================================  HIGHSIDE_CTRL  ===================================================== */
#define PMU_HIGHSIDE_CTRL_HS1_CYC_EN_Pos  (2UL)                     /*!< HS1_CYC_EN (Bit 2)                                    */
#define PMU_HIGHSIDE_CTRL_HS1_CYC_EN_Msk  (0x4UL)                   /*!< HS1_CYC_EN (Bitfield-Mask: 0x01)                      */
#define PMU_HIGHSIDE_CTRL_HS2_CYC_EN_Pos  (10UL)                    /*!< HS2_CYC_EN (Bit 10)                                   */
#define PMU_HIGHSIDE_CTRL_HS2_CYC_EN_Msk  (0x400UL)                 /*!< HS2_CYC_EN (Bitfield-Mask: 0x01)                      */
/* ======================================================  LIN_WAKE_EN  ====================================================== */
#define PMU_LIN_WAKE_EN_LIN_EN_Pos        (7UL)                     /*!< LIN_EN (Bit 7)                                        */
#define PMU_LIN_WAKE_EN_LIN_EN_Msk        (0x80UL)                  /*!< LIN_EN (Bitfield-Mask: 0x01)                          */
/* =======================================================  MON_CNF1  ======================================================== */
#define PMU_MON_CNF1_MON1_EN_Pos          (0UL)                     /*!< MON1_EN (Bit 0)                                       */
#define PMU_MON_CNF1_MON1_EN_Msk          (0x1UL)                   /*!< MON1_EN (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON1_FALL_Pos        (1UL)                     /*!< MON1_FALL (Bit 1)                                     */
#define PMU_MON_CNF1_MON1_FALL_Msk        (0x2UL)                   /*!< MON1_FALL (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON1_RISE_Pos        (2UL)                     /*!< MON1_RISE (Bit 2)                                     */
#define PMU_MON_CNF1_MON1_RISE_Msk        (0x4UL)                   /*!< MON1_RISE (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON1_CYC_Pos         (3UL)                     /*!< MON1_CYC (Bit 3)                                      */
#define PMU_MON_CNF1_MON1_CYC_Msk         (0x8UL)                   /*!< MON1_CYC (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON1_PD_Pos          (4UL)                     /*!< MON1_PD (Bit 4)                                       */
#define PMU_MON_CNF1_MON1_PD_Msk          (0x10UL)                  /*!< MON1_PD (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON1_PU_Pos          (5UL)                     /*!< MON1_PU (Bit 5)                                       */
#define PMU_MON_CNF1_MON1_PU_Msk          (0x20UL)                  /*!< MON1_PU (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON1_STS_Pos         (7UL)                     /*!< MON1_STS (Bit 7)                                      */
#define PMU_MON_CNF1_MON1_STS_Msk         (0x80UL)                  /*!< MON1_STS (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON2_EN_Pos          (8UL)                     /*!< MON2_EN (Bit 8)                                       */
#define PMU_MON_CNF1_MON2_EN_Msk          (0x100UL)                 /*!< MON2_EN (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON2_FALL_Pos        (9UL)                     /*!< MON2_FALL (Bit 9)                                     */
#define PMU_MON_CNF1_MON2_FALL_Msk        (0x200UL)                 /*!< MON2_FALL (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON2_RISE_Pos        (10UL)                    /*!< MON2_RISE (Bit 10)                                    */
#define PMU_MON_CNF1_MON2_RISE_Msk        (0x400UL)                 /*!< MON2_RISE (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON2_CYC_Pos         (11UL)                    /*!< MON2_CYC (Bit 11)                                     */
#define PMU_MON_CNF1_MON2_CYC_Msk         (0x800UL)                 /*!< MON2_CYC (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON2_PD_Pos          (12UL)                    /*!< MON2_PD (Bit 12)                                      */
#define PMU_MON_CNF1_MON2_PD_Msk          (0x1000UL)                /*!< MON2_PD (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON2_PU_Pos          (13UL)                    /*!< MON2_PU (Bit 13)                                      */
#define PMU_MON_CNF1_MON2_PU_Msk          (0x2000UL)                /*!< MON2_PU (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON2_STS_Pos         (15UL)                    /*!< MON2_STS (Bit 15)                                     */
#define PMU_MON_CNF1_MON2_STS_Msk         (0x8000UL)                /*!< MON2_STS (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON3_EN_Pos          (16UL)                    /*!< MON3_EN (Bit 16)                                      */
#define PMU_MON_CNF1_MON3_EN_Msk          (0x10000UL)               /*!< MON3_EN (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON3_FALL_Pos        (17UL)                    /*!< MON3_FALL (Bit 17)                                    */
#define PMU_MON_CNF1_MON3_FALL_Msk        (0x20000UL)               /*!< MON3_FALL (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON3_RISE_Pos        (18UL)                    /*!< MON3_RISE (Bit 18)                                    */
#define PMU_MON_CNF1_MON3_RISE_Msk        (0x40000UL)               /*!< MON3_RISE (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON3_CYC_Pos         (19UL)                    /*!< MON3_CYC (Bit 19)                                     */
#define PMU_MON_CNF1_MON3_CYC_Msk         (0x80000UL)               /*!< MON3_CYC (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON3_PD_Pos          (20UL)                    /*!< MON3_PD (Bit 20)                                      */
#define PMU_MON_CNF1_MON3_PD_Msk          (0x100000UL)              /*!< MON3_PD (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON3_PU_Pos          (21UL)                    /*!< MON3_PU (Bit 21)                                      */
#define PMU_MON_CNF1_MON3_PU_Msk          (0x200000UL)              /*!< MON3_PU (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON3_STS_Pos         (23UL)                    /*!< MON3_STS (Bit 23)                                     */
#define PMU_MON_CNF1_MON3_STS_Msk         (0x800000UL)              /*!< MON3_STS (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON4_EN_Pos          (24UL)                    /*!< MON4_EN (Bit 24)                                      */
#define PMU_MON_CNF1_MON4_EN_Msk          (0x1000000UL)             /*!< MON4_EN (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON4_FALL_Pos        (25UL)                    /*!< MON4_FALL (Bit 25)                                    */
#define PMU_MON_CNF1_MON4_FALL_Msk        (0x2000000UL)             /*!< MON4_FALL (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON4_RISE_Pos        (26UL)                    /*!< MON4_RISE (Bit 26)                                    */
#define PMU_MON_CNF1_MON4_RISE_Msk        (0x4000000UL)             /*!< MON4_RISE (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF1_MON4_CYC_Pos         (27UL)                    /*!< MON4_CYC (Bit 27)                                     */
#define PMU_MON_CNF1_MON4_CYC_Msk         (0x8000000UL)             /*!< MON4_CYC (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF1_MON4_PD_Pos          (28UL)                    /*!< MON4_PD (Bit 28)                                      */
#define PMU_MON_CNF1_MON4_PD_Msk          (0x10000000UL)            /*!< MON4_PD (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON4_PU_Pos          (29UL)                    /*!< MON4_PU (Bit 29)                                      */
#define PMU_MON_CNF1_MON4_PU_Msk          (0x20000000UL)            /*!< MON4_PU (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF1_MON4_STS_Pos         (31UL)                    /*!< MON4_STS (Bit 31)                                     */
#define PMU_MON_CNF1_MON4_STS_Msk         (0x80000000UL)            /*!< MON4_STS (Bitfield-Mask: 0x01)                        */
/* =======================================================  MON_CNF2  ======================================================== */
#define PMU_MON_CNF2_MON5_EN_Pos          (0UL)                     /*!< MON5_EN (Bit 0)                                       */
#define PMU_MON_CNF2_MON5_EN_Msk          (0x1UL)                   /*!< MON5_EN (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF2_MON5_FALL_Pos        (1UL)                     /*!< MON5_FALL (Bit 1)                                     */
#define PMU_MON_CNF2_MON5_FALL_Msk        (0x2UL)                   /*!< MON5_FALL (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF2_MON5_RISE_Pos        (2UL)                     /*!< MON5_RISE (Bit 2)                                     */
#define PMU_MON_CNF2_MON5_RISE_Msk        (0x4UL)                   /*!< MON5_RISE (Bitfield-Mask: 0x01)                       */
#define PMU_MON_CNF2_MON5_CYC_Pos         (3UL)                     /*!< MON5_CYC (Bit 3)                                      */
#define PMU_MON_CNF2_MON5_CYC_Msk         (0x8UL)                   /*!< MON5_CYC (Bitfield-Mask: 0x01)                        */
#define PMU_MON_CNF2_MON5_PD_Pos          (4UL)                     /*!< MON5_PD (Bit 4)                                       */
#define PMU_MON_CNF2_MON5_PD_Msk          (0x10UL)                  /*!< MON5_PD (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF2_MON5_PU_Pos          (5UL)                     /*!< MON5_PU (Bit 5)                                       */
#define PMU_MON_CNF2_MON5_PU_Msk          (0x20UL)                  /*!< MON5_PU (Bitfield-Mask: 0x01)                         */
#define PMU_MON_CNF2_MON5_STS_Pos         (7UL)                     /*!< MON5_STS (Bit 7)                                      */
#define PMU_MON_CNF2_MON5_STS_Msk         (0x80UL)                  /*!< MON5_STS (Bitfield-Mask: 0x01)                        */
/* =======================================================  RESET_STS  ======================================================= */
#define PMU_RESET_STS_SYS_FAIL_Pos        (0UL)                     /*!< SYS_FAIL (Bit 0)                                      */
#define PMU_RESET_STS_SYS_FAIL_Msk        (0x1UL)                   /*!< SYS_FAIL (Bitfield-Mask: 0x01)                        */
#define PMU_RESET_STS_PMU_WAKE_Pos        (1UL)                     /*!< PMU_WAKE (Bit 1)                                      */
#define PMU_RESET_STS_PMU_WAKE_Msk        (0x2UL)                   /*!< PMU_WAKE (Bitfield-Mask: 0x01)                        */
#define PMU_RESET_STS_PMU_SleepEX_Pos     (2UL)                     /*!< PMU_SleepEX (Bit 2)                                   */
#define PMU_RESET_STS_PMU_SleepEX_Msk     (0x4UL)                   /*!< PMU_SleepEX (Bitfield-Mask: 0x01)                     */
#define PMU_RESET_STS_PMU_LPR_Pos         (3UL)                     /*!< PMU_LPR (Bit 3)                                       */
#define PMU_RESET_STS_PMU_LPR_Msk         (0x8UL)                   /*!< PMU_LPR (Bitfield-Mask: 0x01)                         */
#define PMU_RESET_STS_PMU_ClkWDT_Pos      (4UL)                     /*!< PMU_ClkWDT (Bit 4)                                    */
#define PMU_RESET_STS_PMU_ClkWDT_Msk      (0x10UL)                  /*!< PMU_ClkWDT (Bitfield-Mask: 0x01)                      */
#define PMU_RESET_STS_PMU_ExtWDT_Pos      (5UL)                     /*!< PMU_ExtWDT (Bit 5)                                    */
#define PMU_RESET_STS_PMU_ExtWDT_Msk      (0x20UL)                  /*!< PMU_ExtWDT (Bitfield-Mask: 0x01)                      */
#define PMU_RESET_STS_PMU_PIN_Pos         (6UL)                     /*!< PMU_PIN (Bit 6)                                       */
#define PMU_RESET_STS_PMU_PIN_Msk         (0x40UL)                  /*!< PMU_PIN (Bitfield-Mask: 0x01)                         */
#define PMU_RESET_STS_PMU_VS_POR_Pos      (7UL)                     /*!< PMU_VS_POR (Bit 7)                                    */
#define PMU_RESET_STS_PMU_VS_POR_Msk      (0x80UL)                  /*!< PMU_VS_POR (Bitfield-Mask: 0x01)                      */
#define PMU_RESET_STS_PMU_SOFT_Pos        (9UL)                     /*!< PMU_SOFT (Bit 9)                                      */
#define PMU_RESET_STS_PMU_SOFT_Msk        (0x200UL)                 /*!< PMU_SOFT (Bitfield-Mask: 0x01)                        */
#define PMU_RESET_STS_LOCKUP_Pos          (10UL)                    /*!< LOCKUP (Bit 10)                                       */
#define PMU_RESET_STS_LOCKUP_Msk          (0x400UL)                 /*!< LOCKUP (Bitfield-Mask: 0x01)                          */
/* =========================================================  SLEEP  ========================================================= */
#define PMU_SLEEP_WAKE_W_RST_Pos          (0UL)                     /*!< WAKE_W_RST (Bit 0)                                    */
#define PMU_SLEEP_WAKE_W_RST_Msk          (0x1UL)                   /*!< WAKE_W_RST (Bitfield-Mask: 0x01)                      */
#define PMU_SLEEP_EN_0V9_N_Pos            (1UL)                     /*!< EN_0V9_N (Bit 1)                                      */
#define PMU_SLEEP_EN_0V9_N_Msk            (0x2UL)                   /*!< EN_0V9_N (Bitfield-Mask: 0x01)                        */
#define PMU_SLEEP_CYC_WAKE_EN_Pos         (2UL)                     /*!< CYC_WAKE_EN (Bit 2)                                   */
#define PMU_SLEEP_CYC_WAKE_EN_Msk         (0x4UL)                   /*!< CYC_WAKE_EN (Bitfield-Mask: 0x01)                     */
#define PMU_SLEEP_CYC_SENSE_EN_Pos        (3UL)                     /*!< CYC_SENSE_EN (Bit 3)                                  */
#define PMU_SLEEP_CYC_SENSE_EN_Msk        (0x8UL)                   /*!< CYC_SENSE_EN (Bitfield-Mask: 0x01)                    */
#define PMU_SLEEP_CYC_SENSE_M03_Pos       (8UL)                     /*!< CYC_SENSE_M03 (Bit 8)                                 */
#define PMU_SLEEP_CYC_SENSE_M03_Msk       (0xf00UL)                 /*!< CYC_SENSE_M03 (Bitfield-Mask: 0x0f)                   */
#define PMU_SLEEP_CYC_SENSE_E01_Pos       (12UL)                    /*!< CYC_SENSE_E01 (Bit 12)                                */
#define PMU_SLEEP_CYC_SENSE_E01_Msk       (0x3000UL)                /*!< CYC_SENSE_E01 (Bitfield-Mask: 0x03)                   */
#define PMU_SLEEP_CYC_WAKE_M03_Pos        (16UL)                    /*!< CYC_WAKE_M03 (Bit 16)                                 */
#define PMU_SLEEP_CYC_WAKE_M03_Msk        (0xf0000UL)               /*!< CYC_WAKE_M03 (Bitfield-Mask: 0x0f)                    */
#define PMU_SLEEP_CYC_WAKE_E01_Pos        (20UL)                    /*!< CYC_WAKE_E01 (Bit 20)                                 */
#define PMU_SLEEP_CYC_WAKE_E01_Msk        (0x300000UL)              /*!< CYC_WAKE_E01 (Bitfield-Mask: 0x03)                    */
#define PMU_SLEEP_CYC_SENSE_S_DEL_Pos     (24UL)                    /*!< CYC_SENSE_S_DEL (Bit 24)                              */
#define PMU_SLEEP_CYC_SENSE_S_DEL_Msk     (0x7000000UL)             /*!< CYC_SENSE_S_DEL (Bitfield-Mask: 0x07)                 */
/* ======================================================  SUPPLY_STS  ======================================================= */
#define PMU_SUPPLY_STS_PMU_1V5_OVERVOLT_Pos (0UL)                   /*!< PMU_1V5_OVERVOLT (Bit 0)                              */
#define PMU_SUPPLY_STS_PMU_1V5_OVERVOLT_Msk (0x1UL)                 /*!< PMU_1V5_OVERVOLT (Bitfield-Mask: 0x01)                */
#define PMU_SUPPLY_STS_PMU_1V5_OVERLOAD_Pos (1UL)                   /*!< PMU_1V5_OVERLOAD (Bit 1)                              */
#define PMU_SUPPLY_STS_PMU_1V5_OVERLOAD_Msk (0x2UL)                 /*!< PMU_1V5_OVERLOAD (Bitfield-Mask: 0x01)                */
#define PMU_SUPPLY_STS_PMU_1V5_FAIL_EN_Pos (2UL)                    /*!< PMU_1V5_FAIL_EN (Bit 2)                               */
#define PMU_SUPPLY_STS_PMU_1V5_FAIL_EN_Msk (0x4UL)                  /*!< PMU_1V5_FAIL_EN (Bitfield-Mask: 0x01)                 */
#define PMU_SUPPLY_STS_PMU_5V_OVERVOLT_Pos (4UL)                    /*!< PMU_5V_OVERVOLT (Bit 4)                               */
#define PMU_SUPPLY_STS_PMU_5V_OVERVOLT_Msk (0x10UL)                 /*!< PMU_5V_OVERVOLT (Bitfield-Mask: 0x01)                 */
#define PMU_SUPPLY_STS_PMU_5V_OVERLOAD_Pos (5UL)                    /*!< PMU_5V_OVERLOAD (Bit 5)                               */
#define PMU_SUPPLY_STS_PMU_5V_OVERLOAD_Msk (0x20UL)                 /*!< PMU_5V_OVERLOAD (Bitfield-Mask: 0x01)                 */
#define PMU_SUPPLY_STS_PMU_5V_FAIL_EN_Pos (6UL)                     /*!< PMU_5V_FAIL_EN (Bit 6)                                */
#define PMU_SUPPLY_STS_PMU_5V_FAIL_EN_Msk (0x40UL)                  /*!< PMU_5V_FAIL_EN (Bitfield-Mask: 0x01)                  */
/* ======================================================  VDDEXT_CTRL  ====================================================== */
#define PMU_VDDEXT_CTRL_VDDEXT_ENABLE_Pos (0UL)                     /*!< VDDEXT_ENABLE (Bit 0)                                 */
#define PMU_VDDEXT_CTRL_VDDEXT_ENABLE_Msk (0x1UL)                   /*!< VDDEXT_ENABLE (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_CYC_EN_Pos (1UL)                     /*!< VDDEXT_CYC_EN (Bit 1)                                 */
#define PMU_VDDEXT_CTRL_VDDEXT_CYC_EN_Msk (0x2UL)                   /*!< VDDEXT_CYC_EN (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_FAIL_EN_Pos (2UL)                    /*!< VDDEXT_FAIL_EN (Bit 2)                                */
#define PMU_VDDEXT_CTRL_VDDEXT_FAIL_EN_Msk (0x4UL)                  /*!< VDDEXT_FAIL_EN (Bitfield-Mask: 0x01)                  */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_IS_Pos  (3UL)                     /*!< VDDEXT_OT_IS (Bit 3)                                  */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_IS_Msk  (0x8UL)                   /*!< VDDEXT_OT_IS (Bitfield-Mask: 0x01)                    */
#define PMU_VDDEXT_CTRL_VDDEXT_UV_IS_Pos  (4UL)                     /*!< VDDEXT_UV_IS (Bit 4)                                  */
#define PMU_VDDEXT_CTRL_VDDEXT_UV_IS_Msk  (0x10UL)                  /*!< VDDEXT_UV_IS (Bitfield-Mask: 0x01)                    */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_STS_Pos (5UL)                     /*!< VDDEXT_OT_STS (Bit 5)                                 */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_STS_Msk (0x20UL)                  /*!< VDDEXT_OT_STS (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_Pos     (6UL)                     /*!< VDDEXT_OT (Bit 6)                                     */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_Msk     (0x40UL)                  /*!< VDDEXT_OT (Bitfield-Mask: 0x01)                       */
#define PMU_VDDEXT_CTRL_VDDEXT_STABLE_Pos (7UL)                     /*!< VDDEXT_STABLE (Bit 7)                                 */
#define PMU_VDDEXT_CTRL_VDDEXT_STABLE_Msk (0x80UL)                  /*!< VDDEXT_STABLE (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_ISC_Pos (11UL)                    /*!< VDDEXT_OT_ISC (Bit 11)                                */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_ISC_Msk (0x800UL)                 /*!< VDDEXT_OT_ISC (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_UV_ISC_Pos (12UL)                    /*!< VDDEXT_UV_ISC (Bit 12)                                */
#define PMU_VDDEXT_CTRL_VDDEXT_UV_ISC_Msk (0x1000UL)                /*!< VDDEXT_UV_ISC (Bitfield-Mask: 0x01)                   */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_SC_Pos  (13UL)                    /*!< VDDEXT_OT_SC (Bit 13)                                 */
#define PMU_VDDEXT_CTRL_VDDEXT_OT_SC_Msk  (0x2000UL)                /*!< VDDEXT_OT_SC (Bitfield-Mask: 0x01)                    */
/* ====================================================  WAKE_CNF_GPIO1  ===================================================== */
#define PMU_WAKE_CNF_GPIO1_RI_0_Pos       (0UL)                     /*!< RI_0 (Bit 0)                                          */
#define PMU_WAKE_CNF_GPIO1_RI_0_Msk       (0x1UL)                   /*!< RI_0 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_RI_1_Pos       (1UL)                     /*!< RI_1 (Bit 1)                                          */
#define PMU_WAKE_CNF_GPIO1_RI_1_Msk       (0x2UL)                   /*!< RI_1 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_RI_2_Pos       (2UL)                     /*!< RI_2 (Bit 2)                                          */
#define PMU_WAKE_CNF_GPIO1_RI_2_Msk       (0x4UL)                   /*!< RI_2 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_RI_4_Pos       (4UL)                     /*!< RI_4 (Bit 4)                                          */
#define PMU_WAKE_CNF_GPIO1_RI_4_Msk       (0x10UL)                  /*!< RI_4 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_FA_0_Pos       (8UL)                     /*!< FA_0 (Bit 8)                                          */
#define PMU_WAKE_CNF_GPIO1_FA_0_Msk       (0x100UL)                 /*!< FA_0 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_FA_1_Pos       (9UL)                     /*!< FA_1 (Bit 9)                                          */
#define PMU_WAKE_CNF_GPIO1_FA_1_Msk       (0x200UL)                 /*!< FA_1 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_FA_2_Pos       (10UL)                    /*!< FA_2 (Bit 10)                                         */
#define PMU_WAKE_CNF_GPIO1_FA_2_Msk       (0x400UL)                 /*!< FA_2 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_FA_4_Pos       (12UL)                    /*!< FA_4 (Bit 12)                                         */
#define PMU_WAKE_CNF_GPIO1_FA_4_Msk       (0x1000UL)                /*!< FA_4 (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_CNF_GPIO1_CYC_0_Pos      (16UL)                    /*!< CYC_0 (Bit 16)                                        */
#define PMU_WAKE_CNF_GPIO1_CYC_0_Msk      (0x10000UL)               /*!< CYC_0 (Bitfield-Mask: 0x01)                           */
#define PMU_WAKE_CNF_GPIO1_CYC_1_Pos      (17UL)                    /*!< CYC_1 (Bit 17)                                        */
#define PMU_WAKE_CNF_GPIO1_CYC_1_Msk      (0x20000UL)               /*!< CYC_1 (Bitfield-Mask: 0x01)                           */
#define PMU_WAKE_CNF_GPIO1_CYC_2_Pos      (18UL)                    /*!< CYC_2 (Bit 18)                                        */
#define PMU_WAKE_CNF_GPIO1_CYC_2_Msk      (0x40000UL)               /*!< CYC_2 (Bitfield-Mask: 0x01)                           */
#define PMU_WAKE_CNF_GPIO1_CYC_4_Pos      (20UL)                    /*!< CYC_4 (Bit 20)                                        */
#define PMU_WAKE_CNF_GPIO1_CYC_4_Msk      (0x100000UL)              /*!< CYC_4 (Bitfield-Mask: 0x01)                           */
/* ======================================================  WAKE_STATUS  ====================================================== */
#define PMU_WAKE_STATUS_LIN_WAKE_Pos      (0UL)                     /*!< LIN_WAKE (Bit 0)                                      */
#define PMU_WAKE_STATUS_LIN_WAKE_Msk      (0x1UL)                   /*!< LIN_WAKE (Bitfield-Mask: 0x01)                        */
#define PMU_WAKE_STATUS_MON_Pos           (1UL)                     /*!< MON (Bit 1)                                           */
#define PMU_WAKE_STATUS_MON_Msk           (0x2UL)                   /*!< MON (Bitfield-Mask: 0x01)                             */
#define PMU_WAKE_STATUS_GPIO1_Pos         (3UL)                     /*!< GPIO1 (Bit 3)                                         */
#define PMU_WAKE_STATUS_GPIO1_Msk         (0x8UL)                   /*!< GPIO1 (Bitfield-Mask: 0x01)                           */
#define PMU_WAKE_STATUS_CYC_WAKE_Pos      (4UL)                     /*!< CYC_WAKE (Bit 4)                                      */
#define PMU_WAKE_STATUS_CYC_WAKE_Msk      (0x10UL)                  /*!< CYC_WAKE (Bitfield-Mask: 0x01)                        */
#define PMU_WAKE_STATUS_FAIL_Pos          (5UL)                     /*!< FAIL (Bit 5)                                          */
#define PMU_WAKE_STATUS_FAIL_Msk          (0x20UL)                  /*!< FAIL (Bitfield-Mask: 0x01)                            */
#define PMU_WAKE_STATUS_MON1_WAKE_STS_Pos (8UL)                     /*!< MON1_WAKE_STS (Bit 8)                                 */
#define PMU_WAKE_STATUS_MON1_WAKE_STS_Msk (0x100UL)                 /*!< MON1_WAKE_STS (Bitfield-Mask: 0x01)                   */
#define PMU_WAKE_STATUS_MON2_WAKE_STS_Pos (9UL)                     /*!< MON2_WAKE_STS (Bit 9)                                 */
#define PMU_WAKE_STATUS_MON2_WAKE_STS_Msk (0x200UL)                 /*!< MON2_WAKE_STS (Bitfield-Mask: 0x01)                   */
#define PMU_WAKE_STATUS_MON3_WAKE_STS_Pos (10UL)                    /*!< MON3_WAKE_STS (Bit 10)                                */
#define PMU_WAKE_STATUS_MON3_WAKE_STS_Msk (0x400UL)                 /*!< MON3_WAKE_STS (Bitfield-Mask: 0x01)                   */
#define PMU_WAKE_STATUS_MON4_WAKE_STS_Pos (11UL)                    /*!< MON4_WAKE_STS (Bit 11)                                */
#define PMU_WAKE_STATUS_MON4_WAKE_STS_Msk (0x800UL)                 /*!< MON4_WAKE_STS (Bitfield-Mask: 0x01)                   */
#define PMU_WAKE_STATUS_MON5_WAKE_STS_Pos (12UL)                    /*!< MON5_WAKE_STS (Bit 12)                                */
#define PMU_WAKE_STATUS_MON5_WAKE_STS_Msk (0x1000UL)                /*!< MON5_WAKE_STS (Bitfield-Mask: 0x01)                   */
#define PMU_WAKE_STATUS_VDDEXT_OT_Pos     (17UL)                    /*!< VDDEXT_OT (Bit 17)                                    */
#define PMU_WAKE_STATUS_VDDEXT_OT_Msk     (0x20000UL)               /*!< VDDEXT_OT (Bitfield-Mask: 0x01)                       */
#define PMU_WAKE_STATUS_VDDEXT_UV_Pos     (18UL)                    /*!< VDDEXT_UV (Bit 18)                                    */
#define PMU_WAKE_STATUS_VDDEXT_UV_Msk     (0x40000UL)               /*!< VDDEXT_UV (Bitfield-Mask: 0x01)                       */
/* ==========================================================  WFS  ========================================================== */
#define PMU_WFS_SUPP_SHORT_Pos            (0UL)                     /*!< SUPP_SHORT (Bit 0)                                    */
#define PMU_WFS_SUPP_SHORT_Msk            (0x1UL)                   /*!< SUPP_SHORT (Bitfield-Mask: 0x01)                      */
#define PMU_WFS_PMU_1V5_OVL_Pos           (2UL)                     /*!< PMU_1V5_OVL (Bit 2)                                   */
#define PMU_WFS_PMU_1V5_OVL_Msk           (0x4UL)                   /*!< PMU_1V5_OVL (Bitfield-Mask: 0x01)                     */
#define PMU_WFS_PMU_5V_OVL_Pos            (3UL)                     /*!< PMU_5V_OVL (Bit 3)                                    */
#define PMU_WFS_PMU_5V_OVL_Msk            (0x8UL)                   /*!< PMU_5V_OVL (Bitfield-Mask: 0x01)                      */
#define PMU_WFS_SYS_OT_Pos                (5UL)                     /*!< SYS_OT (Bit 5)                                        */
#define PMU_WFS_SYS_OT_Msk                (0x20UL)                  /*!< SYS_OT (Bitfield-Mask: 0x01)                          */
#define PMU_WFS_WDT1_SEQ_FAIL_Pos         (6UL)                     /*!< WDT1_SEQ_FAIL (Bit 6)                                 */
#define PMU_WFS_WDT1_SEQ_FAIL_Msk         (0x40UL)                  /*!< WDT1_SEQ_FAIL (Bitfield-Mask: 0x01)                   */
#define PMU_WFS_LP_CLKWD_Pos              (7UL)                     /*!< LP_CLKWD (Bit 7)                                      */
#define PMU_WFS_LP_CLKWD_Msk              (0x80UL)                  /*!< LP_CLKWD (Bitfield-Mask: 0x01)                        */


/* =========================================================================================================================== */
/* ================                                           PORT                                            ================ */
/* =========================================================================================================================== */

/* ======================================================  P0_ALTSEL0  ======================================================= */
#define PORT_P0_ALTSEL0_PP0_Pos           (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_ALTSEL0_PP0_Msk           (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL0_PP1_Pos           (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_ALTSEL0_PP1_Msk           (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL0_PP2_Pos           (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_ALTSEL0_PP2_Msk           (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL0_PP3_Pos           (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_ALTSEL0_PP3_Msk           (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL0_PP4_Pos           (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_ALTSEL0_PP4_Msk           (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL0_PP5_Pos           (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_ALTSEL0_PP5_Msk           (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
/* ======================================================  P0_ALTSEL1  ======================================================= */
#define PORT_P0_ALTSEL1_PP0_Pos           (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_ALTSEL1_PP0_Msk           (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL1_PP1_Pos           (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_ALTSEL1_PP1_Msk           (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL1_PP2_Pos           (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_ALTSEL1_PP2_Msk           (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL1_PP3_Pos           (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_ALTSEL1_PP3_Msk           (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL1_PP4_Pos           (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_ALTSEL1_PP4_Msk           (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_ALTSEL1_PP5_Pos           (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_ALTSEL1_PP5_Msk           (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
/* ========================================================  P0_DATA  ======================================================== */
#define PORT_P0_DATA_PP0_Pos              (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_DATA_PP0_Msk              (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP1_Pos              (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_DATA_PP1_Msk              (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP2_Pos              (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_DATA_PP2_Msk              (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP3_Pos              (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_DATA_PP3_Msk              (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP4_Pos              (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_DATA_PP4_Msk              (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP5_Pos              (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_DATA_PP5_Msk              (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DATA_PP0_STS_Pos          (16UL)                    /*!< PP0_STS (Bit 16)                                      */
#define PORT_P0_DATA_PP0_STS_Msk          (0x10000UL)               /*!< PP0_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P0_DATA_PP1_STS_Pos          (17UL)                    /*!< PP1_STS (Bit 17)                                      */
#define PORT_P0_DATA_PP1_STS_Msk          (0x20000UL)               /*!< PP1_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P0_DATA_PP2_STS_Pos          (18UL)                    /*!< PP2_STS (Bit 18)                                      */
#define PORT_P0_DATA_PP2_STS_Msk          (0x40000UL)               /*!< PP2_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P0_DATA_PP3_STS_Pos          (19UL)                    /*!< PP3_STS (Bit 19)                                      */
#define PORT_P0_DATA_PP3_STS_Msk          (0x80000UL)               /*!< PP3_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P0_DATA_PP4_STS_Pos          (20UL)                    /*!< PP4_STS (Bit 20)                                      */
#define PORT_P0_DATA_PP4_STS_Msk          (0x100000UL)              /*!< PP4_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P0_DATA_PP5_STS_Pos          (21UL)                    /*!< PP5_STS (Bit 21)                                      */
#define PORT_P0_DATA_PP5_STS_Msk          (0x200000UL)              /*!< PP5_STS (Bitfield-Mask: 0x01)                         */
/* ========================================================  P0_DIR  ========================================================= */
#define PORT_P0_DIR_PP0_Pos               (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_DIR_PP0_Msk               (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP1_Pos               (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_DIR_PP1_Msk               (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP2_Pos               (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_DIR_PP2_Msk               (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP3_Pos               (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_DIR_PP3_Msk               (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP4_Pos               (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_DIR_PP4_Msk               (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP5_Pos               (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_DIR_PP5_Msk               (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_DIR_PP0_INEN_Pos          (16UL)                    /*!< PP0_INEN (Bit 16)                                     */
#define PORT_P0_DIR_PP0_INEN_Msk          (0x10000UL)               /*!< PP0_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P0_DIR_PP1_INEN_Pos          (17UL)                    /*!< PP1_INEN (Bit 17)                                     */
#define PORT_P0_DIR_PP1_INEN_Msk          (0x20000UL)               /*!< PP1_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P0_DIR_PP2_INEN_Pos          (18UL)                    /*!< PP2_INEN (Bit 18)                                     */
#define PORT_P0_DIR_PP2_INEN_Msk          (0x40000UL)               /*!< PP2_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P0_DIR_PP3_INEN_Pos          (19UL)                    /*!< PP3_INEN (Bit 19)                                     */
#define PORT_P0_DIR_PP3_INEN_Msk          (0x80000UL)               /*!< PP3_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P0_DIR_PP4_INEN_Pos          (20UL)                    /*!< PP4_INEN (Bit 20)                                     */
#define PORT_P0_DIR_PP4_INEN_Msk          (0x100000UL)              /*!< PP4_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P0_DIR_PP5_INEN_Pos          (21UL)                    /*!< PP5_INEN (Bit 21)                                     */
#define PORT_P0_DIR_PP5_INEN_Msk          (0x200000UL)              /*!< PP5_INEN (Bitfield-Mask: 0x01)                        */
/* =========================================================  P0_OD  ========================================================= */
#define PORT_P0_OD_PP0_Pos                (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_OD_PP0_Msk                (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_OD_PP1_Pos                (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_OD_PP1_Msk                (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_OD_PP2_Pos                (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_OD_PP2_Msk                (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_OD_PP3_Pos                (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_OD_PP3_Msk                (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_OD_PP4_Pos                (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_OD_PP4_Msk                (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_OD_PP5_Pos                (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_OD_PP5_Msk                (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P0_PUDEN  ======================================================== */
#define PORT_P0_PUDEN_PP0_Pos             (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_PUDEN_PP0_Msk             (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDEN_PP1_Pos             (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_PUDEN_PP1_Msk             (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDEN_PP2_Pos             (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_PUDEN_PP2_Msk             (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDEN_PP3_Pos             (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_PUDEN_PP3_Msk             (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDEN_PP4_Pos             (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_PUDEN_PP4_Msk             (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDEN_PP5_Pos             (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_PUDEN_PP5_Msk             (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P0_PUDSEL  ======================================================= */
#define PORT_P0_PUDSEL_PP0_Pos            (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P0_PUDSEL_PP0_Msk            (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDSEL_PP1_Pos            (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P0_PUDSEL_PP1_Msk            (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDSEL_PP2_Pos            (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P0_PUDSEL_PP2_Msk            (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDSEL_PP3_Pos            (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P0_PUDSEL_PP3_Msk            (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDSEL_PP4_Pos            (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P0_PUDSEL_PP4_Msk            (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P0_PUDSEL_PP5_Pos            (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P0_PUDSEL_PP5_Msk            (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
/* ======================================================  P1_ALTSEL0  ======================================================= */
#define PORT_P1_ALTSEL0_PP0_Pos           (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_ALTSEL0_PP0_Msk           (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL0_PP1_Pos           (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_ALTSEL0_PP1_Msk           (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL0_PP2_Pos           (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_ALTSEL0_PP2_Msk           (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL0_PP4_Pos           (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_ALTSEL0_PP4_Msk           (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
/* ======================================================  P1_ALTSEL1  ======================================================= */
#define PORT_P1_ALTSEL1_PP0_Pos           (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_ALTSEL1_PP0_Msk           (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL1_PP1_Pos           (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_ALTSEL1_PP1_Msk           (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL1_PP2_Pos           (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_ALTSEL1_PP2_Msk           (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_ALTSEL1_PP4_Pos           (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_ALTSEL1_PP4_Msk           (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
/* ========================================================  P1_DATA  ======================================================== */
#define PORT_P1_DATA_PP0_Pos              (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_DATA_PP0_Msk              (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DATA_PP1_Pos              (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_DATA_PP1_Msk              (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DATA_PP2_Pos              (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_DATA_PP2_Msk              (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DATA_PP4_Pos              (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_DATA_PP4_Msk              (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DATA_PP0_STS_Pos          (16UL)                    /*!< PP0_STS (Bit 16)                                      */
#define PORT_P1_DATA_PP0_STS_Msk          (0x10000UL)               /*!< PP0_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P1_DATA_PP1_STS_Pos          (17UL)                    /*!< PP1_STS (Bit 17)                                      */
#define PORT_P1_DATA_PP1_STS_Msk          (0x20000UL)               /*!< PP1_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P1_DATA_PP2_STS_Pos          (18UL)                    /*!< PP2_STS (Bit 18)                                      */
#define PORT_P1_DATA_PP2_STS_Msk          (0x40000UL)               /*!< PP2_STS (Bitfield-Mask: 0x01)                         */
#define PORT_P1_DATA_PP4_STS_Pos          (20UL)                    /*!< PP4_STS (Bit 20)                                      */
#define PORT_P1_DATA_PP4_STS_Msk          (0x100000UL)              /*!< PP4_STS (Bitfield-Mask: 0x01)                         */
/* ========================================================  P1_DIR  ========================================================= */
#define PORT_P1_DIR_PP0_Pos               (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_DIR_PP0_Msk               (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DIR_PP1_Pos               (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_DIR_PP1_Msk               (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DIR_PP2_Pos               (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_DIR_PP2_Msk               (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DIR_PP4_Pos               (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_DIR_PP4_Msk               (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_DIR_PP0_INEN_Pos          (16UL)                    /*!< PP0_INEN (Bit 16)                                     */
#define PORT_P1_DIR_PP0_INEN_Msk          (0x10000UL)               /*!< PP0_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P1_DIR_PP1_INEN_Pos          (17UL)                    /*!< PP1_INEN (Bit 17)                                     */
#define PORT_P1_DIR_PP1_INEN_Msk          (0x20000UL)               /*!< PP1_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P1_DIR_PP2_INEN_Pos          (18UL)                    /*!< PP2_INEN (Bit 18)                                     */
#define PORT_P1_DIR_PP2_INEN_Msk          (0x40000UL)               /*!< PP2_INEN (Bitfield-Mask: 0x01)                        */
#define PORT_P1_DIR_PP3_INEN_Pos          (20UL)                    /*!< PP3_INEN (Bit 20)                                     */
#define PORT_P1_DIR_PP3_INEN_Msk          (0x100000UL)              /*!< PP3_INEN (Bitfield-Mask: 0x01)                        */
/* =========================================================  P1_OD  ========================================================= */
#define PORT_P1_OD_PP0_Pos                (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_OD_PP0_Msk                (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_OD_PP1_Pos                (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_OD_PP1_Msk                (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_OD_PP2_Pos                (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_OD_PP2_Msk                (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_OD_PP4_Pos                (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_OD_PP4_Msk                (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P1_PUDEN  ======================================================== */
#define PORT_P1_PUDEN_PP0_Pos             (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_PUDEN_PP0_Msk             (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDEN_PP1_Pos             (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_PUDEN_PP1_Msk             (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDEN_PP2_Pos             (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_PUDEN_PP2_Msk             (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDEN_PP4_Pos             (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_PUDEN_PP4_Msk             (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P1_PUDSEL  ======================================================= */
#define PORT_P1_PUDSEL_PP0_Pos            (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P1_PUDSEL_PP0_Msk            (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDSEL_PP1_Pos            (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P1_PUDSEL_PP1_Msk            (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDSEL_PP2_Pos            (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P1_PUDSEL_PP2_Msk            (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P1_PUDSEL_PP4_Pos            (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P1_PUDSEL_PP4_Msk            (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
/* ========================================================  P2_DATA  ======================================================== */
#define PORT_P2_DATA_PP0_Pos              (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P2_DATA_PP0_Msk              (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP1_Pos              (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P2_DATA_PP1_Msk              (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP2_Pos              (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P2_DATA_PP2_Msk              (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP3_Pos              (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P2_DATA_PP3_Msk              (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP4_Pos              (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P2_DATA_PP4_Msk              (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP5_Pos              (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P2_DATA_PP5_Msk              (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP6_Pos              (6UL)                     /*!< PP6 (Bit 6)                                           */
#define PORT_P2_DATA_PP6_Msk              (0x40UL)                  /*!< PP6 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DATA_PP7_Pos              (7UL)                     /*!< PP7 (Bit 7)                                           */
#define PORT_P2_DATA_PP7_Msk              (0x80UL)                  /*!< PP7 (Bitfield-Mask: 0x01)                             */
/* ========================================================  P2_DIR  ========================================================= */
#define PORT_P2_DIR_PP0_Pos               (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P2_DIR_PP0_Msk               (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP1_Pos               (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P2_DIR_PP1_Msk               (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP2_Pos               (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P2_DIR_PP2_Msk               (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP3_Pos               (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P2_DIR_PP3_Msk               (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP4_Pos               (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P2_DIR_PP4_Msk               (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP5_Pos               (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P2_DIR_PP5_Msk               (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP6_Pos               (6UL)                     /*!< PP6 (Bit 6)                                           */
#define PORT_P2_DIR_PP6_Msk               (0x40UL)                  /*!< PP6 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_DIR_PP7_Pos               (7UL)                     /*!< PP7 (Bit 7)                                           */
#define PORT_P2_DIR_PP7_Msk               (0x80UL)                  /*!< PP7 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P2_PUDEN  ======================================================== */
#define PORT_P2_PUDEN_PP0_Pos             (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P2_PUDEN_PP0_Msk             (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP1_Pos             (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P2_PUDEN_PP1_Msk             (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP2_Pos             (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P2_PUDEN_PP2_Msk             (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP3_Pos             (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P2_PUDEN_PP3_Msk             (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP4_Pos             (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P2_PUDEN_PP4_Msk             (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP5_Pos             (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P2_PUDEN_PP5_Msk             (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP6_Pos             (6UL)                     /*!< PP6 (Bit 6)                                           */
#define PORT_P2_PUDEN_PP6_Msk             (0x40UL)                  /*!< PP6 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDEN_PP7_Pos             (7UL)                     /*!< PP7 (Bit 7)                                           */
#define PORT_P2_PUDEN_PP7_Msk             (0x80UL)                  /*!< PP7 (Bitfield-Mask: 0x01)                             */
/* =======================================================  P2_PUDSEL  ======================================================= */
#define PORT_P2_PUDSEL_PP0_Pos            (0UL)                     /*!< PP0 (Bit 0)                                           */
#define PORT_P2_PUDSEL_PP0_Msk            (0x1UL)                   /*!< PP0 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP1_Pos            (1UL)                     /*!< PP1 (Bit 1)                                           */
#define PORT_P2_PUDSEL_PP1_Msk            (0x2UL)                   /*!< PP1 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP2_Pos            (2UL)                     /*!< PP2 (Bit 2)                                           */
#define PORT_P2_PUDSEL_PP2_Msk            (0x4UL)                   /*!< PP2 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP3_Pos            (3UL)                     /*!< PP3 (Bit 3)                                           */
#define PORT_P2_PUDSEL_PP3_Msk            (0x8UL)                   /*!< PP3 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP4_Pos            (4UL)                     /*!< PP4 (Bit 4)                                           */
#define PORT_P2_PUDSEL_PP4_Msk            (0x10UL)                  /*!< PP4 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP5_Pos            (5UL)                     /*!< PP5 (Bit 5)                                           */
#define PORT_P2_PUDSEL_PP5_Msk            (0x20UL)                  /*!< PP5 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP6_Pos            (6UL)                     /*!< PP6 (Bit 6)                                           */
#define PORT_P2_PUDSEL_PP6_Msk            (0x40UL)                  /*!< PP6 (Bitfield-Mask: 0x01)                             */
#define PORT_P2_PUDSEL_PP7_Pos            (7UL)                     /*!< PP7 (Bit 7)                                           */
#define PORT_P2_PUDSEL_PP7_Msk            (0x80UL)                  /*!< PP7 (Bitfield-Mask: 0x01)                             */


/* =========================================================================================================================== */
/* ================                                            SCU                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  ADC1_CLK  ======================================================== */
#define SCU_ADC1_CLK_ADC1_CLK_DIV_Pos     (0UL)                     /*!< ADC1_CLK_DIV (Bit 0)                                  */
#define SCU_ADC1_CLK_ADC1_CLK_DIV_Msk     (0xfUL)                   /*!< ADC1_CLK_DIV (Bitfield-Mask: 0x0f)                    */
#define SCU_ADC1_CLK_DPP1_CLK_DIV_Pos     (8UL)                     /*!< DPP1_CLK_DIV (Bit 8)                                  */
#define SCU_ADC1_CLK_DPP1_CLK_DIV_Msk     (0x300UL)                 /*!< DPP1_CLK_DIV (Bitfield-Mask: 0x03)                    */
/* =========================================================  APCLK  ========================================================= */
#define SCU_APCLK_APCLK1FAC_Pos           (0UL)                     /*!< APCLK1FAC (Bit 0)                                     */
#define SCU_APCLK_APCLK1FAC_Msk           (0x3UL)                   /*!< APCLK1FAC (Bitfield-Mask: 0x03)                       */
#define SCU_APCLK_APCLK2FAC_Pos           (8UL)                     /*!< APCLK2FAC (Bit 8)                                     */
#define SCU_APCLK_APCLK2FAC_Msk           (0x1f00UL)                /*!< APCLK2FAC (Bitfield-Mask: 0x1f)                       */
#define SCU_APCLK_BGCLK_SEL_Pos           (24UL)                    /*!< BGCLK_SEL (Bit 24)                                    */
#define SCU_APCLK_BGCLK_SEL_Msk           (0x1000000UL)             /*!< BGCLK_SEL (Bitfield-Mask: 0x01)                       */
#define SCU_APCLK_BGCLK_DIV_Pos           (25UL)                    /*!< BGCLK_DIV (Bit 25)                                    */
#define SCU_APCLK_BGCLK_DIV_Msk           (0x2000000UL)             /*!< BGCLK_DIV (Bitfield-Mask: 0x01)                       */
/* ======================================================  APCLK_CTRL  ======================================================= */
#define SCU_APCLK_CTRL_APCLK_SET_Pos      (0UL)                     /*!< APCLK_SET (Bit 0)                                     */
#define SCU_APCLK_CTRL_APCLK_SET_Msk      (0x1UL)                   /*!< APCLK_SET (Bitfield-Mask: 0x01)                       */
#define SCU_APCLK_CTRL_CLKWDT_IE_Pos      (8UL)                     /*!< CLKWDT_IE (Bit 8)                                     */
#define SCU_APCLK_CTRL_CLKWDT_IE_Msk      (0x100UL)                 /*!< CLKWDT_IE (Bitfield-Mask: 0x01)                       */
/* ======================================================  APCLK_SCLR  ======================================================= */
#define SCU_APCLK_SCLR_APCLK1SCLR_Pos     (0UL)                     /*!< APCLK1SCLR (Bit 0)                                    */
#define SCU_APCLK_SCLR_APCLK1SCLR_Msk     (0x1UL)                   /*!< APCLK1SCLR (Bitfield-Mask: 0x01)                      */
#define SCU_APCLK_SCLR_APCLK2SCLR_Pos     (8UL)                     /*!< APCLK2SCLR (Bit 8)                                    */
#define SCU_APCLK_SCLR_APCLK2SCLR_Msk     (0x100UL)                 /*!< APCLK2SCLR (Bitfield-Mask: 0x01)                      */
#define SCU_APCLK_SCLR_APCLK3SCLR_Pos     (16UL)                    /*!< APCLK3SCLR (Bit 16)                                   */
#define SCU_APCLK_SCLR_APCLK3SCLR_Msk     (0x10000UL)               /*!< APCLK3SCLR (Bitfield-Mask: 0x01)                      */
#define SCU_APCLK_SCLR_PLL_LOCK_SCLR_Pos  (24UL)                    /*!< PLL_LOCK_SCLR (Bit 24)                                */
#define SCU_APCLK_SCLR_PLL_LOCK_SCLR_Msk  (0x1000000UL)             /*!< PLL_LOCK_SCLR (Bitfield-Mask: 0x01)                   */
/* =======================================================  APCLK_STS  ======================================================= */
#define SCU_APCLK_STS_APCLK1STS_Pos       (0UL)                     /*!< APCLK1STS (Bit 0)                                     */
#define SCU_APCLK_STS_APCLK1STS_Msk       (0x3UL)                   /*!< APCLK1STS (Bitfield-Mask: 0x03)                       */
#define SCU_APCLK_STS_APCLK2STS_Pos       (8UL)                     /*!< APCLK2STS (Bit 8)                                     */
#define SCU_APCLK_STS_APCLK2STS_Msk       (0x300UL)                 /*!< APCLK2STS (Bitfield-Mask: 0x03)                       */
#define SCU_APCLK_STS_APCLK3STS_Pos       (16UL)                    /*!< APCLK3STS (Bit 16)                                    */
#define SCU_APCLK_STS_APCLK3STS_Msk       (0x10000UL)               /*!< APCLK3STS (Bitfield-Mask: 0x01)                       */
#define SCU_APCLK_STS_PLL_LOCK_Pos        (24UL)                    /*!< PLL_LOCK (Bit 24)                                     */
#define SCU_APCLK_STS_PLL_LOCK_Msk        (0x1000000UL)             /*!< PLL_LOCK (Bitfield-Mask: 0x01)                        */
/* =========================================================  BCON1  ========================================================= */
#define SCU_BCON1_BR1_R_Pos               (0UL)                     /*!< BR1_R (Bit 0)                                         */
#define SCU_BCON1_BR1_R_Msk               (0x1UL)                   /*!< BR1_R (Bitfield-Mask: 0x01)                           */
#define SCU_BCON1_BR1_PRE_Pos             (1UL)                     /*!< BR1_PRE (Bit 1)                                       */
#define SCU_BCON1_BR1_PRE_Msk             (0xeUL)                   /*!< BR1_PRE (Bitfield-Mask: 0x07)                         */
/* =========================================================  BCON2  ========================================================= */
#define SCU_BCON2_BR2_R_Pos               (0UL)                     /*!< BR2_R (Bit 0)                                         */
#define SCU_BCON2_BR2_R_Msk               (0x1UL)                   /*!< BR2_R (Bitfield-Mask: 0x01)                           */
#define SCU_BCON2_BR2_PRE_Pos             (1UL)                     /*!< BR2_PRE (Bit 1)                                       */
#define SCU_BCON2_BR2_PRE_Msk             (0xeUL)                   /*!< BR2_PRE (Bitfield-Mask: 0x07)                         */
/* ==========================================================  BG1  ========================================================== */
#define SCU_BG1_BG1_BR_VALUE_Pos          (0UL)                     /*!< BG1_BR_VALUE (Bit 0)                                  */
#define SCU_BG1_BG1_BR_VALUE_Msk          (0x7ffUL)                 /*!< BG1_BR_VALUE (Bitfield-Mask: 0x7ff)                   */
/* ==========================================================  BG2  ========================================================== */
#define SCU_BG2_BG2_BR_VALUE_Pos          (0UL)                     /*!< BG2_BR_VALUE (Bit 0)                                  */
#define SCU_BG2_BG2_BR_VALUE_Msk          (0x7ffUL)                 /*!< BG2_BR_VALUE (Bitfield-Mask: 0x7ff)                   */
/* =========================================================  BGL1  ========================================================== */
#define SCU_BGL1_BG1_FD_SEL_Pos           (0UL)                     /*!< BG1_FD_SEL (Bit 0)                                    */
#define SCU_BGL1_BG1_FD_SEL_Msk           (0x1fUL)                  /*!< BG1_FD_SEL (Bitfield-Mask: 0x1f)                      */
/* =========================================================  BGL2  ========================================================== */
#define SCU_BGL2_BG2_FD_SEL_Pos           (0UL)                     /*!< BG2_FD_SEL (Bit 0)                                    */
#define SCU_BGL2_BG2_FD_SEL_Msk           (0x1fUL)                  /*!< BG2_FD_SEL (Bitfield-Mask: 0x1f)                      */
/* ========================================================  CMCON1  ========================================================= */
#define SCU_CMCON1_CLKREL_Pos             (0UL)                     /*!< CLKREL (Bit 0)                                        */
#define SCU_CMCON1_CLKREL_Msk             (0xfUL)                   /*!< CLKREL (Bitfield-Mask: 0x0f)                          */
#define SCU_CMCON1_K2DIV_Pos              (4UL)                     /*!< K2DIV (Bit 4)                                         */
#define SCU_CMCON1_K2DIV_Msk              (0x30UL)                  /*!< K2DIV (Bitfield-Mask: 0x03)                           */
#define SCU_CMCON1_K1DIV_Pos              (6UL)                     /*!< K1DIV (Bit 6)                                         */
#define SCU_CMCON1_K1DIV_Msk              (0x40UL)                  /*!< K1DIV (Bitfield-Mask: 0x01)                           */
#define SCU_CMCON1_PDIV_Pos               (8UL)                     /*!< PDIV (Bit 8)                                          */
#define SCU_CMCON1_PDIV_Msk               (0x300UL)                 /*!< PDIV (Bitfield-Mask: 0x03)                            */
/* ========================================================  CMCON2  ========================================================= */
#define SCU_CMCON2_PBA0CLKREL_Pos         (0UL)                     /*!< PBA0CLKREL (Bit 0)                                    */
#define SCU_CMCON2_PBA0CLKREL_Msk         (0x1UL)                   /*!< PBA0CLKREL (Bitfield-Mask: 0x01)                      */
/* =========================================================  COCON  ========================================================= */
#define SCU_COCON_COREL_Pos               (0UL)                     /*!< COREL (Bit 0)                                         */
#define SCU_COCON_COREL_Msk               (0xfUL)                   /*!< COREL (Bitfield-Mask: 0x0f)                           */
#define SCU_COCON_COUTS0_Pos              (4UL)                     /*!< COUTS0 (Bit 4)                                        */
#define SCU_COCON_COUTS0_Msk              (0x10UL)                  /*!< COUTS0 (Bitfield-Mask: 0x01)                          */
#define SCU_COCON_TLEN_Pos                (5UL)                     /*!< TLEN (Bit 5)                                          */
#define SCU_COCON_TLEN_Msk                (0x20UL)                  /*!< TLEN (Bitfield-Mask: 0x01)                            */
#define SCU_COCON_COUTS1_Pos              (6UL)                     /*!< COUTS1 (Bit 6)                                        */
#define SCU_COCON_COUTS1_Msk              (0x40UL)                  /*!< COUTS1 (Bitfield-Mask: 0x01)                          */
#define SCU_COCON_EN_Pos                  (7UL)                     /*!< EN (Bit 7)                                            */
#define SCU_COCON_EN_Msk                  (0x80UL)                  /*!< EN (Bitfield-Mask: 0x01)                              */
/* ========================================================  EDCCON  ========================================================= */
#define SCU_EDCCON_RIE_Pos                (0UL)                     /*!< RIE (Bit 0)                                           */
#define SCU_EDCCON_RIE_Msk                (0x1UL)                   /*!< RIE (Bitfield-Mask: 0x01)                             */
#define SCU_EDCCON_NVMIE_Pos              (2UL)                     /*!< NVMIE (Bit 2)                                         */
#define SCU_EDCCON_NVMIE_Msk              (0x4UL)                   /*!< NVMIE (Bitfield-Mask: 0x01)                           */
/* ========================================================  EDCSCLR  ======================================================== */
#define SCU_EDCSCLR_RDBEC_Pos             (0UL)                     /*!< RDBEC (Bit 0)                                         */
#define SCU_EDCSCLR_RDBEC_Msk             (0x1UL)                   /*!< RDBEC (Bitfield-Mask: 0x01)                           */
#define SCU_EDCSCLR_NVMDBEC_Pos           (2UL)                     /*!< NVMDBEC (Bit 2)                                       */
#define SCU_EDCSCLR_NVMDBEC_Msk           (0x4UL)                   /*!< NVMDBEC (Bitfield-Mask: 0x01)                         */
#define SCU_EDCSCLR_RSBEC_Pos             (4UL)                     /*!< RSBEC (Bit 4)                                         */
#define SCU_EDCSCLR_RSBEC_Msk             (0x10UL)                  /*!< RSBEC (Bitfield-Mask: 0x01)                           */
/* ========================================================  EDCSTAT  ======================================================== */
#define SCU_EDCSTAT_RDBE_Pos              (0UL)                     /*!< RDBE (Bit 0)                                          */
#define SCU_EDCSTAT_RDBE_Msk              (0x1UL)                   /*!< RDBE (Bitfield-Mask: 0x01)                            */
#define SCU_EDCSTAT_NVMDBE_Pos            (2UL)                     /*!< NVMDBE (Bit 2)                                        */
#define SCU_EDCSTAT_NVMDBE_Msk            (0x4UL)                   /*!< NVMDBE (Bitfield-Mask: 0x01)                          */
#define SCU_EDCSTAT_RSBE_Pos              (4UL)                     /*!< RSBE (Bit 4)                                          */
#define SCU_EDCSTAT_RSBE_Msk              (0x10UL)                  /*!< RSBE (Bitfield-Mask: 0x01)                            */
/* =========================================================  EMOP  ========================================================== */
#define SCU_EMOP_NVMPROP_Pos              (0UL)                     /*!< NVMPROP (Bit 0)                                       */
#define SCU_EMOP_NVMPROP_Msk              (0x1UL)                   /*!< NVMPROP (Bitfield-Mask: 0x01)                         */
#define SCU_EMOP_EMPROP_Pos               (1UL)                     /*!< EMPROP (Bit 1)                                        */
#define SCU_EMOP_EMPROP_Msk               (0x2UL)                   /*!< EMPROP (Bitfield-Mask: 0x01)                          */
/* ========================================================  EXICON0  ======================================================== */
#define SCU_EXICON0_EXINT0_Pos            (0UL)                     /*!< EXINT0 (Bit 0)                                        */
#define SCU_EXICON0_EXINT0_Msk            (0x3UL)                   /*!< EXINT0 (Bitfield-Mask: 0x03)                          */
#define SCU_EXICON0_EXINT1_Pos            (2UL)                     /*!< EXINT1 (Bit 2)                                        */
#define SCU_EXICON0_EXINT1_Msk            (0xcUL)                   /*!< EXINT1 (Bitfield-Mask: 0x03)                          */
#define SCU_EXICON0_EXINT2_Pos            (4UL)                     /*!< EXINT2 (Bit 4)                                        */
#define SCU_EXICON0_EXINT2_Msk            (0x30UL)                  /*!< EXINT2 (Bitfield-Mask: 0x03)                          */
/* ========================================================  EXICON1  ======================================================== */
#define SCU_EXICON1_MON1_Pos              (0UL)                     /*!< MON1 (Bit 0)                                          */
#define SCU_EXICON1_MON1_Msk              (0x3UL)                   /*!< MON1 (Bitfield-Mask: 0x03)                            */
#define SCU_EXICON1_MON2_Pos              (2UL)                     /*!< MON2 (Bit 2)                                          */
#define SCU_EXICON1_MON2_Msk              (0xcUL)                   /*!< MON2 (Bitfield-Mask: 0x03)                            */
#define SCU_EXICON1_MON3_Pos              (4UL)                     /*!< MON3 (Bit 4)                                          */
#define SCU_EXICON1_MON3_Msk              (0x30UL)                  /*!< MON3 (Bitfield-Mask: 0x03)                            */
#define SCU_EXICON1_MON4_Pos              (6UL)                     /*!< MON4 (Bit 6)                                          */
#define SCU_EXICON1_MON4_Msk              (0xc0UL)                  /*!< MON4 (Bitfield-Mask: 0x03)                            */
#define SCU_EXICON1_MON5_Pos              (8UL)                     /*!< MON5 (Bit 8)                                          */
#define SCU_EXICON1_MON5_Msk              (0x300UL)                 /*!< MON5 (Bitfield-Mask: 0x03)                            */
/* =======================================================  GPT12ICLR  ======================================================= */
#define SCU_GPT12ICLR_GPT1T2C_Pos         (0UL)                     /*!< GPT1T2C (Bit 0)                                       */
#define SCU_GPT12ICLR_GPT1T2C_Msk         (0x1UL)                   /*!< GPT1T2C (Bitfield-Mask: 0x01)                         */
#define SCU_GPT12ICLR_GPT1T3C_Pos         (1UL)                     /*!< GPT1T3C (Bit 1)                                       */
#define SCU_GPT12ICLR_GPT1T3C_Msk         (0x2UL)                   /*!< GPT1T3C (Bitfield-Mask: 0x01)                         */
#define SCU_GPT12ICLR_GPT1T4C_Pos         (2UL)                     /*!< GPT1T4C (Bit 2)                                       */
#define SCU_GPT12ICLR_GPT1T4C_Msk         (0x4UL)                   /*!< GPT1T4C (Bitfield-Mask: 0x01)                         */
#define SCU_GPT12ICLR_GPT2T5C_Pos         (3UL)                     /*!< GPT2T5C (Bit 3)                                       */
#define SCU_GPT12ICLR_GPT2T5C_Msk         (0x8UL)                   /*!< GPT2T5C (Bitfield-Mask: 0x01)                         */
#define SCU_GPT12ICLR_GPT2T6C_Pos         (4UL)                     /*!< GPT2T6C (Bit 4)                                       */
#define SCU_GPT12ICLR_GPT2T6C_Msk         (0x10UL)                  /*!< GPT2T6C (Bitfield-Mask: 0x01)                         */
#define SCU_GPT12ICLR_GPT12CRC_Pos        (5UL)                     /*!< GPT12CRC (Bit 5)                                      */
#define SCU_GPT12ICLR_GPT12CRC_Msk        (0x20UL)                  /*!< GPT12CRC (Bitfield-Mask: 0x01)                        */
/* =======================================================  GPT12IEN  ======================================================== */
#define SCU_GPT12IEN_T2IE_Pos             (0UL)                     /*!< T2IE (Bit 0)                                          */
#define SCU_GPT12IEN_T2IE_Msk             (0x1UL)                   /*!< T2IE (Bitfield-Mask: 0x01)                            */
#define SCU_GPT12IEN_T3IE_Pos             (1UL)                     /*!< T3IE (Bit 1)                                          */
#define SCU_GPT12IEN_T3IE_Msk             (0x2UL)                   /*!< T3IE (Bitfield-Mask: 0x01)                            */
#define SCU_GPT12IEN_T4IE_Pos             (2UL)                     /*!< T4IE (Bit 2)                                          */
#define SCU_GPT12IEN_T4IE_Msk             (0x4UL)                   /*!< T4IE (Bitfield-Mask: 0x01)                            */
#define SCU_GPT12IEN_T5IE_Pos             (3UL)                     /*!< T5IE (Bit 3)                                          */
#define SCU_GPT12IEN_T5IE_Msk             (0x8UL)                   /*!< T5IE (Bitfield-Mask: 0x01)                            */
#define SCU_GPT12IEN_T6IE_Pos             (4UL)                     /*!< T6IE (Bit 4)                                          */
#define SCU_GPT12IEN_T6IE_Msk             (0x10UL)                  /*!< T6IE (Bitfield-Mask: 0x01)                            */
#define SCU_GPT12IEN_CRIE_Pos             (5UL)                     /*!< CRIE (Bit 5)                                          */
#define SCU_GPT12IEN_CRIE_Msk             (0x20UL)                  /*!< CRIE (Bitfield-Mask: 0x01)                            */
/* =======================================================  GPT12IRC  ======================================================== */
#define SCU_GPT12IRC_GPT1T2_Pos           (0UL)                     /*!< GPT1T2 (Bit 0)                                        */
#define SCU_GPT12IRC_GPT1T2_Msk           (0x1UL)                   /*!< GPT1T2 (Bitfield-Mask: 0x01)                          */
#define SCU_GPT12IRC_GPT1T3_Pos           (1UL)                     /*!< GPT1T3 (Bit 1)                                        */
#define SCU_GPT12IRC_GPT1T3_Msk           (0x2UL)                   /*!< GPT1T3 (Bitfield-Mask: 0x01)                          */
#define SCU_GPT12IRC_GPT1T4_Pos           (2UL)                     /*!< GPT1T4 (Bit 2)                                        */
#define SCU_GPT12IRC_GPT1T4_Msk           (0x4UL)                   /*!< GPT1T4 (Bitfield-Mask: 0x01)                          */
#define SCU_GPT12IRC_GPT2T5_Pos           (3UL)                     /*!< GPT2T5 (Bit 3)                                        */
#define SCU_GPT12IRC_GPT2T5_Msk           (0x8UL)                   /*!< GPT2T5 (Bitfield-Mask: 0x01)                          */
#define SCU_GPT12IRC_GPT2T6_Pos           (4UL)                     /*!< GPT2T6 (Bit 4)                                        */
#define SCU_GPT12IRC_GPT2T6_Msk           (0x10UL)                  /*!< GPT2T6 (Bitfield-Mask: 0x01)                          */
#define SCU_GPT12IRC_GPT12CR_Pos          (5UL)                     /*!< GPT12CR (Bit 5)                                       */
#define SCU_GPT12IRC_GPT12CR_Msk          (0x20UL)                  /*!< GPT12CR (Bitfield-Mask: 0x01)                         */
/* ======================================================  GPT12PISEL  ======================================================= */
#define SCU_GPT12PISEL_GPT12_Pos          (0UL)                     /*!< GPT12 (Bit 0)                                         */
#define SCU_GPT12PISEL_GPT12_Msk          (0xfUL)                   /*!< GPT12 (Bitfield-Mask: 0x0f)                           */
#define SCU_GPT12PISEL_TRIG_CONF_Pos      (4UL)                     /*!< TRIG_CONF (Bit 4)                                     */
#define SCU_GPT12PISEL_TRIG_CONF_Msk      (0x10UL)                  /*!< TRIG_CONF (Bitfield-Mask: 0x01)                       */
#define SCU_GPT12PISEL_GPT12_SEL_Pos      (5UL)                     /*!< GPT12_SEL (Bit 5)                                     */
#define SCU_GPT12PISEL_GPT12_SEL_Msk      (0x20UL)                  /*!< GPT12_SEL (Bitfield-Mask: 0x01)                       */
/* ==========================================================  ID  =========================================================== */
#define SCU_ID_VERID_Pos                  (0UL)                     /*!< VERID (Bit 0)                                         */
#define SCU_ID_VERID_Msk                  (0x7UL)                   /*!< VERID (Bitfield-Mask: 0x07)                           */
#define SCU_ID_PRODID_Pos                 (3UL)                     /*!< PRODID (Bit 3)                                        */
#define SCU_ID_PRODID_Msk                 (0xf8UL)                  /*!< PRODID (Bitfield-Mask: 0x1f)                          */
/* =========================================================  IEN0  ========================================================== */
#define SCU_IEN0_EA_Pos                   (31UL)                    /*!< EA (Bit 31)                                           */
#define SCU_IEN0_EA_Msk                   (0x80000000UL)            /*!< EA (Bitfield-Mask: 0x01)                              */
/* ========================================================  IRCON0  ========================================================= */
#define SCU_IRCON0_EXINT0R_Pos            (0UL)                     /*!< EXINT0R (Bit 0)                                       */
#define SCU_IRCON0_EXINT0R_Msk            (0x1UL)                   /*!< EXINT0R (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON0_EXINT0F_Pos            (1UL)                     /*!< EXINT0F (Bit 1)                                       */
#define SCU_IRCON0_EXINT0F_Msk            (0x2UL)                   /*!< EXINT0F (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON0_EXINT1R_Pos            (2UL)                     /*!< EXINT1R (Bit 2)                                       */
#define SCU_IRCON0_EXINT1R_Msk            (0x4UL)                   /*!< EXINT1R (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON0_EXINT1F_Pos            (3UL)                     /*!< EXINT1F (Bit 3)                                       */
#define SCU_IRCON0_EXINT1F_Msk            (0x8UL)                   /*!< EXINT1F (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON0_EXINT2R_Pos            (4UL)                     /*!< EXINT2R (Bit 4)                                       */
#define SCU_IRCON0_EXINT2R_Msk            (0x10UL)                  /*!< EXINT2R (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON0_EXINT2F_Pos            (5UL)                     /*!< EXINT2F (Bit 5)                                       */
#define SCU_IRCON0_EXINT2F_Msk            (0x20UL)                  /*!< EXINT2F (Bitfield-Mask: 0x01)                         */
/* =======================================================  IRCON0CLR  ======================================================= */
#define SCU_IRCON0CLR_EXINT0RC_Pos        (0UL)                     /*!< EXINT0RC (Bit 0)                                      */
#define SCU_IRCON0CLR_EXINT0RC_Msk        (0x1UL)                   /*!< EXINT0RC (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON0CLR_EXINT0FC_Pos        (1UL)                     /*!< EXINT0FC (Bit 1)                                      */
#define SCU_IRCON0CLR_EXINT0FC_Msk        (0x2UL)                   /*!< EXINT0FC (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON0CLR_EXINT1RC_Pos        (2UL)                     /*!< EXINT1RC (Bit 2)                                      */
#define SCU_IRCON0CLR_EXINT1RC_Msk        (0x4UL)                   /*!< EXINT1RC (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON0CLR_EXINT1FC_Pos        (3UL)                     /*!< EXINT1FC (Bit 3)                                      */
#define SCU_IRCON0CLR_EXINT1FC_Msk        (0x8UL)                   /*!< EXINT1FC (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON0CLR_EXINT2RC_Pos        (4UL)                     /*!< EXINT2RC (Bit 4)                                      */
#define SCU_IRCON0CLR_EXINT2RC_Msk        (0x10UL)                  /*!< EXINT2RC (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON0CLR_EXINT2FC_Pos        (5UL)                     /*!< EXINT2FC (Bit 5)                                      */
#define SCU_IRCON0CLR_EXINT2FC_Msk        (0x20UL)                  /*!< EXINT2FC (Bitfield-Mask: 0x01)                        */
/* ========================================================  IRCON1  ========================================================= */
#define SCU_IRCON1_MON1R_Pos              (0UL)                     /*!< MON1R (Bit 0)                                         */
#define SCU_IRCON1_MON1R_Msk              (0x1UL)                   /*!< MON1R (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON1F_Pos              (1UL)                     /*!< MON1F (Bit 1)                                         */
#define SCU_IRCON1_MON1F_Msk              (0x2UL)                   /*!< MON1F (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON2R_Pos              (2UL)                     /*!< MON2R (Bit 2)                                         */
#define SCU_IRCON1_MON2R_Msk              (0x4UL)                   /*!< MON2R (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON2F_Pos              (3UL)                     /*!< MON2F (Bit 3)                                         */
#define SCU_IRCON1_MON2F_Msk              (0x8UL)                   /*!< MON2F (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON3R_Pos              (4UL)                     /*!< MON3R (Bit 4)                                         */
#define SCU_IRCON1_MON3R_Msk              (0x10UL)                  /*!< MON3R (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON3F_Pos              (5UL)                     /*!< MON3F (Bit 5)                                         */
#define SCU_IRCON1_MON3F_Msk              (0x20UL)                  /*!< MON3F (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON4R_Pos              (6UL)                     /*!< MON4R (Bit 6)                                         */
#define SCU_IRCON1_MON4R_Msk              (0x40UL)                  /*!< MON4R (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON4F_Pos              (7UL)                     /*!< MON4F (Bit 7)                                         */
#define SCU_IRCON1_MON4F_Msk              (0x80UL)                  /*!< MON4F (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON5R_Pos              (8UL)                     /*!< MON5R (Bit 8)                                         */
#define SCU_IRCON1_MON5R_Msk              (0x100UL)                 /*!< MON5R (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON1_MON5F_Pos              (9UL)                     /*!< MON5F (Bit 9)                                         */
#define SCU_IRCON1_MON5F_Msk              (0x200UL)                 /*!< MON5F (Bitfield-Mask: 0x01)                           */
/* =======================================================  IRCON1CLR  ======================================================= */
#define SCU_IRCON1CLR_MON1RC_Pos          (0UL)                     /*!< MON1RC (Bit 0)                                        */
#define SCU_IRCON1CLR_MON1RC_Msk          (0x1UL)                   /*!< MON1RC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON1FC_Pos          (1UL)                     /*!< MON1FC (Bit 1)                                        */
#define SCU_IRCON1CLR_MON1FC_Msk          (0x2UL)                   /*!< MON1FC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON2RC_Pos          (2UL)                     /*!< MON2RC (Bit 2)                                        */
#define SCU_IRCON1CLR_MON2RC_Msk          (0x4UL)                   /*!< MON2RC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON2FC_Pos          (3UL)                     /*!< MON2FC (Bit 3)                                        */
#define SCU_IRCON1CLR_MON2FC_Msk          (0x8UL)                   /*!< MON2FC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON3RC_Pos          (4UL)                     /*!< MON3RC (Bit 4)                                        */
#define SCU_IRCON1CLR_MON3RC_Msk          (0x10UL)                  /*!< MON3RC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON3FC_Pos          (5UL)                     /*!< MON3FC (Bit 5)                                        */
#define SCU_IRCON1CLR_MON3FC_Msk          (0x20UL)                  /*!< MON3FC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON4RC_Pos          (6UL)                     /*!< MON4RC (Bit 6)                                        */
#define SCU_IRCON1CLR_MON4RC_Msk          (0x40UL)                  /*!< MON4RC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON4FC_Pos          (7UL)                     /*!< MON4FC (Bit 7)                                        */
#define SCU_IRCON1CLR_MON4FC_Msk          (0x80UL)                  /*!< MON4FC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON5RC_Pos          (8UL)                     /*!< MON5RC (Bit 8)                                        */
#define SCU_IRCON1CLR_MON5RC_Msk          (0x100UL)                 /*!< MON5RC (Bitfield-Mask: 0x01)                          */
#define SCU_IRCON1CLR_MON5FC_Pos          (9UL)                     /*!< MON5FC (Bit 9)                                        */
#define SCU_IRCON1CLR_MON5FC_Msk          (0x200UL)                 /*!< MON5FC (Bitfield-Mask: 0x01)                          */
/* ========================================================  IRCON2  ========================================================= */
#define SCU_IRCON2_EIR1_Pos               (0UL)                     /*!< EIR1 (Bit 0)                                          */
#define SCU_IRCON2_EIR1_Msk               (0x1UL)                   /*!< EIR1 (Bitfield-Mask: 0x01)                            */
#define SCU_IRCON2_TIR1_Pos               (1UL)                     /*!< TIR1 (Bit 1)                                          */
#define SCU_IRCON2_TIR1_Msk               (0x2UL)                   /*!< TIR1 (Bitfield-Mask: 0x01)                            */
#define SCU_IRCON2_RIR1_Pos               (2UL)                     /*!< RIR1 (Bit 2)                                          */
#define SCU_IRCON2_RIR1_Msk               (0x4UL)                   /*!< RIR1 (Bitfield-Mask: 0x01)                            */
/* =======================================================  IRCON2CLR  ======================================================= */
#define SCU_IRCON2CLR_EIR1C_Pos           (0UL)                     /*!< EIR1C (Bit 0)                                         */
#define SCU_IRCON2CLR_EIR1C_Msk           (0x1UL)                   /*!< EIR1C (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON2CLR_TIR1C_Pos           (1UL)                     /*!< TIR1C (Bit 1)                                         */
#define SCU_IRCON2CLR_TIR1C_Msk           (0x2UL)                   /*!< TIR1C (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON2CLR_RIR1C_Pos           (2UL)                     /*!< RIR1C (Bit 2)                                         */
#define SCU_IRCON2CLR_RIR1C_Msk           (0x4UL)                   /*!< RIR1C (Bitfield-Mask: 0x01)                           */
/* ========================================================  IRCON3  ========================================================= */
#define SCU_IRCON3_EIR2_Pos               (0UL)                     /*!< EIR2 (Bit 0)                                          */
#define SCU_IRCON3_EIR2_Msk               (0x1UL)                   /*!< EIR2 (Bitfield-Mask: 0x01)                            */
#define SCU_IRCON3_TIR2_Pos               (1UL)                     /*!< TIR2 (Bit 1)                                          */
#define SCU_IRCON3_TIR2_Msk               (0x2UL)                   /*!< TIR2 (Bitfield-Mask: 0x01)                            */
#define SCU_IRCON3_RIR2_Pos               (2UL)                     /*!< RIR2 (Bit 2)                                          */
#define SCU_IRCON3_RIR2_Msk               (0x4UL)                   /*!< RIR2 (Bitfield-Mask: 0x01)                            */
/* =======================================================  IRCON3CLR  ======================================================= */
#define SCU_IRCON3CLR_EIR2C_Pos           (0UL)                     /*!< EIR2C (Bit 0)                                         */
#define SCU_IRCON3CLR_EIR2C_Msk           (0x1UL)                   /*!< EIR2C (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON3CLR_TIR2C_Pos           (1UL)                     /*!< TIR2C (Bit 1)                                         */
#define SCU_IRCON3CLR_TIR2C_Msk           (0x2UL)                   /*!< TIR2C (Bitfield-Mask: 0x01)                           */
#define SCU_IRCON3CLR_RIR2C_Pos           (2UL)                     /*!< RIR2C (Bit 2)                                         */
#define SCU_IRCON3CLR_RIR2C_Msk           (0x4UL)                   /*!< RIR2C (Bitfield-Mask: 0x01)                           */
/* ========================================================  IRCON4  ========================================================= */
#define SCU_IRCON4_CCU6SR0_Pos            (0UL)                     /*!< CCU6SR0 (Bit 0)                                       */
#define SCU_IRCON4_CCU6SR0_Msk            (0x1UL)                   /*!< CCU6SR0 (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON4_CCU6SR1_Pos            (4UL)                     /*!< CCU6SR1 (Bit 4)                                       */
#define SCU_IRCON4_CCU6SR1_Msk            (0x10UL)                  /*!< CCU6SR1 (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON4_CCU6SR2_Pos            (16UL)                    /*!< CCU6SR2 (Bit 16)                                      */
#define SCU_IRCON4_CCU6SR2_Msk            (0x10000UL)               /*!< CCU6SR2 (Bitfield-Mask: 0x01)                         */
#define SCU_IRCON4_CCU6SR3_Pos            (20UL)                    /*!< CCU6SR3 (Bit 20)                                      */
#define SCU_IRCON4_CCU6SR3_Msk            (0x100000UL)              /*!< CCU6SR3 (Bitfield-Mask: 0x01)                         */
/* =======================================================  IRCON4CLR  ======================================================= */
#define SCU_IRCON4CLR_CCU6SR0C_Pos        (0UL)                     /*!< CCU6SR0C (Bit 0)                                      */
#define SCU_IRCON4CLR_CCU6SR0C_Msk        (0x1UL)                   /*!< CCU6SR0C (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON4CLR_CCU6SR1C_Pos        (4UL)                     /*!< CCU6SR1C (Bit 4)                                      */
#define SCU_IRCON4CLR_CCU6SR1C_Msk        (0x10UL)                  /*!< CCU6SR1C (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON4CLR_CCU6SR2C_Pos        (16UL)                    /*!< CCU6SR2C (Bit 16)                                     */
#define SCU_IRCON4CLR_CCU6SR2C_Msk        (0x10000UL)               /*!< CCU6SR2C (Bitfield-Mask: 0x01)                        */
#define SCU_IRCON4CLR_CCU6SR3C_Pos        (20UL)                    /*!< CCU6SR3C (Bit 20)                                     */
#define SCU_IRCON4CLR_CCU6SR3C_Msk        (0x100000UL)              /*!< CCU6SR3C (Bitfield-Mask: 0x01)                        */
/* ========================================================  IRCON5  ========================================================= */
#define SCU_IRCON5_WAKEUP_Pos             (0UL)                     /*!< WAKEUP (Bit 0)                                        */
#define SCU_IRCON5_WAKEUP_Msk             (0x1UL)                   /*!< WAKEUP (Bitfield-Mask: 0x01)                          */
/* =======================================================  IRCON5CLR  ======================================================= */
#define SCU_IRCON5CLR_WAKEUPC_Pos         (0UL)                     /*!< WAKEUPC (Bit 0)                                       */
#define SCU_IRCON5CLR_WAKEUPC_Msk         (0x1UL)                   /*!< WAKEUPC (Bitfield-Mask: 0x01)                         */
/* ========================================================  LINSCLR  ======================================================== */
#define SCU_LINSCLR_BRKC_Pos              (3UL)                     /*!< BRKC (Bit 3)                                          */
#define SCU_LINSCLR_BRKC_Msk              (0x8UL)                   /*!< BRKC (Bitfield-Mask: 0x01)                            */
#define SCU_LINSCLR_EOFSYNC_Pos           (4UL)                     /*!< EOFSYNC (Bit 4)                                       */
#define SCU_LINSCLR_EOFSYNC_Msk           (0x10UL)                  /*!< EOFSYNC (Bitfield-Mask: 0x01)                         */
#define SCU_LINSCLR_ERRSYNC_Pos           (5UL)                     /*!< ERRSYNC (Bit 5)                                       */
#define SCU_LINSCLR_ERRSYNC_Msk           (0x20UL)                  /*!< ERRSYNC (Bitfield-Mask: 0x01)                         */
/* =========================================================  LINST  ========================================================= */
#define SCU_LINST_BRDIS_Pos               (0UL)                     /*!< BRDIS (Bit 0)                                         */
#define SCU_LINST_BRDIS_Msk               (0x1UL)                   /*!< BRDIS (Bitfield-Mask: 0x01)                           */
#define SCU_LINST_BGSEL_Pos               (1UL)                     /*!< BGSEL (Bit 1)                                         */
#define SCU_LINST_BGSEL_Msk               (0x6UL)                   /*!< BGSEL (Bitfield-Mask: 0x03)                           */
#define SCU_LINST_BRK_Pos                 (3UL)                     /*!< BRK (Bit 3)                                           */
#define SCU_LINST_BRK_Msk                 (0x8UL)                   /*!< BRK (Bitfield-Mask: 0x01)                             */
#define SCU_LINST_EOFSYN_Pos              (4UL)                     /*!< EOFSYN (Bit 4)                                        */
#define SCU_LINST_EOFSYN_Msk              (0x10UL)                  /*!< EOFSYN (Bitfield-Mask: 0x01)                          */
#define SCU_LINST_ERRSYN_Pos              (5UL)                     /*!< ERRSYN (Bit 5)                                        */
#define SCU_LINST_ERRSYN_Msk              (0x20UL)                  /*!< ERRSYN (Bitfield-Mask: 0x01)                          */
#define SCU_LINST_SYNEN_Pos               (6UL)                     /*!< SYNEN (Bit 6)                                         */
#define SCU_LINST_SYNEN_Msk               (0x40UL)                  /*!< SYNEN (Bitfield-Mask: 0x01)                           */
/* ======================================================  MEM_ACC_STS  ====================================================== */
#define SCU_MEM_ACC_STS_NVM_PROT_ERR_Pos  (0UL)                     /*!< NVM_PROT_ERR (Bit 0)                                  */
#define SCU_MEM_ACC_STS_NVM_PROT_ERR_Msk  (0x1UL)                   /*!< NVM_PROT_ERR (Bitfield-Mask: 0x01)                    */
#define SCU_MEM_ACC_STS_NVM_ADDR_ERR_Pos  (1UL)                     /*!< NVM_ADDR_ERR (Bit 1)                                  */
#define SCU_MEM_ACC_STS_NVM_ADDR_ERR_Msk  (0x2UL)                   /*!< NVM_ADDR_ERR (Bitfield-Mask: 0x01)                    */
#define SCU_MEM_ACC_STS_NVM_SFR_PROT_ERR_Pos (2UL)                  /*!< NVM_SFR_PROT_ERR (Bit 2)                              */
#define SCU_MEM_ACC_STS_NVM_SFR_PROT_ERR_Msk (0x4UL)                /*!< NVM_SFR_PROT_ERR (Bitfield-Mask: 0x01)                */
#define SCU_MEM_ACC_STS_NVM_SFR_ADDR_ERR_Pos (3UL)                  /*!< NVM_SFR_ADDR_ERR (Bit 3)                              */
#define SCU_MEM_ACC_STS_NVM_SFR_ADDR_ERR_Msk (0x8UL)                /*!< NVM_SFR_ADDR_ERR (Bitfield-Mask: 0x01)                */
#define SCU_MEM_ACC_STS_ROM_PROT_ERR_Pos  (4UL)                     /*!< ROM_PROT_ERR (Bit 4)                                  */
#define SCU_MEM_ACC_STS_ROM_PROT_ERR_Msk  (0x10UL)                  /*!< ROM_PROT_ERR (Bitfield-Mask: 0x01)                    */
/* ========================================================  MEMSTAT  ======================================================== */
#define SCU_MEMSTAT_SECTORINFO_Pos        (0UL)                     /*!< SECTORINFO (Bit 0)                                    */
#define SCU_MEMSTAT_SECTORINFO_Msk        (0x3fUL)                  /*!< SECTORINFO (Bitfield-Mask: 0x3f)                      */
#define SCU_MEMSTAT_SASTATUS_Pos          (6UL)                     /*!< SASTATUS (Bit 6)                                      */
#define SCU_MEMSTAT_SASTATUS_Msk          (0xc0UL)                  /*!< SASTATUS (Bitfield-Mask: 0x03)                        */
/* ========================================================  MODIEN1  ======================================================== */
#define SCU_MODIEN1_EIREN1_Pos            (0UL)                     /*!< EIREN1 (Bit 0)                                        */
#define SCU_MODIEN1_EIREN1_Msk            (0x1UL)                   /*!< EIREN1 (Bitfield-Mask: 0x01)                          */
#define SCU_MODIEN1_TIREN1_Pos            (1UL)                     /*!< TIREN1 (Bit 1)                                        */
#define SCU_MODIEN1_TIREN1_Msk            (0x2UL)                   /*!< TIREN1 (Bitfield-Mask: 0x01)                          */
#define SCU_MODIEN1_RIREN1_Pos            (2UL)                     /*!< RIREN1 (Bit 2)                                        */
#define SCU_MODIEN1_RIREN1_Msk            (0x4UL)                   /*!< RIREN1 (Bitfield-Mask: 0x01)                          */
#define SCU_MODIEN1_EIREN2_Pos            (8UL)                     /*!< EIREN2 (Bit 8)                                        */
#define SCU_MODIEN1_EIREN2_Msk            (0x100UL)                 /*!< EIREN2 (Bitfield-Mask: 0x01)                          */
#define SCU_MODIEN1_TIREN2_Pos            (9UL)                     /*!< TIREN2 (Bit 9)                                        */
#define SCU_MODIEN1_TIREN2_Msk            (0x200UL)                 /*!< TIREN2 (Bitfield-Mask: 0x01)                          */
#define SCU_MODIEN1_RIREN2_Pos            (10UL)                    /*!< RIREN2 (Bit 10)                                       */
#define SCU_MODIEN1_RIREN2_Msk            (0x400UL)                 /*!< RIREN2 (Bitfield-Mask: 0x01)                          */
/* ========================================================  MODIEN2  ======================================================== */
#define SCU_MODIEN2_RIEN1_Pos             (0UL)                     /*!< RIEN1 (Bit 0)                                         */
#define SCU_MODIEN2_RIEN1_Msk             (0x1UL)                   /*!< RIEN1 (Bitfield-Mask: 0x01)                           */
#define SCU_MODIEN2_TIEN1_Pos             (1UL)                     /*!< TIEN1 (Bit 1)                                         */
#define SCU_MODIEN2_TIEN1_Msk             (0x2UL)                   /*!< TIEN1 (Bitfield-Mask: 0x01)                           */
#define SCU_MODIEN2_EXINT2_EN_Pos         (5UL)                     /*!< EXINT2_EN (Bit 5)                                     */
#define SCU_MODIEN2_EXINT2_EN_Msk         (0x20UL)                  /*!< EXINT2_EN (Bitfield-Mask: 0x01)                       */
#define SCU_MODIEN2_RIEN2_Pos             (6UL)                     /*!< RIEN2 (Bit 6)                                         */
#define SCU_MODIEN2_RIEN2_Msk             (0x40UL)                  /*!< RIEN2 (Bitfield-Mask: 0x01)                           */
#define SCU_MODIEN2_TIEN2_Pos             (7UL)                     /*!< TIEN2 (Bit 7)                                         */
#define SCU_MODIEN2_TIEN2_Msk             (0x80UL)                  /*!< TIEN2 (Bitfield-Mask: 0x01)                           */
/* ========================================================  MODIEN3  ======================================================== */
#define SCU_MODIEN3_IE0_Pos               (0UL)                     /*!< IE0 (Bit 0)                                           */
#define SCU_MODIEN3_IE0_Msk               (0x1UL)                   /*!< IE0 (Bitfield-Mask: 0x01)                             */
/* ========================================================  MODIEN4  ======================================================== */
#define SCU_MODIEN4_IE1_Pos               (0UL)                     /*!< IE1 (Bit 0)                                           */
#define SCU_MODIEN4_IE1_Msk               (0x1UL)                   /*!< IE1 (Bitfield-Mask: 0x01)                             */
/* =======================================================  MODPISEL  ======================================================== */
#define SCU_MODPISEL_EXINT0IS_Pos         (0UL)                     /*!< EXINT0IS (Bit 0)                                      */
#define SCU_MODPISEL_EXINT0IS_Msk         (0x3UL)                   /*!< EXINT0IS (Bitfield-Mask: 0x03)                        */
#define SCU_MODPISEL_EXINT1IS_Pos         (2UL)                     /*!< EXINT1IS (Bit 2)                                      */
#define SCU_MODPISEL_EXINT1IS_Msk         (0xcUL)                   /*!< EXINT1IS (Bitfield-Mask: 0x03)                        */
#define SCU_MODPISEL_EXINT2IS_Pos         (4UL)                     /*!< EXINT2IS (Bit 4)                                      */
#define SCU_MODPISEL_EXINT2IS_Msk         (0x30UL)                  /*!< EXINT2IS (Bitfield-Mask: 0x03)                        */
#define SCU_MODPISEL_URIOS1_Pos           (6UL)                     /*!< URIOS1 (Bit 6)                                        */
#define SCU_MODPISEL_URIOS1_Msk           (0x40UL)                  /*!< URIOS1 (Bitfield-Mask: 0x01)                          */
#define SCU_MODPISEL_U_TX_CONDIS_Pos      (7UL)                     /*!< U_TX_CONDIS (Bit 7)                                   */
#define SCU_MODPISEL_U_TX_CONDIS_Msk      (0x80UL)                  /*!< U_TX_CONDIS (Bitfield-Mask: 0x01)                     */
#define SCU_MODPISEL_SSC12_M_SCK_OUTSEL_Pos (16UL)                  /*!< SSC12_M_SCK_OUTSEL (Bit 16)                           */
#define SCU_MODPISEL_SSC12_M_SCK_OUTSEL_Msk (0x10000UL)             /*!< SSC12_M_SCK_OUTSEL (Bitfield-Mask: 0x01)              */
#define SCU_MODPISEL_SSC12_M_MTSR_OUTSEL_Pos (17UL)                 /*!< SSC12_M_MTSR_OUTSEL (Bit 17)                          */
#define SCU_MODPISEL_SSC12_M_MTSR_OUTSEL_Msk (0x20000UL)            /*!< SSC12_M_MTSR_OUTSEL (Bitfield-Mask: 0x01)             */
#define SCU_MODPISEL_SSC12_S_MRST_OUTSEL_Pos (18UL)                 /*!< SSC12_S_MRST_OUTSEL (Bit 18)                          */
#define SCU_MODPISEL_SSC12_S_MRST_OUTSEL_Msk (0x40000UL)            /*!< SSC12_S_MRST_OUTSEL (Bitfield-Mask: 0x01)             */
/* =======================================================  MODPISEL1  ======================================================= */
#define SCU_MODPISEL1_XTAL12EN_Pos        (0UL)                     /*!< XTAL12EN (Bit 0)                                      */
#define SCU_MODPISEL1_XTAL12EN_Msk        (0x1UL)                   /*!< XTAL12EN (Bitfield-Mask: 0x01)                        */
#define SCU_MODPISEL1_T2EXCON_Pos         (6UL)                     /*!< T2EXCON (Bit 6)                                       */
#define SCU_MODPISEL1_T2EXCON_Msk         (0x40UL)                  /*!< T2EXCON (Bitfield-Mask: 0x01)                         */
#define SCU_MODPISEL1_T21EXCON_Pos        (7UL)                     /*!< T21EXCON (Bit 7)                                      */
#define SCU_MODPISEL1_T21EXCON_Msk        (0x80UL)                  /*!< T21EXCON (Bitfield-Mask: 0x01)                        */
/* =======================================================  MODPISEL2  ======================================================= */
#define SCU_MODPISEL2_T2IS_Pos            (0UL)                     /*!< T2IS (Bit 0)                                          */
#define SCU_MODPISEL2_T2IS_Msk            (0x3UL)                   /*!< T2IS (Bitfield-Mask: 0x03)                            */
#define SCU_MODPISEL2_T21IS_Pos           (2UL)                     /*!< T21IS (Bit 2)                                         */
#define SCU_MODPISEL2_T21IS_Msk           (0xcUL)                   /*!< T21IS (Bitfield-Mask: 0x03)                           */
#define SCU_MODPISEL2_T2EXIS_Pos          (4UL)                     /*!< T2EXIS (Bit 4)                                        */
#define SCU_MODPISEL2_T2EXIS_Msk          (0x30UL)                  /*!< T2EXIS (Bitfield-Mask: 0x03)                          */
#define SCU_MODPISEL2_T21EXIS_Pos         (6UL)                     /*!< T21EXIS (Bit 6)                                       */
#define SCU_MODPISEL2_T21EXIS_Msk         (0xc0UL)                  /*!< T21EXIS (Bitfield-Mask: 0x03)                         */
/* =======================================================  MODPISEL3  ======================================================= */
#define SCU_MODPISEL3_URIOS2_Pos          (6UL)                     /*!< URIOS2 (Bit 6)                                        */
#define SCU_MODPISEL3_URIOS2_Msk          (0x40UL)                  /*!< URIOS2 (Bitfield-Mask: 0x01)                          */
/* =======================================================  MODPISEL4  ======================================================= */
#define SCU_MODPISEL4_DU1TRIGGEN_Pos      (0UL)                     /*!< DU1TRIGGEN (Bit 0)                                    */
#define SCU_MODPISEL4_DU1TRIGGEN_Msk      (0x7UL)                   /*!< DU1TRIGGEN (Bitfield-Mask: 0x07)                      */
#define SCU_MODPISEL4_DU2TRIGGEN_Pos      (8UL)                     /*!< DU2TRIGGEN (Bit 8)                                    */
#define SCU_MODPISEL4_DU2TRIGGEN_Msk      (0x700UL)                 /*!< DU2TRIGGEN (Bitfield-Mask: 0x07)                      */
#define SCU_MODPISEL4_DU3TRIGGEN_Pos      (16UL)                    /*!< DU3TRIGGEN (Bit 16)                                   */
#define SCU_MODPISEL4_DU3TRIGGEN_Msk      (0x70000UL)               /*!< DU3TRIGGEN (Bitfield-Mask: 0x07)                      */
#define SCU_MODPISEL4_DU4TRIGGEN_Pos      (24UL)                    /*!< DU4TRIGGEN (Bit 24)                                   */
#define SCU_MODPISEL4_DU4TRIGGEN_Msk      (0x7000000UL)             /*!< DU4TRIGGEN (Bitfield-Mask: 0x07)                      */
/* ========================================================  MODSUSP  ======================================================== */
#define SCU_MODSUSP_T12SUSP_Pos           (1UL)                     /*!< T12SUSP (Bit 1)                                       */
#define SCU_MODSUSP_T12SUSP_Msk           (0x2UL)                   /*!< T12SUSP (Bitfield-Mask: 0x01)                         */
#define SCU_MODSUSP_T13SUSP_Pos           (2UL)                     /*!< T13SUSP (Bit 2)                                       */
#define SCU_MODSUSP_T13SUSP_Msk           (0x4UL)                   /*!< T13SUSP (Bitfield-Mask: 0x01)                         */
#define SCU_MODSUSP_T2_SUSP_Pos           (3UL)                     /*!< T2_SUSP (Bit 3)                                       */
#define SCU_MODSUSP_T2_SUSP_Msk           (0x8UL)                   /*!< T2_SUSP (Bitfield-Mask: 0x01)                         */
#define SCU_MODSUSP_GPT12_SUSP_Pos        (4UL)                     /*!< GPT12_SUSP (Bit 4)                                    */
#define SCU_MODSUSP_GPT12_SUSP_Msk        (0x10UL)                  /*!< GPT12_SUSP (Bitfield-Mask: 0x01)                      */
#define SCU_MODSUSP_T21_SUSP_Pos          (6UL)                     /*!< T21_SUSP (Bit 6)                                      */
#define SCU_MODSUSP_T21_SUSP_Msk          (0x40UL)                  /*!< T21_SUSP (Bitfield-Mask: 0x01)                        */
#define SCU_MODSUSP_WDT1SUSP_Pos          (7UL)                     /*!< WDT1SUSP (Bit 7)                                      */
#define SCU_MODSUSP_WDT1SUSP_Msk          (0x80UL)                  /*!< WDT1SUSP (Bitfield-Mask: 0x01)                        */
#define SCU_MODSUSP_MU_SUSP_Pos           (9UL)                     /*!< MU_SUSP (Bit 9)                                       */
#define SCU_MODSUSP_MU_SUSP_Msk           (0x200UL)                 /*!< MU_SUSP (Bitfield-Mask: 0x01)                         */
#define SCU_MODSUSP_ADC1_SUSP_Pos         (10UL)                    /*!< ADC1_SUSP (Bit 10)                                    */
#define SCU_MODSUSP_ADC1_SUSP_Msk         (0x400UL)                 /*!< ADC1_SUSP (Bitfield-Mask: 0x01)                       */
/* ========================================================  MONIEN  ========================================================= */
#define SCU_MONIEN_MON1IE_Pos             (0UL)                     /*!< MON1IE (Bit 0)                                        */
#define SCU_MONIEN_MON1IE_Msk             (0x1UL)                   /*!< MON1IE (Bitfield-Mask: 0x01)                          */
#define SCU_MONIEN_MON2IE_Pos             (1UL)                     /*!< MON2IE (Bit 1)                                        */
#define SCU_MONIEN_MON2IE_Msk             (0x2UL)                   /*!< MON2IE (Bitfield-Mask: 0x01)                          */
#define SCU_MONIEN_MON3IE_Pos             (2UL)                     /*!< MON3IE (Bit 2)                                        */
#define SCU_MONIEN_MON3IE_Msk             (0x4UL)                   /*!< MON3IE (Bitfield-Mask: 0x01)                          */
#define SCU_MONIEN_MON4IE_Pos             (3UL)                     /*!< MON4IE (Bit 3)                                        */
#define SCU_MONIEN_MON4IE_Msk             (0x8UL)                   /*!< MON4IE (Bitfield-Mask: 0x01)                          */
#define SCU_MONIEN_MON5IE_Pos             (4UL)                     /*!< MON5IE (Bit 4)                                        */
#define SCU_MONIEN_MON5IE_Msk             (0x10UL)                  /*!< MON5IE (Bitfield-Mask: 0x01)                          */
/* ========================================================  NMICON  ========================================================= */
#define SCU_NMICON_NMIPLL_Pos             (1UL)                     /*!< NMIPLL (Bit 1)                                        */
#define SCU_NMICON_NMIPLL_Msk             (0x2UL)                   /*!< NMIPLL (Bitfield-Mask: 0x01)                          */
#define SCU_NMICON_NMINVM_Pos             (2UL)                     /*!< NMINVM (Bit 2)                                        */
#define SCU_NMICON_NMINVM_Msk             (0x4UL)                   /*!< NMINVM (Bitfield-Mask: 0x01)                          */
#define SCU_NMICON_NMIOT_Pos              (3UL)                     /*!< NMIOT (Bit 3)                                         */
#define SCU_NMICON_NMIOT_Msk              (0x8UL)                   /*!< NMIOT (Bitfield-Mask: 0x01)                           */
#define SCU_NMICON_NMIOWD_Pos             (4UL)                     /*!< NMIOWD (Bit 4)                                        */
#define SCU_NMICON_NMIOWD_Msk             (0x10UL)                  /*!< NMIOWD (Bitfield-Mask: 0x01)                          */
#define SCU_NMICON_NMIMAP_Pos             (5UL)                     /*!< NMIMAP (Bit 5)                                        */
#define SCU_NMICON_NMIMAP_Msk             (0x20UL)                  /*!< NMIMAP (Bitfield-Mask: 0x01)                          */
#define SCU_NMICON_NMIECC_Pos             (6UL)                     /*!< NMIECC (Bit 6)                                        */
#define SCU_NMICON_NMIECC_Msk             (0x40UL)                  /*!< NMIECC (Bitfield-Mask: 0x01)                          */
#define SCU_NMICON_NMISUP_Pos             (7UL)                     /*!< NMISUP (Bit 7)                                        */
#define SCU_NMICON_NMISUP_Msk             (0x80UL)                  /*!< NMISUP (Bitfield-Mask: 0x01)                          */
/* =========================================================  NMISR  ========================================================= */
#define SCU_NMISR_FNMIPLL_Pos             (1UL)                     /*!< FNMIPLL (Bit 1)                                       */
#define SCU_NMISR_FNMIPLL_Msk             (0x2UL)                   /*!< FNMIPLL (Bitfield-Mask: 0x01)                         */
#define SCU_NMISR_FNMINVM_Pos             (2UL)                     /*!< FNMINVM (Bit 2)                                       */
#define SCU_NMISR_FNMINVM_Msk             (0x4UL)                   /*!< FNMINVM (Bitfield-Mask: 0x01)                         */
#define SCU_NMISR_FNMIOT_Pos              (3UL)                     /*!< FNMIOT (Bit 3)                                        */
#define SCU_NMISR_FNMIOT_Msk              (0x8UL)                   /*!< FNMIOT (Bitfield-Mask: 0x01)                          */
#define SCU_NMISR_FNMIOWD_Pos             (4UL)                     /*!< FNMIOWD (Bit 4)                                       */
#define SCU_NMISR_FNMIOWD_Msk             (0x10UL)                  /*!< FNMIOWD (Bitfield-Mask: 0x01)                         */
#define SCU_NMISR_FNMIMAP_Pos             (5UL)                     /*!< FNMIMAP (Bit 5)                                       */
#define SCU_NMISR_FNMIMAP_Msk             (0x20UL)                  /*!< FNMIMAP (Bitfield-Mask: 0x01)                         */
#define SCU_NMISR_FNMIECC_Pos             (6UL)                     /*!< FNMIECC (Bit 6)                                       */
#define SCU_NMISR_FNMIECC_Msk             (0x40UL)                  /*!< FNMIECC (Bitfield-Mask: 0x01)                         */
#define SCU_NMISR_FNMISUP_Pos             (7UL)                     /*!< FNMISUP (Bit 7)                                       */
#define SCU_NMISR_FNMISUP_Msk             (0x80UL)                  /*!< FNMISUP (Bitfield-Mask: 0x01)                         */
/* =======================================================  NMISRCLR  ======================================================== */
#define SCU_NMISRCLR_FNMIPLLC_Pos         (1UL)                     /*!< FNMIPLLC (Bit 1)                                      */
#define SCU_NMISRCLR_FNMIPLLC_Msk         (0x2UL)                   /*!< FNMIPLLC (Bitfield-Mask: 0x01)                        */
#define SCU_NMISRCLR_FNMINVMC_Pos         (2UL)                     /*!< FNMINVMC (Bit 2)                                      */
#define SCU_NMISRCLR_FNMINVMC_Msk         (0x4UL)                   /*!< FNMINVMC (Bitfield-Mask: 0x01)                        */
#define SCU_NMISRCLR_FNMIOTC_Pos          (3UL)                     /*!< FNMIOTC (Bit 3)                                       */
#define SCU_NMISRCLR_FNMIOTC_Msk          (0x8UL)                   /*!< FNMIOTC (Bitfield-Mask: 0x01)                         */
#define SCU_NMISRCLR_FNMIOWDC_Pos         (4UL)                     /*!< FNMIOWDC (Bit 4)                                      */
#define SCU_NMISRCLR_FNMIOWDC_Msk         (0x10UL)                  /*!< FNMIOWDC (Bitfield-Mask: 0x01)                        */
#define SCU_NMISRCLR_FNMIMAPC_Pos         (5UL)                     /*!< FNMIMAPC (Bit 5)                                      */
#define SCU_NMISRCLR_FNMIMAPC_Msk         (0x20UL)                  /*!< FNMIMAPC (Bitfield-Mask: 0x01)                        */
#define SCU_NMISRCLR_FNMIECCC_Pos         (6UL)                     /*!< FNMIECCC (Bit 6)                                      */
#define SCU_NMISRCLR_FNMIECCC_Msk         (0x40UL)                  /*!< FNMIECCC (Bitfield-Mask: 0x01)                        */
#define SCU_NMISRCLR_FNMISUPC_Pos         (7UL)                     /*!< FNMISUPC (Bit 7)                                      */
#define SCU_NMISRCLR_FNMISUPC_Msk         (0x80UL)                  /*!< FNMISUPC (Bitfield-Mask: 0x01)                        */
/* =====================================================  NVM_PROT_STS  ====================================================== */
#define SCU_NVM_PROT_STS_EN_PRG_NL_Pos    (0UL)                     /*!< EN_PRG_NL (Bit 0)                                     */
#define SCU_NVM_PROT_STS_EN_PRG_NL_Msk    (0x1UL)                   /*!< EN_PRG_NL (Bitfield-Mask: 0x01)                       */
#define SCU_NVM_PROT_STS_EN_PRG_LIN_Pos   (1UL)                     /*!< EN_PRG_LIN (Bit 1)                                    */
#define SCU_NVM_PROT_STS_EN_PRG_LIN_Msk   (0x2UL)                   /*!< EN_PRG_LIN (Bitfield-Mask: 0x01)                      */
#define SCU_NVM_PROT_STS_EN_PRG_CBSL_Pos  (2UL)                     /*!< EN_PRG_CBSL (Bit 2)                                   */
#define SCU_NVM_PROT_STS_EN_PRG_CBSL_Msk  (0x4UL)                   /*!< EN_PRG_CBSL (Bitfield-Mask: 0x01)                     */
#define SCU_NVM_PROT_STS_EN_RD_NL_Pos     (3UL)                     /*!< EN_RD_NL (Bit 3)                                      */
#define SCU_NVM_PROT_STS_EN_RD_NL_Msk     (0x8UL)                   /*!< EN_RD_NL (Bitfield-Mask: 0x01)                        */
#define SCU_NVM_PROT_STS_EN_RD_LIN_Pos    (4UL)                     /*!< EN_RD_LIN (Bit 4)                                     */
#define SCU_NVM_PROT_STS_EN_RD_LIN_Msk    (0x10UL)                  /*!< EN_RD_LIN (Bitfield-Mask: 0x01)                       */
#define SCU_NVM_PROT_STS_EN_RD_CBSL_Pos   (5UL)                     /*!< EN_RD_CBSL (Bit 5)                                    */
#define SCU_NVM_PROT_STS_EN_RD_CBSL_Msk   (0x20UL)                  /*!< EN_RD_CBSL (Bitfield-Mask: 0x01)                      */
#define SCU_NVM_PROT_STS_EN_RD_S0_Pos     (8UL)                     /*!< EN_RD_S0 (Bit 8)                                      */
#define SCU_NVM_PROT_STS_EN_RD_S0_Msk     (0x100UL)                 /*!< EN_RD_S0 (Bitfield-Mask: 0x01)                        */
#define SCU_NVM_PROT_STS_DIS_RDUS_Pos     (9UL)                     /*!< DIS_RDUS (Bit 9)                                      */
#define SCU_NVM_PROT_STS_DIS_RDUS_Msk     (0x200UL)                 /*!< DIS_RDUS (Bitfield-Mask: 0x01)                        */
#define SCU_NVM_PROT_STS_DIS_RDUS_S0_Pos  (10UL)                    /*!< DIS_RDUS_S0 (Bit 10)                                  */
#define SCU_NVM_PROT_STS_DIS_RDUS_S0_Msk  (0x400UL)                 /*!< DIS_RDUS_S0 (Bitfield-Mask: 0x01)                     */
#define SCU_NVM_PROT_STS_NL_PW_Pos        (11UL)                    /*!< NL_PW (Bit 11)                                        */
#define SCU_NVM_PROT_STS_NL_PW_Msk        (0x800UL)                 /*!< NL_PW (Bitfield-Mask: 0x01)                           */
#define SCU_NVM_PROT_STS_LIN_PW_Pos       (12UL)                    /*!< LIN_PW (Bit 12)                                       */
#define SCU_NVM_PROT_STS_LIN_PW_Msk       (0x1000UL)                /*!< LIN_PW (Bitfield-Mask: 0x01)                          */
#define SCU_NVM_PROT_STS_CBSL_PW_Pos      (13UL)                    /*!< CBSL_PW (Bit 13)                                      */
#define SCU_NVM_PROT_STS_CBSL_PW_Msk      (0x2000UL)                /*!< CBSL_PW (Bitfield-Mask: 0x01)                         */
#define SCU_NVM_PROT_STS_NVMBSL_Pos       (14UL)                    /*!< NVMBSL (Bit 14)                                       */
#define SCU_NVM_PROT_STS_NVMBSL_Msk       (0xc000UL)                /*!< NVMBSL (Bitfield-Mask: 0x03)                          */
/* ========================================================  OSC_CON  ======================================================== */
#define SCU_OSC_CON_OSCSS_Pos             (0UL)                     /*!< OSCSS (Bit 0)                                         */
#define SCU_OSC_CON_OSCSS_Msk             (0x3UL)                   /*!< OSCSS (Bitfield-Mask: 0x03)                           */
#define SCU_OSC_CON_OSCWDTRST_Pos         (2UL)                     /*!< OSCWDTRST (Bit 2)                                     */
#define SCU_OSC_CON_OSCWDTRST_Msk         (0x4UL)                   /*!< OSCWDTRST (Bitfield-Mask: 0x01)                       */
#define SCU_OSC_CON_OSC2L_Pos             (3UL)                     /*!< OSC2L (Bit 3)                                         */
#define SCU_OSC_CON_OSC2L_Msk             (0x8UL)                   /*!< OSC2L (Bitfield-Mask: 0x01)                           */
#define SCU_OSC_CON_XPD_Pos               (4UL)                     /*!< XPD (Bit 4)                                           */
#define SCU_OSC_CON_XPD_Msk               (0x10UL)                  /*!< XPD (Bitfield-Mask: 0x01)                             */
/* =======================================================  P0_POCON0  ======================================================= */
#define SCU_P0_POCON0_P0_PDM0_Pos         (0UL)                     /*!< P0_PDM0 (Bit 0)                                       */
#define SCU_P0_POCON0_P0_PDM0_Msk         (0x7UL)                   /*!< P0_PDM0 (Bitfield-Mask: 0x07)                         */
#define SCU_P0_POCON0_P0_PDM1_Pos         (4UL)                     /*!< P0_PDM1 (Bit 4)                                       */
#define SCU_P0_POCON0_P0_PDM1_Msk         (0x70UL)                  /*!< P0_PDM1 (Bitfield-Mask: 0x07)                         */
#define SCU_P0_POCON0_P0_PDM2_Pos         (8UL)                     /*!< P0_PDM2 (Bit 8)                                       */
#define SCU_P0_POCON0_P0_PDM2_Msk         (0x700UL)                 /*!< P0_PDM2 (Bitfield-Mask: 0x07)                         */
#define SCU_P0_POCON0_P0_PDM3_Pos         (12UL)                    /*!< P0_PDM3 (Bit 12)                                      */
#define SCU_P0_POCON0_P0_PDM3_Msk         (0x7000UL)                /*!< P0_PDM3 (Bitfield-Mask: 0x07)                         */
#define SCU_P0_POCON0_P0_PDM4_Pos         (16UL)                    /*!< P0_PDM4 (Bit 16)                                      */
#define SCU_P0_POCON0_P0_PDM4_Msk         (0x70000UL)               /*!< P0_PDM4 (Bitfield-Mask: 0x07)                         */
#define SCU_P0_POCON0_P0_PDM5_Pos         (20UL)                    /*!< P0_PDM5 (Bit 20)                                      */
#define SCU_P0_POCON0_P0_PDM5_Msk         (0x700000UL)              /*!< P0_PDM5 (Bitfield-Mask: 0x07)                         */
/* =======================================================  P1_POCON0  ======================================================= */
#define SCU_P1_POCON0_P1_PDM0_Pos         (0UL)                     /*!< P1_PDM0 (Bit 0)                                       */
#define SCU_P1_POCON0_P1_PDM0_Msk         (0x7UL)                   /*!< P1_PDM0 (Bitfield-Mask: 0x07)                         */
#define SCU_P1_POCON0_P1_PDM1_Pos         (4UL)                     /*!< P1_PDM1 (Bit 4)                                       */
#define SCU_P1_POCON0_P1_PDM1_Msk         (0x70UL)                  /*!< P1_PDM1 (Bitfield-Mask: 0x07)                         */
#define SCU_P1_POCON0_P1_PDM2_Pos         (8UL)                     /*!< P1_PDM2 (Bit 8)                                       */
#define SCU_P1_POCON0_P1_PDM2_Msk         (0x700UL)                 /*!< P1_PDM2 (Bitfield-Mask: 0x07)                         */
#define SCU_P1_POCON0_P1_PDM4_Pos         (16UL)                    /*!< P1_PDM4 (Bit 16)                                      */
#define SCU_P1_POCON0_P1_PDM4_Msk         (0x70000UL)               /*!< P1_PDM4 (Bitfield-Mask: 0x07)                         */
/* ========================================================  PASSWD  ========================================================= */
#define SCU_PASSWD_PW_MODE_Pos            (0UL)                     /*!< PW_MODE (Bit 0)                                       */
#define SCU_PASSWD_PW_MODE_Msk            (0x3UL)                   /*!< PW_MODE (Bitfield-Mask: 0x03)                         */
#define SCU_PASSWD_PROTECT_S_Pos          (2UL)                     /*!< PROTECT_S (Bit 2)                                     */
#define SCU_PASSWD_PROTECT_S_Msk          (0x4UL)                   /*!< PROTECT_S (Bitfield-Mask: 0x01)                       */
#define SCU_PASSWD_PASS_Pos               (3UL)                     /*!< PASS (Bit 3)                                          */
#define SCU_PASSWD_PASS_Msk               (0xf8UL)                  /*!< PASS (Bitfield-Mask: 0x1f)                            */
/* ========================================================  PLL_CON  ======================================================== */
#define SCU_PLL_CON_LOCK_Pos              (0UL)                     /*!< LOCK (Bit 0)                                          */
#define SCU_PLL_CON_LOCK_Msk              (0x1UL)                   /*!< LOCK (Bitfield-Mask: 0x01)                            */
#define SCU_PLL_CON_RESLD_Pos             (1UL)                     /*!< RESLD (Bit 1)                                         */
#define SCU_PLL_CON_RESLD_Msk             (0x2UL)                   /*!< RESLD (Bitfield-Mask: 0x01)                           */
#define SCU_PLL_CON_OSCDISC_Pos           (2UL)                     /*!< OSCDISC (Bit 2)                                       */
#define SCU_PLL_CON_OSCDISC_Msk           (0x4UL)                   /*!< OSCDISC (Bitfield-Mask: 0x01)                         */
#define SCU_PLL_CON_VCOBYP_Pos            (3UL)                     /*!< VCOBYP (Bit 3)                                        */
#define SCU_PLL_CON_VCOBYP_Msk            (0x8UL)                   /*!< VCOBYP (Bitfield-Mask: 0x01)                          */
#define SCU_PLL_CON_NDIV_Pos              (4UL)                     /*!< NDIV (Bit 4)                                          */
#define SCU_PLL_CON_NDIV_Msk              (0xf0UL)                  /*!< NDIV (Bitfield-Mask: 0x0f)                            */
#define SCU_PLL_CON_UNPROT_OSCDISC_Pos    (10UL)                    /*!< UNPROT_OSCDISC (Bit 10)                               */
#define SCU_PLL_CON_UNPROT_OSCDISC_Msk    (0x400UL)                 /*!< UNPROT_OSCDISC (Bitfield-Mask: 0x01)                  */
#define SCU_PLL_CON_UNPROT_VCOBYP_Pos     (11UL)                    /*!< UNPROT_VCOBYP (Bit 11)                                */
#define SCU_PLL_CON_UNPROT_VCOBYP_Msk     (0x800UL)                 /*!< UNPROT_VCOBYP (Bitfield-Mask: 0x01)                   */
/* =========================================================  PMCON  ========================================================= */
#define SCU_PMCON_ADC1_DIS_Pos            (0UL)                     /*!< ADC1_DIS (Bit 0)                                      */
#define SCU_PMCON_ADC1_DIS_Msk            (0x1UL)                   /*!< ADC1_DIS (Bitfield-Mask: 0x01)                        */
#define SCU_PMCON_SSC1_DIS_Pos            (1UL)                     /*!< SSC1_DIS (Bit 1)                                      */
#define SCU_PMCON_SSC1_DIS_Msk            (0x2UL)                   /*!< SSC1_DIS (Bitfield-Mask: 0x01)                        */
#define SCU_PMCON_CCU6_DIS_Pos            (2UL)                     /*!< CCU6_DIS (Bit 2)                                      */
#define SCU_PMCON_CCU6_DIS_Msk            (0x4UL)                   /*!< CCU6_DIS (Bitfield-Mask: 0x01)                        */
#define SCU_PMCON_T2_DIS_Pos              (3UL)                     /*!< T2_DIS (Bit 3)                                        */
#define SCU_PMCON_T2_DIS_Msk              (0x8UL)                   /*!< T2_DIS (Bitfield-Mask: 0x01)                          */
#define SCU_PMCON_GPT12_DIS_Pos           (4UL)                     /*!< GPT12_DIS (Bit 4)                                     */
#define SCU_PMCON_GPT12_DIS_Msk           (0x10UL)                  /*!< GPT12_DIS (Bitfield-Mask: 0x01)                       */
#define SCU_PMCON_SSC2_DIS_Pos            (8UL)                     /*!< SSC2_DIS (Bit 8)                                      */
#define SCU_PMCON_SSC2_DIS_Msk            (0x100UL)                 /*!< SSC2_DIS (Bitfield-Mask: 0x01)                        */
#define SCU_PMCON_T21_DIS_Pos             (10UL)                    /*!< T21_DIS (Bit 10)                                      */
#define SCU_PMCON_T21_DIS_Msk             (0x400UL)                 /*!< T21_DIS (Bitfield-Mask: 0x01)                         */
/* ========================================================  PMCON0  ========================================================= */
#define SCU_PMCON0_XTAL_ON_Pos            (0UL)                     /*!< XTAL_ON (Bit 0)                                       */
#define SCU_PMCON0_XTAL_ON_Msk            (0x1UL)                   /*!< XTAL_ON (Bitfield-Mask: 0x01)                         */
#define SCU_PMCON0_SL_Pos                 (1UL)                     /*!< SL (Bit 1)                                            */
#define SCU_PMCON0_SL_Msk                 (0x2UL)                   /*!< SL (Bitfield-Mask: 0x01)                              */
#define SCU_PMCON0_PD_Pos                 (2UL)                     /*!< PD (Bit 2)                                            */
#define SCU_PMCON0_PD_Msk                 (0x4UL)                   /*!< PD (Bitfield-Mask: 0x01)                              */
#define SCU_PMCON0_SD_Pos                 (3UL)                     /*!< SD (Bit 3)                                            */
#define SCU_PMCON0_SD_Msk                 (0x8UL)                   /*!< SD (Bitfield-Mask: 0x01)                              */
/* ========================================================  RSTCON  ========================================================= */
#define SCU_RSTCON_LOCKUP_Pos             (0UL)                     /*!< LOCKUP (Bit 0)                                        */
#define SCU_RSTCON_LOCKUP_Msk             (0x1UL)                   /*!< LOCKUP (Bitfield-Mask: 0x01)                          */
#define SCU_RSTCON_LOCKUP_EN_Pos          (7UL)                     /*!< LOCKUP_EN (Bit 7)                                     */
#define SCU_RSTCON_LOCKUP_EN_Msk          (0x80UL)                  /*!< LOCKUP_EN (Bitfield-Mask: 0x01)                       */
/* ====================================================  SYS_STRTUP_STS  ===================================================== */
#define SCU_SYS_STRTUP_STS_INIT_FAIL_Pos  (0UL)                     /*!< INIT_FAIL (Bit 0)                                     */
#define SCU_SYS_STRTUP_STS_INIT_FAIL_Msk  (0x1UL)                   /*!< INIT_FAIL (Bitfield-Mask: 0x01)                       */
#define SCU_SYS_STRTUP_STS_MRAMINITSTS_Pos (1UL)                    /*!< MRAMINITSTS (Bit 1)                                   */
#define SCU_SYS_STRTUP_STS_MRAMINITSTS_Msk (0x2UL)                  /*!< MRAMINITSTS (Bitfield-Mask: 0x01)                     */
#define SCU_SYS_STRTUP_STS_PG100TP_CHKS_ERR_Pos (2UL)               /*!< PG100TP_CHKS_ERR (Bit 2)                              */
#define SCU_SYS_STRTUP_STS_PG100TP_CHKS_ERR_Msk (0x4UL)             /*!< PG100TP_CHKS_ERR (Bitfield-Mask: 0x01)                */
/* ========================================================  SYSCON0  ======================================================== */
#define SCU_SYSCON0_NVMCLKFAC_Pos         (4UL)                     /*!< NVMCLKFAC (Bit 4)                                     */
#define SCU_SYSCON0_NVMCLKFAC_Msk         (0x30UL)                  /*!< NVMCLKFAC (Bitfield-Mask: 0x03)                       */
#define SCU_SYSCON0_SYSCLKSEL_Pos         (6UL)                     /*!< SYSCLKSEL (Bit 6)                                     */
#define SCU_SYSCON0_SYSCLKSEL_Msk         (0xc0UL)                  /*!< SYSCLKSEL (Bitfield-Mask: 0x03)                       */
/* =========================================================  TCCR  ========================================================== */
#define SCU_TCCR_TCC_Pos                  (0UL)                     /*!< TCC (Bit 0)                                           */
#define SCU_TCCR_TCC_Msk                  (0x3UL)                   /*!< TCC (Bitfield-Mask: 0x03)                             */
/* =========================================================  VTOR  ========================================================== */
#define SCU_VTOR_VTOR_BYP_Pos             (0UL)                     /*!< VTOR_BYP (Bit 0)                                      */
#define SCU_VTOR_VTOR_BYP_Msk             (0x3UL)                   /*!< VTOR_BYP (Bitfield-Mask: 0x03)                        */
/* ========================================================  WAKECON  ======================================================== */
#define SCU_WAKECON_WAKEUPEN_Pos          (0UL)                     /*!< WAKEUPEN (Bit 0)                                      */
#define SCU_WAKECON_WAKEUPEN_Msk          (0x1UL)                   /*!< WAKEUPEN (Bitfield-Mask: 0x01)                        */


/* =========================================================================================================================== */
/* ================                                           SCUPM                                           ================ */
/* =========================================================================================================================== */

/* ======================================================  AMCLK_CTRL  ======================================================= */
#define SCUPM_AMCLK_CTRL_CLKWDT_PD_N_Pos  (0UL)                     /*!< CLKWDT_PD_N (Bit 0)                                   */
#define SCUPM_AMCLK_CTRL_CLKWDT_PD_N_Msk  (0x1UL)                   /*!< CLKWDT_PD_N (Bitfield-Mask: 0x01)                     */
/* ====================================================  AMCLK_FREQ_STS  ===================================================== */
#define SCUPM_AMCLK_FREQ_STS_AMCLK1_FREQ_Pos (0UL)                  /*!< AMCLK1_FREQ (Bit 0)                                   */
#define SCUPM_AMCLK_FREQ_STS_AMCLK1_FREQ_Msk (0x3fUL)               /*!< AMCLK1_FREQ (Bitfield-Mask: 0x3f)                     */
#define SCUPM_AMCLK_FREQ_STS_AMCLK2_FREQ_Pos (8UL)                  /*!< AMCLK2_FREQ (Bit 8)                                   */
#define SCUPM_AMCLK_FREQ_STS_AMCLK2_FREQ_Msk (0x3f00UL)             /*!< AMCLK2_FREQ (Bitfield-Mask: 0x3f)                     */
/* =====================================================  AMCLK_TH_HYS  ====================================================== */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_UP_TH_Pos (0UL)                   /*!< AMCLK1_UP_TH (Bit 0)                                  */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_UP_TH_Msk (0x3fUL)                /*!< AMCLK1_UP_TH (Bitfield-Mask: 0x3f)                    */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_UP_HYS_Pos (6UL)                  /*!< AMCLK1_UP_HYS (Bit 6)                                 */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_UP_HYS_Msk (0xc0UL)               /*!< AMCLK1_UP_HYS (Bitfield-Mask: 0x03)                   */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_LOW_TH_Pos (8UL)                  /*!< AMCLK1_LOW_TH (Bit 8)                                 */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_LOW_TH_Msk (0x3f00UL)             /*!< AMCLK1_LOW_TH (Bitfield-Mask: 0x3f)                   */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_LOW_HYS_Pos (14UL)                /*!< AMCLK1_LOW_HYS (Bit 14)                               */
#define SCUPM_AMCLK_TH_HYS_AMCLK1_LOW_HYS_Msk (0xc000UL)            /*!< AMCLK1_LOW_HYS (Bitfield-Mask: 0x03)                  */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_UP_TH_Pos (16UL)                  /*!< AMCLK2_UP_TH (Bit 16)                                 */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_UP_TH_Msk (0x3f0000UL)            /*!< AMCLK2_UP_TH (Bitfield-Mask: 0x3f)                    */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_UP_HYS_Pos (22UL)                 /*!< AMCLK2_UP_HYS (Bit 22)                                */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_UP_HYS_Msk (0xc00000UL)           /*!< AMCLK2_UP_HYS (Bitfield-Mask: 0x03)                   */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_LOW_TH_Pos (24UL)                 /*!< AMCLK2_LOW_TH (Bit 24)                                */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_LOW_TH_Msk (0x3f000000UL)         /*!< AMCLK2_LOW_TH (Bitfield-Mask: 0x3f)                   */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_LOW_HYS_Pos (30UL)                /*!< AMCLK2_LOW_HYS (Bit 30)                               */
#define SCUPM_AMCLK_TH_HYS_AMCLK2_LOW_HYS_Msk (0xc0000000UL)        /*!< AMCLK2_LOW_HYS (Bitfield-Mask: 0x03)                  */
/* =====================================================  PCU_CTRL_STS  ====================================================== */
#define SCUPM_PCU_CTRL_STS_CLKWDT_SD_DIS_Pos (1UL)                  /*!< CLKWDT_SD_DIS (Bit 1)                                 */
#define SCUPM_PCU_CTRL_STS_CLKWDT_SD_DIS_Msk (0x2UL)                /*!< CLKWDT_SD_DIS (Bitfield-Mask: 0x01)                   */
#define SCUPM_PCU_CTRL_STS_LIN_VS_UV_SD_DIS_Pos (8UL)               /*!< LIN_VS_UV_SD_DIS (Bit 8)                              */
#define SCUPM_PCU_CTRL_STS_LIN_VS_UV_SD_DIS_Msk (0x100UL)           /*!< LIN_VS_UV_SD_DIS (Bitfield-Mask: 0x01)                */
/* ========================================================  STCALIB  ======================================================== */
#define SCUPM_STCALIB_STCALIB_Pos         (0UL)                     /*!< STCALIB (Bit 0)                                       */
#define SCUPM_STCALIB_STCALIB_Msk         (0x3ffffffUL)             /*!< STCALIB (Bitfield-Mask: 0x3ffffff)                    */
/* =====================================================  SYS_IRQ_CTRL  ====================================================== */
#define SCUPM_SYS_IRQ_CTRL_SYS_OTWARN_IE_Pos (8UL)                  /*!< SYS_OTWARN_IE (Bit 8)                                 */
#define SCUPM_SYS_IRQ_CTRL_SYS_OTWARN_IE_Msk (0x100UL)              /*!< SYS_OTWARN_IE (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_IRQ_CTRL_SYS_OT_IE_Pos  (9UL)                     /*!< SYS_OT_IE (Bit 9)                                     */
#define SCUPM_SYS_IRQ_CTRL_SYS_OT_IE_Msk  (0x200UL)                 /*!< SYS_OT_IE (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_IRQ_CTRL_REFBG_LOTHWARN_IE_Pos (10UL)             /*!< REFBG_LOTHWARN_IE (Bit 10)                            */
#define SCUPM_SYS_IRQ_CTRL_REFBG_LOTHWARN_IE_Msk (0x400UL)          /*!< REFBG_LOTHWARN_IE (Bitfield-Mask: 0x01)               */
#define SCUPM_SYS_IRQ_CTRL_REFBG_UPTHWARN_IE_Pos (11UL)             /*!< REFBG_UPTHWARN_IE (Bit 11)                            */
#define SCUPM_SYS_IRQ_CTRL_REFBG_UPTHWARN_IE_Msk (0x800UL)          /*!< REFBG_UPTHWARN_IE (Bitfield-Mask: 0x01)               */
/* ========================================================  SYS_IS  ========================================================= */
#define SCUPM_SYS_IS_LS1_FAIL_IS_Pos      (0UL)                     /*!< LS1_FAIL_IS (Bit 0)                                   */
#define SCUPM_SYS_IS_LS1_FAIL_IS_Msk      (0x1UL)                   /*!< LS1_FAIL_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_IS_LS2_FAIL_IS_Pos      (1UL)                     /*!< LS2_FAIL_IS (Bit 1)                                   */
#define SCUPM_SYS_IS_LS2_FAIL_IS_Msk      (0x2UL)                   /*!< LS2_FAIL_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_IS_HS1_FAIL_IS_Pos      (2UL)                     /*!< HS1_FAIL_IS (Bit 2)                                   */
#define SCUPM_SYS_IS_HS1_FAIL_IS_Msk      (0x4UL)                   /*!< HS1_FAIL_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_IS_HS2_FAIL_IS_Pos      (3UL)                     /*!< HS2_FAIL_IS (Bit 3)                                   */
#define SCUPM_SYS_IS_HS2_FAIL_IS_Msk      (0x8UL)                   /*!< HS2_FAIL_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_IS_LIN_FAIL_IS_Pos      (6UL)                     /*!< LIN_FAIL_IS (Bit 6)                                   */
#define SCUPM_SYS_IS_LIN_FAIL_IS_Msk      (0x40UL)                  /*!< LIN_FAIL_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_IS_SYS_OTWARN_IS_Pos    (8UL)                     /*!< SYS_OTWARN_IS (Bit 8)                                 */
#define SCUPM_SYS_IS_SYS_OTWARN_IS_Msk    (0x100UL)                 /*!< SYS_OTWARN_IS (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_IS_SYS_OT_IS_Pos        (9UL)                     /*!< SYS_OT_IS (Bit 9)                                     */
#define SCUPM_SYS_IS_SYS_OT_IS_Msk        (0x200UL)                 /*!< SYS_OT_IS (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_IS_REFBG_LOTHWARN_IS_Pos (10UL)                   /*!< REFBG_LOTHWARN_IS (Bit 10)                            */
#define SCUPM_SYS_IS_REFBG_LOTHWARN_IS_Msk (0x400UL)                /*!< REFBG_LOTHWARN_IS (Bitfield-Mask: 0x01)               */
#define SCUPM_SYS_IS_REFBG_UPTHWARN_IS_Pos (11UL)                   /*!< REFBG_UPTHWARN_IS (Bit 11)                            */
#define SCUPM_SYS_IS_REFBG_UPTHWARN_IS_Msk (0x800UL)                /*!< REFBG_UPTHWARN_IS (Bitfield-Mask: 0x01)               */
#define SCUPM_SYS_IS_LS1_FAIL_STS_Pos     (16UL)                    /*!< LS1_FAIL_STS (Bit 16)                                 */
#define SCUPM_SYS_IS_LS1_FAIL_STS_Msk     (0x10000UL)               /*!< LS1_FAIL_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_IS_LS2_FAIL_STS_Pos     (17UL)                    /*!< LS2_FAIL_STS (Bit 17)                                 */
#define SCUPM_SYS_IS_LS2_FAIL_STS_Msk     (0x20000UL)               /*!< LS2_FAIL_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_IS_HS1_FAIL_STS_Pos     (18UL)                    /*!< HS1_FAIL_STS (Bit 18)                                 */
#define SCUPM_SYS_IS_HS1_FAIL_STS_Msk     (0x40000UL)               /*!< HS1_FAIL_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_IS_HS2_FAIL_STS_Pos     (19UL)                    /*!< HS2_FAIL_STS (Bit 19)                                 */
#define SCUPM_SYS_IS_HS2_FAIL_STS_Msk     (0x80000UL)               /*!< HS2_FAIL_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_IS_LIN_FAIL_STS_Pos     (22UL)                    /*!< LIN_FAIL_STS (Bit 22)                                 */
#define SCUPM_SYS_IS_LIN_FAIL_STS_Msk     (0x400000UL)              /*!< LIN_FAIL_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_IS_SYS_OTWARN_STS_Pos   (24UL)                    /*!< SYS_OTWARN_STS (Bit 24)                               */
#define SCUPM_SYS_IS_SYS_OTWARN_STS_Msk   (0x1000000UL)             /*!< SYS_OTWARN_STS (Bitfield-Mask: 0x01)                  */
#define SCUPM_SYS_IS_SYS_OT_STS_Pos       (25UL)                    /*!< SYS_OT_STS (Bit 25)                                   */
#define SCUPM_SYS_IS_SYS_OT_STS_Msk       (0x2000000UL)             /*!< SYS_OT_STS (Bitfield-Mask: 0x01)                      */
/* =======================================================  SYS_ISCLR  ======================================================= */
#define SCUPM_SYS_ISCLR_SYS_OTWARN_ISC_Pos (8UL)                    /*!< SYS_OTWARN_ISC (Bit 8)                                */
#define SCUPM_SYS_ISCLR_SYS_OTWARN_ISC_Msk (0x100UL)                /*!< SYS_OTWARN_ISC (Bitfield-Mask: 0x01)                  */
#define SCUPM_SYS_ISCLR_SYS_OT_ISC_Pos    (9UL)                     /*!< SYS_OT_ISC (Bit 9)                                    */
#define SCUPM_SYS_ISCLR_SYS_OT_ISC_Msk    (0x200UL)                 /*!< SYS_OT_ISC (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_ISCLR_REFBG_LOTHWARN_ISC_Pos (10UL)               /*!< REFBG_LOTHWARN_ISC (Bit 10)                           */
#define SCUPM_SYS_ISCLR_REFBG_LOTHWARN_ISC_Msk (0x400UL)            /*!< REFBG_LOTHWARN_ISC (Bitfield-Mask: 0x01)              */
#define SCUPM_SYS_ISCLR_REFBG_UPTHWARN_ISC_Pos (11UL)               /*!< REFBG_UPTHWARN_ISC (Bit 11)                           */
#define SCUPM_SYS_ISCLR_REFBG_UPTHWARN_ISC_Msk (0x800UL)            /*!< REFBG_UPTHWARN_ISC (Bitfield-Mask: 0x01)              */
#define SCUPM_SYS_ISCLR_SYS_OTWARN_SC_Pos (24UL)                    /*!< SYS_OTWARN_SC (Bit 24)                                */
#define SCUPM_SYS_ISCLR_SYS_OTWARN_SC_Msk (0x1000000UL)             /*!< SYS_OTWARN_SC (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_ISCLR_SYS_OT_SC_Pos     (25UL)                    /*!< SYS_OT_SC (Bit 25)                                    */
#define SCUPM_SYS_ISCLR_SYS_OT_SC_Msk     (0x2000000UL)             /*!< SYS_OT_SC (Bitfield-Mask: 0x01)                       */
/* ==================================================  SYS_SUPPLY_IRQ_CLR  =================================================== */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_UV_ISC_Pos (0UL)              /*!< VBAT_UV_ISC (Bit 0)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_UV_ISC_Msk (0x1UL)            /*!< VBAT_UV_ISC (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_UV_ISC_Pos (1UL)                /*!< VS_UV_ISC (Bit 1)                                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_UV_ISC_Msk (0x2UL)              /*!< VS_UV_ISC (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_UV_ISC_Pos (2UL)             /*!< VDD5V_UV_ISC (Bit 2)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_UV_ISC_Msk (0x4UL)           /*!< VDD5V_UV_ISC (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_UV_ISC_Pos (3UL)            /*!< VDD1V5_UV_ISC (Bit 3)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_UV_ISC_Msk (0x8UL)          /*!< VDD1V5_UV_ISC (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_UV_ISC_Pos (4UL)            /*!< VDDEXT_UV_ISC (Bit 4)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_UV_ISC_Msk (0x10UL)         /*!< VDDEXT_UV_ISC (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_OV_ISC_Pos (5UL)              /*!< VBAT_OV_ISC (Bit 5)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_OV_ISC_Msk (0x20UL)           /*!< VBAT_OV_ISC (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_OV_ISC_Pos (6UL)                /*!< VS_OV_ISC (Bit 6)                                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_OV_ISC_Msk (0x40UL)             /*!< VS_OV_ISC (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_OV_ISC_Pos (7UL)             /*!< VDD5V_OV_ISC (Bit 7)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_OV_ISC_Msk (0x80UL)          /*!< VDD5V_OV_ISC (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_OV_ISC_Pos (8UL)            /*!< VDD1V5_OV_ISC (Bit 8)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_OV_ISC_Msk (0x100UL)        /*!< VDD1V5_OV_ISC (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_OV_ISC_Pos (9UL)            /*!< VDDEXT_OV_ISC (Bit 9)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_OV_ISC_Msk (0x200UL)        /*!< VDDEXT_OV_ISC (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_UV_SC_Pos (16UL)              /*!< VBAT_UV_SC (Bit 16)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_UV_SC_Msk (0x10000UL)         /*!< VBAT_UV_SC (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_UV_SC_Pos (17UL)                /*!< VS_UV_SC (Bit 17)                                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_UV_SC_Msk (0x20000UL)           /*!< VS_UV_SC (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_UV_SC_Pos (18UL)             /*!< VDD5V_UV_SC (Bit 18)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_UV_SC_Msk (0x40000UL)        /*!< VDD5V_UV_SC (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_UV_SC_Pos (19UL)            /*!< VDD1V5_UV_SC (Bit 19)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_UV_SC_Msk (0x80000UL)       /*!< VDD1V5_UV_SC (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_UV_SC_Pos (20UL)            /*!< VDDEXT_UV_SC (Bit 20)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_UV_SC_Msk (0x100000UL)      /*!< VDDEXT_UV_SC (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_OV_SC_Pos (21UL)              /*!< VBAT_OV_SC (Bit 21)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VBAT_OV_SC_Msk (0x200000UL)        /*!< VBAT_OV_SC (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_OV_SC_Pos (22UL)                /*!< VS_OV_SC (Bit 22)                                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VS_OV_SC_Msk (0x400000UL)          /*!< VS_OV_SC (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_OV_SC_Pos (23UL)             /*!< VDD5V_OV_SC (Bit 23)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD5V_OV_SC_Msk (0x800000UL)       /*!< VDD5V_OV_SC (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_OV_SC_Pos (24UL)            /*!< VDD1V5_OV_SC (Bit 24)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDD1V5_OV_SC_Msk (0x1000000UL)     /*!< VDD1V5_OV_SC (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_OV_SC_Pos (25UL)            /*!< VDDEXT_OV_SC (Bit 25)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_CLR_VDDEXT_OV_SC_Msk (0x2000000UL)     /*!< VDDEXT_OV_SC (Bitfield-Mask: 0x01)                    */
/* ==================================================  SYS_SUPPLY_IRQ_CTRL  ================================================== */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VBAT_UV_IE_Pos (0UL)              /*!< VBAT_UV_IE (Bit 0)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VBAT_UV_IE_Msk (0x1UL)            /*!< VBAT_UV_IE (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VS_UV_IE_Pos (1UL)                /*!< VS_UV_IE (Bit 1)                                      */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VS_UV_IE_Msk (0x2UL)              /*!< VS_UV_IE (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD5V_UV_IE_Pos (2UL)             /*!< VDD5V_UV_IE (Bit 2)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD5V_UV_IE_Msk (0x4UL)           /*!< VDD5V_UV_IE (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD1V5_UV_IE_Pos (3UL)            /*!< VDD1V5_UV_IE (Bit 3)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD1V5_UV_IE_Msk (0x8UL)          /*!< VDD1V5_UV_IE (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDDEXT_UV_IE_Pos (4UL)            /*!< VDDEXT_UV_IE (Bit 4)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDDEXT_UV_IE_Msk (0x10UL)         /*!< VDDEXT_UV_IE (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VBAT_OV_IE_Pos (5UL)              /*!< VBAT_OV_IE (Bit 5)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VBAT_OV_IE_Msk (0x20UL)           /*!< VBAT_OV_IE (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VS_OV_IE_Pos (6UL)                /*!< VS_OV_IE (Bit 6)                                      */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VS_OV_IE_Msk (0x40UL)             /*!< VS_OV_IE (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD5V_OV_IE_Pos (7UL)             /*!< VDD5V_OV_IE (Bit 7)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD5V_OV_IE_Msk (0x80UL)          /*!< VDD5V_OV_IE (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD1V5_OV_IE_Pos (8UL)            /*!< VDD1V5_OV_IE (Bit 8)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDD1V5_OV_IE_Msk (0x100UL)        /*!< VDD1V5_OV_IE (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDDEXT_OV_IE_Pos (9UL)            /*!< VDDEXT_OV_IE (Bit 9)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_CTRL_VDDEXT_OV_IE_Msk (0x200UL)        /*!< VDDEXT_OV_IE (Bitfield-Mask: 0x01)                    */
/* ==================================================  SYS_SUPPLY_IRQ_STS  =================================================== */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_UV_IS_Pos (0UL)               /*!< VBAT_UV_IS (Bit 0)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_UV_IS_Msk (0x1UL)             /*!< VBAT_UV_IS (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_UV_IS_Pos (1UL)                 /*!< VS_UV_IS (Bit 1)                                      */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_UV_IS_Msk (0x2UL)               /*!< VS_UV_IS (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_UV_IS_Pos (2UL)              /*!< VDD5V_UV_IS (Bit 2)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_UV_IS_Msk (0x4UL)            /*!< VDD5V_UV_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_UV_IS_Pos (3UL)             /*!< VDD1V5_UV_IS (Bit 3)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_UV_IS_Msk (0x8UL)           /*!< VDD1V5_UV_IS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_UV_IS_Pos (4UL)             /*!< VDDEXT_UV_IS (Bit 4)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_UV_IS_Msk (0x10UL)          /*!< VDDEXT_UV_IS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_OV_IS_Pos (5UL)               /*!< VBAT_OV_IS (Bit 5)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_OV_IS_Msk (0x20UL)            /*!< VBAT_OV_IS (Bitfield-Mask: 0x01)                      */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_OV_IS_Pos (6UL)                 /*!< VS_OV_IS (Bit 6)                                      */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_OV_IS_Msk (0x40UL)              /*!< VS_OV_IS (Bitfield-Mask: 0x01)                        */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_OV_IS_Pos (7UL)              /*!< VDD5V_OV_IS (Bit 7)                                   */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_OV_IS_Msk (0x80UL)           /*!< VDD5V_OV_IS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_OV_IS_Pos (8UL)             /*!< VDD1V5_OV_IS (Bit 8)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_OV_IS_Msk (0x100UL)         /*!< VDD1V5_OV_IS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_OV_IS_Pos (9UL)             /*!< VDDEXT_OV_IS (Bit 9)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_OV_IS_Msk (0x200UL)         /*!< VDDEXT_OV_IS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_UV_STS_Pos (16UL)             /*!< VBAT_UV_STS (Bit 16)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_UV_STS_Msk (0x10000UL)        /*!< VBAT_UV_STS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_UV_STS_Pos (17UL)               /*!< VS_UV_STS (Bit 17)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_UV_STS_Msk (0x20000UL)          /*!< VS_UV_STS (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_UV_STS_Pos (18UL)            /*!< VDD5V_UV_STS (Bit 18)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_UV_STS_Msk (0x40000UL)       /*!< VDD5V_UV_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_UV_STS_Pos (19UL)           /*!< VDD1V5_UV_STS (Bit 19)                                */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_UV_STS_Msk (0x80000UL)      /*!< VDD1V5_UV_STS (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_UV_STS_Pos (20UL)           /*!< VDDEXT_UV_STS (Bit 20)                                */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_UV_STS_Msk (0x100000UL)     /*!< VDDEXT_UV_STS (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_OV_STS_Pos (21UL)             /*!< VBAT_OV_STS (Bit 21)                                  */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VBAT_OV_STS_Msk (0x200000UL)       /*!< VBAT_OV_STS (Bitfield-Mask: 0x01)                     */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_OV_STS_Pos (22UL)               /*!< VS_OV_STS (Bit 22)                                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VS_OV_STS_Msk (0x400000UL)         /*!< VS_OV_STS (Bitfield-Mask: 0x01)                       */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_OV_STS_Pos (23UL)            /*!< VDD5V_OV_STS (Bit 23)                                 */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD5V_OV_STS_Msk (0x800000UL)      /*!< VDD5V_OV_STS (Bitfield-Mask: 0x01)                    */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_OV_STS_Pos (24UL)           /*!< VDD1V5_OV_STS (Bit 24)                                */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDD1V5_OV_STS_Msk (0x1000000UL)    /*!< VDD1V5_OV_STS (Bitfield-Mask: 0x01)                   */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_OV_STS_Pos (25UL)           /*!< VDDEXT_OV_STS (Bit 25)                                */
#define SCUPM_SYS_SUPPLY_IRQ_STS_VDDEXT_OV_STS_Msk (0x2000000UL)    /*!< VDDEXT_OV_STS (Bitfield-Mask: 0x01)                   */
/* =======================================================  WDT1_TRIG  ======================================================= */
#define SCUPM_WDT1_TRIG_WDP_SEL_Pos       (0UL)                     /*!< WDP_SEL (Bit 0)                                       */
#define SCUPM_WDT1_TRIG_WDP_SEL_Msk       (0x3fUL)                  /*!< WDP_SEL (Bitfield-Mask: 0x3f)                         */
#define SCUPM_WDT1_TRIG_SOWCONF_Pos       (6UL)                     /*!< SOWCONF (Bit 6)                                       */
#define SCUPM_WDT1_TRIG_SOWCONF_Msk       (0xc0UL)                  /*!< SOWCONF (Bitfield-Mask: 0x03)                         */


/* =========================================================================================================================== */
/* ================                                           SSC1                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  BR  =========================================================== */
#define SSC1_BR_BR_VALUE_Pos              (0UL)                     /*!< BR_VALUE (Bit 0)                                      */
#define SSC1_BR_BR_VALUE_Msk              (0xffffUL)                /*!< BR_VALUE (Bitfield-Mask: 0xffff)                      */
/* ==========================================================  CON  ========================================================== */
#define SSC1_CON_BM_Pos                   (0UL)                     /*!< BM (Bit 0)                                            */
#define SSC1_CON_BM_Msk                   (0xfUL)                   /*!< BM (Bitfield-Mask: 0x0f)                              */
#define SSC1_CON_HB_Pos                   (4UL)                     /*!< HB (Bit 4)                                            */
#define SSC1_CON_HB_Msk                   (0x10UL)                  /*!< HB (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_PH_Pos                   (5UL)                     /*!< PH (Bit 5)                                            */
#define SSC1_CON_PH_Msk                   (0x20UL)                  /*!< PH (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_PO_Pos                   (6UL)                     /*!< PO (Bit 6)                                            */
#define SSC1_CON_PO_Msk                   (0x40UL)                  /*!< PO (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_LB_Pos                   (7UL)                     /*!< LB (Bit 7)                                            */
#define SSC1_CON_LB_Msk                   (0x80UL)                  /*!< LB (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_TEN_Pos                  (8UL)                     /*!< TEN (Bit 8)                                           */
#define SSC1_CON_TEN_Msk                  (0x100UL)                 /*!< TEN (Bitfield-Mask: 0x01)                             */
#define SSC1_CON_REN_Pos                  (9UL)                     /*!< REN (Bit 9)                                           */
#define SSC1_CON_REN_Msk                  (0x200UL)                 /*!< REN (Bitfield-Mask: 0x01)                             */
#define SSC1_CON_PEN_Pos                  (10UL)                    /*!< PEN (Bit 10)                                          */
#define SSC1_CON_PEN_Msk                  (0x400UL)                 /*!< PEN (Bitfield-Mask: 0x01)                             */
#define SSC1_CON_BEN_Pos                  (11UL)                    /*!< BEN (Bit 11)                                          */
#define SSC1_CON_BEN_Msk                  (0x800UL)                 /*!< BEN (Bitfield-Mask: 0x01)                             */
#define SSC1_CON_AREN_Pos                 (12UL)                    /*!< AREN (Bit 12)                                         */
#define SSC1_CON_AREN_Msk                 (0x1000UL)                /*!< AREN (Bitfield-Mask: 0x01)                            */
#define SSC1_CON_MS_Pos                   (14UL)                    /*!< MS (Bit 14)                                           */
#define SSC1_CON_MS_Msk                   (0x4000UL)                /*!< MS (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_EN_Pos                   (15UL)                    /*!< EN (Bit 15)                                           */
#define SSC1_CON_EN_Msk                   (0x8000UL)                /*!< EN (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_BC_Pos                   (16UL)                    /*!< BC (Bit 16)                                           */
#define SSC1_CON_BC_Msk                   (0xf0000UL)               /*!< BC (Bitfield-Mask: 0x0f)                              */
#define SSC1_CON_TE_Pos                   (24UL)                    /*!< TE (Bit 24)                                           */
#define SSC1_CON_TE_Msk                   (0x1000000UL)             /*!< TE (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_RE_Pos                   (25UL)                    /*!< RE (Bit 25)                                           */
#define SSC1_CON_RE_Msk                   (0x2000000UL)             /*!< RE (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_PE_Pos                   (26UL)                    /*!< PE (Bit 26)                                           */
#define SSC1_CON_PE_Msk                   (0x4000000UL)             /*!< PE (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_BE_Pos                   (27UL)                    /*!< BE (Bit 27)                                           */
#define SSC1_CON_BE_Msk                   (0x8000000UL)             /*!< BE (Bitfield-Mask: 0x01)                              */
#define SSC1_CON_BSY_Pos                  (28UL)                    /*!< BSY (Bit 28)                                          */
#define SSC1_CON_BSY_Msk                  (0x10000000UL)            /*!< BSY (Bitfield-Mask: 0x01)                             */
/* ========================================================  ISRCLR  ========================================================= */
#define SSC1_ISRCLR_TECLR_Pos             (8UL)                     /*!< TECLR (Bit 8)                                         */
#define SSC1_ISRCLR_TECLR_Msk             (0x100UL)                 /*!< TECLR (Bitfield-Mask: 0x01)                           */
#define SSC1_ISRCLR_RECLR_Pos             (9UL)                     /*!< RECLR (Bit 9)                                         */
#define SSC1_ISRCLR_RECLR_Msk             (0x200UL)                 /*!< RECLR (Bitfield-Mask: 0x01)                           */
#define SSC1_ISRCLR_PECLR_Pos             (10UL)                    /*!< PECLR (Bit 10)                                        */
#define SSC1_ISRCLR_PECLR_Msk             (0x400UL)                 /*!< PECLR (Bitfield-Mask: 0x01)                           */
#define SSC1_ISRCLR_BECLR_Pos             (11UL)                    /*!< BECLR (Bit 11)                                        */
#define SSC1_ISRCLR_BECLR_Msk             (0x800UL)                 /*!< BECLR (Bitfield-Mask: 0x01)                           */
/* =========================================================  PISEL  ========================================================= */
#define SSC1_PISEL_MIS_0_Pos              (0UL)                     /*!< MIS_0 (Bit 0)                                         */
#define SSC1_PISEL_MIS_0_Msk              (0x1UL)                   /*!< MIS_0 (Bitfield-Mask: 0x01)                           */
#define SSC1_PISEL_SIS_Pos                (1UL)                     /*!< SIS (Bit 1)                                           */
#define SSC1_PISEL_SIS_Msk                (0x2UL)                   /*!< SIS (Bitfield-Mask: 0x01)                             */
#define SSC1_PISEL_CIS_Pos                (2UL)                     /*!< CIS (Bit 2)                                           */
#define SSC1_PISEL_CIS_Msk                (0x4UL)                   /*!< CIS (Bitfield-Mask: 0x01)                             */
#define SSC1_PISEL_MIS_1_Pos              (3UL)                     /*!< MIS_1 (Bit 3)                                         */
#define SSC1_PISEL_MIS_1_Msk              (0x8UL)                   /*!< MIS_1 (Bitfield-Mask: 0x01)                           */
/* ==========================================================  RB  =========================================================== */
#define SSC1_RB_RB_VALUE_Pos              (0UL)                     /*!< RB_VALUE (Bit 0)                                      */
#define SSC1_RB_RB_VALUE_Msk              (0xffffUL)                /*!< RB_VALUE (Bitfield-Mask: 0xffff)                      */
/* ==========================================================  TB  =========================================================== */
#define SSC1_TB_TB_VALUE_Pos              (0UL)                     /*!< TB_VALUE (Bit 0)                                      */
#define SSC1_TB_TB_VALUE_Msk              (0xffffUL)                /*!< TB_VALUE (Bitfield-Mask: 0xffff)                      */


/* =========================================================================================================================== */
/* ================                                           SSC2                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  BR  =========================================================== */
#define SSC2_BR_BR_VALUE_Pos              (0UL)                     /*!< BR_VALUE (Bit 0)                                      */
#define SSC2_BR_BR_VALUE_Msk              (0xffffUL)                /*!< BR_VALUE (Bitfield-Mask: 0xffff)                      */
/* ==========================================================  CON  ========================================================== */
#define SSC2_CON_BM_Pos                   (0UL)                     /*!< BM (Bit 0)                                            */
#define SSC2_CON_BM_Msk                   (0xfUL)                   /*!< BM (Bitfield-Mask: 0x0f)                              */
#define SSC2_CON_HB_Pos                   (4UL)                     /*!< HB (Bit 4)                                            */
#define SSC2_CON_HB_Msk                   (0x10UL)                  /*!< HB (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_PH_Pos                   (5UL)                     /*!< PH (Bit 5)                                            */
#define SSC2_CON_PH_Msk                   (0x20UL)                  /*!< PH (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_PO_Pos                   (6UL)                     /*!< PO (Bit 6)                                            */
#define SSC2_CON_PO_Msk                   (0x40UL)                  /*!< PO (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_LB_Pos                   (7UL)                     /*!< LB (Bit 7)                                            */
#define SSC2_CON_LB_Msk                   (0x80UL)                  /*!< LB (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_TEN_Pos                  (8UL)                     /*!< TEN (Bit 8)                                           */
#define SSC2_CON_TEN_Msk                  (0x100UL)                 /*!< TEN (Bitfield-Mask: 0x01)                             */
#define SSC2_CON_REN_Pos                  (9UL)                     /*!< REN (Bit 9)                                           */
#define SSC2_CON_REN_Msk                  (0x200UL)                 /*!< REN (Bitfield-Mask: 0x01)                             */
#define SSC2_CON_PEN_Pos                  (10UL)                    /*!< PEN (Bit 10)                                          */
#define SSC2_CON_PEN_Msk                  (0x400UL)                 /*!< PEN (Bitfield-Mask: 0x01)                             */
#define SSC2_CON_BEN_Pos                  (11UL)                    /*!< BEN (Bit 11)                                          */
#define SSC2_CON_BEN_Msk                  (0x800UL)                 /*!< BEN (Bitfield-Mask: 0x01)                             */
#define SSC2_CON_AREN_Pos                 (12UL)                    /*!< AREN (Bit 12)                                         */
#define SSC2_CON_AREN_Msk                 (0x1000UL)                /*!< AREN (Bitfield-Mask: 0x01)                            */
#define SSC2_CON_MS_Pos                   (14UL)                    /*!< MS (Bit 14)                                           */
#define SSC2_CON_MS_Msk                   (0x4000UL)                /*!< MS (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_EN_Pos                   (15UL)                    /*!< EN (Bit 15)                                           */
#define SSC2_CON_EN_Msk                   (0x8000UL)                /*!< EN (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_BC_Pos                   (16UL)                    /*!< BC (Bit 16)                                           */
#define SSC2_CON_BC_Msk                   (0xf0000UL)               /*!< BC (Bitfield-Mask: 0x0f)                              */
#define SSC2_CON_TE_Pos                   (24UL)                    /*!< TE (Bit 24)                                           */
#define SSC2_CON_TE_Msk                   (0x1000000UL)             /*!< TE (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_RE_Pos                   (25UL)                    /*!< RE (Bit 25)                                           */
#define SSC2_CON_RE_Msk                   (0x2000000UL)             /*!< RE (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_PE_Pos                   (26UL)                    /*!< PE (Bit 26)                                           */
#define SSC2_CON_PE_Msk                   (0x4000000UL)             /*!< PE (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_BE_Pos                   (27UL)                    /*!< BE (Bit 27)                                           */
#define SSC2_CON_BE_Msk                   (0x8000000UL)             /*!< BE (Bitfield-Mask: 0x01)                              */
#define SSC2_CON_BSY_Pos                  (28UL)                    /*!< BSY (Bit 28)                                          */
#define SSC2_CON_BSY_Msk                  (0x10000000UL)            /*!< BSY (Bitfield-Mask: 0x01)                             */
/* ========================================================  ISRCLR  ========================================================= */
#define SSC2_ISRCLR_TECLR_Pos             (8UL)                     /*!< TECLR (Bit 8)                                         */
#define SSC2_ISRCLR_TECLR_Msk             (0x100UL)                 /*!< TECLR (Bitfield-Mask: 0x01)                           */
#define SSC2_ISRCLR_RECLR_Pos             (9UL)                     /*!< RECLR (Bit 9)                                         */
#define SSC2_ISRCLR_RECLR_Msk             (0x200UL)                 /*!< RECLR (Bitfield-Mask: 0x01)                           */
#define SSC2_ISRCLR_PECLR_Pos             (10UL)                    /*!< PECLR (Bit 10)                                        */
#define SSC2_ISRCLR_PECLR_Msk             (0x400UL)                 /*!< PECLR (Bitfield-Mask: 0x01)                           */
#define SSC2_ISRCLR_BECLR_Pos             (11UL)                    /*!< BECLR (Bit 11)                                        */
#define SSC2_ISRCLR_BECLR_Msk             (0x800UL)                 /*!< BECLR (Bitfield-Mask: 0x01)                           */
/* =========================================================  PISEL  ========================================================= */
#define SSC2_PISEL_MIS_0_Pos              (0UL)                     /*!< MIS_0 (Bit 0)                                         */
#define SSC2_PISEL_MIS_0_Msk              (0x1UL)                   /*!< MIS_0 (Bitfield-Mask: 0x01)                           */
#define SSC2_PISEL_SIS_Pos                (1UL)                     /*!< SIS (Bit 1)                                           */
#define SSC2_PISEL_SIS_Msk                (0x2UL)                   /*!< SIS (Bitfield-Mask: 0x01)                             */
#define SSC2_PISEL_CIS_Pos                (2UL)                     /*!< CIS (Bit 2)                                           */
#define SSC2_PISEL_CIS_Msk                (0x4UL)                   /*!< CIS (Bitfield-Mask: 0x01)                             */
#define SSC2_PISEL_MIS_1_Pos              (3UL)                     /*!< MIS_1 (Bit 3)                                         */
#define SSC2_PISEL_MIS_1_Msk              (0x8UL)                   /*!< MIS_1 (Bitfield-Mask: 0x01)                           */
/* ==========================================================  RB  =========================================================== */
#define SSC2_RB_RB_VALUE_Pos              (0UL)                     /*!< RB_VALUE (Bit 0)                                      */
#define SSC2_RB_RB_VALUE_Msk              (0xffffUL)                /*!< RB_VALUE (Bitfield-Mask: 0xffff)                      */
/* ==========================================================  TB  =========================================================== */
#define SSC2_TB_TB_VALUE_Pos              (0UL)                     /*!< TB_VALUE (Bit 0)                                      */
#define SSC2_TB_TB_VALUE_Msk              (0xffffUL)                /*!< TB_VALUE (Bitfield-Mask: 0xffff)                      */


/* =========================================================================================================================== */
/* ================                                          TIMER2                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CNT  ========================================================== */
#define TIMER2_CNT_T2L_Pos                (0UL)                     /*!< T2L (Bit 0)                                           */
#define TIMER2_CNT_T2L_Msk                (0xffUL)                  /*!< T2L (Bitfield-Mask: 0xff)                             */
#define TIMER2_CNT_T2H_Pos                (8UL)                     /*!< T2H (Bit 8)                                           */
#define TIMER2_CNT_T2H_Msk                (0xff00UL)                /*!< T2H (Bitfield-Mask: 0xff)                             */
/* ==========================================================  CON  ========================================================== */
#define TIMER2_CON_CP_RL2_Pos             (0UL)                     /*!< CP_RL2 (Bit 0)                                        */
#define TIMER2_CON_CP_RL2_Msk             (0x1UL)                   /*!< CP_RL2 (Bitfield-Mask: 0x01)                          */
#define TIMER2_CON_C_T2_Pos               (1UL)                     /*!< C_T2 (Bit 1)                                          */
#define TIMER2_CON_C_T2_Msk               (0x2UL)                   /*!< C_T2 (Bitfield-Mask: 0x01)                            */
#define TIMER2_CON_TR2_Pos                (2UL)                     /*!< TR2 (Bit 2)                                           */
#define TIMER2_CON_TR2_Msk                (0x4UL)                   /*!< TR2 (Bitfield-Mask: 0x01)                             */
#define TIMER2_CON_EXEN2_Pos              (3UL)                     /*!< EXEN2 (Bit 3)                                         */
#define TIMER2_CON_EXEN2_Msk              (0x8UL)                   /*!< EXEN2 (Bitfield-Mask: 0x01)                           */
#define TIMER2_CON_EXF2_Pos               (6UL)                     /*!< EXF2 (Bit 6)                                          */
#define TIMER2_CON_EXF2_Msk               (0x40UL)                  /*!< EXF2 (Bitfield-Mask: 0x01)                            */
#define TIMER2_CON_TF2_Pos                (7UL)                     /*!< TF2 (Bit 7)                                           */
#define TIMER2_CON_TF2_Msk                (0x80UL)                  /*!< TF2 (Bitfield-Mask: 0x01)                             */
/* =========================================================  CON1  ========================================================== */
#define TIMER2_CON1_EXF2EN_Pos            (0UL)                     /*!< EXF2EN (Bit 0)                                        */
#define TIMER2_CON1_EXF2EN_Msk            (0x1UL)                   /*!< EXF2EN (Bitfield-Mask: 0x01)                          */
#define TIMER2_CON1_TF2EN_Pos             (1UL)                     /*!< TF2EN (Bit 1)                                         */
#define TIMER2_CON1_TF2EN_Msk             (0x2UL)                   /*!< TF2EN (Bitfield-Mask: 0x01)                           */
/* =========================================================  ICLR  ========================================================== */
#define TIMER2_ICLR_EXF2CLR_Pos           (6UL)                     /*!< EXF2CLR (Bit 6)                                       */
#define TIMER2_ICLR_EXF2CLR_Msk           (0x40UL)                  /*!< EXF2CLR (Bitfield-Mask: 0x01)                         */
#define TIMER2_ICLR_TF2CLR_Pos            (7UL)                     /*!< TF2CLR (Bit 7)                                        */
#define TIMER2_ICLR_TF2CLR_Msk            (0x80UL)                  /*!< TF2CLR (Bitfield-Mask: 0x01)                          */
/* ==========================================================  MOD  ========================================================== */
#define TIMER2_MOD_DCEN_Pos               (0UL)                     /*!< DCEN (Bit 0)                                          */
#define TIMER2_MOD_DCEN_Msk               (0x1UL)                   /*!< DCEN (Bitfield-Mask: 0x01)                            */
#define TIMER2_MOD_T2PRE_Pos              (1UL)                     /*!< T2PRE (Bit 1)                                         */
#define TIMER2_MOD_T2PRE_Msk              (0xeUL)                   /*!< T2PRE (Bitfield-Mask: 0x07)                           */
#define TIMER2_MOD_PREN_Pos               (4UL)                     /*!< PREN (Bit 4)                                          */
#define TIMER2_MOD_PREN_Msk               (0x10UL)                  /*!< PREN (Bitfield-Mask: 0x01)                            */
#define TIMER2_MOD_EDGESEL_Pos            (5UL)                     /*!< EDGESEL (Bit 5)                                       */
#define TIMER2_MOD_EDGESEL_Msk            (0x20UL)                  /*!< EDGESEL (Bitfield-Mask: 0x01)                         */
#define TIMER2_MOD_T2RHEN_Pos             (6UL)                     /*!< T2RHEN (Bit 6)                                        */
#define TIMER2_MOD_T2RHEN_Msk             (0x40UL)                  /*!< T2RHEN (Bitfield-Mask: 0x01)                          */
#define TIMER2_MOD_T2REGS_Pos             (7UL)                     /*!< T2REGS (Bit 7)                                        */
#define TIMER2_MOD_T2REGS_Msk             (0x80UL)                  /*!< T2REGS (Bitfield-Mask: 0x01)                          */
/* ==========================================================  RC  =========================================================== */
#define TIMER2_RC_RCL2_Pos                (0UL)                     /*!< RCL2 (Bit 0)                                          */
#define TIMER2_RC_RCL2_Msk                (0xffUL)                  /*!< RCL2 (Bitfield-Mask: 0xff)                            */
#define TIMER2_RC_RCH2_Pos                (8UL)                     /*!< RCH2 (Bit 8)                                          */
#define TIMER2_RC_RCH2_Msk                (0xff00UL)                /*!< RCH2 (Bitfield-Mask: 0xff)                            */


/* =========================================================================================================================== */
/* ================                                          TIMER21                                          ================ */
/* =========================================================================================================================== */

/* ==========================================================  CNT  ========================================================== */
#define TIMER21_CNT_T2L_Pos               (0UL)                     /*!< T2L (Bit 0)                                           */
#define TIMER21_CNT_T2L_Msk               (0xffUL)                  /*!< T2L (Bitfield-Mask: 0xff)                             */
#define TIMER21_CNT_T2H_Pos               (8UL)                     /*!< T2H (Bit 8)                                           */
#define TIMER21_CNT_T2H_Msk               (0xff00UL)                /*!< T2H (Bitfield-Mask: 0xff)                             */
/* ==========================================================  CON  ========================================================== */
#define TIMER21_CON_CP_RL2_Pos            (0UL)                     /*!< CP_RL2 (Bit 0)                                        */
#define TIMER21_CON_CP_RL2_Msk            (0x1UL)                   /*!< CP_RL2 (Bitfield-Mask: 0x01)                          */
#define TIMER21_CON_C_T2_Pos              (1UL)                     /*!< C_T2 (Bit 1)                                          */
#define TIMER21_CON_C_T2_Msk              (0x2UL)                   /*!< C_T2 (Bitfield-Mask: 0x01)                            */
#define TIMER21_CON_TR2_Pos               (2UL)                     /*!< TR2 (Bit 2)                                           */
#define TIMER21_CON_TR2_Msk               (0x4UL)                   /*!< TR2 (Bitfield-Mask: 0x01)                             */
#define TIMER21_CON_EXEN2_Pos             (3UL)                     /*!< EXEN2 (Bit 3)                                         */
#define TIMER21_CON_EXEN2_Msk             (0x8UL)                   /*!< EXEN2 (Bitfield-Mask: 0x01)                           */
#define TIMER21_CON_EXF2_Pos              (6UL)                     /*!< EXF2 (Bit 6)                                          */
#define TIMER21_CON_EXF2_Msk              (0x40UL)                  /*!< EXF2 (Bitfield-Mask: 0x01)                            */
#define TIMER21_CON_TF2_Pos               (7UL)                     /*!< TF2 (Bit 7)                                           */
#define TIMER21_CON_TF2_Msk               (0x80UL)                  /*!< TF2 (Bitfield-Mask: 0x01)                             */
/* =========================================================  CON1  ========================================================== */
#define TIMER21_CON1_EXF2EN_Pos           (0UL)                     /*!< EXF2EN (Bit 0)                                        */
#define TIMER21_CON1_EXF2EN_Msk           (0x1UL)                   /*!< EXF2EN (Bitfield-Mask: 0x01)                          */
#define TIMER21_CON1_TF2EN_Pos            (1UL)                     /*!< TF2EN (Bit 1)                                         */
#define TIMER21_CON1_TF2EN_Msk            (0x2UL)                   /*!< TF2EN (Bitfield-Mask: 0x01)                           */
/* =========================================================  ICLR  ========================================================== */
#define TIMER21_ICLR_EXF2CLR_Pos          (6UL)                     /*!< EXF2CLR (Bit 6)                                       */
#define TIMER21_ICLR_EXF2CLR_Msk          (0x40UL)                  /*!< EXF2CLR (Bitfield-Mask: 0x01)                         */
#define TIMER21_ICLR_TF2CLR_Pos           (7UL)                     /*!< TF2CLR (Bit 7)                                        */
#define TIMER21_ICLR_TF2CLR_Msk           (0x80UL)                  /*!< TF2CLR (Bitfield-Mask: 0x01)                          */
/* ==========================================================  MOD  ========================================================== */
#define TIMER21_MOD_DCEN_Pos              (0UL)                     /*!< DCEN (Bit 0)                                          */
#define TIMER21_MOD_DCEN_Msk              (0x1UL)                   /*!< DCEN (Bitfield-Mask: 0x01)                            */
#define TIMER21_MOD_T2PRE_Pos             (1UL)                     /*!< T2PRE (Bit 1)                                         */
#define TIMER21_MOD_T2PRE_Msk             (0xeUL)                   /*!< T2PRE (Bitfield-Mask: 0x07)                           */
#define TIMER21_MOD_PREN_Pos              (4UL)                     /*!< PREN (Bit 4)                                          */
#define TIMER21_MOD_PREN_Msk              (0x10UL)                  /*!< PREN (Bitfield-Mask: 0x01)                            */
#define TIMER21_MOD_EDGESEL_Pos           (5UL)                     /*!< EDGESEL (Bit 5)                                       */
#define TIMER21_MOD_EDGESEL_Msk           (0x20UL)                  /*!< EDGESEL (Bitfield-Mask: 0x01)                         */
#define TIMER21_MOD_T2RHEN_Pos            (6UL)                     /*!< T2RHEN (Bit 6)                                        */
#define TIMER21_MOD_T2RHEN_Msk            (0x40UL)                  /*!< T2RHEN (Bitfield-Mask: 0x01)                          */
#define TIMER21_MOD_T2REGS_Pos            (7UL)                     /*!< T2REGS (Bit 7)                                        */
#define TIMER21_MOD_T2REGS_Msk            (0x80UL)                  /*!< T2REGS (Bitfield-Mask: 0x01)                          */
/* ==========================================================  RC  =========================================================== */
#define TIMER21_RC_RCL2_Pos               (0UL)                     /*!< RCL2 (Bit 0)                                          */
#define TIMER21_RC_RCL2_Msk               (0xffUL)                  /*!< RCL2 (Bitfield-Mask: 0xff)                            */
#define TIMER21_RC_RCH2_Pos               (8UL)                     /*!< RCH2 (Bit 8)                                          */
#define TIMER21_RC_RCH2_Msk               (0xff00UL)                /*!< RCH2 (Bitfield-Mask: 0xff)                            */


/* =========================================================================================================================== */
/* ================                                            TRX                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define TRX_CTRL_MODE_Pos                 (1UL)                     /*!< MODE (Bit 1)                                          */
#define TRX_CTRL_MODE_Msk                 (0x6UL)                   /*!< MODE (Bitfield-Mask: 0x03)                            */
#define TRX_CTRL_MODE_FB_Pos              (4UL)                     /*!< MODE_FB (Bit 4)                                       */
#define TRX_CTRL_MODE_FB_Msk              (0x70UL)                  /*!< MODE_FB (Bitfield-Mask: 0x07)                         */
#define TRX_CTRL_TXD_Pos                  (9UL)                     /*!< TXD (Bit 9)                                           */
#define TRX_CTRL_TXD_Msk                  (0x200UL)                 /*!< TXD (Bitfield-Mask: 0x01)                             */
#define TRX_CTRL_RXD_Pos                  (10UL)                    /*!< RXD (Bit 10)                                          */
#define TRX_CTRL_RXD_Msk                  (0x400UL)                 /*!< RXD (Bitfield-Mask: 0x01)                             */
#define TRX_CTRL_SM_Pos                   (11UL)                    /*!< SM (Bit 11)                                           */
#define TRX_CTRL_SM_Msk                   (0x1800UL)                /*!< SM (Bitfield-Mask: 0x03)                              */
#define TRX_CTRL_FB_SM_Pos                (13UL)                    /*!< FB_SM (Bit 13)                                        */
#define TRX_CTRL_FB_SM_Msk                (0xe000UL)                /*!< FB_SM (Bitfield-Mask: 0x07)                           */
#define TRX_CTRL_HV_MODE_Pos              (21UL)                    /*!< HV_MODE (Bit 21)                                      */
#define TRX_CTRL_HV_MODE_Msk              (0x200000UL)              /*!< HV_MODE (Bitfield-Mask: 0x01)                         */
/* ========================================================  IRQCLR  ========================================================= */
#define TRX_IRQCLR_M_SM_ERR_ISC_Pos       (3UL)                     /*!< M_SM_ERR_ISC (Bit 3)                                  */
#define TRX_IRQCLR_M_SM_ERR_ISC_Msk       (0x8UL)                   /*!< M_SM_ERR_ISC (Bitfield-Mask: 0x01)                    */
#define TRX_IRQCLR_OT_ISC_Pos             (4UL)                     /*!< OT_ISC (Bit 4)                                        */
#define TRX_IRQCLR_OT_ISC_Msk             (0x10UL)                  /*!< OT_ISC (Bitfield-Mask: 0x01)                          */
#define TRX_IRQCLR_OC_ISC_Pos             (5UL)                     /*!< OC_ISC (Bit 5)                                        */
#define TRX_IRQCLR_OC_ISC_Msk             (0x20UL)                  /*!< OC_ISC (Bitfield-Mask: 0x01)                          */
#define TRX_IRQCLR_TXD_TMOUT_ISC_Pos      (6UL)                     /*!< TXD_TMOUT_ISC (Bit 6)                                 */
#define TRX_IRQCLR_TXD_TMOUT_ISC_Msk      (0x40UL)                  /*!< TXD_TMOUT_ISC (Bitfield-Mask: 0x01)                   */
#define TRX_IRQCLR_M_SM_ERR_SC_Pos        (8UL)                     /*!< M_SM_ERR_SC (Bit 8)                                   */
#define TRX_IRQCLR_M_SM_ERR_SC_Msk        (0x100UL)                 /*!< M_SM_ERR_SC (Bitfield-Mask: 0x01)                     */
#define TRX_IRQCLR_OT_SC_Pos              (9UL)                     /*!< OT_SC (Bit 9)                                         */
#define TRX_IRQCLR_OT_SC_Msk              (0x200UL)                 /*!< OT_SC (Bitfield-Mask: 0x01)                           */
#define TRX_IRQCLR_TXD_TMOUT_SC_Pos       (11UL)                    /*!< TXD_TMOUT_SC (Bit 11)                                 */
#define TRX_IRQCLR_TXD_TMOUT_SC_Msk       (0x800UL)                 /*!< TXD_TMOUT_SC (Bitfield-Mask: 0x01)                    */
/* =========================================================  IRQEN  ========================================================= */
#define TRX_IRQEN_M_SM_ERR_IEN_Pos        (3UL)                     /*!< M_SM_ERR_IEN (Bit 3)                                  */
#define TRX_IRQEN_M_SM_ERR_IEN_Msk        (0x8UL)                   /*!< M_SM_ERR_IEN (Bitfield-Mask: 0x01)                    */
#define TRX_IRQEN_OT_IEN_Pos              (4UL)                     /*!< OT_IEN (Bit 4)                                        */
#define TRX_IRQEN_OT_IEN_Msk              (0x10UL)                  /*!< OT_IEN (Bitfield-Mask: 0x01)                          */
#define TRX_IRQEN_OC_IEN_Pos              (5UL)                     /*!< OC_IEN (Bit 5)                                        */
#define TRX_IRQEN_OC_IEN_Msk              (0x20UL)                  /*!< OC_IEN (Bitfield-Mask: 0x01)                          */
#define TRX_IRQEN_TXD_TMOUT_IEN_Pos       (6UL)                     /*!< TXD_TMOUT_IEN (Bit 6)                                 */
#define TRX_IRQEN_TXD_TMOUT_IEN_Msk       (0x40UL)                  /*!< TXD_TMOUT_IEN (Bitfield-Mask: 0x01)                   */
/* =========================================================  IRQS  ========================================================== */
#define TRX_IRQS_M_SM_ERR_IS_Pos          (3UL)                     /*!< M_SM_ERR_IS (Bit 3)                                   */
#define TRX_IRQS_M_SM_ERR_IS_Msk          (0x8UL)                   /*!< M_SM_ERR_IS (Bitfield-Mask: 0x01)                     */
#define TRX_IRQS_OT_IS_Pos                (4UL)                     /*!< OT_IS (Bit 4)                                         */
#define TRX_IRQS_OT_IS_Msk                (0x10UL)                  /*!< OT_IS (Bitfield-Mask: 0x01)                           */
#define TRX_IRQS_OC_IS_Pos                (5UL)                     /*!< OC_IS (Bit 5)                                         */
#define TRX_IRQS_OC_IS_Msk                (0x20UL)                  /*!< OC_IS (Bitfield-Mask: 0x01)                           */
#define TRX_IRQS_TXD_TMOUT_IS_Pos         (6UL)                     /*!< TXD_TMOUT_IS (Bit 6)                                  */
#define TRX_IRQS_TXD_TMOUT_IS_Msk         (0x40UL)                  /*!< TXD_TMOUT_IS (Bitfield-Mask: 0x01)                    */
#define TRX_IRQS_M_SM_ERR_STS_Pos         (8UL)                     /*!< M_SM_ERR_STS (Bit 8)                                  */
#define TRX_IRQS_M_SM_ERR_STS_Msk         (0x100UL)                 /*!< M_SM_ERR_STS (Bitfield-Mask: 0x01)                    */
#define TRX_IRQS_OT_STS_Pos               (9UL)                     /*!< OT_STS (Bit 9)                                        */
#define TRX_IRQS_OT_STS_Msk               (0x200UL)                 /*!< OT_STS (Bitfield-Mask: 0x01)                          */
#define TRX_IRQS_TXD_TMOUT_STS_Pos        (11UL)                    /*!< TXD_TMOUT_STS (Bit 11)                                */
#define TRX_IRQS_TXD_TMOUT_STS_Msk        (0x800UL)                 /*!< TXD_TMOUT_STS (Bitfield-Mask: 0x01)                   */


/* =========================================================================================================================== */
/* ================                                           UART1                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  SBUF  ========================================================== */
#define UART1_SBUF_VAL_Pos                (0UL)                     /*!< VAL (Bit 0)                                           */
#define UART1_SBUF_VAL_Msk                (0xffUL)                  /*!< VAL (Bitfield-Mask: 0xff)                             */
/* =========================================================  SCON  ========================================================== */
#define UART1_SCON_RI_Pos                 (0UL)                     /*!< RI (Bit 0)                                            */
#define UART1_SCON_RI_Msk                 (0x1UL)                   /*!< RI (Bitfield-Mask: 0x01)                              */
#define UART1_SCON_TI_Pos                 (1UL)                     /*!< TI (Bit 1)                                            */
#define UART1_SCON_TI_Msk                 (0x2UL)                   /*!< TI (Bitfield-Mask: 0x01)                              */
#define UART1_SCON_RB8_Pos                (2UL)                     /*!< RB8 (Bit 2)                                           */
#define UART1_SCON_RB8_Msk                (0x4UL)                   /*!< RB8 (Bitfield-Mask: 0x01)                             */
#define UART1_SCON_TB8_Pos                (3UL)                     /*!< TB8 (Bit 3)                                           */
#define UART1_SCON_TB8_Msk                (0x8UL)                   /*!< TB8 (Bitfield-Mask: 0x01)                             */
#define UART1_SCON_REN_Pos                (4UL)                     /*!< REN (Bit 4)                                           */
#define UART1_SCON_REN_Msk                (0x10UL)                  /*!< REN (Bitfield-Mask: 0x01)                             */
#define UART1_SCON_SM2_Pos                (5UL)                     /*!< SM2 (Bit 5)                                           */
#define UART1_SCON_SM2_Msk                (0x20UL)                  /*!< SM2 (Bitfield-Mask: 0x01)                             */
#define UART1_SCON_SM1_Pos                (6UL)                     /*!< SM1 (Bit 6)                                           */
#define UART1_SCON_SM1_Msk                (0x40UL)                  /*!< SM1 (Bitfield-Mask: 0x01)                             */
#define UART1_SCON_SM0_Pos                (7UL)                     /*!< SM0 (Bit 7)                                           */
#define UART1_SCON_SM0_Msk                (0x80UL)                  /*!< SM0 (Bitfield-Mask: 0x01)                             */
/* ========================================================  SCONCLR  ======================================================== */
#define UART1_SCONCLR_RICLR_Pos           (0UL)                     /*!< RICLR (Bit 0)                                         */
#define UART1_SCONCLR_RICLR_Msk           (0x1UL)                   /*!< RICLR (Bitfield-Mask: 0x01)                           */
#define UART1_SCONCLR_TICLR_Pos           (1UL)                     /*!< TICLR (Bit 1)                                         */
#define UART1_SCONCLR_TICLR_Msk           (0x2UL)                   /*!< TICLR (Bitfield-Mask: 0x01)                           */
#define UART1_SCONCLR_RB8CLR_Pos          (2UL)                     /*!< RB8CLR (Bit 2)                                        */
#define UART1_SCONCLR_RB8CLR_Msk          (0x4UL)                   /*!< RB8CLR (Bitfield-Mask: 0x01)                          */


/* =========================================================================================================================== */
/* ================                                           UART2                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  SBUF  ========================================================== */
#define UART2_SBUF_VAL_Pos                (0UL)                     /*!< VAL (Bit 0)                                           */
#define UART2_SBUF_VAL_Msk                (0xffUL)                  /*!< VAL (Bitfield-Mask: 0xff)                             */
/* =========================================================  SCON  ========================================================== */
#define UART2_SCON_RI_Pos                 (0UL)                     /*!< RI (Bit 0)                                            */
#define UART2_SCON_RI_Msk                 (0x1UL)                   /*!< RI (Bitfield-Mask: 0x01)                              */
#define UART2_SCON_TI_Pos                 (1UL)                     /*!< TI (Bit 1)                                            */
#define UART2_SCON_TI_Msk                 (0x2UL)                   /*!< TI (Bitfield-Mask: 0x01)                              */
#define UART2_SCON_RB8_Pos                (2UL)                     /*!< RB8 (Bit 2)                                           */
#define UART2_SCON_RB8_Msk                (0x4UL)                   /*!< RB8 (Bitfield-Mask: 0x01)                             */
#define UART2_SCON_TB8_Pos                (3UL)                     /*!< TB8 (Bit 3)                                           */
#define UART2_SCON_TB8_Msk                (0x8UL)                   /*!< TB8 (Bitfield-Mask: 0x01)                             */
#define UART2_SCON_REN_Pos                (4UL)                     /*!< REN (Bit 4)                                           */
#define UART2_SCON_REN_Msk                (0x10UL)                  /*!< REN (Bitfield-Mask: 0x01)                             */
#define UART2_SCON_SM2_Pos                (5UL)                     /*!< SM2 (Bit 5)                                           */
#define UART2_SCON_SM2_Msk                (0x20UL)                  /*!< SM2 (Bitfield-Mask: 0x01)                             */
#define UART2_SCON_SM1_Pos                (6UL)                     /*!< SM1 (Bit 6)                                           */
#define UART2_SCON_SM1_Msk                (0x40UL)                  /*!< SM1 (Bitfield-Mask: 0x01)                             */
#define UART2_SCON_SM0_Pos                (7UL)                     /*!< SM0 (Bit 7)                                           */
#define UART2_SCON_SM0_Msk                (0x80UL)                  /*!< SM0 (Bitfield-Mask: 0x01)                             */
/* ========================================================  SCONCLR  ======================================================== */
#define UART2_SCONCLR_RICLR_Pos           (0UL)                     /*!< RICLR (Bit 0)                                         */
#define UART2_SCONCLR_RICLR_Msk           (0x1UL)                   /*!< RICLR (Bitfield-Mask: 0x01)                           */
#define UART2_SCONCLR_TICLR_Pos           (1UL)                     /*!< TICLR (Bit 1)                                         */
#define UART2_SCONCLR_TICLR_Msk           (0x2UL)                   /*!< TICLR (Bitfield-Mask: 0x01)                           */
#define UART2_SCONCLR_RB8CLR_Pos          (2UL)                     /*!< RB8CLR (Bit 2)                                        */
#define UART2_SCONCLR_RB8CLR_Msk          (0x4UL)                   /*!< RB8CLR (Bitfield-Mask: 0x01)                          */

/** @} */ /* End of group PosMask_peripherals */

#ifdef __cplusplus
}
#endif

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6000000)
  #pragma clang diagnostic pop
#endif

#endif /* TLE984X_H */


/** @} */ /* End of group tle984x */

/** @} */ /* End of group Infineon */
